<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="abqp" table="abqp" transient="true" i18nSequence="15" ruleSequence="13">
  <datafields name="abqsta" column="abqsta" description="Status E-nable, D-isable, I-nvisible"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="rptno" column="rptno" description="申报号码" length="24" lineOrDecimalSize="1"/>
  <datafields name="getref" column="getref" description="GetRef" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="chkfld" column="chkfld" description="Check" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="typsta" column="typsta" description="Statment" length="1" lineOrDecimalSize="1"
      codetable="typsta"/>
  <datafields name="athcod" column="athcod" description="Authority code 审批件编号" length="30"
      lineOrDecimalSize="1"/>
  <datafields name="feeflg" column="feeflg" description="Fee Flag" length="1" lineOrDecimalSize="1"/>
  <datafields name="abqflg" column="abqflg" description="ABOQ Flag" length="1" lineOrDecimalSize="1"/>
  <datafields name="decnum" column="decnum" description="Declaration Number" length="40"
      lineOrDecimalSize="1"/>
  <modules name="abqsel" type="abqsel"/>
  <panels name="abqp" description="PD000001" width="788" height="528" visible="false">
    <components path="abqsel\codp" viewType="Composite" width="85" left="130" top="98"
        height="30"/>
    <components path="abqsel\cty1" viewType="Composite" width="80" left="198" top="62"
        height="30"/>
    <components path="rptno" width="160" enabled="false" left="130" top="30" height="22"/>
    <components path="getref" viewType="Button" width="66" text="C0000003" left="302"
        top="30" height="22"/>
    <components path="chkfld" viewType="Button" width="66" text="C0000006" left="724"
        top="28" height="22"/>
    <components path="typsta" viewType="Combobox" width="75" left="132" top="140"
        height="22"/>
    <components viewType="Label" text="S0000002" left="26" top="30" height="22"/>
    <components viewType="Label" text="S0000004" left="26" top="68" height="22"/>
    <components viewType="Label" text="S0000005" left="26" top="102" height="22"/>
    <components viewType="Label" text="S0000012" left="27" top="140" height="22"/>
  </panels>
  <panels name="aboq" description="PD000013" width="650" height="50" transient="true"/>
  <globalMethods name="lengthforaboq" codeText="@0004" moduleName="abqp"/>
  <localMethods name="getaBoqRef" type="local" codeText="@0001" moduleName="abqp"/>
  <localMethods name="aBoqMapNumber" type="local" codeText="@0002" moduleName="abqp"/>
  <localMethods name="aBoqNumToStr" type="local" codeText="@0003" moduleName="abqp"/>
  <localMethods name="getDecNum" type="local" codeText="@0008" moduleName="abqp"/>
  <localMethods name="isShowErr" type="local" codeText="@0010" moduleName="abqp"/>
  <defaultRules name="aboq" type="default" codeText="@0007" order="1000" moduleName="abqp"/>
  <defaultRules name="abqsta" type="default" codeText="@0009" order="1100" moduleName="abqp"/>
  <checkRules name="abqsel\country" type="check" codeText="@0005" order="800" moduleName="abqp"/>
  <checkRules name="abqsel\cod" type="check" codeText="@0006" order="900" moduleName="abqp"/>
  <checkRules name="abqsel\cod" type="check" codeText="@0011" order="1100" moduleName="abqp"/>
  <checkRules name="abqsel\country" type="check" codeText="@0012" order="1500" moduleName="abqp"/>
  <eventRules name="getref" type="event" codeText="@0000" order="1000" moduleName="abqp"/>
</eibs:Module>
