<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="abqsel" table="abqsel" transient="true" i18nSequence="14" ruleSequence="13">
  <datafields name="cod" column="cod" description="交易编码" length="6" lineOrDecimalSize="1"/>
  <datafields name="selbut" column="selbut" description="?" datatype="control" viewtype="Button"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="typ" column="typ" description="Type" length="1" lineOrDecimalSize="1"
      codetable="typ"/>
  <datafields name="country" column="country" description="付款人常驻国家/地区编码" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="selbut1" column="selbut1" description="?" datatype="control" viewtype="Button"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="usedetail" column="usedetail" description="结汇详细用途" length="100"
      lineOrDecimalSize="1"/>
  <datafields name="crtuser" column="crtuser" description="填报人" length="20" lineOrDecimalSize="1"/>
  <datafields name="inptelc" column="inptelc" description="填报人电话" length="20" lineOrDecimalSize="1"/>
  <datafields name="usetype" column="usetype" description="结汇用途" length="3" lineOrDecimalSize="1"
      codetable="usetype"/>
  <modules name="bopcod" type="bopcod"/>
  <modules name="bopcty" type="bopcty"/>
  <modules name="v_cty" type="v_cty"/>
  <panels name="codp" description="PD000001" width="85" height="30" transient="true"
      visible="false" enabled="false" popup="true">
    <components path="cod" width="40" left="3" top="3" height="22"/>
    <components path="selbut" viewType="Button" width="20" text="CG000003" left="64"
        top="4" height="22"/>
  </panels>
  <panels name="cty1" description="PD000002" width="80" height="30" transient="true"
      visible="false" enabled="false" popup="true">
    <components path="country" width="20" top="3" height="22"/>
    <components path="selbut1" viewType="Button" width="20" text="CG000004" left="52"
        top="4" height="22"/>
  </panels>
  <panels name="jhsqsp" description="PD000007" width="788" height="528">
    <components path="codp" viewType="Composite" width="85" left="128" top="36" height="30"/>
    <components path="usedetail" width="667" left="128" top="108" height="22"/>
    <components path="crtuser" width="133" left="128" top="160" height="22"/>
    <components path="inptelc" width="133" left="128" top="220" height="22"/>
    <components path="usetype" viewType="Combobox" width="75" left="128" top="272"
        height="22"/>
    <components viewType="Label" text="S0000008" left="28" top="40" height="22"/>
    <components viewType="Label" text="S0000009" left="28" top="108" height="22"/>
    <components viewType="Label" text="S0000010" left="28" top="160" height="22"/>
    <components viewType="Label" text="S0000011" left="28" top="220" height="22"/>
    <components viewType="Label" text="S0000013" left="28" top="272" height="22"/>
  </panels>
  <defaultRules name="country" type="default" codeText="@0006" order="1000" moduleName="abqsel"/>
  <defaultRules name="jhsqsp" type="default" codeText="@0007" order="1000" moduleName="abqsel"/>
  <defaultRules name="ddd" type="default" codeText="@0012" order="1000" moduleName="abqsel">
    <paths>crtuser</paths>
    <paths>inptelc</paths>
  </defaultRules>
  <checkRules name="cod" type="check" codeText="@0000" order="1000" moduleName="abqsel"/>
  <checkRules name="country" type="check" codeText="@0001" order="1000" moduleName="abqsel"/>
  <checkRules name="usedetail" type="check" codeText="@0008" order="1000" moduleName="abqsel"/>
  <checkRules name="crtuser" type="check" codeText="@0009" order="1000" moduleName="abqsel"/>
  <checkRules name="inptelc" type="check" codeText="@0010" order="1000" moduleName="abqsel"/>
  <checkRules name="usetype" type="check" codeText="@0011" order="1000" moduleName="abqsel"/>
  <eventRules name="cod" type="event" codeText="@0002" order="1000" moduleName="abqsel"/>
  <eventRules name="country" type="event" codeText="@0003" order="1000" moduleName="abqsel"/>
  <eventRules name="selbut" type="event" codeText="@0004" order="1000" moduleName="abqsel"/>
  <eventRules name="selbut1" type="event" codeText="@0005" order="1000" moduleName="abqsel"/>
</eibs:Module>
