<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="ackp" table="ackp" title="ACKP - Panel to show a Acknowledge Entry"
    transient="true" i18nSequence="155" ruleSequence="9">
  <datafields name="pansta" column="pansta" description="Panel-Status: 'I'nfo, 'A'dd, 'E'dit, 'D'elete"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="butcls" column="butcls" description="Close" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="prtpanblk" column="prtpanblk" description="XMLPanel prtpan的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <modules name="recgrp" type="ackgrp" argument="true"/>
  <modules name="recget" type="ackget">
    <arguments name="ack" value="recgrp\rec"/>
    <arguments name="getaddsub" value="! "/>
  </modules>
  <panels name="ackp0" description="PD000001" width="788" height="528" visible="false">
    <components path="ackpm" viewType="Composite" width="704" left="0" top="0" height="510"/>
  </panels>
  <panels name="ackpm" description="PD000132" width="718" height="528" transient="true">
    <components path="recget\sdamod\dadsnd" width="106" left="494" top="4" height="22"/>
    <components path="recgrp\rec\extkey" width="213" left="232" height="22"/>
    <components path="recget\sdamod\seainf" width="20" left="450" height="22"/>
    <components path="recgrp\rec\objtyp" width="40" left="232" top="72" height="22"/>
    <components path="recgrp\rec\objinr" width="53" left="232" top="104" height="22"/>
    <components path="recgrp\rec\objsub" width="53" left="232" top="136" height="22"/>
    <components path="recgrp\rec\outsrv" width="40" left="232" top="168" height="22"/>
    <components path="recgrp\rec\gendattim" left="232" top="200" height="22"/>
    <components path="recgrp\rec\acksrv" width="40" left="232" top="264" height="22"/>
    <components path="recgrp\rec\extkey" width="213" left="232" top="296" height="22"/>
    <components path="recgrp\rec\rcvdattim" left="232" top="328" height="22"/>
    <components path="recgrp\rec\cla" width="20" left="232" top="392" height="22"/>
    <components path="recgrp\rec\sta" viewType="Combobox" width="75" left="232" top="424"
        height="22"/>
    <components viewType="Label" text="S0000134" height="22"/>
    <components viewType="Label" text="S0000135" top="72" height="22"/>
    <components viewType="Label" text="S0000136" top="104" height="22"/>
    <components viewType="Label" text="S0000137" top="136" height="22"/>
    <components viewType="Label" text="S0000138" top="168" height="22"/>
    <components viewType="Label" text="S0000139" top="200" height="22"/>
    <components viewType="Label" text="S0000141" top="264" height="22"/>
    <components viewType="Label" text="S0000142" top="296" height="22"/>
    <components viewType="Label" text="S0000143" top="328" height="22"/>
    <components viewType="Label" text="S0000145" top="392" height="22"/>
    <components viewType="Label" text="S0000146" top="424" height="22"/>
  </panels>
  <panels name="ackpopup" description="PD000150" width="788" height="528" visible="false"
      enabled="false" popup="true">
    <components path="ackpm" viewType="Composite" width="704" left="0" top="0" height="510"/>
    <components path="butcls" viewType="Button" width="66" text="CF000154" left="724"
        top="500" height="22"/>
  </panels>
  <panels name="prtpan" description="PD000128" width="800" height="600">
    <components path="prtpanblk" viewType="Block" widthUnit="%" left="0" top="0" height="100"
        heightUnit="%"/>
  </panels>
  <localMethods name="popupACK" type="local" codeText="@0006" moduleName="ackp"/>
  <initRules name="\" type="init" codeText="@0003" order="1000" moduleName="ackp"/>
  <defaultRules name="ackp0" type="default" codeText="@0000" order="1000" moduleName="ackp"/>
  <defaultRules name="recgrp\rec\extkey" type="default" codeText="@0002" order="1000"
      moduleName="ackp"/>
  <defaultRules name="recget\sdamod\dadsnd" type="default" codeText="@0004" order="1000"
      moduleName="ackp"/>
  <defaultRules name="recget\sdamod\seainf" type="default" codeText="@0005" order="1000"
      moduleName="ackp"/>
  <checkRules name="recgrp\rec\extkey" type="check" codeText="@0001" order="1000"
      moduleName="ackp"/>
  <eventRules name="butcls" type="event" codeText="@0007" order="1000" moduleName="ackp"/>
  <eventRules name="prtpan" type="event" eventType="onPanelShow" codeText="@0008"
      moduleName="ackp"/>
</eibs:Module>
