<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="atpget" table="atpget" title="ATPGET - select and/or load ATP" i18nSequence="32" ruleSequence="18" transient="true">
<datafields comments="" name="oldkey" column="oldkey" description="Last used searchkey" length="6" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="dissel" column="dissel" description="Disable DbSelect and DDE-Client when set" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rouflg" column="rouflg" description="Routing Allowed" viewtype="Checkbox" codetable="rouflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dtaflg" column="dtaflg" description="Need passed data to execute" codetable="dtaflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lnkobj" column="lnkobj" description="Associated Object Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sepflg" column="sepflg" description="Temporary Settlement allowed" viewtype="Checkbox" codetable="sepflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="selsql" column="selsql" description="Additional Selection Clause" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="1" />
<datafields comments="" name="seltxt" column="seltxt" description="Additional Selection Text" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="getaddsub" column="getaddsub" description="Sub to be called when a new record has been read" length="40" lineOrDecimalSize="1" viewlines="1" access="readonly" argument="true" />
<datafields comments="" name="jobflg" column="jobflg" description="Job operation allowed" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="subflg" column="subflg" description="Subcontract-creating transaction" length="1" lineOrDecimalSize="1" viewlines="1" />
<eventRules name="atp\cod" type="event" codeText="@0000" order="900" moduleName="atpget" />
<checkRules name="sdamod\dadsnd" type="check" codeText="@0001" order="1000" moduleName="atpget" />
<defaultRules name="oldkey" type="default" codeText="@0002" order="1000" moduleName="atpget" />
<eventRules name="atp\cod" type="event" codeText="@0003" order="100" moduleName="atpget" />
<localMethods type="local" name="handleDDEReceive" codeText="@0004" moduleName="atpget"/>
<localMethods type="local" name="handleModifiedRec" codeText="@0005" moduleName="atpget"/>
<eventRules name="sdamod\dadrcv" type="event" codeText="@0006" order="900" moduleName="atpget" />
<initRules name="\" type="init" codeText="@0007" order="1000" moduleName="atpget" />
<defaultRules name="sdamod\dadrcv" type="default" codeText="@0008" order="950" moduleName="atpget" />
<localMethods type="local" name="recClearButKey" codeText="@0009" moduleName="atpget"/>
<checkRules name="atp\inr" type="check" codeText="@0010" order="1500" moduleName="atpget" />
<localMethods type="local" name="recReadRecord" codeText="@0011" moduleName="atpget"/>
<localMethods type="local" name="recReadRecordbyCod" codeText="@0012" moduleName="atpget"/>
<localMethods type="local" name="handleSvsLodAddFldATPGET" codeText="@0013" moduleName="atpget"/>
<localMethods type="local" name="registerSvsSavAddFldATPGET" codeText="@0014" moduleName="atpget"/>
<modules comments="" name="atp" type="atp" argument="true" />
<modules name="sdamod" type="sdamod" >
<arguments name="rec" value="atp"/>
</modules>
<localMethods type="local" name="createSelectSql" codeText="@0015" moduleName="atpget"/>
<localMethods type="local" name="createReadSql" codeText="@0016" moduleName="atpget"/>
<eventRules name="atp\cod" type="event" codeText="@0017" order="810" moduleName="atpget" />
</eibs:Module>
