<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="bimemu" table="bimemu" title="Container for emulation of before images" ruleSequence="10" transient="true">
<datafields comments="" name="recinr" column="recinr" description="Related Contract INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bussec" column="bussec" description="Business Sector" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rectyp" column="rectyp" description="Type of Contract/Transaction from DetermineMT" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="seafld" column="seafld" description="Names of fields to search" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="seacnt" column="seacnt" description="Contents to search" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="bussecstr" column="bussecstr" description="List of all business sector available in BIMEMU" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="t21" column="t21" description="Our receiver's Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etykey" column="etykey" description="Entity ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgkey" column="etgkey" description="Entity Group ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="subref" column="subref" description="Referenz of subcontract" length="16" lineOrDecimalSize="1" viewlines="1" />
<initRules name="\" type="init" codeText="@0000" order="1000" moduleName="bimemu" />
<localMethods type="local" name="setSearchKey" codeText="@0001" moduleName="bimemu"/>
<localMethods type="local" name="replaceByOtherContract" codeText="@0002" moduleName="bimemu"/>
<localMethods type="local" name="reInitialize" codeText="@0003" moduleName="bimemu"/>
<localMethods type="local" name="initSearchKey" codeText="@0004" moduleName="bimemu"/>
<localMethods type="local" name="getContractByRef" codeText="@0005" moduleName="bimemu"/>
<localMethods type="local" name="getContract" codeText="@0006" moduleName="bimemu"/>
<localMethods type="local" name="setEtyAndEtg" codeText="@0007" moduleName="bimemu"/>
<localMethods type="local" name="etyGenSql" codeText="@0008" moduleName="bimemu"/>
<modules name="lidgrp" type="lidgrp" >
</modules>
<modules name="brdgrp" type="brdgrp" >
</modules>
<modules name="trdgrp" type="trdgrp" >
</modules>
<modules name="bcdgrp" type="bcdgrp" >
</modules>
<modules name="trnbim" type="trnbim" >
</modules>
<modules name="ledgrp" type="ledgrp" >
</modules>
<modules name="bedgrp" type="bedgrp" >
</modules>
<modules name="bodgrp" type="bodgrp" >
</modules>
<modules name="swiadd" type="swiadd" >
</modules>
<modules name="fpdgrp" type="fpdgrp" >
</modules>
<modules name="fsdgrp" type="fsdgrp" >
</modules>
<modules name="gidgrp" type="gidgrp" >
</modules>
<modules name="cpdgrp" type="cpdgrp" >
</modules>
<modules name="gcdgrp" type="gcdgrp" >
</modules>
<modules name="ptegrp" type="ptegrp" >
</modules>
<modules name="ptsgrp" type="ptsgrp" >
</modules>
<modules name="ltdgrp" type="ltdgrp" >
</modules>
<modules name="btdgrp" type="btdgrp" >
</modules>
<modules name="iedgrp" type="iedgrp" >
</modules>
<modules name="fcdgrp" type="fcdgrp" >
</modules>
<modules name="bpdgrp" type="bpdgrp" >
</modules>
<modules name="rmdgrp" type="rmdgrp" >
</modules>
<modules name="rcdgrp" type="rcdgrp" >
</modules>
<modules name="dia" type="dia" >
</modules>
<modules name="padgrp" type="padgrp" >
</modules>
<modules name="mcdgrp" type="mcdgrp" >
</modules>
<modules name="acr" type="acr" >
</modules>
<modules name="dedgrp" type="dedgrp" >
</modules>
<modules name="pts" type="pts" >
</modules>
<localMethods type="local" name="isSearchAllowed" codeText="@0009" moduleName="bimemu"/>
<modules name="ccdgrp" type="ccdgrp" >
</modules>
<modules name="cldgrp" type="cldgrp" >
</modules>
<modules name="bopgrp" type="bopgrp" >
</modules>
<modules name="ftdgrp" type="ftdgrp" >
</modules>
<modules name="fxdgrp" type="fxdgrp" >
</modules>
<modules name="gwdgrp" type="gwdgrp" >
</modules>
<modules name="podgrp" type="podgrp" >
</modules>
<modules name="lmdgrp" type="lmdgrp" >
</modules>
<modules name="lrdgrp" type="lrdgrp" >
</modules>
<modules name="bfdgrp" type="bfdgrp" >
</modules>
<modules name="dddgrp" type="dddgrp" >
</modules>
<modules name="fidgrp" type="fidgrp" >
</modules>
<modules name="clrgrp" type="clrgrp" >
</modules>
<modules name="fmdgrp" type="fmdgrp" >
</modules>
<modules name="fbdgrp" type="fbdgrp" >
</modules>
<modules name="cqdgrp" type="cqdgrp" >
</modules>
<modules name="tcdgrp" type="tcdgrp" >
</modules>
<modules name="mgdgrp" type="mgdgrp" >
</modules>
<modules name="dfdgrp" type="dfdgrp" >
</modules>
<modules name="dbbgrp" type="dbbgrp" >
</modules>
<modules name="dbegrp" type="dbegrp" >
</modules>
<modules name="rpdgrp" type="rpdgrp" >
</modules>
<modules name="spdgrp" type="spdgrp" >
</modules>
<modules name="dldgrp" type="dldgrp" >
</modules>
<modules name="fftgrp" type="fftgrp" >
</modules>
<modules name="dkdgrp" type="dkdgrp" >
</modules>
<modules name="cndgrp" type="cndgrp" >
</modules>
</eibs:Module>
