<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="bod" table="bod" title="BOD - Export Collection Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Export Collection" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="agtref" column="agtref" description="Agent Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="agtact" column="agtact" description="Agent Account" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="agtcom" column="agtcom" description="Agent Commission" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpdat" column="shpdat" description="Date of Shipment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="predat" column="predat" description="Presentation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rcvdat" column="rcvdat" description="Date of Receipt of Documents" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Opening Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="advdat" column="advdat" description="Date of Advice of Documents Received" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="doctypcod" column="doctypcod" description="Collection Condition" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="matperbeg" column="matperbeg" description="Start of Maturity Period MATBEG" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="matpercnt" column="matpercnt" description="Number of Days/Months for Maturity Period" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="matpertyp" column="matpertyp" description="Days/Months or Years for Maturity Period" viewtype="Label" codetable="matpertyp" length="1" lineOrDecimalSize="1" viewlines="12" />
<datafields comments="" name="trpdoctyp" column="trpdoctyp" description="Transport Document Type" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trpdocnum" column="trpdocnum" description="Transport Document No." length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tradat" column="tradat" description="Date of Transport Document" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="tramod" column="tramod" description="Mode of Transport" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpfro" column="shpfro" description="Shipment from" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpto" column="shpto" description="Shipment to" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="waicolcod" column="waicolcod" description="Waive Collecting Bank Charges" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wairmtcod" column="wairmtcod" description="Waive Remitting Bank Charges" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chato" column="chato" description="Our Charges to" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code Risk Country!" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stagod" column="stagod" description="Goods Code" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Creation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" viewtype="Combobox" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="focflg" column="focflg" description="Free of Payment" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dircolflg" column="dircolflg" description="Direct Collection" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ccdpurflg" column="ccdpurflg" description="Payment Under Reserve" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ccdndrflg" column="ccdndrflg" description="Truncation - Physical Document Kept w OWN" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issdat" column="issdat" description="Issuing Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="paydocnum" column="paydocnum" description="Payment Document Number" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paydoctyp" column="paydoctyp" description="Payment Document Type" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="mattxtflg" column="mattxtflg" description="Multiple Tenor Flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othins" column="othins" description="Defer Payment until" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docsta" column="docsta" description="Document Set Status" codetable="docsta" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="resflg" column="resflg" description="Reservated Contract" viewtype="Checkbox" codetable="resflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendments" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="msgrol" column="msgrol" description="Receiver of second Mail" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="30" />
<datafields comments="" name="dklx" column="dklx" description="�'�款利息" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="2" />
<datafields comments="" name="cur2" column="cur2" description="�'�款币种" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lescom" column="lescom" description="less comm" datatype="numeric" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCH" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH KEY" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tracoutry" column="tracoutry" description="交易对手国别" length="40" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
