<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="bpd" table="bpd" title="BPD - Advance Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of BP Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fianam" column="fianam" description="Finance Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntnam" column="pntnam" description="Name of Parent Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fiaref" column="fiaref" description="Finance Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntref" column="pntref" description="Parent Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Open Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Close Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="intunt" column="intunt" description="Interest until" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fpdinr" column="fpdinr" description="INR of forfaiting contract used" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="intrat" column="intrat" description="Margin Spread applied to Interest Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="intday" column="intday" description="Interest Days" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="liaextid" column="liaextid" description="Tenor Advanced" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fintyp" column="fintyp" description="Type of Financing" viewtype="Combobox" codetable="fintyp" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pctfin" column="pctfin" description="Percentage" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="intirt" column="intirt" description="Rate Definition" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="punintrat" column="punintrat" description="Punish Interest Rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="tolrat" column="tolrat" description="Total Rate of the Unfunded Risk Participation" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="marrat" column="marrat" description="Marginal Rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="grarat" column="grarat" description="Grace rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH KEY" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskrat" column="rskrat" description="Risk Rate" datatype="numeric" length="3" lineOrDecimalSize="2" />
<datafields comments="" name="rsktyp" column="rsktyp" description="Finance Risk Type" codetable="rsktyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="finact" column="finact" description="Finance Account" length="21" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fortyp" column="fortyp" description="Forfaiting Type" viewtype="Combobox" codetable="fortyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lctyp" column="lctyp" description="L/C Type" viewtype="Combobox" codetable="lctyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fincod" column="fincod" description="借据号" length="17" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ovddat" column="ovddat" description="Overdue Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ovdflg" column="ovdflg" description="Overdue Flag" codetable="ovdflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feetyp" column="feetyp" description="收支标志" viewtype="Combobox" codetable="feetyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feeamt" column="feeamt" description="收入/�'�用总额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="actyld" column="actyld" description="实际利率" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="intamt" column="intamt" description="Interest Amount for Forfaiting" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="fogamt" column="fogamt" description="Foreign Charges for Forfaiting" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="fidinr" column="fidinr" description="INR of FID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="totamt" column="totamt" description="发票总金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="sndflg" column="sndflg" description="是否我行寄单" codetable="sndflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="insure" column="insure" description="是否出口信用险下融资" viewtype="Checkbox" codetable="insure" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="restcur" column="restcur" description="REST CUR" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="restamt" column="restamt" description="REST AMount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="delflg" column="delflg" description="逾期标志" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskflg" column="rskflg" description="Risk flag风险系数：0，合格" codetable="rskflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prefeeamt" column="prefeeamt" description="预扣�'�用金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="rcvflg" column="rcvflg" description="Reimbursement by" codetable="rcvflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f0102" column="f0102" description="是否附有银行承兑汇票" viewtype="Combobox" codetable="f0102" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f0104" column="f0104" description="境外付款人所属部门" viewtype="Combobox" codetable="f0104" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f0105" column="f0105" description="境外付款人与本机构的关系" viewtype="Combobox" codetable="f0105" length="1" lineOrDecimalSize="1" viewlines="4" />
<datafields comments="" name="f0103" column="f0103" description="境外付款人所属国家/地区" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jjh" column="jjh" description="信�'�借据号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hth" column="hth" description="信�'�合同号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dlfftflag" column="dlfftflag" description="代理福�'�廷登记" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ffopnrat" column="ffopnrat" description="中收利率" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="ffopnamt" column="ffopnamt" description="中收金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="branch" column="branch" description="借据网点" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="myhtha" column="myhtha" description="�'�易合同号" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="myhtje" column="myhtje" description="�'�易合同金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
</eibs:Module>
