<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="brd" table="brd" title="BRD - Document Set under Import L/C Data" i18nSequence="2" ruleSequence="1" transient="false">
<datafields comments="" name="inr" column="inr" description="INR of BR Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Own Reference BR Number" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Name of Bill Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date of Opening" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="predat" column="predat" description="Presentation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="shpdat" column="shpdat" description="Date of Shipment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="spddat" column="spddat" description="Start Past-due Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="totdat" column="totdat" description="Date to be Paid" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="advdat" column="advdat" description="Date of Advice of Payment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rcvdat" column="rcvdat" description="Date of Receipt of Documents" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="disdat" column="disdat" description="Date of Discrepancy Advice" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="docflg" column="docflg" description="Usance, Sight or Mixed" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rejflg" column="rejflg" description="Reject Flag" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="approvcod" column="approvcod" description="Documents on Approval Basis" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relgodflg" column="relgodflg" description="Release of Goods" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relgoddat" column="relgoddat" description="Request Date for Release of Goods" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="trpdocnum" column="trpdocnum" description="Transport Document Number" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frepayflg" column="frepayflg" description="Free of Payment Flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="advtyp" column="advtyp" description="Type of Advice Received" viewtype="Combobox" codetable="advtyp" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reltyp" column="reltyp" description="Release Type" viewtype="Combobox" codetable="reltyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expdat" column="expdat" description="Expiry Date of Shipping Guarantee" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rtoaplflg" column="rtoaplflg" description="Release Goods to Applicant ?" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trpdoctyp" column="trpdoctyp" description="Transport Document Type" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tradat" column="tradat" description="Date of Transport Document" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="tramod" column="tramod" description="Mode of Transport" viewtype="Combobox" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="mattxtflg" column="mattxtflg" description="Multiple Tenor Flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dscinsflg" column="dscinsflg" description="Enter Docs, Discrep. and Instructions" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docprbrol" column="docprbrol" description="Presented by" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docsta" column="docsta" description="Document Set Status" codetable="docsta" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="igndisflg" column="igndisflg" description="Ignore Discrepancies" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="totcur" column="totcur" description="Currency of Total Amount to be Paid" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="totamt" column="totamt" description="Total Amount to be Paid" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="payrol" column="payrol" description="Payer" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acpnowflg" column="acpnowflg" description="Accept Documents now" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orddat" column="orddat" description="Order Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="advdocflg" column="advdocflg" description="Return of Documents" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="szflg" column="szflg" description="申报类型" viewtype="Combobox" codetable="szflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ngrcod" column="ngrcod" description="Goods code" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sgdinr" column="sgdinr" description="Shipping Guarrantte INR Only used by Data migration" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="blnum" column="blnum" description="B/L Number" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shgref" column="shgref" description="Shipping Guarantee Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="contamt" column="contamt" description="合同金额" datatype="numeric" viewtype="Amount" length="22" lineOrDecimalSize="3" />
<datafields comments="" name="billno" column="billno" description="提运单号" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="contcur" column="contcur" description="CONTCUR" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opercode" column="opercode" description="债权人经营地所在国家/地区编码" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="crehqcode" column="crehqcode" description="债权人总部所在国家/地区编码" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="spapfeboindex" column="spapfeboindex" description="是否经外汇局特批不需占用指标" codetable="spapfeboindex" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ordpaydat" column="ordpaydat" description="付款到期日" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="yfcur" column="yfcur" description="应付币种" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="yfamt" column="yfamt" description="应付金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="draft" column="draft" description="Draft number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oldmatdat" column="oldmatdat" description="变更前到期日" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="jyqflg" column="jyqflg" description="混合付款即期标志" length="1" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="spapfeboindex" type="default" codeText="@0000" order="1000" moduleName="brd" />
</eibs:Module>
