<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="casp" table="casp" transient="true" i18nSequence="37" ruleSequence="12">
  <datafields name="pansta" column="pansta" description="Panel-Status: 'I'nfo, 'A'dd, 'E'dit, 'D'elete"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="casstm" column="casstm" description="CAS STREAM" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="oldjjh" column="oldjjh" description="OLDJJH" length="20" lineOrDecimalSize="1"/>
  <datafields name="sta" column="sta" description="sta" length="40" lineOrDecimalSize="1"/>
  <datafields name="totalamt" column="totalamt" description="保证金总金额" datatype="numeric"
      length="16" lineOrDecimalSize="2"/>
  <datafields name="bzjamttext" column="bzjamttext" description="保证金描述" length="14"
      lineOrDecimalSize="1"/>
  <datafields name="prtpanblk" column="prtpanblk" description="XMLPanel prtpan的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <modules name="casgrp" type="casgrp"/>
  <modules name="prtmod" type="prtmod"/>
  <modules name="caslst" type="cas" list="true" pageSize="1" initSize="15"/>
  <panels name="prtpan" description="PD000001" width="800" height="600">
    <components path="prtpanblk" viewType="Block" widthUnit="%" left="0" top="0" height="100"
        heightUnit="%"/>
  </panels>
  <panels name="gkp" description="PD000002" width="788" height="528">
    <components path="bzjamttext" viewType="Label" width="93" enabled="false" left="492"
        top="37" height="22"/>
    <components path="casgrp\rec\jjh" width="133" left="232" top="36" height="22"/>
    <components path="totalamt" width="106" left="577" top="36" height="22"/>
    <components viewType="Label" text="S0000003" left="140" top="36" height="22"/>
  </panels>
  <localMethods name="callInterfaceByStream" type="local" codeText="@0001" moduleName="casp"/>
  <localMethods name="getLineField" type="local" codeText="@0002" moduleName="casp"/>
  <localMethods name="selectCAS" type="local" codeText="@0005" moduleName="casp"/>
  <initRules name="\" type="init" codeText="@0000" order="1" moduleName="casp"/>
  <initRules name="\" type="init" codeText="@0006" order="2" moduleName="casp"/>
  <defaultRules name="oldjjh" type="default" codeText="@0007" order="1000" moduleName="casp"/>
  <defaultRules name="caslst" type="default" codeText="@0008" order="1000" moduleName="casp"/>
  <defaultRules name="totalamt" type="default" codeText="@0010" order="1000" moduleName="casp"/>
  <defaultRules name="bzjamttext" type="default" codeText="@0011" order="1000" moduleName="casp"/>
  <checkRules name="casstm" type="check" codeText="@0003" order="1000" moduleName="casp"/>
  <checkRules name="casgrp\rec\jjh" type="check" codeText="@0004" order="1000" moduleName="casp"/>
  <eventRules name="caslst" type="event" codeText="@0009" order="1000" moduleName="casp"/>
</eibs:Module>
