<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="cbb" table="cbb" title="CBB - CBS Balance per Column and Date Range" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of CBS Balance" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cbc" column="cbc" description="CBS Column" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extid" column="extid" description="External ID" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="begdat" column="begdat" description="Begin of Validity Incl." datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="enddat" column="enddat" description="End of Validity Excl." datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cur" column="cur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Balance" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="cbeinr" column="cbeinr" description="INR of Originating CBE Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrfcur" column="xrfcur" description="Currency of Converted Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrfamt" column="xrfamt" description="Converted Balance" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="comcur" column="comcur" description="Currency of Committed Balance" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="comamt" column="comamt" description="Committed Balance" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="xcocur" column="xcocur" description="Currency of Converted Committed Balance" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xcoamt" column="xcoamt" description="Converted Committed Balance" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="frenum" column="frenum" description="冻结编号" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usdamt" column="usdamt" description="USDAMT" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="usdcur" column="usdcur" description="USDCUR" length="3" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
