<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="cca" table="cca" title="CCA - Common Contract Archive" transient="true">
<datafields comments="" name="objtyp" column="objtyp" description="Object Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Associated Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date L/C Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date L/C Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amedat" column="amedat" description="Date of Last Amendment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expdat" column="expdat" description="Valid until" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="arcdat" column="arcdat" description="Archived" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="relcur" column="relcur" description="Currency of Relevant Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relamt" column="relamt" description="Relevant Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="filid" column="filid" description="File-Id of Archive File" length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
