<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="cld" table="cld" title="CLD - Batch collection Data" transient="false">
<datafields comments="" name="inr" column="inr" description="INR of BC-contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="resp. user" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chktyp" column="chktyp" description="汇票类型" codetable="chktyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="colptyinr" column="colptyinr" description="Coll. bank inr." length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="colptynam" column="colptynam" description="Collecting bank name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Batch No." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="colptyref" column="colptyref" description="Collecting bank ref." length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="open date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="colptainr" column="colptainr" description="Collecting bank Address8" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Name of CC contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="colflg" column="colflg" description="付款类型" codetable="colflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="valdat" column="valdat" description="Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="count" column="count" description="ITEM COUNT" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="colref" column="colref" description="COLL BANK REF" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="creact" column="creact" description="Credit to Account" codetable="creact" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acno" column="acno" description="A/C NO." length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="regref" column="regref" description="Register Ref." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH KEY INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
