<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="clr" table="clr" title="" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Clearing" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="smhinr" column="smhinr" description="Inr of SMH" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="Date of Payment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registration" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clsdat" column="clsdat" description="Closing Date of Contract" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="Branch INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trntyp" column="trntyp" description="Transaction Type" viewtype="Combobox" codetable="trntyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="srctyp" column="srctyp" description="Source Object Type" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="srcinr" column="srcinr" description="Source Object Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sta" column="sta" description="Status" viewtype="Combobox" codetable="sta" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="errmsg" column="errmsg" description="Error Messages" datatype="block" viewtype="Block" length="40" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="sndptyinr" column="sndptyinr" description="Sender's PTY INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="bussec" column="bussec" description="Business Sector" codetable="bussec" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="selconref" column="selconref" description="Referenct of selected contract" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="selconfrm" column="selconfrm" description="Process frame of selected contract" length="12" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
