<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="cpd" table="cpd" title="CPD - Clean Payment Data" ruleSequence="1" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of CP Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="18" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyeptyinr" column="pyeptyinr" description="Payee Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyeptainr" column="pyeptainr" description="Payee Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyenam" column="pyenam" description="Payee" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyeref" column="pyeref" description="Payee Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pybptyinr" column="pybptyinr" description="Paying Bank Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pybptainr" column="pybptainr" description="Paying Bank Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pybnam" column="pybnam" description="Paying Bank" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pybref" column="pybref" description="Paying Bank Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcptyinr" column="orcptyinr" description="Ordering Customer Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcptainr" column="orcptainr" description="Ordering Customer Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcnam" column="orcnam" description="Ordering Customer" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcref" column="orcref" description="Ordering Customer Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oriptyinr" column="oriptyinr" description="Ordering Institution Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oriptainr" column="oriptainr" description="Ordering Institution Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orinam" column="orinam" description="Ordering Institution" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oriref" column="oriref" description="Ordering Institution Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="valdat" column="valdat" description="Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date of Payment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="chato" column="chato" description="Our Charges to" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Creation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="detchgcod" column="detchgcod" description="Details of Charges" viewtype="Combobox" codetable="detchgcod" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paytyp" column="paytyp" description="Payment Type" viewtype="Combobox" codetable="paytyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stagod" column="stagod" description="Good's Code for Statistics" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code for Statistics" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jjh" column="jjh" description="�'�款借据号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sysno" column="sysno" description="清算编号" length="21" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othbch" column="othbch" description="所属行" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="gors" column="gors" description="收款对象" codetable="gors" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feecur" column="feecur" description="国外�'�用币种" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feeamt" column="feeamt" description="国外�'�用金额" datatype="numeric" viewtype="Amount" length="16" lineOrDecimalSize="2" />
<datafields comments="" name="trntyp" column="trntyp" description="汇款性�'�" codetable="trntyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paytype" column="paytype" description="汇款方式" codetable="paytype" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paydat" column="paydat" description="付款日期" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clityp" column="clityp" description="客户类型" codetable="clityp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trdint" column="trdint" description="结汇类型" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="curf33b" column="curf33b" description="原始币种" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur71f" column="cur71f" description="发报行扣�'�币种" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt71f" column="amt71f" description="发报行扣�'�金额" datatype="numeric" length="16" lineOrDecimalSize="3" />
<datafields comments="" name="amtf33b" column="amtf33b" description="原始金额" datatype="numeric" viewtype="Amount" length="16" lineOrDecimalSize="3" />
<datafields comments="" name="f36" column="f36" description="汇率" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="f23e" column="f23e" description="指令代码" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f23b" column="f23b" description="银行操作码" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trdout" column="trdout" description="售汇类型" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="swftyp" column="swftyp" description="swift type" codetable="swftyp" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trdinr" column="trdinr" description="inr of trd" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rel21" column="rel21" description="Rel21" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCHINR CODE KEY" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accmod" column="accmod" description="�'�户类型" codetable="accmod" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sztyp" column="sztyp" description="收支类型" codetable="sztyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sndbanref" column="sndbanref" description="发报行原始编号" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcact" column="orcact" description="汇款人帐号" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyeact" column="pyeact" description="收款人帐号" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="canflg" column="canflg" description="Cancel flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="custyp" column="custyp" description="Custom type for FXQ" codetable="custyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="diptyp" column="diptyp" description="业务处理类型" codetable="diptyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="payflg" column="payflg" description="Domestic Remittance" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rtgmod" column="rtgmod" description="RTGS Tr Type" codetable="rtgmod" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nxtbranchinr" column="nxtbranchinr" description="Next BRANCHINR" viewtype="Combobox" codetable="nxtbranchinr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="flg" column="flg" description="手工录入清算" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt1" column="amt1" description="汇款金额1" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="cur1" column="cur1" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur2" column="cur2" description="new datafield" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur3" column="cur3" description="new datafield" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt2" column="amt2" description="new datafield" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="amt3" column="amt3" description="new datafield" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="orcact1" column="orcact1" description="" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcact2" column="orcact2" description="new datafield" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcact3" column="orcact3" description="new datafield" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="awiextkey" column="awiextkey" description="BENEFICIARY'S BANK SWIFT BIC" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="kfact" column="kfact" description="扣�'��'�号" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orctel" column="orctel" description="汇款方电话" length="15" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcoper" column="orcoper" description="网银操作员" length="15" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dklx" column="dklx" description="�'�款利息" datatype="numeric" length="18" lineOrDecimalSize="2" />
<datafields comments="" name="typ59" column="typ59" description="59栏类型" codetable="typ59" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frzeno" column="frzeno" description="冻结编号" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="uetr" column="uetr" description="end to end ownref" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="gpiflag" column="gpiflag" description="GPI标识" viewtype="Combobox" codetable="gpiflag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acsp" column="acsp" description="无法解付原因" viewtype="Combobox" codetable="acsp" length="7" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="netflg" column="netflg" description="网银收汇" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="zmqsta" column="zmqsta" description="自�'�区业务总行清算标志" codetable="zmqsta" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="awiact" column="awiact" description="代理行�'�号" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="awibic" column="awibic" description="代理行BIC" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="t21tel33n" column="t21tel33n" description="T21TEL33N" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="t21ben59" column="t21ben59" description="T21BEN59" length="100" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tracoutry" column="tracoutry" description="交易对手国别" length="40" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="f36" type="default" codeText="@0000" order="1000" moduleName="cpd" />
</eibs:Module>
