<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="cpdgrp" table="cpdgrp" title="Contract Group Clean Payment " i18nSequence="4" ruleSequence="7" transient="true">
<datafields comments="" name="orctmpflg" column="orctmpflg" description="Use of temp addresses for Ordering Customer" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oritmpflg" column="oritmpflg" description="Use of temp addresses for Ordering Institution" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pybtmpflg" column="pybtmpflg" description="Use of temp addresses for Paying Bank" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyetmpflg" column="pyetmpflg" description="Use of temp addresses for Beneficiary" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcptyflg" column="orcptyflg" description="Use of Ordering Customer in Settlment/Booking possible" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oriptyflg" column="oriptyflg" description="Use of Ordering Institution in Settlment/Booking possible" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pybptyflg" column="pybptyflg" description="Use of Paying Bank in Settlment/Booking possible" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyeptyflg" column="pyeptyflg" description="Use of Beneficiary in Settlment/Booking possible" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="midbank" column="midbank" description="midbank" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="midacc" column="midacc" description="midacc" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aba" column="aba" description="aba" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bsb" column="bsb" description="bsb" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feemark" column="feemark" description="feemark" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ornbank" column="ornbank" description="ornbank" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oribank" column="oribank" description="oribank" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oriaccbank" column="oriaccbank" description="oriaccbank" length="65" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="setTempAddressFlg" codeText="@0000" moduleName="cpdgrp"/>
<eventRules name="rec\paytyp" type="event" codeText="@0001" order="1000" moduleName="cpdgrp" />
<localMethods type="local" name="setSettlementFlg" codeText="@0002" moduleName="cpdgrp"/>
<defaultRules name="orctmpflg" type="default" codeText="@0003" order="1000" moduleName="cpdgrp" />
<modules name="rec" type="cpd" >
</modules>
<modules name="blk" type="cpt" >
</modules>
<modules name="cbs" type="cpacbs" >
</modules>
<modules name="orc" type="ptspta" >
<arguments name="tmpflg" value="orctmpflg"/>
<arguments name="typflg" value="orcptytypflg"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ori" type="ptspta" >
<arguments name="tmpflg" value="oritmpflg"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="!"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="pyb" type="ptspta" >
<arguments name="tmpflg" value="pybtmpflg"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="!M"/>
</modules>
<modules name="pye" type="ptspta" >
<arguments name="tmpflg" value="pyetmpflg"/>
<arguments name="typflg" value="pyeptytypflg"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="!M"/>
</modules>
<datafields comments="" name="orcbank" column="orcbank" description="orcbank" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcptytypflg" column="orcptytypflg" description="Type of orc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyeptytypflg" column="pyeptytypflg" description="Type of pye" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stanam" column="stanam" description="Country code" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchcor" column="bchcor" description="new datafield" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cc" column="cc" description="cc" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyeacc" column="pyeacc" description="收款人�'�号加CC�'�号" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="awicur" column="awicur" description="收款人�'�号币种" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="awiact" column="awiact" description="代理行�'�号" length="35" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="setOrderInst" type="default" codeText="@0004" order="1000" moduleName="cpdgrp" >
<paths>ori\pts\extkey</paths>
</defaultRules>
<defaultRules name="stanam" type="default" codeText="@0005" order="1000" moduleName="cpdgrp" />
<eventRules name="rec\stacty" type="event" codeText="@0006" order="1000" moduleName="cpdgrp" />
<modules name="med" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="rmt" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="snd" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="!"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="acs" type="ptspta" >
<arguments name="tmpflg" value="! "/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="awi" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ini" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
</eibs:Module>
