<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="dfd" table="dfd" title="" transient="false">
<datafields comments="" name="inr" column="inr" description="INR of Loan Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Name of Loan Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntnam" column="pntnam" description="Parent Contract Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntref" column="pntref" description="Parent Contract Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issdat" column="issdat" description="Date Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="lstintdat" column="lstintdat" description="Last Interest Settlement" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="stttendat" column="stttendat" description="Start Date Tenor" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="spddat" column="spddat" description="Start Past-due Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date Opened" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="tenday" column="tenday" description="Tenor Days" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="actfinday" column="actfinday" description="Actual Financed Days" datatype="numeric" length="5" lineOrDecimalSize="0" />
<datafields comments="" name="intrat" column="intrat" description="Margin Spread applied to Interest Rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" viewtype="Combobox" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="irtcod" column="irtcod" description="Base Rate" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extnmb" column="extnmb" description="Number of Extensions" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="fintyp" column="fintyp" description="Type of Financing" codetable="fintyp" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pctfin" column="pctfin" description="% Financed" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="stagod" column="stagod" description="Good's Code for Statistics" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code for Statistics" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="marrat" column="marrat" description="Marginal Rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="grarat" column="grarat" description="Grace rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="actrat" column="actrat" description="actural rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dfrate" column="dfrate" description="代付利率" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="netref" column="netref" description="网上代付编号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dftype" column="dftype" description="代付类型" viewtype="Combobox" codetable="dftype" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bnksercur" column="bnksercur" description="银行服务�'�币别" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bnkseramt" column="bnkseramt" description="银行服务金额" datatype="numeric" length="12" lineOrDecimalSize="2" />
<datafields comments="" name="xjsercur" column="xjsercur" description="香江服务�'�币别" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xjseramt" column="xjseramt" description="香江服务金额" datatype="numeric" length="12" lineOrDecimalSize="2" />
<datafields comments="" name="bli" column="bli" description="�'�用分配比例" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="myhtha" column="myhtha" description="贸易合同号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="myhtje" column="myhtje" description="贸易合同金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
</eibs:Module>
