<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="diacon" table="diacon" title="Module to handle Diaries in Contracts"
    transient="true" i18nSequence="34" ruleSequence="12">
  <datafields name="objtyp" column="objtyp" description="Object Type of Associated Contract"
      length="3" lineOrDecimalSize="1" access="private"/>
  <datafields name="objinr" column="objinr" description="Object INR of Associated Contract"
      lineOrDecimalSize="1" access="private"/>
  <datafields name="objsql" column="objsql" description="SQL to define higher/subordinate contracts Optional"
      length="250" lineOrDecimalSize="1" access="private"/>
  <datafields name="subflg" column="subflg" description="with higher/subordinate contracts"
      viewtype="Checkbox" length="1" lineOrDecimalSize="1" access="private"/>
  <datafields name="diastm" column="diastm" description="Display Stream of Diaries"
      datatype="stream" viewtype="Block" length="1" access="private"/>
  <datafields name="butadd" column="butadd" description="Add New" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butmod" column="butmod" description="Modify" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butdel" column="butdel" description="Delete" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butexi" column="butexi" description="Exit" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="txtlbl" column="txtlbl" description="Description to which object diaries are shown"
      viewtype="Label" length="90" lineOrDecimalSize="1" access="private"/>
  <datafields name="butdia" column="butdia" description="Diary" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="selrow" column="selrow" description="flag whether row in DIASTM selected"
      length="1" lineOrDecimalSize="1" access="private"/>
  <datafields name="seainf" column="seainf" datatype="control" viewtype="Button" length="3"
      lineOrDecimalSize="1"/>
  <modules name="dia" type="dia"/>
  <modules name="diap0" type="diap0">
    <arguments name="rec" value="dia"/>
  </modules>
  <panels name="diaselp" description="PD000001" width="788" height="400" visible="false"
      popup="true">
    <components path="txtlbl" viewType="Label" width="600" enabled="false" height="22"/>
    <components path="butadd" viewType="Button" width="66" text="CF000004" left="724"
        height="22"/>
    <components path="butmod" viewType="Button" width="66" text="CF000005" left="724"
        top="32" height="22"/>
    <components path="butdel" viewType="Button" width="66" text="CF000006" left="724"
        top="56" height="22"/>
    <components path="butexi" viewType="Button" width="66" text="CF000007" left="724"
        top="372" height="22"/>
    <components path="diastm" width="700" top="30" height="362"/>
    <components path="subflg" viewType="Checkbox" width="75" enabled="false" text="CF000033"
        left="532" height="22"/>
  </panels>
  <localMethods name="fillDIASTM" type="local" codeText="@0003" moduleName="diacon"/>
  <localMethods name="showDiaryofContract" type="local" codeText="@0004" moduleName="diacon"/>
  <localMethods name="getFldlst" type="local" codeText="@0011" moduleName="diacon"/>
  <initRules name="\" type="init" codeText="@0010" order="800" moduleName="diacon"/>
  <defaultRules name="seainf" type="default" codeText="@0002" order="1000" moduleName="diacon"/>
  <defaultRules name="butmod" type="default" codeText="@0007" order="800" moduleName="diacon"/>
  <defaultRules name="butdel" type="default" codeText="@0008" order="800" moduleName="diacon"/>
  <defaultRules name="diap0\buttak" type="default" codeText="@0009" order="1000" moduleName="diacon"/>
  <eventRules name="butexi" type="event" codeText="@0000" order="1000" moduleName="diacon"/>
  <eventRules name="diastm" type="event" codeText="@0001" order="1000" moduleName="diacon"/>
  <eventRules name="subflg" type="event" codeText="@0005" order="1000" moduleName="diacon"/>
  <eventRules name="diastm" type="event" codeText="@0006" order="1000" moduleName="diacon"/>
</eibs:Module>
