<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="docbol" table="docbol" title="Module to handle BOLERO messages" i18nSequence="4" ruleSequence="20" transient="true">
<datafields comments="" name="docdir" column="docdir" description="Directory for incoming documents" length="64" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ascin" column="ascin" description="document as stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="lev" column="lev" description="Recursion level in XML" datatype="numeric" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="lasttag" column="lasttag" description="Tag on previous Level" length="124" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prelasttag" column="prelasttag" description="Tag before LastTag" length="124" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wrktag" column="wrktag" description="Tag on previous Level" length="124" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownrid" column="ownrid" description="Own Rid" length="64" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="title" column="title" description="Title" length="80" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="loadBOLfromSMH" codeText="@0000" moduleName="docbol"/>
<initRules name="\" type="init" codeText="@0001" order="1000" moduleName="docbol" />
<localMethods type="local" name="showStream" codeText="@0002" moduleName="docbol"/>
<localMethods type="local" name="menuBoleroasRaw" codeText="@0003" moduleName="docbol"/>
<localMethods type="local" name="menuPrintRaw" codeText="@0004" moduleName="docbol"/>
<eventRules name="prtp" type="event" eventType="onPanelShow" codeText="@0005" order="100" moduleName="docbol" />
<localMethods type="local" name="xmlStartElement" codeText="@0006" moduleName="docbol"/>
<localMethods type="local" name="xmlEndElement" codeText="@0007" moduleName="docbol"/>
<localMethods type="local" name="xmlStartDocument" codeText="@0008" moduleName="docbol"/>
<localMethods type="local" name="printElement" codeText="@0009" moduleName="docbol"/>
<localMethods type="local" name="xmlCharacterData" codeText="@0010" moduleName="docbol"/>
<localMethods type="local" name="bolStripContent" codeText="@0011" moduleName="docbol"/>
<localMethods type="local" name="convertTag" codeText="@0012" moduleName="docbol"/>
<localMethods type="local" name="xmlEndDocument" codeText="@0013" moduleName="docbol"/>
<localMethods type="local" name="getOwnBOLRid" codeText="@0014" moduleName="docbol"/>
<localMethods type="local" name="showDocumentFromSMH" codeText="@0015" moduleName="docbol"/>
<localMethods type="local" name="bolPopupStream" codeText="@0016" moduleName="docbol"/>
<localMethods type="local" name="trimStream" codeText="@0017" moduleName="docbol"/>
<panels name="prtp" description="PD000000" width="800"  height="600" signDefination="">
<components path="prtpblk" width="100" widthUnit="%" left="0" top="0" height="100" heightUnit="%" viewType="Block" />
</panels>
<datafields comments="" name="prtpblk" column="prtpblk" description="XMLPanel prtp的内置block" datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10" />
<localMethods type="local" name="setBOLOWNROL" codeText="@0018" moduleName="docbol"/>
<localMethods type="local" name="bolGetCodeDesc" codeText="@0019" moduleName="docbol"/>
</eibs:Module>
