<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="docimm" table="docimm" title=" " transient="true" i18nSequence="435"
    ruleSequence="126">
  <datafields name="filename" column="filename" description="Name of .SF2 File" length="255"
      lineOrDecimalSize="1"/>
  <datafields name="ascin" column="ascin" description="Message as stream" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="lastfilename" column="lastfilename" description="Filename of file currently loaded"
      length="255" lineOrDecimalSize="1"/>
  <datafields name="title" column="title" description="Title" length="80" lineOrDecimalSize="1"/>
  <datafields name="prtfilename" column="prtfilename" description="Name of generated print file"
      length="255" lineOrDecimalSize="1"/>
  <datafields name="cltprg" column="cltprg" description="Type of CLient" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" viewlines="2" codetable="cltprg"/>
  <datafields name="fldstream" column="fldstream" description="Messagefields as stream from SwiftConvert"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="namestream" column="namestream" description="tags in fldstream"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="sector" column="sector" description="Business Sector" length="2"
      lineOrDecimalSize="1"/>
  <datafields name="msgnam" column="msgnam" description="Name of Message" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="tagovr" column="tagovr" description="Content of TAGOVR.INI" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="tagovrfile" column="tagovrfile" description="Filename of TAGOVR.INI"
      length="12" lineOrDecimalSize="1"/>
  <datafields name="tagsup" column="tagsup" description="Content of TAGSUP.INI" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="tagsupfile" column="tagsupfile" description="Filename of TAGSUP.INI"
      length="12" lineOrDecimalSize="1"/>
  <datafields name="tagovrmt" column="tagovrmt" description="MT for current TAGOVRMTPOS"
      length="6" lineOrDecimalSize="1"/>
  <datafields name="tagovrmtpos" column="tagovrmtpos" description="First Line for MT in TAGOVR"
      datatype="numeric" length="6"/>
  <datafields name="tagovrmtlst" column="tagovrmtlst" description="Last Line for MT in TAGOVR"
      datatype="numeric" length="6"/>
  <datafields name="tagsupsftfldpos" column="tagsupsftfldpos" description="First Line for [SFT-FLD] in TAGSUP"
      datatype="numeric" length="6"/>
  <datafields name="tagsupsftfldlst" column="tagsupsftfldlst" description="Last Line for [SFT-FLD] in TAGSUP"
      datatype="numeric" length="6"/>
  <datafields name="tagsupfiotagpos" column="tagsupfiotagpos" description="First Line for [SWIFT-FIOTAG] in TAGSUP"
      datatype="numeric" length="6"/>
  <datafields name="tagsupfiotaglst" column="tagsupfiotaglst" description="Last Line for [SWIFT-FIOTAG] in TAGSUP"
      datatype="numeric" length="6"/>
  <datafields name="msg701" column="msg701" description="Content for MT701" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="msgctl" column="msgctl" description="List of Start/Length information for created messages"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="cortyptec" column="cortyptec" description="List of technical CORTYPes"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="cortypatm" column="cortypatm" description="list of Cortypes, which can have attachments"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="swtmaxlen" column="swtmaxlen" description="maximum length of a block 4:\ of an SWT message"
      datatype="numeric" length="6"/>
  <datafields name="swtdspflg" column="swtdspflg" description="Display flag for Swift"
      length="1" lineOrDecimalSize="1" codetable="swtdspflg"/>
  <datafields name="lstmt" column="lstmt" description="Last MT" length="3" lineOrDecimalSize="1"/>
  <datafields name="cltprtflg" column="cltprtflg" description="Print System" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="cltprtflg"/>
  <datafields name="dspfmt" column="dspfmt" description="Display Format" viewtype="Combobox"
      length="3" lineOrDecimalSize="1" codetable="dspfmt"/>
  <datafields name="outfmt" column="outfmt" description="Output Format for PrintAllTags"
      viewtype="Combobox" length="3" lineOrDecimalSize="1" codetable="outfmt"/>
  <datafields name="outstm" column="outstm" description="Output Stream for MakeStreamFriomSwift"
      datatype="stream" viewtype="Block" length="3" lineOrDecimalSize="1"/>
  <datafields name="etypth" column="etypth" description="Path to instance of entity"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="ediin" column="ediin" description="EDIIN" datatype="stream" viewtype="Block"
      length="1"/>
  <datafields name="titleedi" column="titleedi" description="EDI Title" length="80"
      lineOrDecimalSize="1"/>
  <datafields name="msgtxt" column="msgtxt" description="SWIFT TEXT" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="cn" column="cn" description="次数" datatype="numeric" length="16"/>
  <datafields name="bopstm" column="bopstm" description="bopnet stream" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="filenamebop" column="filenamebop" description="file name for bop net"
      length="255" lineOrDecimalSize="1"/>
  <datafields name="bopnetpblk" column="bopnetpblk" description="XMLPanel bopnetp的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="prtswtpblk" column="prtswtpblk" description="XMLPanel prtswtp的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="xmldocblk" column="xmldocblk" description="XMLPanel xmldoc的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="prtswtrpblk" column="prtswtrpblk" description="XMLPanel prtswtrp的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <modules name="adr" type="adr" static="true"/>
  <modules name="smh" type="smh"/>
  <modules name="pta" type="pta"/>
  <modules name="docbol" type="docbol"/>
  <modules name="ptm" type="ptm"/>
  <modules name="prt" type="prt"/>
  <modules name="bopnet" type="bopnet"/>
  <panels name="prtswtr" description="PD000049" width="790" height="513" visible="false"
      popup="true">
    <components path="ascin" width="6" required="true" left="5" top="0" height="22"/>
  </panels>
  <panels name="bopnetp" description="PD000405" width="800" height="600">
    <components path="bopnetpblk" viewType="Block" widthUnit="%" left="0" top="0"
        height="100" heightUnit="%"/>
  </panels>
  <panels name="prtswtp" description="PD000060" width="800" height="600">
    <components path="prtswtpblk" viewType="Block" widthUnit="%" left="0" top="0"
        height="100" heightUnit="%"/>
  </panels>
  <panels name="xmldoc" description="PD000061" width="800" height="600">
    <components path="xmldocblk" viewType="Block" widthUnit="%" left="0" top="0" height="100"
        heightUnit="%"/>
  </panels>
  <panels name="prtswtrp" description="PD000062" width="800" height="600">
    <components path="prtswtrpblk" viewType="Block" widthUnit="%" left="0" top="0"
        height="100" heightUnit="%"/>
  </panels>
  <globalMethods name="getDocumentFdr" codeText="@0029" moduleName="docimm"/>
  <globalMethods name="getDocumentPathAndName" codeText="@0046" moduleName="docimm"/>
  <globalMethods name="stripSwiftStream" codeText="@0077" moduleName="docimm"/>
  <globalMethods name="stripTelexStream" codeText="@0079" moduleName="docimm"/>
  <localMethods name="popupStreamRaw" type="local" codeText="@0000" moduleName="docimm"/>
  <localMethods name="execPopupTitledFrame" type="local" codeText="@0001" moduleName="docimm"/>
  <localMethods name="swtGetTagDesc" type="local" codeText="@0003" moduleName="docimm"/>
  <localMethods name="swtGetTagFormat" type="local" codeText="@0004" moduleName="docimm"/>
  <localMethods name="loadSwiftFile" type="local" codeText="@0005" moduleName="docimm"/>
  <localMethods name="analyseSwiftStream" type="local" codeText="@0006" moduleName="docimm"/>
  <localMethods name="printAllTags" type="local" codeText="@0007" moduleName="docimm"/>
  <localMethods name="printLocalFooter" type="local" codeText="@0009" moduleName="docimm"/>
  <localMethods name="printLocalHeader" type="local" codeText="@0010" moduleName="docimm"/>
  <localMethods name="menuSwiftasRaw" type="local" codeText="@0011" moduleName="docimm"/>
  <localMethods name="loadDocument" type="local" codeText="@0012" moduleName="docimm"/>
  <localMethods name="popupDocFromSMH" type="local" codeText="@0013" moduleName="docimm"/>
  <localMethods name="popupStreamAsSwift" type="local" codeText="@0014" moduleName="docimm"/>
  <localMethods name="popupStreamRawFromSMH" type="local" codeText="@0015" moduleName="docimm"/>
  <localMethods name="printDocFromSMH" type="local" codeText="@0016" moduleName="docimm"/>
  <localMethods name="setFileName" type="local" codeText="@0017" moduleName="docimm"/>
  <localMethods name="swtGetOVRTag" type="local" codeText="@0018" moduleName="docimm"/>
  <localMethods name="getIniFromStream" type="local" codeText="@0019" moduleName="docimm"/>
  <localMethods name="swtGetFIOTag" type="local" codeText="@0020" moduleName="docimm"/>
  <localMethods name="messageHeader" type="local" codeText="@0023" moduleName="docimm"/>
  <localMethods name="menuPrintRaw" type="local" codeText="@0024" moduleName="docimm"/>
  <localMethods name="includeStreamAsSwift" type="local" codeText="@0025" moduleName="docimm"/>
  <localMethods name="popupFile" type="local" codeText="@0026" moduleName="docimm"/>
  <localMethods name="make999fromSwt" type="local" codeText="@0027" moduleName="docimm"/>
  <localMethods name="makeStreamFromSwt" type="local" codeText="@0028" moduleName="docimm"/>
  <localMethods name="printDoc" type="local" codeText="@0030" moduleName="docimm"/>
  <localMethods name="mt701Extract" type="local" codeText="@0031" moduleName="docimm"/>
  <localMethods name="mt701Init" type="local" codeText="@0032" moduleName="docimm"/>
  <localMethods name="mt701Put" type="local" codeText="@0033" moduleName="docimm"/>
  <localMethods name="splitMsg" type="local" codeText="@0034" moduleName="docimm"/>
  <localMethods name="splitMT700" type="local" codeText="@0035" moduleName="docimm"/>
  <localMethods name="splitMsgGetCtl" type="local" codeText="@0036" moduleName="docimm"/>
  <localMethods name="printHeaderUntilEOH" type="local" codeText="@0037" moduleName="docimm"/>
  <localMethods name="getNewMT" type="local" codeText="@0038" moduleName="docimm"/>
  <localMethods name="rtrim" type="local" codeText="@0039" moduleName="docimm"/>
  <localMethods name="popupStreamRAWInfo" type="local" codeText="@0040" moduleName="docimm"/>
  <localMethods name="includeSMHAsSwift" type="local" codeText="@0041" moduleName="docimm"/>
  <localMethods name="swtReadAdrByBICinternal" type="local" codeText="@0043" moduleName="docimm"/>
  <localMethods name="setTagSupFile" type="local" codeText="@0044" moduleName="docimm"/>
  <localMethods name="setDisplayFormat" type="local" codeText="@0045" moduleName="docimm"/>
  <localMethods name="makePDF" type="local" codeText="@0047" moduleName="docimm"/>
  <localMethods name="makePDFFromSMH" type="local" codeText="@0048" moduleName="docimm"/>
  <localMethods name="includeIncomingAsSwift" type="local" codeText="@0049" moduleName="docimm"/>
  <localMethods name="checkMsgLength" type="local" codeText="@0050" moduleName="docimm"/>
  <localMethods name="makeTMF" type="local" codeText="@0051" moduleName="docimm"/>
  <localMethods name="getCORTYPFromFileName" type="local" codeText="@0052" moduleName="docimm"/>
  <localMethods name="popupDocWithSMH" type="local" codeText="@0053" moduleName="docimm"/>
  <localMethods name="getViewerFromSMH" type="local" codeText="@0054" moduleName="docimm"/>
  <localMethods name="popupStreamAsSWIFTWithSMH" type="local" codeText="@0055" moduleName="docimm"/>
  <localMethods name="splitFileName" type="local" codeText="@0056" moduleName="docimm"/>
  <localMethods name="docIMMSetEty" type="local" codeText="@0057" moduleName="docimm"/>
  <localMethods name="isCORTYPTechnical" type="local" codeText="@0058" moduleName="docimm"/>
  <localMethods name="hasTAGSUP" type="local" codeText="@0059" moduleName="docimm"/>
  <localMethods name="splitMsgDTAInc" type="local" codeText="@0060" moduleName="docimm"/>
  <localMethods name="checkMsgLengthInternal" type="local" codeText="@0061" moduleName="docimm"/>
  <localMethods name="replaceMTags" type="local" codeText="@0062" moduleName="docimm"/>
  <localMethods name="makePDFfromTMF" type="local" codeText="@0063" moduleName="docimm"/>
  <localMethods name="printDocWithSMH" type="local" codeText="@0064" moduleName="docimm"/>
  <localMethods name="loadDocumentbyViewer" type="local" codeText="@0065" moduleName="docimm"/>
  <localMethods name="t79ExecuteSplit" type="local" codeText="@0066" moduleName="docimm"/>
  <localMethods name="swtGetAdrFromTID" type="local" codeText="@0067" moduleName="docimm"/>
  <localMethods name="swtGetAdrFromPTM" type="local" codeText="@0068" moduleName="docimm"/>
  <localMethods name="getCORTYPCanHaveAttachment" type="local" codeText="@0069" moduleName="docimm"/>
  <localMethods name="swtGetAdrtxtfromAdr" type="local" codeText="@0070" moduleName="docimm"/>
  <localMethods name="printAllFldStream" type="local" codeText="@0071" moduleName="docimm"/>
  <localMethods name="printMT" type="local" codeText="@0072" moduleName="docimm"/>
  <localMethods name="printTimeStamp" type="local" codeText="@0073" moduleName="docimm"/>
  <localMethods name="swtGetAdrFromBIC" type="local" codeText="@0074" moduleName="docimm"/>
  <localMethods name="tlxCreateHeaderBlock" type="local" codeText="@0075" moduleName="docimm"/>
  <localMethods name="specialHandledExternal" type="local" codeText="@0076" moduleName="docimm"/>
  <localMethods name="printSwiftLine" type="local" codeText="@0080" moduleName="docimm"/>
  <localMethods name="setDisplayFormatDefault" type="local" codeText="@0081" moduleName="docimm"/>
  <localMethods name="printLine" type="local" codeText="@0082" moduleName="docimm"/>
  <localMethods name="getTagSupFile" type="local" codeText="@0083" moduleName="docimm"/>
  <localMethods name="sendMessageStatus" type="local" codeText="@0084" moduleName="docimm"/>
  <localMethods name="getCORTYPTechnical" type="local" codeText="@0085" moduleName="docimm"/>
  <localMethods name="getCORTYPFromFormat" type="local" codeText="@0086" moduleName="docimm"/>
  <localMethods name="swtFormatCodeValue" type="local" codeText="@0087" moduleName="docimm"/>
  <localMethods name="getFormatFromCortyp" type="local" codeText="@0088" moduleName="docimm"/>
  <localMethods name="swtReadAdrFromNotUniqueBIC" type="local" codeText="@0089" moduleName="docimm"/>
  <localMethods name="getAckStr" type="local" codeText="@0090" moduleName="docimm"/>
  <localMethods name="isSftRelNov2008Active" type="local" codeText="@0091" moduleName="docimm"/>
  <localMethods name="popupStreamAsEDIforSMH_EDI" type="local" codeText="@0093" moduleName="docimm"/>
  <localMethods name="popupStreamAsEDIWithSMH_EDI" type="local" codeText="@0094" moduleName="docimm"/>
  <localMethods name="isSftRelNov2009Active" type="local" codeText="@0095" moduleName="docimm"/>
  <localMethods name="chkSwiftvaldat" type="local" codeText="@0096" moduleName="docimm"/>
  <localMethods name="printAllTagsTCO" type="local" codeText="@0098" moduleName="docimm"/>
  <localMethods name="analyseSwiftStreamTCO" type="local" codeText="@0099" moduleName="docimm"/>
  <localMethods name="printAllFldStreamTCO" type="local" codeText="@0100" moduleName="docimm"/>
  <localMethods name="printTimeStampTCO" type="local" codeText="@0101" moduleName="docimm"/>
  <localMethods name="printMTTCO" type="local" codeText="@0102" moduleName="docimm"/>
  <localMethods name="printHeaderUntilEOHTCO" type="local" codeText="@0103" moduleName="docimm"/>
  <localMethods name="popupDocFromSMHTCO" type="local" codeText="@0104" moduleName="docimm"/>
  <localMethods name="printAllTagsTCO1" type="local" codeText="@0105" moduleName="docimm"/>
  <localMethods name="setFileName1" type="local" codeText="@0109" moduleName="docimm"/>
  <localMethods name="convertSWTzChar" type="local" codeText="@0110" moduleName="docimm"/>
  <localMethods name="getSequenceCountForMT" type="local" codeText="@0111" moduleName="docimm"/>
  <localMethods name="splitMTSwt2018" type="local" codeText="@0112" moduleName="docimm"/>
  <localMethods name="t45DExecuteSplit" type="local" codeText="@0113" moduleName="docimm"/>
  <localMethods name="popupDocFromSMHben" type="local" codeText="@0114" moduleName="docimm"/>
  <localMethods name="popupDocWithSMHben" type="local" codeText="@0115" moduleName="docimm"/>
  <localMethods name="loadDocumentben" type="local" codeText="@0116" moduleName="docimm"/>
  <localMethods name="loadDocumentbyViewerben" type="local" codeText="@0117" moduleName="docimm"/>
  <localMethods name="isDTARel2012Active" type="local" codeText="@0118" moduleName="docimm"/>
  <initRules name="\" type="init" codeText="@0002" order="950" moduleName="docimm"/>
  <initRules name="\" type="init" codeText="@0042" order="1000" moduleName="docimm"/>
  <initRules name="\" type="init" codeText="@0078" order="1100" moduleName="docimm"/>
  <defaultRules name="prtswtp" type="default" codeText="@0008" order="1000" moduleName="docimm"/>
  <checkRules name="docpopup" type="check" codeText="@0022" order="1000" moduleName="docimm"/>
  <eventRules name="xmldoc" type="event" eventType="onPanelShow" codeText="@0092"
      moduleName="docimm"/>
  <eventRules name="prtswtp" type="event" eventType="onPanelShow" codeText="@0097"
      order="10" moduleName="docimm"/>
  <eventRules name="bopnetp" type="event" eventType="onPanelShow" codeText="@0106"
      moduleName="docimm"/>
  <eventRules name="bopnetp" type="event" eventType="onPanelShow" codeText="@0107"
      order="10" moduleName="docimm"/>
  <eventRules name="bopnetp" type="event" eventType="onPanelShow" codeText="@0108"
      order="11" moduleName="docimm"/>
  <eventRules name="prtswtp" type="event" eventType="onPanelShow" codeText="@0119"
      moduleName="docimm"/>
  <eventRules name="prtswtp" type="event" eventType="onPanelShow" codeText="@0120"
      order="11" moduleName="docimm"/>
  <eventRules name="prtswtrp" type="event" eventType="onPanelShow" codeText="@0121"
      order="10" moduleName="docimm"/>
  <eventRules name="prtswtrp" type="event" eventType="onPanelShow" codeText="@0122"
      moduleName="docimm"/>
  <eventRules name="prtswtrp" type="event" eventType="onPanelShow" codeText="@0123"
      order="11" moduleName="docimm"/>
  <eventRules name="docbol\prtp" type="event" eventType="onPanelShow" codeText="@0124"
      order="11" moduleName="docimm"/>
  <eventRules name="docbol\prtp" type="event" eventType="onPanelShow" codeText="@0125"
      order="10" moduleName="docimm"/>
</eibs:Module>
