<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="dtfimm" table="dtfimm" title="" i18nSequence="61" ruleSequence="19" transient="true">
<datafields comments="" name="title" column="title" description="Title" length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tagsupfile" column="tagsupfile" description="Filename of EDISUP.INI" length="12" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tagsup" column="tagsup" description="Content of EDISUP.INI" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="tagovrmt" column="tagovrmt" description="MT for current TAGOVRMTPOS" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tagovrfile" column="tagovrfile" description="Filename of EDIOVR.INI" length="12" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tagovr" column="tagovr" description="Content of EDIOVR.INI" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="startprintflag" column="startprintflag" description="StartPrintFlag" length="1" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="skipelement" column="skipelement" description="skipElement" length="1" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="parentelement" column="parentelement" description="parentElement" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" access="private" />
<datafields comments="" name="nowelement" column="nowelement" description="nowElement" length="80" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="msgnam" column="msgnam" description="Name of Message" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="modulepath" column="modulepath" description="ModulePath" length="120" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="lastfilename" column="lastfilename" description="Filename of file currently loaded" length="255" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="filename" column="filename" description="Name of .EDI File" length="255" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="errorlog" column="errorlog" description="ErrorLog" datatype="stream" viewtype="Block" length="40" lineOrDecimalSize="1" />
<datafields comments="" name="emptyelement" column="emptyelement" description="emptyElement" length="1" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="elementlevel" column="elementlevel" description="new datafield" datatype="numeric" length="2" lineOrDecimalSize="0" access="private" />
<datafields comments="" name="dtfin" column="dtfin" description="Message as stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="edibankname" column="edibankname" description="Bank Name" length="35" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="currentmodule" column="currentmodule" description="currentModule" length="16" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="currentelement" column="currentelement" description="currentElement" length="80" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="currentattributes" column="currentattributes" description="currentAttributes" length="160" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="bankediid" column="bankediid" description="Own Bank EDI ID" length="20" lineOrDecimalSize="1" viewlines="1" access="private" />
<localMethods type="local" name="popupStreamAsDTF" codeText="@0000" moduleName="dtfimm"/>
<localMethods type="local" name="popupStreamAsDTFforSMH" codeText="@0001" moduleName="dtfimm"/>
<localMethods type="local" name="popupStreamAsDTFWithSMH" codeText="@0002" moduleName="dtfimm"/>
<eventRules name="docdtfp" type="event" eventType="onPanelShow" codeText="@0003" order="100" moduleName="dtfimm" />
<eventRules name="docdtfp" type="event" eventType="onPanelShow" codeText="@0004" order="10" moduleName="dtfimm" />
<eventRules name="docdtfp" type="event" eventType="onPanelShow" codeText="@0005" order="11" moduleName="dtfimm" />
<localMethods type="local" name="printDTFDetails" codeText="@0006" moduleName="dtfimm"/>
<localMethods type="local" name="dtf_PrintFooter" codeText="@0007" moduleName="dtfimm"/>
<localMethods type="local" name="xmlCharacterData" codeText="@0008" moduleName="dtfimm"/>
<localMethods type="local" name="dtfGetMSGName" codeText="@0009" moduleName="dtfimm"/>
<localMethods type="local" name="dtfFormatCodeValue" codeText="@0010" moduleName="dtfimm"/>
<localMethods type="local" name="dtfGetTagCodeTable" codeText="@0011" moduleName="dtfimm"/>
<localMethods type="local" name="dtfGetTagName" codeText="@0012" moduleName="dtfimm"/>
<localMethods type="local" name="levelCharacor" codeText="@0013" moduleName="dtfimm"/>
<localMethods type="local" name="xmlEndElement" codeText="@0014" moduleName="dtfimm"/>
<localMethods type="local" name="xmlStartElement" codeText="@0015" moduleName="dtfimm"/>
<localMethods type="local" name="getInitiala" codeText="@0016" moduleName="dtfimm"/>
<initRules name="\" type="init" codeText="@0017" order="1000" moduleName="dtfimm" />
<localMethods type="local" name="dtfGetTagFormat" codeText="@0018" moduleName="dtfimm"/>
<panels name="docdtfp" description="PD000002" width="800"  height="600" signDefination="">
<components path="docdtfpblk" width="100" widthUnit="%" left="0" top="0" height="100" heightUnit="%" viewType="Block" />
</panels>
<datafields comments="" name="docdtfpblk" column="docdtfpblk" description="XMLPanel docdtfp的内置block" datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10" />
<modules name="adr" type="adr" >
</modules>
<modules name="smh" type="smh" >
</modules>
</eibs:Module>
