<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="edimod" table="edimod" title="" i18nSequence="4" ruleSequence="35" transient="true">
<datafields comments="" name="edihead" column="edihead" description="EDI Message Head" length="40" lineOrDecimalSize="1" viewlines="1" argument="true" />
<datafields comments="" name="msgtyp" column="msgtyp" description="EDI Message Type" length="6" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="edipush" column="edipush" description="EDIPush Data" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" access="private" />
<datafields comments="" name="buynum" column="buynum" description="Buyer's Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buynam" column="buynam" description="Buyer's name" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="selnum" column="selnum" description="Seller Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="selnam" column="selnam" description="Seller Name" length="35" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="ediCreateHead" codeText="@0000" moduleName="edimod"/>
<localMethods type="local" name="edi_Push" codeText="@0001" moduleName="edimod"/>
<localMethods type="local" name="edi_Popup" codeText="@0002" moduleName="edimod"/>
<localMethods type="local" name="edi_Push_init" codeText="@0003" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTagField" codeText="@0004" moduleName="edimod"/>
<localMethods type="local" name="genMessageHeadProperty" codeText="@0005" moduleName="edimod"/>
<localMethods type="local" name="ediEndTail" codeText="@0006" moduleName="edimod"/>
<localMethods type="local" name="ediMODPrepare" codeText="@0007" moduleName="edimod"/>
<localMethods type="local" name="edi_GetTop" codeText="@0008" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTagContent" codeText="@0009" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTagSector" codeText="@0010" moduleName="edimod"/>
<localMethods type="local" name="ediConvertCDATA" codeText="@0011" moduleName="edimod"/>
<localMethods type="local" name="ediConvertDATE" codeText="@0012" moduleName="edimod"/>
<localMethods type="local" name="isCDATAContent" codeText="@0013" moduleName="edimod"/>
<localMethods type="local" name="edi_PreprocessCDATADisplay" codeText="@0014" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTagText" codeText="@0015" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTagDate" codeText="@0016" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTagDateTime" codeText="@0017" moduleName="edimod"/>
<localMethods type="local" name="ediConvertDATETIME" codeText="@0018" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_IF" codeText="@0019" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_EF" codeText="@0020" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_Custom" codeText="@0021" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTagAmount" codeText="@0022" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTagNumeric" codeText="@0023" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_Buyer" codeText="@0024" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTagBankDetails" codeText="@0025" moduleName="edimod"/>
<localMethods type="local" name="mtaBUTInitProcessFFFFF" codeText="@0026" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_Sender" codeText="@0027" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_Recipient" codeText="@0028" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_CreateBy" codeText="@0029" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_Buyer2" codeText="@0030" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_Buyer3" codeText="@0031" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_Buyer4" codeText="@0032" moduleName="edimod"/>
<localMethods type="local" name="ediPrtTag_Custom1" codeText="@0033" moduleName="edimod"/>
<globalMethods name="getContactName" codeText="@0034" moduleName="edimod"/>
<modules name="edixml" type="edixml" >
</modules>
<modules name="ediimm" type="ediimm" >
</modules>
<modules name="xmlsta" type="xmlsta" >
</modules>
<modules name="edimap" type="edimap" >
</modules>
</eibs:Module>
