<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="fcd" table="fcd" title="FCD - Forward Contract Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of FC Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Name of FC Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Creation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Opening Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="aplptyinr" column="aplptyinr" description="Drawer Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplptainr" column="aplptainr" description="Drawer Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplnam" column="aplnam" description="Drawer" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplref" column="aplref" description="Drawer Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnvdat" column="cnvdat" description="Conversion Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acccur" column="acccur" description="Target Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dcbextrat" column="dcbextrat" description="Contract Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="scbextrat" column="scbextrat" description="Target Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="rat" column="rat" description="Cross Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="engact" column="engact" description="Engagement account" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="The branch do the transction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="balance valid in periode" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="extkey" column="extkey" description="External key used to uniquely identify a party" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relflg" column="relflg" description="release flag" codetable="relflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="useflg" column="useflg" description="use flag" codetable="useflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reason" column="reason" description="collect reason" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="gleflg" column="gleflg" description="是否过帐" viewtype="Checkbox" codetable="gleflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="regref" column="regref" description="Register Ref." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extact" column="extact" description="Extend Account" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trmtyp" column="trmtyp" description="TERM TYPE" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othcur" column="othcur" description="对方�'�币" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othamt" column="othamt" description="对方�'�币金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="fcdtyp" column="fcdtyp" description="Type" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Object Type" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Object INR" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
