<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="fcp" table="fcp" title=" " i18nSequence="29" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of FCP Foreign Charges Pool" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sepinr" column="sepinr" description="INR of Associated Temporary Settlement" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR of FCP" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="modflg" column="modflg" description="Modified" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Fee Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Fee Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="xrfcur" column="xrfcur" description="Currency of Converted Amount Usually SYSCUR, Optional" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrfamt" column="xrfamt" description="Converted Amount in XRFCUR, Optional" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="dat1" column="dat1" description="Date 1" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="dat2" column="dat2" description="Date 2" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="payrol" column="payrol" description="Role of Party to be Credited" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="payptyinr" column="payptyinr" description="INR of Party Paid to" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paytxt" column="paytxt" description="Foreign Expense Text Payee" viewtype="Combobox" codetable="paytxt" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dbtrol" column="dbtrol" description="Role of Party to be Debited" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dbtptyinr" column="dbtptyinr" description="INR of Party Debited with Foreign Fee" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dbttxt" column="dbttxt" description="Foreign Expense Text for Payer" viewtype="Combobox" codetable="dbttxt" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="advtrninr" column="advtrninr" description="Transaction Advising the Fee if Set, Fee has been Advised" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="advdat" column="advdat" description="Date Advised" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="srctrninr" column="srctrninr" description="Transaction Creating Entry Modification Date on Modifications" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="srcdat" column="srcdat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rpltrninr" column="rpltrninr" description="Transaction Replaced the Entry if Set, the Fee has been Replaced and will not be Settled" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rpldat" column="rpldat" description="Date Replaced" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="dontrninr" column="dontrninr" description="Transaction Settling the Fee if Set, Fee has been Settled" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dondat" column="dondat" description="Date Done" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
</eibs:Module>
