<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="fecism" table="fecism" title="Fee calculation - implementation specific modules"
    transient="true" i18nSequence="204" ruleSequence="18">
  <datafields name="begcnfdat" column="begcnfdat" description="First confirmation date"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="butcan" column="butcan" description="cancel" datatype="control"
      viewtype="Button" length="10"/>
  <datafields name="repflg" column="repflg" description="Repayments to be made to be set in Level 5"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="repflg"/>
  <modules name="wrkirt" type="irt"/>
  <modules name="irtcal" type="irtcal" static="true"/>
  <modules name="wrkpte" type="pte"/>
  <panels name="irtcaldet" description="PD000001" width="788" height="528" visible="false"
      enabled="false" popup="true">
    <components path="butcan" viewType="Button" width="66" text="C0000019" left="724"
        top="500" height="22"/>
    <components viewType="Label" text="S0000028" height="22"/>
    <components viewType="Label" text="S0000029" top="264" height="22"/>
  </panels>
  <globalMethods name="getfeetxtinf" codeText="@0000" moduleName="fecism"/>
  <globalMethods name="getNrOfPeriodsLCComm" codeText="@0001" moduleName="fecism"/>
  <globalMethods name="getNrOfPeriodsPermille" codeText="@0002" moduleName="fecism"/>
  <globalMethods name="getNrOfPerBracc" codeText="@0017" moduleName="fecism"/>
  <localMethods name="getMinimum" type="local" codeText="@0003" moduleName="fecism"/>
  <localMethods name="setMoreDetails" type="local" codeText="@0004" moduleName="fecism"/>
  <localMethods name="popupMoreDetails" type="local" codeText="@0005" moduleName="fecism"/>
  <localMethods name="clcFecIrtcal" type="local" codeText="@0007" moduleName="fecism"/>
  <localMethods name="clcFecAmt" type="local" codeText="@0008" moduleName="fecism"/>
  <localMethods name="setIrtcal" type="local" codeText="@0009" moduleName="fecism"/>
  <localMethods name="setIrtcalBasics" type="local" codeText="@0010" moduleName="fecism"/>
  <localMethods name="getPertxtAndType" type="local" codeText="@0011" moduleName="fecism"/>
  <localMethods name="clcFec_P" type="local" codeText="@0012" moduleName="fecism"/>
  <localMethods name="setDat2FromPerflg" type="local" codeText="@0013" moduleName="fecism"/>
  <localMethods name="fecIsmAmtConv" type="local" codeText="@0014" moduleName="fecism"/>
  <localMethods name="clcFec_R" type="local" codeText="@0015" moduleName="fecism"/>
  <localMethods name="clcFec_E" type="local" codeText="@0016" moduleName="fecism"/>
  <eventRules name="butcan" type="event" codeText="@0006" order="1000" moduleName="fecism"/>
</eibs:Module>
