<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="fep" table="fep" title=" " i18nSequence="29" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feecod" column="feecod" description="Fee Code" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relobjtyp" column="relobjtyp" description="Relevant Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relobjinr" column="relobjinr" description="Relevant Contract INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extkey" column="extkey" description="External Visible Name Created from Transaction, Feecode  Line" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Text of Fee from and to FEETXT" length="45" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relcur" column="relcur" description="Currency of Relevant Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relamt" column="relamt" description="Relevant Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="dat1" column="dat1" description="Date 1" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="dat2" column="dat2" description="Date 2" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="modflg" column="modflg" description="Modified" codetable="modflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="unt" column="unt" description="Units" datatype="numeric" length="5" lineOrDecimalSize="0" />
<datafields comments="" name="untamt" column="untamt" description="Rate Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="ratcal" column="ratcal" description="Rate Calculation" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="rat" column="rat" description="Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="minmaxflg" column="minmaxflg" description="Minimum or Maximum Used" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Fee Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Fee Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="xrfcur" column="xrfcur" description="Currency of Converted Amount Usually SYSCUR, Optional" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrfamt" column="xrfamt" description="Converted Amount in XRFCUR, Optional" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="feeacc" column="feeacc" description="Profit Account for Fee" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="infdetstm" column="infdetstm" description="Fee Calculation Details" datatype="block" viewtype="Block" length="80" lineOrDecimalSize="20" viewlines="1" />
<datafields comments="" name="ptyinr" column="ptyinr" description="INR of Party Paying" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="srctrninr" column="srctrninr" description="Transaction Creating or Modifying the Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="srcdat" column="srcdat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rpltrninr" column="rpltrninr" description="Transaction which Replaced this Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rpldat" column="rpldat" description="Date Replaced" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="dontrninr" column="dontrninr" description="Transaction Settling the Fee" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dondat" column="dondat" description="Date Done" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="advtrninr" column="advtrninr" description="Transaction Advising the Fee" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="advdat" column="advdat" description="Date Advised" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="acrinr" column="acrinr" description="INR of Accruing Control Record" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sepinr" column="sepinr" description="INR of Associated Temporary Settlement" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rol" column="rol" description="Role" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ogiamt" column="ogiamt" description="Original Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="dctamt" column="dctamt" description="Discount Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="usdcur" column="usdcur" description="USDCUR" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usdamt" column="usdamt" description="USDAMT" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
</eibs:Module>
