<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="gcd" table="gcd" title="GCD - Guarantee Claim Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Guarantee" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Internal Unique ID of Parent Guarantee" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Type of Guarantee Contract GID" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Guarantee Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Valid from" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="newexpdat" column="newexpdat" description="Validity Requested" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clmtyp" column="clmtyp" description="Type of Claim" viewtype="Combobox" codetable="clmtyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clmctl" column="clmctl" description="Type of Claim/Order" viewtype="Combobox" codetable="clmctl" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clmdat" column="clmdat" description="Date of Claim" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cannowflg" column="cannowflg" description="Payment under Cancelation of Guarantee" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msgdat" column="msgdat" description="Rejection Message Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="payrol" column="payrol" description="Payer" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docprbrol" column="docprbrol" description="Presented by" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frepayflg" column="frepayflg" description="free of payment flag" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
