<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="gid" table="gid" title="GID - Guarantee Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Guarantee" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Valid from" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Guarantee Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="oldref" column="oldref" description="Old Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amedat" column="amedat" description="Date of Last Amendment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="orddat" column="orddat" description="Date of Customer's Order" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendment" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="pndclm" column="pndclm" description="Number of Pending Claims" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="chato" column="chato" description="Own Charges Borne by" viewtype="Combobox" codetable="chato" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expdat" column="expdat" description="Valid until" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="liadat" column="liadat" description="Liability until" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="stacty" column="stacty" description="Country Code Risk Country" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hndtyp" column="hndtyp" description="Handling Type" viewtype="Combobox" codetable="hndtyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="gidtxtmodflg" column="gidtxtmodflg" description="Modify Guarantee Text" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="gtxinr" column="gtxinr" description="INR of Generating Text" viewtype="Combobox" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="giduil" column="giduil" description="Guarantee Language" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expflg" column="expflg" description="Unlimited Guarantee" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="liaflg" column="liaflg" description="Unlimited Liability" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcdat" column="orcdat" description="Date from Original Contract" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="orcref" column="orcref" description="Reference of Original Contract" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orccur" column="orccur" description="Currency of Original Contract" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcamt" column="orcamt" description="Amount of Original Contract" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="orcrat" column="orcrat" description="Percentage/Rate of Original Contract" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="sndto" column="sndto" description="Guarantee Send to" length="3" lineOrDecimalSize="1" viewlines="6" />
<datafields comments="" name="purcan" column="purcan" description="Reason of Cancelation" viewtype="Combobox" codetable="purcan" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tenref" column="tenref" description="Tender Reference" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tendat" column="tendat" description="Tender Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="avidat" column="avidat" description="Date of Preadvice" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="tenclsdat" column="tenclsdat" description="Tender Closing Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="decrea" column="decrea" description="Declaration of Readiness" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jurplc" column="jurplc" description="Place of Jurisdiction" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jurlaw" column="jurlaw" description="Law of Jurisdiction" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acc" column="acc" description="Account for Advance Payment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="resflg" column="resflg" description="Reserved Contract" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stagod" column="stagod" description="Goods Code for Statistics" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="redamt" column="redamt" description="Reduced Amount to be Paid" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="redcur" column="redcur" description="Currency of Reduced Amount to be Paid" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reddat" column="reddat" description="Date of Reduction or Release" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="outcur" column="outcur" description="Currency Outstanding Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="outamt" column="outamt" description="Outstanding Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="cnfsta" column="cnfsta" description="Confirmation Status" viewtype="Combobox" codetable="cnfsta" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="partcon" column="partcon" description="Partial Confirmation" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="cnfdat" column="cnfdat" description="Confirmation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cnfflg" column="cnfflg" description="Percentage or Amount Confirmed" viewtype="Combobox" codetable="cnfflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="revflg" column="revflg" description="Declaration of Indemnity" viewtype="Checkbox" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="gartyp" column="gartyp" description="Type of Undertaking" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trmdat" column="trmdat" description="Transmit Original Guarantee Latest on" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="legfrm" column="legfrm" description="Legal Form of Undertaking" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inudat" column="inudat" description="Inure Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="feecoldat" column="feecoldat" description="Fee Collection date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="teskeyunc" column="teskeyunc" description="Test Key Unconfirmity" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="juscod" column="juscod" description="组织机构" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cunqii" column="cunqii" description="流动资金�'�款利率档次" viewtype="Combobox" codetable="cunqii" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bilvvv" column="bilvvv" description="利率" datatype="numeric" length="8" lineOrDecimalSize="5" />
<datafields comments="" name="decflg" column="decflg" description="decrease amount flg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskrat" column="rskrat" description="Risk Rate" datatype="numeric" length="3" lineOrDecimalSize="2" />
<datafields comments="" name="cshpct" column="cshpct" description="Cash cover percent" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="guaflg" column="guaflg" description="Mortgage Flag" viewtype="Combobox" codetable="guaflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="billno" column="billno" description="提运单号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="contamt" column="contamt" description="合同金额" datatype="numeric" viewtype="Amount" length="22" lineOrDecimalSize="0" />
<datafields comments="" name="opnamo" column="opnamo" description="保函余额" datatype="numeric" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="ameflg" column="ameflg" description="amend flag" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jjh" column="jjh" description="借据号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hth" column="hth" description="合同号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jjhb" column="jjhb" description="追加借据号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplhth" column="aplhth" description="新增合同号" datatype="block" viewtype="Block" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tracoutry" column="tracoutry" description="交易对手国别" length="40" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
