<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="gidgrp" table="gidgrp" title="Contract Group Guarantee" ruleSequence="22" transient="true">
<datafields comments="" name="amtwrdtxt" column="amtwrdtxt" description="amount in words" length="250" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtamt" column="fmtamt" description="amount formatted" length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtorcamt" column="fmtorcamt" description="ordering contract amount formatted" length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtorcrat" column="fmtorcrat" description="ordering contract percentage formatted" length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownnam" column="ownnam" description="own name" length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="obladrlin" column="obladrlin" description="address information obligor" length="275" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apladrlin" column="apladrlin" description="address information applicant" length="275" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="benadrlin" column="benadrlin" description="address information beneficiary" length="275" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtexpdat" column="fmtexpdat" description="date of validity formated in language of guarantee text" length="60" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtorcdat" column="fmtorcdat" description="date from original contract formated in language of guarantee text" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmttrmdat" column="fmttrmdat" description="latest transmission date formated in language of guarantee text" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmttendat" column="fmttendat" description="Tender date formated in language of guarantee text" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtopndat" column="fmtopndat" description="Opening date formated in language of guarantee text" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtliadat" column="fmtliadat" description="our liability ends date" length="60" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtgartyp" column="fmtgartyp" description="Type Of Guarantee" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apltypflg" column="apltypflg" description="PartyType of Applicant" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplcnt" column="aplcnt" description="Count of applicants" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="fmttenclsdat" column="fmttenclsdat" description="Tender closing date formated in language of guarantee text" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issadrlin" column="issadrlin" description="Address Information Issuing Bank" length="275" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="roldsc" column="roldsc" description="Stream to set the values of a field to avalable roles" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="tag23txt" column="tag23txt" description="Content of Tag 23 in MT767" length="40" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="apltypflg" type="default" codeText="@0000" order="1000" moduleName="gidgrp" />
<defaultRules name="apladrlin" type="default" codeText="@0001" order="1000" moduleName="gidgrp" />
<defaultRules name="benadrlin" type="default" codeText="@0002" order="1000" moduleName="gidgrp" />
<defaultRules name="fmtamt" type="default" codeText="@0003" order="1000" moduleName="gidgrp" />
<defaultRules name="fmtorcamt" type="default" codeText="@0004" order="1000" moduleName="gidgrp" />
<defaultRules name="fmtorcdat" type="default" codeText="@0005" order="1000" moduleName="gidgrp" />
<defaultRules name="fmtorcrat" type="default" codeText="@0006" order="1000" moduleName="gidgrp" />
<defaultRules name="fmttendat" type="default" codeText="@0007" order="1000" moduleName="gidgrp" />
<defaultRules name="fmttrmdat" type="default" codeText="@0008" order="1000" moduleName="gidgrp" />
<defaultRules name="fmttenclsdat" type="default" codeText="@0009" order="1000" moduleName="gidgrp" />
<defaultRules name="fmtopndat" type="default" codeText="@0010" order="1000" moduleName="gidgrp" />
<defaultRules name="issadrlin" type="default" codeText="@0011" order="1000" moduleName="gidgrp" />
<defaultRules name="ownnam" type="default" codeText="@0012" order="1000" moduleName="gidgrp" />
<defaultRules name="roldsc" type="default" codeText="@0013" order="1000" moduleName="gidgrp" />
<modules name="rec" type="gid" >
</modules>
<modules name="blk" type="git" >
</modules>
<modules name="cbs" type="giacbs" >
</modules>
<modules name="sysamt" type="sysamt" >
</modules>
<datafields comments="" name="apladrcpyflg" column="apladrcpyflg" description="Flag to control copying address to contract for applicant" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bentmpflg" column="bentmpflg" description="use of temporary addresses for beneficiary" length="1" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="fmtexpdat" type="default" codeText="@0014" order="1000" moduleName="gidgrp" />
<defaultRules name="fmtliadat" type="default" codeText="@0015" order="1000" moduleName="gidgrp" />
<defaultRules name="obladrlin" type="default" codeText="@0016" order="1000" moduleName="gidgrp" />
<localMethods type="local" name="ptsChgAssert" codeText="@0017" moduleName="gidgrp"/>
<defaultRules name="fmtgartyp" type="default" codeText="@0018" order="1000" moduleName="gidgrp" />
<defaultRules name="tag23txt" type="default" codeText="@0019" order="1000" moduleName="gidgrp" />
<modules name="ben" type="ptspta" >
<arguments name="tmpflg" value="bentmpflg"/>
<arguments name="typflg" value="bentypflg"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="apl" type="ptspta" >
<arguments name="tmpflg" value="apltmpflg"/>
<arguments name="typflg" value="apltypflg"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="apladrcpyflg"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ctr" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="iss" type="ptspta" >
<arguments name="tmpflg" value="!"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ada" type="ptspta" >
<arguments name="tmpflg" value="!"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="atb" type="ptspta" >
<arguments name="tmpflg" value="!"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="at2" type="ptspta" >
<arguments name="tmpflg" value="!"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ct2" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ct3" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ct4" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ct5" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ap2" type="ptspta" >
<arguments name="tmpflg" value="!"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ap3" type="ptspta" >
<arguments name="tmpflg" value="!"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ap4" type="ptspta" >
<arguments name="tmpflg" value="!"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ap5" type="ptspta" >
<arguments name="tmpflg" value="!"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="agt" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp1" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp2" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp3" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="oap" type="ptspta" >
<arguments name="tmpflg" value="! "/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="acb" type="ptspta" >
<arguments name="typflg" value="!B"/>
<arguments name="tmpflg" value="!Y"/>
<arguments name="stplev" value="!3"/>
<arguments name="ptausgflg" value="! "/>
<arguments name="adrcpyflg" value="!M"/>
</modules>
<datafields comments="" name="forbank" column="forbank" description="forbank" length="180" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="guarantornamen" column="guarantornamen" description="GUARANTOR NAME EN" length="200" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtopndat1" column="fmtopndat1" description="Creation date formated in language of guarantee text" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="benadrlin1" column="benadrlin1" description="" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="guarantorcn" column="guarantorcn" description="GUARANTOR NAME CN" length="200" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtexpdat1" column="fmtexpdat1" description="date of validity formated in language of guarantee text" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplnamecn" column="aplnamecn" description="APL Chinese Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplnameen" column="aplnameen" description="APL English  Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchnam" column="bchnam" description="branch  name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="adr" column="adr" description="ADDRESS" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tel" column="tel" description="TEL PHONE" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bennamecn" column="bennamecn" description="BEN Chinese Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="todayd" column="todayd" description="todayd" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bentypflg" column="bentypflg" description="Party type of beneficiry" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apltmpflg" column="apltmpflg" description="use of temporary addresses for APL" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtorddat1" column="fmtorddat1" description="Order date formated in language of guarantee text" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inudat" column="inudat" description="" length="20" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="bentypflg" type="default" codeText="@0020" order="1000" moduleName="gidgrp" />
<defaultRules name="fmtamt" type="default" codeText="@0021" order="2000" moduleName="gidgrp" />
<modules name="adv" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="!"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="con" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="age" type="ptspta" >
<arguments name="tmpflg" value="! "/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="alb" type="ptspta" >
<arguments name="typflg" value="!O"/>
<arguments name="tmpflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
</eibs:Module>
