<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="gle" table="gle" title="GLE - General Ledger Entry" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID Set in GLEMOD" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Objecttype of Contract Set in GLEMOD" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Linked Record Set in GLEMOD" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trninr" column="trninr" description="Transaction Creating Entry Set in GLEMOD" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="act" column="act" description="Account Number in our Books Mandatory" length="60" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dbtcdt" column="dbtcdt" description="Debit/Credit Mandatory" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Booked in Currency Mandatory" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Booking Amount Mandatory" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="syscur" column="syscur" description="System Currency Optional" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sysamt" column="sysamt" description="Booking Amount in System Currency Optional" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="valdat" column="valdat" description="Value Date Defaults to BUCDAT" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="bucdat" column="bucdat" description="Booking Date Defaults to Today" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="txt1" column="txt1" description="Booking Text 1" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="txt2" column="txt2" description="Booking Text 2" datatype="block" viewtype="Block" length="400" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="txt3" column="txt3" description="Booking Text 3" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prn" column="prn" description="Prima Nota" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expses" column="expses" description="Export Session" length="9" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expflg" column="expflg" description="Export Status 'S'tored, 'R'eleased, 'E'xported, 'A'ccepted" codetable="expflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cod" column="cod" description="交易编码" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="crtuser" column="crtuser" description="填报人" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inptelc" column="inptelc" description="填报人电话" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usedetail" column="usedetail" description="结汇详细用途" length="100" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usetype" column="usetype" description="结汇用途" codetable="usetype" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rattyp" column="rattyp" description="Codetable of supported rate types  M-iddle, B-uying, S-elling, I-nput" viewtype="Combobox" codetable="rattyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acttrncod" column="acttrncod" description="transaction code for accounting interface" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="branch code inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dbtdft" column="dbtdft" description="Debit draft" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="peeact" column="peeact" description="Peer act" length="21" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rat" column="rat" description="RATE" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="trdtyp" column="trdtyp" description="trade type" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cliextkey" column="cliextkey" description="Client Extend ID" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="whmtyp" column="whmtyp" description="Type of foreign exchange" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="gleord" column="gleord" description="Order of GLE" length="5" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="newactcod" column="newactcod" description="ACT typr 7759 or 5006" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trmtyp" column="trmtyp" description="Term type" length="7" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trnman" column="trnman" description="交易主体" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="midrat" column="midrat" description="Middle Rat" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="xrttim" column="xrttim" description="XRT Time" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="income" column="income" description="Income of exchange" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="excrat" column="excrat" description="EXCHANGE RATE" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="amtidsstm" column="amtidsstm" description="FEE stm" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="buyrat3" column="buyrat3" description="平盘买入价" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="selrat3" column="selrat3" description="平盘卖出价" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="buyrat" column="buyrat" description="汇买价" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="selrat" column="selrat" description="汇卖价" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="actusr" column="actusr" description="�'�户性�'�代码" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bustyp" column="bustyp" description="�'�户类型" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="skract" column="skract" description="收款人�'�号" length="36" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="skrnam" column="skrnam" description="收款人名称" length="50" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="skrbic" column="skrbic" description="收款人行号" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="skrbicnam" column="skrbicnam" description="收款人行名" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fkract" column="fkract" description="付款人�'�号" length="36" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fkrnam" column="fkrnam" description="付款人名称" length="50" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fkrbic" column="fkrbic" description="付款人行名" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fkrbicnam" column="fkrbicnam" description="付款人行名" length="50" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lckxrt" column="lckxrt" description="是否锁定汇率" length="40" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
