<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="glemod" table="glemod" title="functions for creation of general ledger entries" i18nSequence="115" ruleSequence="62" transient="true">
<datafields comments="" name="glenmb" column="glenmb" description="number of records" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="glesrm" column="glesrm" description="booking stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="gleshwstm" column="gleshwstm" description="Booking stream to Display" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<eventRules name="\mtabut\sav" type="event" codeText="@0000" order="1200" moduleName="glemod" />
<localMethods type="local" name="liaglesav" codeText="@0001" moduleName="glemod"/>
<globalMethods name="gleCommit" codeText="@0002" moduleName="glemod"/>
<localMethods type="local" name="gleStoreEntry" codeText="@0003" moduleName="glemod"/>
<initRules name="\" type="init" codeText="@0004" order="1000" moduleName="glemod" />
<localMethods type="local" name="getGLCur" codeText="@0005" moduleName="glemod"/>
<globalMethods name="bookCountervalueLia" codeText="@0006" moduleName="glemod"/>
<localMethods type="local" name="fillGLEStream" codeText="@0007" moduleName="glemod"/>
<defaultRules name="glepan" type="default" codeText="@0008" order="1000" moduleName="glemod" />
<eventRules name="glepan" type="event" codeText="@0009" order="1000" moduleName="glemod" />
<localMethods type="local" name="gleSavSetmod" codeText="@0010" moduleName="glemod"/>
<initRules name="\" type="init" codeText="@0011" order="800" moduleName="glemod" />
<globalMethods name="setStreamfieldforrpt" codeText="@0012" moduleName="glemod"/>
<panels name="glepan" description="PD000001" width="788" height="528" enabled="false" signDefination="">
<components path="gleshwstm" width="700" left="8" top="8" height="468" enabled="false" />
</panels>
<modules comments="" name="setfeg" type="setfeg" argument="true" />
<modules comments="" name="setglg" type="setglg" argument="true" />
<modules name="gle" type="gle" >
</modules>
<datafields comments="" name="heqinr" column="heqinr" description="总行在PTY表中的INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="liaglesavCeb" codeText="@0013" moduleName="glemod"/>
<checkRules name="gle\act" type="check" codeText="@0014" order="1000" moduleName="glemod" />
<localMethods type="local" name="gleDefEntryFieldsCeb" codeText="@0015" moduleName="glemod"/>
<localMethods type="local" name="getAvailAcc" codeText="@0016" moduleName="glemod"/>
<localMethods type="local" name="getActBlk" codeText="@0017" moduleName="glemod"/>
<localMethods type="local" name="actgetsql" codeText="@0018" moduleName="glemod"/>
<localMethods type="local" name="actGetComBlk" codeText="@0019" moduleName="glemod"/>
<localMethods type="local" name="actGetTermid" codeText="@0020" moduleName="glemod"/>
<localMethods type="local" name="getFXTerm" codeText="@0021" moduleName="glemod"/>
<localMethods type="local" name="getTrmCodfromType" codeText="@0022" moduleName="glemod"/>
<checkRules name="gleshwstm" type="check" codeText="@0023" order="1000" moduleName="glemod" />
<localMethods type="local" name="cutComAct" codeText="@0024" moduleName="glemod"/>
<localMethods type="local" name="getHangZhouProcesscode" codeText="@0025" moduleName="glemod"/>
<localMethods type="local" name="gleSavSetmodold" codeText="@0026" moduleName="glemod"/>
<localMethods type="local" name="rptSavSetmod" codeText="@0027" moduleName="glemod"/>
<globalMethods name="debitrptfield" codeText="@0028" moduleName="glemod"/>
<globalMethods name="fxtHDebitrptfield" codeText="@0029" moduleName="glemod"/>
<globalMethods name="fxsHDebitrptfield" codeText="@0030" moduleName="glemod"/>
<globalMethods name="feeDebitrptfield" codeText="@0031" moduleName="glemod"/>
<globalMethods name="fxjHCreditrptfield" codeText="@0032" moduleName="glemod"/>
<globalMethods name="fxtHCreditrptfield" codeText="@0033" moduleName="glemod"/>
<globalMethods name="creditrptfield" codeText="@0034" moduleName="glemod"/>
<globalMethods name="financeDebitrptfield" codeText="@0035" moduleName="glemod"/>
<localMethods type="local" name="insertNewcde" codeText="@0036" moduleName="glemod"/>
<localMethods type="local" name="getRolAndNamForrpt" codeText="@0037" moduleName="glemod"/>
<globalMethods name="getStreamfieldforrpt" codeText="@0038" moduleName="glemod"/>
<localMethods type="local" name="getPtYpta" codeText="@0039" moduleName="glemod"/>
<globalMethods name="getBOPfeildInfo" codeText="@0040" moduleName="glemod"/>
<globalMethods name="getNoBoptyp" codeText="@0041" moduleName="glemod"/>
<localMethods type="local" name="getApNumber" codeText="@0042" moduleName="glemod"/>
<localMethods type="local" name="getRefofBOP" codeText="@0043" moduleName="glemod"/>
<localMethods type="local" name="getoneline" codeText="@0044" moduleName="glemod"/>
<globalMethods name="getinchargeccy2" codeText="@0045" moduleName="glemod"/>
<localMethods type="local" name="getDefaultCUSTROL2" codeText="@0046" moduleName="glemod"/>
<localMethods type="local" name="isSeperateFEE2" codeText="@0047" moduleName="glemod"/>
<globalMethods name="getTranCur2" codeText="@0048" moduleName="glemod"/>
<localMethods type="local" name="getDFTrm" codeText="@0049" moduleName="glemod"/>
<localMethods type="local" name="getObjNamAndObjAct" codeText="@0050" moduleName="glemod"/>
<globalMethods name="getAccBCHZZZ" codeText="@0051" moduleName="glemod"/>
<localMethods type="local" name="getDLAct" codeText="@0052" moduleName="glemod"/>
<globalMethods name="getBCHZZZ" codeText="@0053" moduleName="glemod"/>
<localMethods type="local" name="addgleforclr" codeText="@0054" moduleName="glemod"/>
<localMethods type="local" name="getactptyinr" codeText="@0055" moduleName="glemod"/>
<localMethods type="local" name="getRolAndNamForFT" codeText="@0056" moduleName="glemod"/>
<localMethods type="local" name="getptynam" codeText="@0057" moduleName="glemod"/>
<localMethods type="local" name="getaccount" codeText="@0058" moduleName="glemod"/>
<localMethods type="local" name="getLODpartyinfo" codeText="@0059" moduleName="glemod"/>
<localMethods type="local" name="addFCU" codeText="@0060" moduleName="glemod"/>
<localMethods type="local" name="iscMTandFMT" codeText="@0061" moduleName="glemod"/>
<modules name="cde" type="cde" >
</modules>
<modules name="fcu" type="fcu" list="true" pageSize="1" initSize="0" >
</modules>
</eibs:Module>
