<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="imgmod" table="imgmod" transient="true" i18nSequence="117" ruleSequence="45">
  <datafields name="sca" column="sca" description="Scan Docs." datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="scaall" column="scaall" description="Images" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="scarim" column="scarim" description="Images in sptrim" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="scarep" column="scarep" description="Repair Images" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="tcinr" column="tcinr" description="TCINR" lineOrDecimalSize="1"/>
  <datafields name="tcinrman" column="tcinrman" description="TCINR Manual" lineOrDecimalSize="1"/>
  <datafields name="relusr" column="relusr" description="user name" lineOrDecimalSize="1"/>
  <datafields name="getdcinr" column="getdcinr" description="Get" datatype="control"
      viewtype="Button" length="6" lineOrDecimalSize="1"/>
  <datafields name="clr" column="clr" description="Clear" datatype="control" viewtype="Button"
      length="6" lineOrDecimalSize="1"/>
  <datafields name="img" column="img" description="Image" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="hisimg" column="hisimg" description="History image" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="errtxt" column="errtxt" description="Error Text" length="128"
      lineOrDecimalSize="1"/>
  <datafields name="scatyp" column="scatyp" description="Scan  Doc Type" length="1"
      lineOrDecimalSize="1"/>
  <datafields name="disatt" column="disatt" description="Clear" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="att" column="att" description="Image" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="dllloadflg" column="dllloadflg" description="DLL Load Flag" length="1"
      lineOrDecimalSize="1"/>
  <modules name="scawrk" type="sca"/>
  <modules name="scatfwrk" type="sca"/>
  <modules name="imgpanl" type="imgpan"/>
  <panels name="imgpan" description="PD000000" width="72" height="117" transient="true">
    <components path="scaall" viewType="Button" width="66" text="C0000002" left="0"
        top="4" height="22"/>
    <components path="sca" viewType="Button" width="66" text="C0000001" left="0" top="29"
        height="22"/>
    <components path="tcinrman" width="53" left="0" top="52" height="22"/>
    <components path="relusr" width="53" left="0" top="74" height="22"/>
  </panels>
  <globalMethods name="handleCALLImage" codeText="@0034" moduleName="imgmod"/>
  <globalMethods name="ddeSendIMAGEStream" codeText="@0035" moduleName="imgmod"/>
  <localMethods name="savImg" type="local" codeText="@0000" moduleName="imgmod"/>
  <localMethods name="changeUsr" type="local" codeText="@0001" moduleName="imgmod"/>
  <localMethods name="scanImg" type="local" codeText="@0002" moduleName="imgmod"/>
  <localMethods name="imgrel" type="local" codeText="@0003" moduleName="imgmod"/>
  <localMethods name="imgRep" type="local" codeText="@0004" moduleName="imgmod"/>
  <localMethods name="getTcref" type="local" codeText="@0005" moduleName="imgmod"/>
  <localMethods name="getDcref" type="local" codeText="@0006" moduleName="imgmod"/>
  <localMethods name="scanimage" type="local" codeText="@0008" moduleName="imgmod"/>
  <localMethods name="callImageRoute" type="local" codeText="@0013" moduleName="imgmod"/>
  <localMethods name="genCommandLine" type="local" codeText="@0014" moduleName="imgmod"/>
  <localMethods name="callImageScan" type="local" codeText="@0015" moduleName="imgmod"/>
  <localMethods name="genuserinfortra" type="local" codeText="@0016" moduleName="imgmod"/>
  <localMethods name="getScanFileDll" type="local" codeText="@0017" moduleName="imgmod"/>
  <localMethods name="imaGE_CallTransation" type="local" codeText="@0018" moduleName="imgmod"/>
  <localMethods name="getDcrefPart" type="local" codeText="@0019" moduleName="imgmod"/>
  <localMethods name="getDcrefchild" type="local" codeText="@0020" moduleName="imgmod"/>
  <localMethods name="doscanprocess" type="local" codeText="@0021" moduleName="imgmod"/>
  <localMethods name="imaGE_CallTransationinrel" type="local" codeText="@0022" moduleName="imgmod"/>
  <localMethods name="getDcrefPartForRel" type="local" codeText="@0023" moduleName="imgmod"/>
  <localMethods name="imaGE_CallTransationforOffice" type="local" codeText="@0025"
      moduleName="imgmod"/>
  <localMethods name="callImageRoutehis" type="local" codeText="@0028" moduleName="imgmod"/>
  <localMethods name="callImageRouteForAtt" type="local" codeText="@0030" moduleName="imgmod"/>
  <localMethods name="imaGE_CallTransation_foraAtt" type="local" codeText="@0031"
      moduleName="imgmod"/>
  <localMethods name="callImageRoutedis" type="local" codeText="@0033" moduleName="imgmod"/>
  <localMethods name="appExit" type="local" codeText="@0036" moduleName="imgmod"/>
  <localMethods name="isDLLLoad" type="local" codeText="@0037" moduleName="imgmod"/>
  <localMethods name="imageDLLInit" type="local" codeText="@0038" moduleName="imgmod"/>
  <localMethods name="setDLLLoad" type="local" codeText="@0039" moduleName="imgmod"/>
  <localMethods name="imageDLLclose" type="local" codeText="@0040" moduleName="imgmod"/>
  <localMethods name="errorExit" type="local" codeText="@0041" moduleName="imgmod"/>
  <localMethods name="interruptTransaction" type="local" codeText="@0042" moduleName="imgmod"/>
  <localMethods name="registerExitEventXXXXX" type="local" codeText="@0043" moduleName="imgmod"/>
  <localMethods name="isWin10User" type="local" codeText="@0044" moduleName="imgmod"/>
  <defaultRules name="scawrk" type="default" codeText="@0007" order="1000" moduleName="imgmod"/>
  <defaultRules name="img" type="default" codeText="@0011" order="950" moduleName="imgmod"/>
  <defaultRules name="hisimg" type="default" codeText="@0012" order="950" moduleName="imgmod"/>
  <defaultRules name="imgpanl\clr" type="default" codeText="@0027" order="1000" moduleName="imgmod"/>
  <eventRules name="img" type="event" codeText="@0009" order="1000" moduleName="imgmod"/>
  <eventRules name="hisimg" type="event" codeText="@0010" order="1000" moduleName="imgmod"/>
  <eventRules name="imgpanl\scaall" type="event" codeText="@0024" order="1000" moduleName="imgmod"/>
  <eventRules name="imgpanl\getdcinr" type="event" codeText="@0026" order="1000" moduleName="imgmod"/>
  <eventRules name="att" type="event" codeText="@0029" order="1000" moduleName="imgmod"/>
  <eventRules name="disatt" type="event" codeText="@0032" order="1000" moduleName="imgmod"/>
</eibs:Module>
