<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="led" table="led" title="LED - Export L/C Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Export L/C" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registration" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date L/C Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date L/C Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cnfdat" column="cnfdat" description="Confirmation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="advdat" column="advdat" description="Date Released on" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="issnam" column="issnam" description="Issuing Bank" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issref" column="issref" description="Issuing Bank Ref." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amedat" column="amedat" description="Date of Last Amendment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendments" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="avbby" column="avbby" description="Available by [AVBBY0]" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbwth" column="avbwth" description="Available with" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bennam" column="bennam" description="Beneficiary" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="benref" column="benref" description="Beneficiary Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chato" column="chato" description="Own Charges Borne by" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnfflg" column="cnfflg" description="Percentage or Amount Confirmed" viewtype="Combobox" codetable="cnfflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnfdet" column="cnfdet" description="Confirmation Instructions from Iss.Bank" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnfsta" column="cnfsta" description="Confirmation Status" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expdat" column="expdat" description="Date of Expiry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expplc" column="expplc" description="Place of Expiry" length="29" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lcrtyp" column="lcrtyp" description="Form of Documentary Credit" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomspc" column="nomspc" description="Amount Specification" viewtype="Combobox" codetable="nomspc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomtop" column="nomtop" description="Amount Tolerance - Positive" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="nomton" column="nomton" description="Amount Tolerance - Negative" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="preadvdt" column="preadvdt" description="Date Pre-advised" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="shpdat" column="shpdat" description="Shipment Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="shpfro" column="shpfro" description="Shipment from" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shppar" column="shppar" description="Partial Shipment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpto" column="shpto" description="For Transportation to" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shptrs" column="shptrs" description="Transshipment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code for Statistics" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stagod" column="stagod" description="Goods Code for Statistics" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="utlnbr" column="utlnbr" description="No. of Existing and not Completely Processed  Document Sets" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplbnkdirsnd" column="aplbnkdirsnd" description="Send Directly to Applicant's Bank" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tenmaxday" column="tenmaxday" description="Maximum Tenor" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="cnfsnd" column="cnfsnd" description="Confirmation Status of 1st Advising Bank" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="revflg" column="revflg" description="Revolving Flag" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="revnbr" column="revnbr" description="Number of Revolvings under L/C" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="revtimes" column="revtimes" description="Revolving Times" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="revdat" column="revdat" description="Revolving Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="revcum" column="revcum" description="Credit is Marked as Cumulative" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="revtyp" column="revtyp" description="Revolving Type" viewtype="Combobox" codetable="revtyp" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnfins" column="cnfins" description="Confirmation Instructions to 2nd Adv.Bank" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="redclsflg" column="redclsflg" description="Red/Green Clause" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="advnbr" column="advnbr" description="No. of Advised Sub-Contracts without Documents" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="resflg" column="resflg" description="Reserved Contract" viewtype="Checkbox" codetable="resflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inctrf" column="inctrf" description="Incoming Transfer" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apprul" column="apprul" description="Applicable Rules" viewtype="Combobox" codetable="apprul" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apprultxt" column="apprultxt" description="Other Applicable Rules" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pordis" column="pordis" description="Port of Discharge" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="porloa" column="porloa" description="Port of Loading" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nonban" column="nonban" description="Non-Bank Issuer" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="partcon" column="partcon" description="Partial Confirmation" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="collflg" column="collflg" description="Collateralized L/C" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="teskeyunc" column="teskeyunc" description="Test Key Unconfirmity" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dbtflg" column="dbtflg" description="Authorization to Debit" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEY" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskrat" column="rskrat" description="Risk Rate" datatype="numeric" length="3" lineOrDecimalSize="2" />
<datafields comments="" name="dflg" column="dflg" description="Flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tratyp" column="tratyp" description="运输方式" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="12" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jylx" column="jylx" description="交易类型" viewtype="Combobox" codetable="jylx" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="yfxx" column="yfxx" description="议付选项" codetable="yfxx" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jjh" column="jjh" description="借据号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ekeep" column="ekeep" description="保管标志" viewtype="Combobox" codetable="ekeep" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shppars18" column="shppars18" description="Partial Shipment for Swift release 2018" viewtype="Combobox" codetable="shppars18" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shptrss18" column="shptrss18" description="Transshipment for Swift release 2018" viewtype="Combobox" codetable="shptrss18" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="spcbenflg" column="spcbenflg" description="Special payment conditions for beneficiary exists" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="spcrcbflg" column="spcrcbflg" description="Special Payment Conditions for receiving bank" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prepers18" column="prepers18" description="Days of presentation period" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="prepertxts18" column="prepertxts18" description="Presentation period text" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="spcbename" column="spcbename" description="Special payment Conditions for beneficiary History" datatype="block" viewtype="Block" length="50" lineOrDecimalSize="999" viewlines="1" />
<datafields comments="" name="tracoutry" column="tracoutry" description="交易对手国别" length="40" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
