<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="letp0" table="letp0" title="Basic Infopanel for Export L/Cs" transient="true"
    i18nSequence="186" ruleSequence="5">
  <datafields name="pansta" column="pansta" description="Status E-nable, D-isable, I-nvisible"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="cnftxt" column="cnftxt" description="Confirmation text" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="ledgetaddsub" column="ledgetaddsub" description="Name of GETADDSUB function"
      length="80" lineOrDecimalSize="1"/>
  <modules name="ledgrp" type="ledgrp" argument="true"/>
  <modules name="recget" type="ledget">
    <arguments name="led" value="ledgrp\rec"/>
    <arguments name="getaddsub" value="ledgetaddsub"/>
  </modules>
  <modules name="aammod" type="aammod">
    <arguments name="grp" value="ledgrp"/>
    <arguments name="max" value="ledgrp\cbs\max"/>
    <arguments name="opn1" value="ledgrp\cbs\opn1"/>
    <arguments name="max2" value="ledgrp\cbs\max2"/>
    <arguments name="opn2" value="ledgrp\cbs\opn2"/>
    <arguments name="addamtcov" value="ledgrp\blk\addamtcov"/>
  </modules>
  <panels name="letp0" description="PD000001" width="718" height="230" transient="true"
      visible="false" popup="true">
    <components path="recget\sdamod\dadsnd" width="106" left="416" top="4" height="22"/>
    <components path="ledgrp\rec\ownref" width="106" left="132" height="22"/>
    <components path="recget\sdamod\seainf" width="20" left="252" height="22"/>
    <components path="ledgrp\rec\nam" width="266" enabled="false" left="452" height="22"/>
    <components path="ledgrp\cbs\nom1\cur" width="20" enabled="false" left="132" top="44"
        height="22"/>
    <components path="ledgrp\cbs\nom1\amt" viewType="Amount" width="120" enabled="false"
        left="184" top="44" height="22"/>
    <components path="aammod\addamtflg" viewType="Checkbox" width="75" enabled="false"
        required="true" text="CF000184" left="312" top="44" height="22"/>
    <components path="ledgrp\cbs\opn1\cur" width="20" enabled="false" left="132" top="68"
        height="22"/>
    <components path="ledgrp\cbs\opn1\amt" viewType="Amount" width="120" enabled="false"
        left="184" top="68" height="22"/>
    <components path="ledgrp\rec\avbby" viewType="Combobox" width="75" enabled="false"
        left="132" top="120" height="22"/>
    <components path="ledgrp\rec\redclsflg" viewType="Checkbox" width="75" enabled="false"
        required="true" text="CF000185" left="312" top="120" height="22"/>
    <components path="ledgrp\rec\opndat" viewType="Date" width="80" enabled="false"
        left="132" top="148" height="22"/>
    <components path="ledgrp\rec\shpdat" viewType="Date" width="80" enabled="false"
        left="332" top="148" height="22"/>
    <components path="ledgrp\rec\expdat" viewType="Date" width="80" enabled="false"
        left="132" top="172" height="22"/>
    <components path="ledgrp\rec\expplc" width="193" enabled="false" left="202" top="172"
        height="22"/>
    <components path="ledgrp\rec\lcrtyp" viewType="Combobox" width="75" enabled="false"
        left="132" top="200" height="22"/>
    <components path="ledgrp\apl\pts\ref" width="106" enabled="false" left="596" top="44"
        height="22"/>
    <components path="ledgrp\apl\pts\nam" width="266" enabled="false" left="452" top="68"
        height="22"/>
    <components path="ledgrp\iss\pts\ref" width="106" enabled="false" left="596" top="96"
        height="22"/>
    <components path="ledgrp\iss\pts\nam" width="266" enabled="false" left="452" top="120"
        height="22"/>
    <components path="ledgrp\ben\pts\ref" width="106" enabled="false" left="596" top="150"
        height="22"/>
    <components path="ledgrp\ben\pts\nam" width="266" enabled="false" left="452" top="174"
        height="22"/>
    <components path="cnftxt" width="266" enabled="false" left="452" top="200" height="22"/>
    <components path="ledgrp\rec\revflg" viewType="Checkbox" width="75" enabled="false"
        required="true" text="CF000183" left="312" top="68" height="22"/>
    <components path="ledgrp\avbnam" width="266" enabled="false" left="132" top="96"
        height="22"/>
    <components viewType="Label" text="SF000158" height="22"/>
    <components viewType="Label" text="SF000159" top="44" height="22"/>
    <components viewType="Label" text="SF000160" top="68" height="22"/>
    <components viewType="Label" text="SF000161" left="452" top="148" height="22"/>
    <components viewType="Label" text="SF000162" left="452" top="44" height="22"/>
    <components viewType="Label" text="SF000163" top="96" height="22"/>
    <components viewType="Label" text="SF000164" left="70" top="120" height="22"/>
    <components viewType="Label" text="SF000165" top="200" height="22"/>
    <components viewType="Label" text="SF000166" top="172" height="22"/>
    <components viewType="Label" text="SF000167" top="148" height="22"/>
    <components viewType="Label" text="SF000168" left="352" height="22"/>
    <components viewType="Label" text="SF000169" left="568" top="148" height="22"/>
    <components viewType="Label" text="SF000170" left="452" top="96" height="22"/>
    <components viewType="Label" text="SF000171" left="514" top="96" height="22"/>
    <components viewType="Label" text="SF000172" left="568" top="44" height="22"/>
    <components viewType="Label" text="SF000182" left="202" top="148" height="22"/>
  </panels>
  <initRules name="\" type="init" codeText="@0000" order="1000" moduleName="letp0"/>
  <defaultRules name="ledgrp\rec\ownref" type="default" codeText="@0001" order="900"
      moduleName="letp0"/>
  <defaultRules name="ledgrp\avb\pts\nam" type="default" codeText="@0002" order="210"
      moduleName="letp0"/>
  <defaultRules name="cnftxt" type="default" codeText="@0003" order="1000" moduleName="letp0"/>
  <defaultRules name="letp0" type="default" codeText="@0004" order="1200" moduleName="letp0"/>
</eibs:Module>
