<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="liaall" table="liaall" title=" " transient="true" i18nSequence="454"
    ruleSequence="401">
  <datafields name="concur" column="concur" description="contract currency" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="amtsum" column="amtsum" description="sum of handled amounts" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="oldbalsum" column="oldbalsum" description="sum of old blances"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="allextids" column="allextids" description="All external IDs used"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="oldredflg" column="oldredflg" description="old info read" length="1"
      lineOrDecimalSize="1"/>
  <datafields name="addamt" column="addamt" description="amount added to contract in this transaction"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="ptlamtavb" column="ptlamtavb" description="available amount for partial amounts"
      datatype="numeric" viewtype="Amount" length="18"/>
  <datafields name="ptlamtsum" column="ptlamtsum" description="sum of partial amounts"
      datatype="numeric" viewtype="Amount" length="18"/>
  <datafields name="ptlamt" column="ptlamt" description="old amounts of the extids"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="matdattxt" column="matdattxt" description="Maturity date or status"
      length="12" lineOrDecimalSize="1"/>
  <datafields name="rol" column="rol" description="main role default APL" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="parstm" column="parstm" description="Stream holding parameters"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="liasetmetstm" column="liasetmetstm" description="Stream holding parameters"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="misamt" column="misamt" description="Amount not yet assigned"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="exttotoldamt" column="exttotoldamt" description="Total old amount external assinged"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="exttotamt" column="exttotamt" description="Total booking amount external assinged"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="tensetamt" column="tensetamt" description="Amount of settled tenor"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="misidx" column="misidx" description="Index of definition in PARSTM"
      datatype="numeric" length="4"/>
  <datafields name="butmisamt" column="butmisamt" description="Add to current line"
      datatype="control" viewtype="Button" length="24" lineOrDecimalSize="1"/>
  <datafields name="butmissig" column="butmissig" description="Add to sight Amount"
      datatype="control" viewtype="Button" length="25" lineOrDecimalSize="1"/>
  <datafields name="liatotamt" column="liatotamt" description="Total lability change"
      datatype="numeric" length="18" lineOrDecimalSize="3"/>
  <datafields name="grdcolflg" column="grdcolflg" description="select columns to show"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="grdcolflg"/>
  <datafields name="tenset" column="tenset" description="Tenor settled" viewtype="Combobox"
      lineOrDecimalSize="1"/>
  <datafields name="tensetmatdat" column="tensetmatdat" description="Maturity of tenor settled"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="parrolsel" column="parrolsel" description="LiaallGetPartinfo: Amount of role"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="parroloth" column="parroloth" description="LiaallGetPartinfo: Amount of other roles"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="outpct" column="outpct" description="Sight Amount Percentage"
      datatype="numeric" length="6" lineOrDecimalSize="3"/>
  <datafields name="outamt" column="outamt" description="Sight Amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="avxgrpkey" column="avxgrpkey" description="Group key for LiaallSetCbeAmountDivAvlAvsInt"
      viewtype="Checkbox" length="3" lineOrDecimalSize="1"/>
  <datafields name="mac" column="mac" description="current MAC" lineOrDecimalSize="1"/>
  <datafields name="tenstm" column="tenstm" description="Tenor Stream" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="tensetstm" column="tensetstm" description="Tenors to settle" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="acpamt" column="acpamt" description="accept amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="remark1" column="remark1" description="remark1" datatype="block"
      viewtype="Block" length="40" lineOrDecimalSize="20" viewlines="5"/>
  <datafields name="remark2" column="remark2" description="remark2" datatype="block"
      viewtype="Block" length="40" lineOrDecimalSize="20" viewlines="5"/>
  <datafields name="remark3" column="remark3" description="remark3" datatype="block"
      viewtype="Block" length="40" lineOrDecimalSize="20" viewlines="5"/>
  <datafields name="remark4" column="remark4" description="remark4" datatype="block"
      viewtype="Block" length="40" lineOrDecimalSize="20" viewlines="5"/>
  <datafields name="liaalll1blk" column="liaalll1blk" description="XMLPanel liaalll1的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <modules name="grp" type="sysobj" argument="true"/>
  <modules name="liaallg" type="liaallg" list="true" pageSize="1" initSize="3"/>
  <modules name="wrkcbb" type="cbb" static="true"/>
  <modules name="wrkpts" type="pts"/>
  <modules name="wrkpte" type="pte"/>
  <modules name="wrkfec" type="fec"/>
  <modules name="liaallr" type="liaallr" list="true" pageSize="1" initSize="3"/>
  <modules name="liaccv" type="liaccv"/>
  <modules name="acr" type="acr"/>
  <modules name="lsnmod" type="lsnmod"/>
  <modules name="wrkp" type="ptsp">
    <arguments name="ptspta" value="lsnmod\pfpmod\wrk"/>
  </modules>
  <modules name="othp" type="ptsp">
    <arguments name="ptspta" value="lsnmod\pfpmod\oth"/>
  </modules>
  <modules name="fid" type="fid"/>
  <modules name="acemod" type="acemod"/>
  <panels name="liaallp" description="PD000000" width="710" height="320" transient="true"
      visible="false" popup="true">
    <components path="misamt" viewType="Amount" width="120" enabled="false" left="280"
        top="224" height="22"/>
    <components path="concur" width="20" enabled="false" left="192" top="224" height="22"/>
    <components path="setdocp" viewType="Composite" width="500" left="0" top="192"
        height="28"/>
    <components path="butmisamt" viewType="Button" width="160" text="CF000061" left="408"
        top="224" height="22"/>
    <components path="butmissig" viewType="Button" width="166" text="CF000083" left="556"
        top="224" height="22"/>
    <components path="extp" viewType="Composite" width="500" left="0" top="250" height="56"/>
    <components viewType="Label" text="SF000062" left="4" top="4" height="22"/>
    <components viewType="Label" text="SF000063" left="4" top="224" height="22"/>
  </panels>
  <panels name="engp" description="PD000027" width="788" height="528">
    <components path="liaallp" viewType="Composite" width="710" left="4" top="4" height="320"/>
    <components path="redplnp" viewType="Composite" width="710" left="4" top="360"
        height="160"/>
  </panels>
  <panels name="redplnp" description="PD000064" width="710" height="160" transient="true"
      visible="false">
    <components viewType="Label" text="SF000065" left="4" top="4" height="22"/>
  </panels>
  <panels name="setdocp" description="PD000084" width="500" height="28" transient="true">
    <components path="outpct" width="40" enabled="false" left="408" top="4" height="22"/>
    <components path="concur" viewType="Combobox" width="75" enabled="false" left="192"
        top="4" height="22"/>
    <components path="outamt" viewType="Amount" width="120" enabled="false" left="280"
        top="4" height="22"/>
    <components viewType="Label" text="SF000085" left="4" top="4" height="22"/>
    <components viewType="Label" text="SF000088" left="464" top="4" height="22"/>
  </panels>
  <panels name="tenp" description="PD000091" width="400" height="70" transient="true"
      visible="false" enabled="false">
    <components path="tenstm" width="392" left="1" top="1" height="71"/>
  </panels>
  <panels name="extp" description="PD000097" width="500" height="56" transient="true">
    <components path="concur" width="20" enabled="false" left="192" top="4" height="22"/>
    <components path="exttotoldamt" viewType="Amount" width="120" enabled="false"
        left="280" top="4" height="22"/>
    <components path="exttotamt" viewType="Amount" width="120" enabled="false" left="280"
        top="32" height="22"/>
    <components path="concur" width="20" enabled="false" left="192" top="32" height="22"/>
    <components viewType="Label" text="S0000098" left="4" top="4" height="22"/>
    <components viewType="Label" text="S0000099" left="4" top="32" height="22"/>
  </panels>
  <panels name="engdetp" description="PD000330" width="788" height="528" visible="false">
    <components path="lsnmod\detp" viewType="Composite" width="708" left="4" top="124"
        height="400"/>
    <components path="pfcodp" viewType="Composite" width="708" left="4" top="4" height="125"/>
  </panels>
  <panels name="pfcodp" description="PD000331" width="708" height="125" transient="true">
    <components path="lsnmod\pfpmod\wrklab" viewType="Label" width="266" enabled="false"
        height="22"/>
    <components path="lsnmod\pfpmod\othlab" viewType="Label" width="266" left="362"
        height="22"/>
    <components path="wrkp\ptap2" viewType="Composite" width="260" left="52" top="28"
        height="60"/>
    <components path="othp\ptap2" viewType="Composite" width="260" enabled="false"
        left="417" top="28" height="60"/>
    <components path="lsnmod\pfpmod\pfcodp" viewType="Composite" width="346" top="92"
        height="30"/>
    <components path="lsnmod\pfpmod\pfcodp2" viewType="Composite" width="346" left="362"
        top="92" height="30"/>
    <components path="lsnmod\pfpmod\info" viewType="Button" width="26" text="CG000447"
        left="320" top="64" height="22"/>
  </panels>
  <panels name="remark" description="PD000438" width="788" height="528" visible="false">
    <components path="remark2" viewType="Block" width="266" left="448" top="44" height="240"/>
    <components path="remark1" viewType="Block" width="266" left="103" top="47" height="240"/>
    <components path="remark3" viewType="Block" width="266" left="103" top="159" height="240"/>
    <components path="remark4" viewType="Block" width="266" left="448" top="159" height="240"/>
    <components viewType="Label" text="SG000440" left="388" top="47" height="22"/>
    <components viewType="Label" text="SG000443" left="42" top="47" height="22"/>
    <components viewType="Label" text="SG000444" left="42" top="159" height="22"/>
    <components viewType="Label" text="SG000445" left="388" top="159" height="22"/>
  </panels>
  <panels name="liaalll1" description="PD000333" width="800" height="600">
    <components path="liaalll1blk" viewType="Block" widthUnit="%" left="0" top="0"
        height="100" heightUnit="%"/>
  </panels>
  <localMethods name="getold" type="local" codeText="@0000" moduleName="liaall"/>
  <localMethods name="setextids" type="local" codeText="@0001" moduleName="liaall"/>
  <localMethods name="printTenorsInSwift" type="local" codeText="@0007" moduleName="liaall"/>
  <localMethods name="assertLIAALL" type="local" codeText="@0010" moduleName="liaall"/>
  <localMethods name="liaallSetCbeAmountDbtCdt" type="local" codeText="@0011" moduleName="liaall"/>
  <localMethods name="liaAllGetFullamount" type="local" codeText="@0013" moduleName="liaall"/>
  <localMethods name="liaallSetFeecod" type="local" codeText="@0014" moduleName="liaall"/>
  <localMethods name="storeCon" type="local" codeText="@0015" moduleName="liaall"/>
  <localMethods name="storeAll" type="local" codeText="@0020" moduleName="liaall"/>
  <localMethods name="liaallSetDisable" type="local" codeText="@0021" moduleName="liaall"/>
  <localMethods name="liaallIsCBTPFXEnabled" type="local" codeText="@0022" moduleName="liaall"/>
  <localMethods name="liaallSetTransferToSettlement" type="local" codeText="@0023"
      moduleName="liaall"/>
  <localMethods name="liaallGetFeecodFucKey" type="local" codeText="@0024" moduleName="liaall"/>
  <localMethods name="liaallSetInccod" type="local" codeText="@0025" moduleName="liaall"/>
  <localMethods name="liaallSetBookingType" type="local" codeText="@0026" moduleName="liaall"/>
  <localMethods name="liaallReductionPlan" type="local" codeText="@0028" moduleName="liaall"/>
  <localMethods name="getReductionInfo" type="local" codeText="@0029" moduleName="liaall"/>
  <localMethods name="liaallGetOldamtSum" type="local" codeText="@0033" moduleName="liaall"/>
  <localMethods name="liaallSetSelectTenorCBTPFX" type="local" codeText="@0034" moduleName="liaall"/>
  <localMethods name="liaallSetTenorFields" type="local" codeText="@0035" moduleName="liaall"/>
  <localMethods name="liaallSetAllowChanges" type="local" codeText="@0037" moduleName="liaall"/>
  <localMethods name="defaultacceptance" type="local" codeText="@0038" moduleName="liaall"/>
  <localMethods name="liaallSetCancel" type="local" codeText="@0039" moduleName="liaall"/>
  <localMethods name="defaultcancel" type="local" codeText="@0040" moduleName="liaall"/>
  <localMethods name="setparstm" type="local" codeText="@0041" moduleName="liaall"/>
  <localMethods name="liaallGetNewamtSum" type="local" codeText="@0042" moduleName="liaall"/>
  <localMethods name="liaallGetNewamtSumForType" type="local" codeText="@0043" moduleName="liaall"/>
  <localMethods name="liaallGetNewamtSumWithMod" type="local" codeText="@0044" moduleName="liaall"/>
  <localMethods name="getOldForContract" type="local" codeText="@0045" moduleName="liaall"/>
  <localMethods name="liaallSetAdditionalContract" type="local" codeText="@0046" moduleName="liaall"/>
  <localMethods name="liaallSetCircular" type="local" codeText="@0047" moduleName="liaall"/>
  <localMethods name="liaallGetCurrentTenorCBTPFX" type="local" codeText="@0048" moduleName="liaall"/>
  <localMethods name="liaallSetFinaningTenor" type="local" codeText="@0049" moduleName="liaall"/>
  <localMethods name="liaallSetDefaultMaturity" type="local" codeText="@0050" moduleName="liaall"/>
  <localMethods name="liaallSetCoverChangeAmount" type="local" codeText="@0051" moduleName="liaall"/>
  <localMethods name="liaallParGettInfo" type="local" codeText="@0053" moduleName="liaall"/>
  <localMethods name="isSameObject" type="local" codeText="@0054" moduleName="liaall"/>
  <localMethods name="liaallCBTPFXIsBalance" type="local" codeText="@0055" moduleName="liaall"/>
  <localMethods name="getOldamtSumToLine" type="local" codeText="@0056" moduleName="liaall"/>
  <localMethods name="getnewamtSumToLine" type="local" codeText="@0057" moduleName="liaall"/>
  <localMethods name="checkrole" type="local" codeText="@0058" moduleName="liaall"/>
  <localMethods name="getLiaallGLine" type="local" codeText="@0059" moduleName="liaall"/>
  <localMethods name="liaallSetRefOld" type="local" codeText="@0061" moduleName="liaall"/>
  <localMethods name="setDefaultPart" type="local" codeText="@0062" moduleName="liaall"/>
  <localMethods name="liaallSetRefBuc" type="local" codeText="@0063" moduleName="liaall"/>
  <localMethods name="storePteAndCbs" type="local" codeText="@0064" moduleName="liaall"/>
  <localMethods name="liaallSetCoverReserveAmount" type="local" codeText="@0065" moduleName="liaall"/>
  <localMethods name="enableAmountZero" type="local" codeText="@0066" moduleName="liaall"/>
  <localMethods name="liaallSetAllRolesHaveAmount" type="local" codeText="@0067" moduleName="liaall"/>
  <localMethods name="liaallSetShowDetailsIfOld" type="local" codeText="@0069" moduleName="liaall"/>
  <localMethods name="liaallSetAllRolesAvailable" type="local" codeText="@0070" moduleName="liaall"/>
  <localMethods name="liaallSetAllowExchange" type="local" codeText="@0071" moduleName="liaall"/>
  <localMethods name="liaallSetFeeBegdat" type="local" codeText="@0072" moduleName="liaall"/>
  <localMethods name="getPtyinrAndPtainr" type="local" codeText="@0073" moduleName="liaall"/>
  <localMethods name="getoldStartup" type="local" codeText="@0074" moduleName="liaall"/>
  <localMethods name="liaallSetPtsptaForRol" type="local" codeText="@0075" moduleName="liaall"/>
  <localMethods name="internalDistribLines" type="local" codeText="@0076" moduleName="liaall"/>
  <localMethods name="internalDistrib" type="local" codeText="@0077" moduleName="liaall"/>
  <localMethods name="liaallSetRolPayReplace" type="local" codeText="@0078" moduleName="liaall"/>
  <localMethods name="liaallSetCalcTilMatDat" type="local" codeText="@0079" moduleName="liaall"/>
  <localMethods name="liaallSetUseEmptyBalances" type="local" codeText="@0080" moduleName="liaall"/>
  <localMethods name="liaallSetPctRefAmt" type="local" codeText="@0081" moduleName="liaall"/>
  <localMethods name="liaallSetAllowMoveSight" type="local" codeText="@0082" moduleName="liaall"/>
  <localMethods name="liaallSetCbeAmountDivAvlAvsInt" type="local" codeText="@0088"
      moduleName="liaall"/>
  <localMethods name="liaallSetMatinf" type="local" codeText="@0089" moduleName="liaall"/>
  <localMethods name="liaallSetCatActPtyInr" type="local" codeText="@0090" moduleName="liaall"/>
  <localMethods name="liaallSetRefAct" type="local" codeText="@0091" moduleName="liaall"/>
  <localMethods name="liaallGetOldAmtForRol" type="local" codeText="@0092" moduleName="liaall"/>
  <localMethods name="liaallSetCbeAmount" type="local" codeText="@0093" moduleName="liaall"/>
  <localMethods name="getNewTenorInfo" type="local" codeText="@0094" moduleName="liaall"/>
  <localMethods name="liaallSetAmount2" type="local" codeText="@0095" moduleName="liaall"/>
  <localMethods name="liaallGetTenorOldAmt2" type="local" codeText="@0096" moduleName="liaall"/>
  <localMethods name="liaallGetTenorOldAmt" type="local" codeText="@0097" moduleName="liaall"/>
  <localMethods name="internalCheckOldAccountsAndMov" type="local" codeText="@0098"
      moduleName="liaall"/>
  <localMethods name="liaallSetGrpKey" type="local" codeText="@0100" moduleName="liaall"/>
  <localMethods name="liaallSetCbtPfxLst" type="local" codeText="@0101" moduleName="liaall"/>
  <localMethods name="liaallSetValdat" type="local" codeText="@0102" moduleName="liaall"/>
  <localMethods name="movePteToLiaallg" type="local" codeText="@0103" moduleName="liaall"/>
  <localMethods name="liaallSetFeeBegdatForGrpKey" type="local" codeText="@0104" moduleName="liaall"/>
  <localMethods name="liaallSetDistrib" type="local" codeText="@0106" moduleName="liaall"/>
  <localMethods name="liaallSetTenorBookAmount" type="local" codeText="@0108" moduleName="liaall"/>
  <localMethods name="setTenStmAttr" type="local" codeText="@0110" moduleName="liaall"/>
  <localMethods name="liaallSetFeeOnePerMatdat" type="local" codeText="@0111" moduleName="liaall"/>
  <localMethods name="liaallSetTenorAutoRedMaxamt" type="local" codeText="@0112" moduleName="liaall"/>
  <localMethods name="liaallSetCbeAmountDivAvlAvsIntSeq" type="local" codeText="@0113"
      moduleName="liaall"/>
  <localMethods name="liallSetMoveAmounts" type="local" codeText="@0114" moduleName="liaall"/>
  <localMethods name="liaallSetFeecodObj" type="local" codeText="@0115" moduleName="liaall"/>
  <localMethods name="liaallSetExternalAmount" type="local" codeText="@0116" moduleName="liaall"/>
  <localMethods name="internalDistribExtamt" type="local" codeText="@0117" moduleName="liaall"/>
  <localMethods name="liaallSetDistribTenor" type="local" codeText="@0118" moduleName="liaall"/>
  <localMethods name="liaAllCompleteRedefaultWithWarn" type="local" codeText="@0119"
      moduleName="liaall"/>
  <localMethods name="liaallSetRolOwnGroup" type="local" codeText="@0120" moduleName="liaall"/>
  <localMethods name="liaallSetCbtAlwEmp" type="local" codeText="@0121" moduleName="liaall"/>
  <localMethods name="liaallParGet" type="local" codeText="@0122" moduleName="liaall"/>
  <localMethods name="liaallParSet" type="local" codeText="@0123" moduleName="liaall"/>
  <localMethods name="liaallParFound" type="local" codeText="@0124" moduleName="liaall"/>
  <localMethods name="liaallGetPartInfo" type="local" codeText="@0126" moduleName="liaall"/>
  <localMethods name="bolGetLiaStream" type="local" codeText="@0127" moduleName="liaall"/>
  <localMethods name="bolGetReducedLia" type="local" codeText="@0128" moduleName="liaall"/>
  <localMethods name="diasav" type="local" codeText="@0129" moduleName="liaall"/>
  <localMethods name="ptsAdjustC" type="local" codeText="@0130" moduleName="liaall"/>
  <localMethods name="registersettlementLiaZZ" type="local" codeText="@0132" moduleName="liaall"/>
  <localMethods name="getTenorInfo" type="local" codeText="@0133" moduleName="liaall"/>
  <localMethods name="liaallgetconinf" type="local" codeText="@0134" moduleName="liaall"/>
  <localMethods name="getConfirmationCbtLst" type="local" codeText="@0135" moduleName="liaall"/>
  <localMethods name="fillTENSTM" type="local" codeText="@0137" moduleName="liaall"/>
  <localMethods name="createGLEFromLIA" type="local" codeText="@0138" moduleName="liaall"/>
  <localMethods name="liaallCheckifTenorsempty" type="local" codeText="@0139" moduleName="liaall"/>
  <localMethods name="liaallSetTransaction" type="local" codeText="@0140" moduleName="liaall"/>
  <localMethods name="irtCalSetPrincipal" type="local" codeText="@0141" moduleName="liaall"/>
  <localMethods name="getRelevantDates" type="local" codeText="@0142" moduleName="liaall"/>
  <localMethods name="diasavZZZ" type="local" codeText="@0143" moduleName="liaall"/>
  <localMethods name="createLimitExtid" type="local" codeText="@0145" moduleName="liaall"/>
  <localMethods name="assertLSNMOD" type="local" codeText="@0147" moduleName="liaall"/>
  <localMethods name="getCcvRelatedExtidLst" type="local" codeText="@0148" moduleName="liaall"/>
  <localMethods name="getacpAmt" type="local" codeText="@0157" moduleName="liaall"/>
  <localMethods name="getbchanaccbch" type="local" codeText="@0159" moduleName="liaall"/>
  <localMethods name="registerDocument" type="local" codeText="@0160" moduleName="liaall"/>
  <localMethods name="exeAsertLia" type="local" codeText="@0162" moduleName="liaall"/>
  <localMethods name="xmlPrintTenorinfo" type="local" codeText="@0165" moduleName="liaall"/>
  <localMethods name="printTenorsInCoverForGrpkey" type="local" codeText="@0166" moduleName="liaall"/>
  <localMethods name="liaallXMLPrintPartInfo" type="local" codeText="@0167" moduleName="liaall"/>
  <localMethods name="printTenorsInCover" type="local" codeText="@0168" moduleName="liaall"/>
  <localMethods name="xmlPrtTenors" type="local" codeText="@0169" moduleName="liaall"/>
  <localMethods name="xmlPrintSettledTenors" type="local" codeText="@0170" moduleName="liaall"/>
  <initRules name="\" type="init" codeText="@0005" order="1000" moduleName="liaall"/>
  <initRules name="\" type="init" codeText="@0400" order="901890" moduleName="liaall"/>
  <initRules name="\" type="init" codeText="@0136" order="800" moduleName="liaall"/>
  <defaultRules name="amtsum" type="default" codeText="@0002" order="1000" moduleName="liaall"/>
  <defaultRules name="oldbalsum" type="default" codeText="@0004" order="1000" moduleName="liaall"/>
  <defaultRules name="ptlamtavb" type="default" codeText="@0006" order="1000" moduleName="liaall"/>
  <defaultRules name="matdattxt" type="default" codeText="@0008" order="1000" moduleName="liaall"/>
  <defaultRules name="butmisamt" type="default" codeText="@0017" order="1000" moduleName="liaall"/>
  <defaultRules name="liatotamt" type="default" codeText="@0027" order="1000" moduleName="liaall"/>
  <defaultRules name="redplnp" type="default" codeText="@0030" order="1000" moduleName="liaall"/>
  <defaultRules name="liaallr" type="default" codeText="@0031" order="1000" moduleName="liaall"/>
  <defaultRules name="rol" type="default" codeText="@0032" order="20" moduleName="liaall"/>
  <defaultRules name="engp" type="default" codeText="@0052" order="900" moduleName="liaall"/>
  <defaultRules name="butmissig" type="default" codeText="@0083" order="1000" moduleName="liaall"/>
  <defaultRules name="setdocp" type="default" codeText="@0085" order="1000" moduleName="liaall"/>
  <defaultRules name="mac" type="default" codeText="@0107" order="1000" moduleName="liaall"/>
  <defaultRules name="liaallg" type="default" codeText="@0131" order="1000" moduleName="liaall"/>
  <defaultRules name="others" type="default" codeText="@0150" order="1001" moduleName="liaall">
    <paths>lsnmod\pfpmod\othlab</paths>
    <paths>othp\ptap2</paths>
  </defaultRules>
  <defaultRules name="liaallr" type="default" codeText="@0151" order="2000" moduleName="liaall"/>
  <defaultRules name="engdetp" type="default" codeText="@0152" order="1000" moduleName="liaall"/>
  <defaultRules name="remark" type="default" codeText="@0161" order="1000" moduleName="liaall"/>
  <checkRules name="misamt" type="check" codeText="@0019" order="1000" moduleName="liaall"/>
  <checkRules name="\setmod\docamt" type="check" codeText="@0036" order="15000" moduleName="liaall"/>
  <checkRules name="tenstm" type="check" codeText="@0109" order="1000" moduleName="liaall"/>
  <checkRules name="lsnmod\lsbstm" type="check" codeText="@0149" order="1000" moduleName="liaall"/>
  <checkRules name="tenstm" type="check" codeText="@0156" order="1001" moduleName="liaall"/>
  <eventRules name="liaallg" type="event" codeText="@0003" order="1000" moduleName="liaall"/>
  <eventRules name="engp" type="event" codeText="@0009" order="1000" moduleName="liaall"/>
  <eventRules name="liaallg\rol" type="event" codeText="@0012" order="1000" moduleName="liaall"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0016" order="120" moduleName="liaall"/>
  <eventRules name="butmisamt" type="event" codeText="@0018" order="1000" moduleName="liaall"/>
  <eventRules name="\mtabut\chk" type="event" codeText="@0060" order="120" moduleName="liaall"/>
  <eventRules name="\trnmod\trndoc\docpan" type="event" codeText="@0068" order="200"
      moduleName="liaall"/>
  <eventRules name="butmissig" type="event" codeText="@0084" order="1000" moduleName="liaall"/>
  <eventRules name="\setmod\setpan" type="event" codeText="@0086" order="10" moduleName="liaall"/>
  <eventRules name="\setmod\docamt" type="event" codeText="@0087" order="10" moduleName="liaall"/>
  <eventRules name="liaallg" type="event" codeText="@0099" order="1000" moduleName="liaall"/>
  <eventRules name="tenstm" type="event" codeText="@0105" order="1000" moduleName="liaall"/>
  <eventRules name="engdetp" type="event" codeText="@0144" order="1000" moduleName="liaall"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0146" order="497" moduleName="liaall"/>
  <eventRules name="\mtabut\usrcon" type="event" codeText="@0153" order="497" moduleName="liaall"/>
  <eventRules name="\mtabut\usrcon" type="event" codeText="@0154" order="2200" moduleName="liaall"/>
  <eventRules name="\mtabut\usrcon" type="event" codeText="@0155" order="120" moduleName="liaall"/>
  <eventRules name="liaalll1" type="event" eventType="onPanelShow" codeText="@0158"
      moduleName="liaall"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0163" order="197" moduleName="liaall"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0164" order="11" moduleName="liaall"/>
</eibs:Module>
