<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="liaccvg" table="liaccvg" title="Cash Cover info line " transient="true"
    i18nSequence="10" ruleSequence="38">
  <datafields name="cur" column="cur" description="Currency" viewtype="Combobox" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="amt" column="amt" description="Amount" datatype="numeric" viewtype="Amount"
      length="18" lineOrDecimalSize="3"/>
  <datafields name="rol" column="rol" description="Role for which amount is held"
      viewtype="Combobox" length="3" lineOrDecimalSize="1"/>
  <datafields name="ccvid" column="ccvid" description="Id of coverage default CUR"
      length="16" lineOrDecimalSize="1" codetable="ccvid"/>
  <datafields name="concur" column="concur" description="Contract Currency" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="oldamt" column="oldamt" description="Old Amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="covamt" column="covamt" description="Covered Amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="oldflg" column="oldflg" description="Flag, set if line is read from old entry"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="bussec" column="bussec" description="Business sector for showing it in grid and account defaulting in LIAONE"
      viewtype="Combobox" length="2" lineOrDecimalSize="1"/>
  <datafields name="acc" column="acc" description="account" length="34" lineOrDecimalSize="1"/>
  <datafields name="fcdinr" column="fcdinr" description="Forward Contract" lineOrDecimalSize="1"/>
  <datafields name="oldfcdinr" column="oldfcdinr" description="Forward Contract INR from old CBE"
      lineOrDecimalSize="1"/>
  <datafields name="fcdavbamt" column="fcdavbamt" description="Available amount for coverage of underlying forward contract"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="fcdacccur" column="fcdacccur" description="Currency of forward contract"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="fcdaccamt" column="fcdaccamt" description="Covered Amount in currency of forward contract if no forward contract: covered amount"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="add" column="add" description="Add" datatype="control" viewtype="Button"
      lineOrDecimalSize="1"/>
  <datafields name="del" column="del" description="Del" datatype="control" viewtype="Button"
      lineOrDecimalSize="1"/>
  <datafields name="cshinr" column="cshinr" description="INR of csh" lineOrDecimalSize="1"/>
  <datafields name="ownref" column="ownref" description="Ref. of cash collection"
      length="16" lineOrDecimalSize="1"/>
  <datafields name="acccovamt" column="acccovamt" description="Actual Covered Amount"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="rat" column="rat" description="Rate" datatype="numeric" length="14"
      lineOrDecimalSize="6"/>
  <modules name="acplia" type="liaone">
    <arguments name="bussec" value="bussec"/>
    <arguments name="bussec" value="bussec"/>
  </modules>
  <modules name="csh" type="fcd"/>
  <panels name="detp" description="PD000001" width="788" height="528" visible="false"
      enabled="false">
    <components path="acplia\cbe\acc" viewType="Combobox" width="226" left="240" top="72"
        height="22"/>
    <components path="acplia\cbe\acc2" width="226" left="240" top="152" height="22"/>
    <components viewType="Label" text="SF000002" top="72" height="22"/>
    <components viewType="Label" text="SF000003" left="12" top="152" height="22"/>
  </panels>
  <initRules name="\" type="init" codeText="@0014" order="1000" moduleName="liaccvg"/>
  <defaultRules name="cur" type="default" codeText="@0000" order="1000" moduleName="liaccvg"/>
  <defaultRules name="rol" type="default" codeText="@0001" order="1000" moduleName="liaccvg"/>
  <defaultRules name="ccvid" type="default" codeText="@0002" order="1000" moduleName="liaccvg"/>
  <defaultRules name="concur" type="default" codeText="@0003" order="1000" moduleName="liaccvg"/>
  <defaultRules name="bussec" type="default" codeText="@0004" order="1000" moduleName="liaccvg"/>
  <defaultRules name="acc" type="default" codeText="@0008" order="1000" moduleName="liaccvg"/>
  <defaultRules name="acplia\liaptyinr" type="default" codeText="@0009" order="1000"
      moduleName="liaccvg"/>
  <defaultRules name="acplia\cbe\cur" type="default" codeText="@0010" order="1000"
      moduleName="liaccvg"/>
  <defaultRules name="acplia\cbe\amt" type="default" codeText="@0011" order="1000"
      moduleName="liaccvg"/>
  <defaultRules name="acplia\cbtpfx" type="default" codeText="@0012" order="1000"
      moduleName="liaccvg"/>
  <defaultRules name="fcdinr" type="default" codeText="@0015" order="950" moduleName="liaccvg"/>
  <defaultRules name="acplia\cbe\extid" type="default" codeText="@0016" order="1000"
      moduleName="liaccvg"/>
  <defaultRules name="acplia\objmod" type="default" codeText="@0017" order="1000"
      moduleName="liaccvg"/>
  <defaultRules name="fcdinfo" type="default" codeText="@0018" order="900" moduleName="liaccvg">
    <paths>fcdacccur</paths>
    <paths>fcdaccamt</paths>
    <paths>fcdavbamt</paths>
    <paths>fcdinr</paths>
  </defaultRules>
  <defaultRules name="covAmts" type="default" codeText="@0022" order="500" moduleName="liaccvg">
    <paths>covamt</paths>
    <paths>acccovamt</paths>
    <paths>amt</paths>
  </defaultRules>
  <defaultRules name="del" type="default" codeText="@0025" order="1000" moduleName="liaccvg"/>
  <defaultRules name="add" type="default" codeText="@0026" order="1000" moduleName="liaccvg"/>
  <defaultRules name="cur" type="default" codeText="@0027" order="1002" moduleName="liaccvg"/>
  <defaultRules name="ccvid" type="default" codeText="@0028" order="1002" moduleName="liaccvg"/>
  <defaultRules name="acc" type="default" codeText="@0029" order="1002" moduleName="liaccvg"/>
  <defaultRules name="rat" type="default" codeText="@0032" order="1500" moduleName="liaccvg"/>
  <defaultRules name="acccovamt" type="default" codeText="@0035" order="1000" moduleName="liaccvg"/>
  <checkRules name="ccvid" type="check" codeText="@0006" order="1000" moduleName="liaccvg"/>
  <checkRules name="amt" type="check" codeText="@0007" order="1000" moduleName="liaccvg"/>
  <checkRules name="chkavb" type="check" codeText="@0019" order="950" moduleName="liaccvg">
    <paths>amt</paths>
    <paths>fcdinr</paths>
    <paths>covamt</paths>
  </checkRules>
  <checkRules name="fcdinr" type="check" codeText="@0020" order="900" moduleName="liaccvg"/>
  <checkRules name="acc" type="check" codeText="@0030" order="1000" moduleName="liaccvg"/>
  <checkRules name="amt" type="check" codeText="@0034" order="1001" moduleName="liaccvg"/>
  <checkRules name="amt" type="check" codeText="@0037" order="500" moduleName="liaccvg"/>
  <eventRules name="amt" type="event" codeText="@0005" order="1000" moduleName="liaccvg"/>
  <eventRules name="covamt" type="event" codeText="@0013" order="1000" moduleName="liaccvg"/>
  <eventRules name="acc" type="event" codeText="@0021" order="1000" moduleName="liaccvg"/>
  <eventRules name="add" type="event" codeText="@0023" order="1000" moduleName="liaccvg"/>
  <eventRules name="del" type="event" codeText="@0024" order="1000" moduleName="liaccvg"/>
  <eventRules name="amt" type="event" codeText="@0031" order="1500" moduleName="liaccvg"/>
  <eventRules name="rat" type="event" codeText="@0033" order="1000" moduleName="liaccvg"/>
  <eventRules name="acccovamt" type="event" codeText="@0036" order="1000" moduleName="liaccvg"/>
</eibs:Module>
