<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="lid" table="lid" title="LID - Import L/C Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Import L/C" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date L/C Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date L/C Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="advnam" column="advnam" description="Advising Bank" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="advref" column="advref" description="Advising Bank Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amedat" column="amedat" description="Date of Last Amendment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendment" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="aplnam" column="aplnam" description="Applicant Address" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplref" column="aplref" description="Applicant Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbby" column="avbby" description="Available by" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbwth" column="avbwth" description="Available with" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bennam" column="bennam" description="Beneficiary" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="benref" column="benref" description="Beneficiary Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chato" column="chato" description="Own Charges Borne by" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnfdet" column="cnfdet" description="Confirmation Instructions" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expdat" column="expdat" description="Date of Expiry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expplc" column="expplc" description="Place of Expiry" codetable="expplc" length="29" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lcrtyp" column="lcrtyp" description="Form of Documentary Credit" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomspc" column="nomspc" description="Amount Specification" viewtype="Combobox" codetable="nomspc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomtop" column="nomtop" description="Amount Tolerance - Positive" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="nomton" column="nomton" description="Amount Tolerance - Negative" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="preadvdt" column="preadvdt" description="Date Pre-advised" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rmbact" column="rmbact" description="Reimbursing Bank Account Identification" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rmbcha" column="rmbcha" description="Reimbursing Bank's Charges" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rmbflg" column="rmbflg" description="Reimbursement Information" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpdat" column="shpdat" description="Shipment Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="shpfro" column="shpfro" description="Shipment from" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="porloa" column="porloa" description="Port of Loading" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pordis" column="pordis" description="Port of Discharge" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shppar" column="shppar" description="Partial Shipment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpto" column="shpto" description="For Transportation to" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shptrs" column="shptrs" description="Transshipment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code Risk Country" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stagod" column="stagod" description="Goods Code" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="utlnbr" column="utlnbr" description="Count of Received Document Sets" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="advnbr" column="advnbr" description="Count of Advised Sub-Contracts without Documents" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="redclsflg" column="redclsflg" description="Red/Green Clause" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lcityp" column="lcityp" description="Internal Type of L/C Default: Normal L/C; B: Back to Back" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="b2binr" column="b2binr" description="INR of LE Backing this L/C" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="b2bref" column="b2bref" description="Reference of Contract Backing this L/C" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="revnbr" column="revnbr" description="Number of Revolvings under L/C" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="revtimes" column="revtimes" description="Revolving Times" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="revflg" column="revflg" description="Revolving Flag" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="revawapl" column="revawapl" description="Awaiting Applicant's Request" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="revdat" column="revdat" description="Revolving Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="revcum" column="revcum" description="Credit is Marked as Cumulative" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="revtyp" column="revtyp" description="Revolving Type" viewtype="Combobox" codetable="revtyp" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="initpty" column="initpty" description="Applicant's Bank" viewtype="Combobox" codetable="initpty" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="resflg" column="resflg" description="Reserved Contract" viewtype="Checkbox" codetable="resflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apprul" column="apprul" description="Applicable Rules" codetable="apprul" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apprulrmb" column="apprulrmb" description="Applicable Rules Reimbursement" viewtype="Combobox" codetable="apprulrmb" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apprultxt" column="apprultxt" description="Other Applicable Rules" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="autdat" column="autdat" description="Date of Authorisation to Reimburse" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tenmaxday" column="tenmaxday" description="Maximum tenor in days" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="decflg" column="decflg" description="存在减额修改标志" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cshpct" column="cshpct" description="Cash cover percent" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="isstyp" column="isstyp" description="Issue Type" codetable="isstyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="guaflg" column="guaflg" description="Mortgage Flag" viewtype="Combobox" codetable="guaflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dflg" column="dflg" description="国内信用证标志" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tratyp" column="tratyp" description="运输方式" viewtype="Combobox" codetable="tratyp" length="2" lineOrDecimalSize="1" viewlines="12" />
<datafields comments="" name="billno" column="billno" description="提运单号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="contamt" column="contamt" description="合同金额" datatype="numeric" viewtype="Amount" length="22" lineOrDecimalSize="0" />
<datafields comments="" name="ameflg" column="ameflg" description="amend flg" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opnamo" column="opnamo" description="信用证余额" datatype="numeric" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ussflg" column="ussflg" description="假远期标志" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jjh" column="jjh" description="借据号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hth" column="hth" description="合同号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rejifo" column="rejifo" description="网银M1" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jjhb" column="jjhb" description="追加借据号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="yfxx" column="yfxx" description="议付选项" codetable="yfxx" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jylx" column="jylx" description="交易类型" codetable="jylx" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dfatyp" column="dfatyp" description="面涵内容" viewtype="Combobox" codetable="dfatyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shppars18" column="shppars18" description="Partial Shipment for Swift release 2018" viewtype="Combobox" codetable="shppars18" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shptrss18" column="shptrss18" description="Transshipment for Swift release 2018" viewtype="Combobox" codetable="shptrss18" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="spcbenflg" column="spcbenflg" description="Special payment conditions for beneficiary exists" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="spcrcbflg" column="spcrcbflg" description="Special Payment Conditions for receiving bank" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prepertxts18" column="prepertxts18" description="Presentation period text" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prepers18" column="prepers18" description="Days of presentation period" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="myhtha" column="myhtha" description="�'�易合同号" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="myhtje" column="myhtje" description="�'�易合同金额" datatype="numeric" length="18" lineOrDecimalSize="2" />
<datafields comments="" name="aplhth" column="aplhth" description="新增合同号" datatype="block" viewtype="Block" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tracoutry" column="tracoutry" description="交易对手国别" length="40" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
