<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="litb2b" table="litb2b" title="Back to back support module in LI"
    transient="true" i18nSequence="24" ruleSequence="16">
  <datafields name="totamt" column="totamt" description="total amount of B2B" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="chkmsg" column="chkmsg" description="consisty check result" datatype="block"
      viewtype="Block" length="110" lineOrDecimalSize="3" viewlines="3"/>
  <datafields name="lidopnamt" column="lidopnamt" description="open amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="lidshpdat" column="lidshpdat" description="Shipment Date" datatype="date"
      viewtype="Date" length="12"/>
  <datafields name="lidexpdat" column="lidexpdat" description="Expiry Date" datatype="date"
      viewtype="Date" length="12"/>
  <datafields name="ccastm" column="ccastm" description="holds the CCA of Back-toBack L/C"
      datatype="stream" viewtype="Block" length="1"/>
  <modules name="lidgrp" type="lidgrp" argument="true"/>
  <modules name="ledgrp" type="ledgrp"/>
  <modules name="letp0" type="letp0">
    <arguments name="ledgrp" value="ledgrp"/>
  </modules>
  <modules name="leltb2b" type="leltb2b">
    <arguments name="ledgrp" value="ledgrp"/>
    <arguments name="rec" value="lidgrp"/>
  </modules>
  <modules name="ledlod" type="ledlod"/>
  <modules name="cca" type="cca"/>
  <panels name="b2binf" description="PD000001" width="788" height="528">
    <components path="letp0\letp0" viewType="Composite" width="718" left="0" top="24"
        height="230"/>
    <components path="ccap" viewType="Composite" width="718" left="0" top="24" height="230"/>
    <components path="leltb2b\b2bltinf" viewType="Composite" width="720" left="0"
        top="276" height="140"/>
    <components path="lidgrp\cbs\max\cur" width="20" enabled="false" top="440" height="22"/>
    <components path="totamt" viewType="Amount" width="120" enabled="false" left="60"
        top="440" height="22"/>
    <components path="lidgrp\cbs\max\cur" width="20" enabled="false" top="496" height="22"/>
    <components path="lidopnamt" viewType="Amount" width="120" enabled="false" left="60"
        top="496" height="22"/>
    <components path="lidshpdat" viewType="Date" width="80" enabled="false" left="300"
        top="496" height="22"/>
    <components path="lidexpdat" viewType="Date" width="80" enabled="false" left="480"
        top="496" height="22"/>
    <components viewType="Label" text="SF000014" left="5" top="4" height="22"/>
    <components viewType="Label" text="SF000015" top="260" height="22"/>
    <components viewType="Label" text="SF000016" top="420" height="22"/>
    <components viewType="Label" text="SF000017" top="476" height="22"/>
    <components viewType="Label" text="SF000020" left="204" top="496" height="22"/>
    <components viewType="Label" text="SF000021" left="404" top="496" height="22"/>
  </panels>
  <panels name="ccap" description="PD000022" width="718" height="230" transient="true"
      popup="true">
    <components path="ccastm" width="702" left="6" top="28" height="100"/>
    <components viewType="Label" text="SF000023" height="22"/>
  </panels>
  <localMethods name="getB2bFromLE" type="local" codeText="@0000" moduleName="litb2b"/>
  <localMethods name="callB2bFromLE" type="local" codeText="@0008" moduleName="litb2b"/>
  <localMethods name="setLIDFieldsfromLED" type="local" codeText="@0014" moduleName="litb2b"/>
  <initRules name="\" type="init" codeText="@0009" order="1000" moduleName="litb2b"/>
  <initRules name="\" type="init" codeText="@0015" order="800" moduleName="litb2b"/>
  <defaultRules name="b2binf" type="default" codeText="@0001" order="1000" moduleName="litb2b"/>
  <defaultRules name="totamt" type="default" codeText="@0002" order="1000" moduleName="litb2b"/>
  <defaultRules name="b2bcon" type="default" codeText="@0003" order="1000" moduleName="litb2b">
    <paths>ledgrp</paths>
    <paths>cca</paths>
  </defaultRules>
  <defaultRules name="lidopnamt" type="default" codeText="@0004" order="10" moduleName="litb2b"/>
  <defaultRules name="lidshpdat" type="default" codeText="@0005" order="10" moduleName="litb2b"/>
  <defaultRules name="lidexpdat" type="default" codeText="@0006" order="10" moduleName="litb2b"/>
  <defaultRules name="letp0\recget\dissel" type="default" codeText="@0007" order="1500"
      moduleName="litb2b"/>
  <defaultRules name="ccap" type="default" codeText="@0010" order="1000" moduleName="litb2b"/>
  <defaultRules name="letp0\letp0" type="default" codeText="@0011" order="1000" moduleName="litb2b"/>
  <defaultRules name="ccastm" type="default" codeText="@0012" order="1000" moduleName="litb2b"/>
  <defaultRules name="chkmsg" type="default" codeText="@0013" order="1000" moduleName="litb2b"/>
</eibs:Module>
