<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="litp0" table="litp0" title="Basic Infopanel for Import L/Cs" transient="true"
    i18nSequence="158" ruleSequence="3">
  <datafields name="pansta" column="pansta" description="Status E-nable, D-isable, I-nvisible"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="wrklcrdoc" column="wrklcrdoc" description="Documents Required amendment"
      datatype="block" viewtype="Block" length="45" lineOrDecimalSize="10" viewlines="10"/>
  <datafields name="wrklcrgod" column="wrklcrgod" description="Description of Goods amendment"
      datatype="block" viewtype="Block" length="45" lineOrDecimalSize="10" viewlines="10"/>
  <datafields name="wrkadlcnd" column="wrkadlcnd" description="Additional Conditions amendment"
      datatype="block" viewtype="Block" length="45" lineOrDecimalSize="10" viewlines="10"/>
  <datafields name="insur" column="insur" description="Follow up insurance policy."
      viewtype="Checkbox" length="1" lineOrDecimalSize="1"/>
  <datafields name="redc" column="redc" description="Red Clause follow up" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="colpct" column="colpct" description="Pct." datatype="numeric"
      length="3"/>
  <modules name="lidgrp" type="lidgrp" argument="true"/>
  <modules name="recget" type="lidget">
    <arguments name="lid" value="lidgrp\rec"/>
    <arguments name="getaddsub" value="!"/>
  </modules>
  <modules name="aammod" type="aammod">
    <arguments name="grp" value="lidgrp"/>
    <arguments name="max" value="lidgrp\cbs\max"/>
    <arguments name="opn1" value="lidgrp\cbs\opn1"/>
    <arguments name="max2" value="lidgrp\cbs\max2"/>
    <arguments name="opn2" value="lidgrp\cbs\opn2"/>
    <arguments name="addamtcov" value="lidgrp\blk\addamtcov"/>
  </modules>
  <panels name="litp0" description="PD000026" width="718" height="230" transient="true"
      visible="false" popup="true">
    <components path="lidgrp\rec\ownref" width="106" enabled="false" left="132" height="22"/>
    <components path="lidgrp\rec\nam" width="266" enabled="false" left="452" height="22"/>
    <components path="lidgrp\cbs\nom1\cur" viewType="Combobox" width="75" enabled="false"
        left="132" top="44" height="22"/>
    <components path="lidgrp\cbs\nom1\amt" viewType="Amount" width="120" enabled="false"
        left="184" top="44" height="22"/>
    <components path="lidgrp\cbs\opn1\cur" width="20" enabled="false" left="132" top="68"
        height="22"/>
    <components path="lidgrp\cbs\opn1\amt" viewType="Amount" width="120" enabled="false"
        left="184" top="68" height="22"/>
    <components path="lidgrp\rec\avbby" viewType="Combobox" width="75" enabled="false"
        left="132" top="120" height="22"/>
    <components path="lidgrp\rec\redclsflg" viewType="Checkbox" width="75" enabled="false"
        required="true" text="CF000157" left="312" top="119" height="22"/>
    <components path="lidgrp\rec\opndat" viewType="Date" width="80" enabled="false"
        left="132" top="148" height="22"/>
    <components path="lidgrp\rec\shpdat" viewType="Date" width="80" enabled="false"
        left="331" top="148" height="22"/>
    <components path="lidgrp\rec\expdat" viewType="Date" width="80" enabled="false"
        left="132" top="172" height="22"/>
    <components path="lidgrp\rec\expplc" width="193" enabled="false" left="200" top="172"
        height="22"/>
    <components path="lidgrp\rec\lcrtyp" viewType="Combobox" width="75" enabled="false"
        left="132" top="200" height="22"/>
    <components path="recget\sdamod\seainf" width="20" left="252" height="22"/>
    <components path="recget\sdamod\dadsnd" width="106" left="416" top="4" height="22"/>
    <components path="lidgrp\apl\pts\ref" width="106" enabled="false" left="596" top="44"
        height="22"/>
    <components path="lidgrp\apl\pts\nam" width="266" enabled="false" left="452" top="68"
        height="22"/>
    <components path="lidgrp\ben\pts\ref" width="106" enabled="false" left="596" top="96"
        height="22"/>
    <components path="lidgrp\ben\pts\nam" width="266" enabled="false" left="452" top="120"
        height="22"/>
    <components path="lidgrp\adv\pts\ref" width="106" enabled="false" left="596" top="148"
        height="22"/>
    <components path="lidgrp\adv\pts\nam" width="266" enabled="false" left="452" top="172"
        height="22"/>
    <components path="lidgrp\rec\revflg" viewType="Checkbox" width="75" enabled="false"
        required="true" text="CF000154" left="312" top="68" height="22"/>
    <components path="aammod\addamtflg" viewType="Checkbox" width="75" enabled="false"
        required="true" text="CF000156" left="312" top="46" height="22"/>
    <components path="lidgrp\avbnam" width="266" enabled="false" left="132" top="96"
        height="22"/>
    <components viewType="Label" text="SF000140" height="22"/>
    <components viewType="Label" text="SF000141" top="44" height="22"/>
    <components viewType="Label" text="SF000142" top="68" height="22"/>
    <components viewType="Label" text="SF000143" left="452" top="96" height="22"/>
    <components viewType="Label" text="SF000144" top="96" height="22"/>
    <components viewType="Label" text="SF000145" left="72" top="120" height="22"/>
    <components viewType="Label" text="SF000146" top="200" height="22"/>
    <components viewType="Label" text="SF000147" top="172" height="22"/>
    <components viewType="Label" text="SF000148" left="452" top="148" height="22"/>
    <components viewType="Label" text="SF000149" left="452" top="44" height="22"/>
    <components viewType="Label" text="SF000150" top="148" height="22"/>
    <components viewType="Label" text="SF000151" left="352" height="22"/>
    <components viewType="Label" text="SF000152" left="568" top="96" height="22"/>
    <components viewType="Label" text="SF000153" left="200" top="148" height="22"/>
    <components viewType="Label" text="S0000155" left="568" top="148" height="22"/>
  </panels>
  <initRules name="\" type="init" codeText="@0000" order="1000" moduleName="litp0"/>
  <defaultRules name="lidgrp\ben\pts\nam" type="default" codeText="@0001" order="1000"
      moduleName="litp0"/>
  <defaultRules name="lidgrp\avb\pts\nam" type="default" codeText="@0002" order="1000"
      moduleName="litp0"/>
</eibs:Module>
