<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="litp1" table="litp1" title="Frames for import L/Cs" transient="true"
    i18nSequence="398" ruleSequence="78">
  <datafields name="pansta" column="pansta" description="Status E-nable, D-isable, I-nvisible"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="insur" column="insur" description="Follow up insurance policy."
      viewtype="Checkbox" length="1" lineOrDecimalSize="1"/>
  <datafields name="colpct" column="colpct" description="Pct." datatype="numeric"
      length="3"/>
  <datafields name="pctflg" column="pctflg" description="Percent for cc visible" length="1"
      lineOrDecimalSize="1"/>
  <datafields name="pctlab" column="pctlab" description="Percent for cc flag" viewtype="Label"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="rmbnar" column="rmbnar" description="Reimbursement Narrative"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="20" viewlines="10"/>
  <datafields name="avblab" column="avblab" description="Label Available with Bank"
      viewtype="Label" length="80" lineOrDecimalSize="1"/>
  <datafields name="butgetref" column="butgetref" description="Get Ref" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="dflg" column="dflg" description="国内信用证标志" length="1" lineOrDecimalSize="1"/>
  <datafields name="aplact" column="aplact" description="申请人帐号" length="30" lineOrDecimalSize="1"/>
  <datafields name="benact" column="benact" description="收益人帐号" length="30" lineOrDecimalSize="1"/>
  <datafields name="benbnkadr" column="benbnkadr" description="受益人开证行地址" datatype="block"
      viewtype="Block" length="35" lineOrDecimalSize="2"/>
  <datafields name="amt" column="amt" description="大写金额" length="60" lineOrDecimalSize="1"/>
  <datafields name="signam" column="signam" description="name of authorized signatory"
      length="50" lineOrDecimalSize="1"/>
  <datafields name="bennam" column="bennam" description="english name" length="100"
      lineOrDecimalSize="1"/>
  <datafields name="aplname" column="aplname" description="apl english name" length="100"
      lineOrDecimalSize="1"/>
  <datafields name="tel" column="tel" description="经办行电话" length="20" lineOrDecimalSize="1"/>
  <datafields name="fax" column="fax" description="经办行传真" length="20" lineOrDecimalSize="1"/>
  <datafields name="jjh" column="jjh" description="借据号" length="24" lineOrDecimalSize="1"/>
  <datafields name="hth" column="hth" description="合同号弹框" datatype="control" viewtype="Button"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="hthok" column="hthok" description="合同号弹框确认" datatype="control"
      viewtype="Button" length="16" lineOrDecimalSize="1"/>
  <datafields name="hthno" column="hthno" description="合同号弹框取消" datatype="control"
      viewtype="Button" length="16" lineOrDecimalSize="1"/>
  <modules name="lidgrp" type="lidgrp" argument="true"/>
  <modules name="recget" type="lidget">
    <arguments name="lid" value="lidgrp\rec"/>
    <arguments name="getaddsub" value="!CallTrnModCopyContract"/>
  </modules>
  <modules name="litb2b" type="litb2b">
    <arguments name="lidgrp" value="lidgrp"/>
  </modules>
  <modules name="litp0" type="litp0">
    <arguments name="lidgrp" value="lidgrp"/>
  </modules>
  <modules name="usr" type="usr"/>
  <modules name="usrget" type="usrget">
    <arguments name="usr" value="usr"/>
    <arguments name="getaddsub" value="!LITPSetRecOwnUser"/>
  </modules>
  <modules name="aamp" type="aamp">
    <arguments name="grp" value="lidgrp"/>
    <arguments name="max" value="lidgrp\cbs\max"/>
    <arguments name="opn1" value="lidgrp\cbs\opn1"/>
    <arguments name="max2" value="lidgrp\cbs\max2"/>
    <arguments name="opn2" value="lidgrp\cbs\opn2"/>
    <arguments name="addamtcov" value="lidgrp\blk\addamtcov"/>
    <arguments name="pansta" value="pansta"/>
  </modules>
  <modules name="ptsaddp" type="ptsaddp">
    <arguments name="rec" value="lidgrp"/>
  </modules>
  <modules name="adlcnd" type="txmmod">
    <arguments name="txmblock" value="lidgrp\blk\adlcnd"/>
    <arguments name="txmgrp" value="!ADLCND"/>
    <arguments name="txmuil" value="! "/>
  </modules>
  <modules name="charia" type="txmmod">
    <arguments name="txmblock" value="lidgrp\blk\feetxt"/>
    <arguments name="txmgrp" value="!CHARIA"/>
    <arguments name="txmuil" value="! "/>
  </modules>
  <modules name="insbnk" type="txmmod">
    <arguments name="txmblock" value="lidgrp\blk\insbnk"/>
    <arguments name="txmgrp" value="!INSBNK"/>
    <arguments name="txmuil" value="! "/>
  </modules>
  <modules name="lcrdoc" type="txmmod">
    <arguments name="txmblock" value="lidgrp\blk\lcrdoc"/>
    <arguments name="txmgrp" value="!LCRDOC"/>
    <arguments name="txmuil" value="! "/>
  </modules>
  <modules name="lcrgod" type="txmmod">
    <arguments name="txmblock" value="lidgrp\blk\lcrgod"/>
    <arguments name="txmgrp" value="!LCRGOD"/>
    <arguments name="txmuil" value="! "/>
  </modules>
  <modules name="preper" type="txmmod">
    <arguments name="txmblock" value="lidgrp\blk\preper"/>
    <arguments name="txmgrp" value="!PREPER"/>
    <arguments name="txmuil" value="! "/>
  </modules>
  <modules name="revclause" type="txmmod">
    <arguments name="txmblock" value="lidgrp\blk\revcls"/>
    <arguments name="txmgrp" value="!REVLIC"/>
    <arguments name="txmuil" value="! "/>
  </modules>
  <modules name="aplp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\apl"/>
  </modules>
  <modules name="benp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\ben"/>
  </modules>
  <modules name="advp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\adv"/>
  </modules>
  <modules name="rmbp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\rmb"/>
  </modules>
  <modules name="inip" type="ptsp">
    <arguments name="ptspta" value="lidgrp\ini"/>
  </modules>
  <modules name="a2bp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\a2b"/>
  </modules>
  <modules name="avbp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\avb"/>
  </modules>
  <modules name="drwp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\drw"/>
  </modules>
  <modules name="cmbp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\cmb"/>
  </modules>
  <modules name="agep" type="ptsp">
    <arguments name="ptspta" value="lidgrp\age"/>
  </modules>
  <modules name="issp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\iss"/>
  </modules>
  <modules name="negp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\neg"/>
  </modules>
  <modules name="yfbp" type="ptsp">
    <arguments name="ptspta" value="lidgrp\yfb"/>
  </modules>
  <panels name="ovwp" description="PD000001" width="788" height="528">
    <components path="lidgrp\rec\ownref" width="106" enabled="false" left="132" height="22"/>
    <components path="recget\sdamod\seainf" width="20" left="252" height="22"/>
    <components path="recget\sdamod\dadsnd" width="106" left="416" top="4" height="22"/>
    <components path="lidgrp\rec\lcrtyp" viewType="Combobox" width="75" left="132"
        top="71" height="22"/>
    <components path="usr\extkey" width="53" left="132" top="97" height="22"/>
    <components path="usrget\sdamod\seainf" width="20" left="206" top="97" height="22"/>
    <components path="lidgrp\cbs\nom1\cur" viewType="Combobox" width="75" enabled="false"
        left="132" top="126" height="22"/>
    <components path="lidgrp\cbs\nom1\amt" viewType="Amount" width="120" left="188"
        top="126" height="22"/>
    <components path="lidgrp\rec\opndat" viewType="Date" width="80" left="132" top="261"
        height="22"/>
    <components path="lidgrp\rec\shpdat" viewType="Date" width="80" left="192" top="289"
        height="22"/>
    <components path="lidgrp\rec\expdat" viewType="Date" width="80" left="277" top="261"
        height="22"/>
    <components path="lidgrp\rec\expplc" viewType="Combobox" width="193" left="132"
        top="315" height="22"/>
    <components path="lidgrp\rec\shptrs" viewType="Combobox" width="233" left="132"
        top="371" height="22"/>
    <components path="lidgrp\apl\pts\ref" width="106" left="575" top="40" height="22"/>
    <components path="aplp\ptap5" viewType="Composite" width="230" left="454" top="64"
        height="100"/>
    <components path="advp\ptap5" viewType="Composite" width="230" left="454" top="245"
        height="100"/>
    <components path="lidgrp\ben\pts\ref" width="106" left="583" top="348" height="22"/>
    <components path="benp\ptap5" viewType="Composite" width="230" left="454" top="369"
        height="100"/>
    <components path="lidgrp\rec\nam" width="266" enabled="false" left="452" height="22"/>
    <components path="lidgrp\rec\resflg" viewType="Checkbox" width="75" enabled="false"
        text="CF000311" left="307" top="99" height="22"/>
    <components path="aplp\ptspta\pts\extact" viewType="Combobox" width="226" left="454"
        top="167" height="22"/>
    <components path="benp\ptspta\pts\extact" width="226" left="454" top="472" height="22"/>
    <components path="lidgrp\rec\nomspc" viewType="Combobox" width="75" left="132"
        top="208" height="22"/>
    <components path="lidgrp\rec\nomtop" width="13" left="132" top="178" height="22"/>
    <components path="lidgrp\rec\nomton" width="13" left="168" top="178" height="22"/>
    <components path="lidgrp\cbs\max\cur" viewType="Combobox" width="75" enabled="false"
        left="132" top="236" height="22"/>
    <components path="lidgrp\cbs\max\amt" viewType="Amount" width="120" enabled="false"
        left="184" top="236" height="22"/>
    <components path="lidgrp\rec\shppar" viewType="Combobox" width="233" left="132"
        top="343" height="22"/>
    <components path="lidgrp\adv\pts\ref" width="106" left="575" top="217" height="22"/>
    <components viewType="Label" text="SF000161" height="22"/>
    <components viewType="Label" text="SF000162" top="71" height="22"/>
    <components viewType="Label" text="SF000163" left="454" top="40" height="22"/>
    <components viewType="Label" text="SF000165" left="455" top="348" height="22"/>
    <components viewType="Label" text="SF000166" left="382" height="22"/>
    <components viewType="Label" text="SF000167" top="124" height="22"/>
    <components viewType="Label" text="SF000171" top="266" height="22"/>
    <components viewType="Label" text="SF000173" top="293" height="22"/>
    <components viewType="Label" text="SF000176" left="212" top="261" height="22"/>
    <components viewType="Label" text="SF000177" top="320" height="22"/>
    <components viewType="Label" text="SF000178" top="346" height="22"/>
    <components viewType="Label" text="SF000184" top="98" height="22"/>
    <components viewType="Label" text="SF000334" top="373" height="22"/>
    <components viewType="Label" text="SF000364" top="212" height="22"/>
    <components viewType="Label" text="SF000365" top="186" height="22"/>
    <components viewType="Label" text="SF000368" top="239" height="22"/>
    <components viewType="Label" text="SF000375" top="44" height="22"/>
    <components viewType="Label" text="SF000388" top="426" height="22"/>
    <components viewType="Label" text="S0000390" left="454" top="220" height="22"/>
    <components path="butgetref" viewType="Button" width="66" text="CG000330" left="274"
        height="22"/>
    <components path="lidgrp\rec\guaflg" viewType="Combobox" width="75" left="132"
        top="496" height="22"/>
    <components path="amt" width="400" enabled="false" top="151" height="22"/>
    <components path="benp\ptspta\pts\issbaninf" width="266" left="454" top="497"
        height="22"/>
    <components path="aplp\ptspta\pta\issbchinf" width="266" enabled="false" left="454"
        top="191" height="22"/>
    <components path="advp\ptspta\pts\bankno" width="53" left="132" top="433" height="22"/>
    <components path="lidgrp\rec\isstyp" viewType="Combobox" width="75" left="132"
        top="45" height="22"/>
    <components path="jjhbp" viewType="Composite" width="300" left="-3" top="463"
        height="30"/>
    <components path="jjhp" viewType="Composite" width="300" left="-2" top="463" height="30"/>
    <components path="lidgrp\rec\jylx" viewType="Combobox" width="75" required="true"
        left="132" top="401" height="22"/>
    <components path="hth" viewType="Button" width="20" text="CG000392" left="693"
        top="40" height="22"/>
    <components viewType="Label" text="SG000333" top="496" height="22"/>
    <components viewType="Label" text="SG000337" left="386" top="167" height="22"/>
    <components viewType="Label" text="SG000338" left="385" top="468" height="22"/>
    <components viewType="Label" text="SG000339" left="375" top="498" height="22"/>
    <components viewType="Label" text="SG000355" left="375" top="191" height="22"/>
    <components viewType="Label" text="SG000385" top="400" height="22"/>
  </panels>
  <panels name="rbip" description="PD000065" width="788" height="528" popup="true">
    <components path="lidgrp\rmb\pts\ref" width="106" left="246" height="22"/>
    <components path="rmbp\ptap5" viewType="Composite" width="230" left="132" top="34"
        height="100"/>
    <components path="lidgrp\rmb\pts\dftact" viewType="Combobox" width="226" left="132"
        top="136" height="22"/>
    <components path="lidgrp\rec\rmbcha" viewType="Combobox" width="75" left="132"
        top="164" height="22"/>
    <components path="lidgrp\blk\rmbcha" viewType="Block" width="233" left="132" top="192"
        height="72"/>
    <components path="lidgrp\rec\rmbact" width="233" enabled="false" left="384" top="136"
        height="22"/>
    <components path="rmbnarp" viewType="Composite" width="400" left="3" top="288"
        height="200"/>
    <components path="lidgrp\rec\apprulrmb" viewType="Combobox" width="200" left="132"
        top="464" height="22"/>
    <components path="lidgrp\rec\autdat" viewType="Date" width="80" enabled="false"
        left="584" top="464" height="22"/>
    <components viewType="Label" text="SF000221" top="136" height="22"/>
    <components viewType="Label" text="SF000222" top="164" height="22"/>
    <components viewType="Label" text="SF000226" height="22"/>
    <components viewType="Label" text="SF000228" top="192" height="22"/>
    <components viewType="Label" text="SF000301" left="221" height="22"/>
    <components viewType="Label" text="SF000302" left="384" top="116" height="22"/>
    <components viewType="Label" text="SF000325" top="464" height="22"/>
    <components viewType="Label" text="SF000326" left="384" top="464" height="22"/>
  </panels>
  <panels name="detp" description="PD000077" width="788" height="528" popup="true">
    <components path="lidgrp\rec\avbby" viewType="Combobox" width="75" left="136"
        top="12" height="22"/>
    <components path="lidgrp\blk\defdet" viewType="Block" width="233" enabled="false"
        left="136" top="39" height="48"/>
    <components path="lidgrp\rec\shpfro" width="433" left="160" top="428" height="22"/>
    <components path="lidgrp\rec\shpto" width="433" left="160" top="464" height="22"/>
    <components path="preper\buttxmsel" viewType="Button" width="20" text="CF000235"
        left="684" top="26" height="22"/>
    <components path="lidgrp\blk\preper" viewType="Block" width="233" left="452" top="26"
        height="48"/>
    <components path="lidgrp\blk\preperflg" viewType="Checkbox" width="75" enabled="false"
        text="CF000327" left="452" top="76" height="22"/>
    <components path="agep\ptap5" viewType="Composite" width="230" left="451" top="132"
        height="100"/>
    <components path="lidgrp\age\pts\ref" width="106" left="503" top="104" height="22"/>
    <components path="lidgrp\blk\yfbwthtxt" viewType="Block" width="233" left="134"
        top="196" height="48"/>
    <components path="yfbp\ptap5" viewType="Composite" width="230" left="136" top="163"
        height="100"/>
    <components viewType="Label" text="SF000238" left="12" top="33" height="22"/>
    <components viewType="Label" text="SF000245" left="12" height="22"/>
    <components viewType="Label" text="SF000248" left="452" height="22"/>
    <components viewType="Label" text="SF000319" left="12" top="428" height="22"/>
    <components viewType="Label" text="SF000320" left="12" top="464" height="22"/>
    <components viewType="Label" text="SF000376" left="390" top="130" height="22"/>
    <components viewType="Label" text="SF000378" left="451" top="104" height="22"/>
    <components viewType="Label" text="SF000387" left="12" top="165" height="22"/>
    <components path="lidgrp\rec\tenmaxday" width="20" left="136" top="108" height="22"/>
    <components path="lidgrp\rec\tratyp" viewType="Combobox" width="75" left="160"
        top="390" height="22"/>
    <components path="lidgrp\rec\yfxx" viewType="Combobox" width="75" left="136" top="136"
        height="22"/>
    <components path="lidgrp\blk\ysfs" viewType="Block" width="333" left="279" top="389"
        height="24"/>
    <components path="lidgrp\blk\fqzy" viewType="Block" width="233" left="136" top="272"
        height="84"/>
    <components viewType="Label" text="SG000328" left="12" top="104" height="22"/>
    <components viewType="Label" text="SG000357" left="12" top="390" height="22"/>
    <components viewType="Label" text="SG000384" left="12" top="136" height="22"/>
    <components viewType="Label" text="SG000386" left="12" top="272" height="22"/>
  </panels>
  <panels name="revp" description="PD000275" width="788" height="528">
    <components path="lidgrp\rec\revtyp" viewType="Combobox" width="266" left="132"
        top="34" height="22"/>
    <components path="lidgrp\rec\revtimes" width="13" left="132" top="62" height="22"/>
    <components path="lidgrp\rec\revnbr" width="13" enabled="false" left="375" top="62"
        height="22"/>
    <components path="lidgrp\rec\revdat" viewType="Date" width="80" left="132" top="90"
        height="22"/>
    <components path="lidgrp\rec\revawapl" viewType="Checkbox" width="75" enabled="false"
        text="CF000279" left="223" top="90" height="22"/>
    <components path="revclause\buttxmsel" viewType="Button" width="20" text="CF000286"
        left="420" top="142" height="22"/>
    <components path="lidgrp\blk\revcls" viewType="Block" width="433" top="143" height="72"/>
    <components path="lidgrp\rec\revcum" viewType="Checkbox" width="75" enabled="false"
        text="CF000283" left="452" top="34" height="22"/>
    <components path="lidgrp\blk\revnotes" viewType="Block" width="233" left="452"
        top="142" height="72"/>
    <components viewType="Label" text="SF000276" left="276" top="62" height="22"/>
    <components viewType="Label" text="SF000277" top="62" height="22"/>
    <components viewType="Label" text="SF000280" top="90" height="22"/>
    <components viewType="Label" text="SF000284" top="34" height="22"/>
    <components viewType="Label" text="SF000288" left="452" top="124" height="22"/>
    <components viewType="Label" text="SF000289" top="124" height="22"/>
    <components viewType="Label" text="SF000292" height="22"/>
  </panels>
  <panels name="rmbnarp" description="PD000303" width="370" height="160" transient="true"
      visible="false" popup="true">
    <components path="rmbnar" viewType="Block" width="233" left="129" height="240"/>
    <components viewType="Label" text="SF000304" left="6" height="22"/>
  </panels>
  <panels name="tk" description="PD000342" width="788" height="528">
    <components path="lidgrp\blk\lcrgod" viewType="Block" width="433" left="128" top="15"
        height="9600"/>
    <components path="lcrgod\buttxmsel" viewType="Button" width="20" text="CG000344"
        left="540" top="16" height="22"/>
    <components path="lidgrp\blk\lcrdoc" viewType="Block" width="433" left="128" top="145"
        height="9600"/>
    <components path="lcrdoc\buttxmsel" viewType="Button" width="20" text="CG000346"
        left="542" top="145" height="22"/>
    <components path="lidgrp\blk\adlcnd" viewType="Block" width="433" left="127" top="271"
        height="9600"/>
    <components path="adlcnd\buttxmsel" viewType="Button" width="20" text="CG000348"
        left="541" top="272" height="22"/>
    <components path="insbnk\buttxmsel" viewType="Button" width="20" text="CG000349"
        left="540" top="404" height="22"/>
    <components path="lidgrp\blk\insbnk" viewType="Block" width="433" left="128" top="403"
        height="144"/>
    <components path="lidgrp\rec\redclsflg" viewType="Checkbox" width="75" enabled="false"
        text="CG000351" left="580" top="404" height="22"/>
    <components viewType="Label" text="SG000343" left="6" top="13" height="22"/>
    <components viewType="Label" text="SG000345" left="6" top="146" height="22"/>
    <components viewType="Label" text="SG000347" left="6" top="271" height="22"/>
    <components viewType="Label" text="SG000350" left="6" top="380" height="22"/>
  </panels>
  <panels name="mt799" description="PD000361" width="788" height="528">
    <components path="signam" width="333" left="28" top="161" height="22"/>
    <components path="bennam" width="667" left="28" top="37" height="22"/>
    <components path="aplname" width="667" left="28" top="99" height="22"/>
    <components viewType="Label" text="SG000362" left="28" top="16" height="22"/>
    <components viewType="Label" text="SG000363" left="28" top="137" height="22"/>
    <components viewType="Label" text="SG000369" left="28" top="76" height="22"/>
  </panels>
  <panels name="jjhp" description="PD000379" width="300" height="30" transient="true"
      popup="true">
    <components path="lidgrp\rec\jjh" width="160" left="132" top="4" height="22"/>
    <components viewType="Label" text="SG000381" left="32" top="4" height="22"/>
  </panels>
  <panels name="jjhbp" description="PD000380" width="300" height="30" transient="true"
      popup="true">
    <components path="lidgrp\rec\jjhb" width="160" left="132" top="4" height="22"/>
    <components viewType="Label" text="SG000382" left="32" top="4" height="22"/>
  </panels>
  <panels name="hthpan" description="PD000391" width="400" height="200" visible="false"
      popup="true">
    <components path="lidgrp\rec\aplhth" viewType="Block" width="200" left="100" top="16"
        height="22"/>
    <components path="hthok" viewType="Button" width="106" text="CG000396" left="53"
        top="123" height="22"/>
    <components path="hthno" viewType="Button" width="106" text="CG000397" left="235"
        top="124" height="22"/>
    <components viewType="Label" text="SG000393" left="24" top="17" height="22"/>
    <components viewType="Label" text="SG000395" left="90" top="43" height="22"/>
  </panels>
  <localMethods name="litPSetRecOwnUser" type="local" codeText="@0014" moduleName="litp1"/>
  <localMethods name="callTrnModCopyContract" type="local" codeText="@0018" moduleName="litp1"/>
  <initRules name="\" type="init" codeText="@0000" order="1000" moduleName="litp1"/>
  <initRules name="\" type="init" codeText="@0058" order="2000" moduleName="litp1"/>
  <defaultRules name="lidgrp\rec\ownref" type="default" codeText="@0001" order="1000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\cbs\max\cur" type="default" codeText="@0002" order="1000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\cbs\max\amt" type="default" codeText="@0003" order="950"
      moduleName="litp1"/>
  <defaultRules name="rbip" type="default" codeText="@0004" order="1000" moduleName="litp1"/>
  <defaultRules name="detp" type="default" codeText="@0005" order="1000" moduleName="litp1"/>
  <defaultRules name="ovwp" type="default" codeText="@0006" order="1000" moduleName="litp1"/>
  <defaultRules name="pctflg" type="default" codeText="@0007" order="10" moduleName="litp1"/>
  <defaultRules name="colpct" type="default" codeText="@0008" order="1000" moduleName="litp1"/>
  <defaultRules name="pctlab" type="default" codeText="@0009" order="1000" moduleName="litp1"/>
  <defaultRules name="revp" type="default" codeText="@0011" order="1000" moduleName="litp1"/>
  <defaultRules name="usrget\usr\extkey" type="default" codeText="@0013" order="1000"
      moduleName="litp1"/>
  <defaultRules name="usrget\dissel" type="default" codeText="@0015" order="1000"
      moduleName="litp1"/>
  <defaultRules name="rmbnarp" type="default" codeText="@0019" order="1000" moduleName="litp1"/>
  <defaultRules name="avblab" type="default" codeText="@0020" order="1000" moduleName="litp1"/>
  <defaultRules name="lidgrp\rec\resflg" type="default" codeText="@0021" order="1000"
      moduleName="litp1"/>
  <defaultRules name="litb2b\ledgrp\rec\ownref" type="default" codeText="@0022" order="1500"
      moduleName="litp1"/>
  <defaultRules name="ptsaddp\pansta" type="default" codeText="@0023" order="900"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\rec\ownusr" type="default" codeText="@0025" order="1000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\apl\pts\refadd" type="default" codeText="@0029" order="1000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\rmb\pts\ref" type="default" codeText="@0030" order="2000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\blk\defdet" type="default" codeText="@0032" order="1000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\blk\mixdet" type="default" codeText="@0033" order="1000"
      moduleName="litp1"/>
  <defaultRules name="drwp" type="default" codeText="@0034" order="1000" moduleName="litp1"/>
  <defaultRules name="rmbacc" type="default" codeText="@0036" order="1000" moduleName="litp1">
    <paths>lidgrp\rmb\pts\dftact</paths>
    <paths>lidgrp\rec\rmbact</paths>
  </defaultRules>
  <defaultRules name="lidgrp\rec\shppar" type="default" codeText="@0037" order="1000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\rec\shptrs" type="default" codeText="@0038" order="1000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\avb\pts\ref" type="default" codeText="@0041" order="2000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\rec\nam" type="default" codeText="@0042" order="950"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\rec\expplc" type="default" codeText="@0044" order="1000"
      moduleName="litp1"/>
  <defaultRules name="benp\ptspta\mdtflg" type="default" codeText="@0045" order="900"
      moduleName="litp1"/>
  <defaultRules name="butgetref" type="default" codeText="@0050" order="1000" moduleName="litp1"/>
  <defaultRules name="drwp" type="default" codeText="@0051" order="8000" moduleName="litp1"/>
  <defaultRules name="lidgrp\blk\mixdet" type="default" codeText="@0052" order="8000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\rec\tenmaxday" type="default" codeText="@0053" order="1000"
      moduleName="litp1"/>
  <defaultRules name="amt" type="default" codeText="@0054" order="1000" moduleName="litp1"/>
  <defaultRules name="avbwth" type="default" codeText="@0055" order="1500" moduleName="litp1">
    <paths>lidgrp\rec\avbwth</paths>
    <paths>avbp\pansta</paths>
    <paths>lidgrp\blk\avbwthtxt</paths>
  </defaultRules>
  <defaultRules name="aplact" type="default" codeText="@0056" order="1000" moduleName="litp1"/>
  <defaultRules name="tk" type="default" codeText="@0059" order="1000" moduleName="litp1"/>
  <defaultRules name="lidgrp\blk\avbwthtxt" type="default" codeText="@0060" order="1000"
      moduleName="litp1"/>
  <defaultRules name="amtSpecTol" type="default" codeText="@0061" order="1050" moduleName="litp1">
    <paths>lidgrp\rec\nomspc</paths>
    <paths>lidgrp\rec\nomtop</paths>
    <paths>lidgrp\rec\nomton</paths>
  </defaultRules>
  <defaultRules name="lidgrp\blk\defdet" type="default" codeText="@0062" order="2000"
      moduleName="litp1"/>
  <defaultRules name="mt799" type="default" codeText="@0063" order="1000" moduleName="litp1"/>
  <defaultRules name="aplname" type="default" codeText="@0064" order="1000" moduleName="litp1"/>
  <defaultRules name="lidgrp\rec\dflg" type="default" codeText="@0066" order="1000"
      moduleName="litp1"/>
  <defaultRules name="usr\extkey" type="default" codeText="@0067" order="3000" moduleName="litp1"/>
  <defaultRules name="agent" type="default" codeText="@0070" order="1000" moduleName="litp1">
    <paths>agep\pansta</paths>
    <paths>lidgrp\age</paths>
  </defaultRules>
  <defaultRules name="lidgrp\blk\ysfs" type="default" codeText="@0072" order="1000"
      moduleName="litp1"/>
  <defaultRules name="lidgrp\rec\lcrtyp" type="default" codeText="@0073" order="1000"
      moduleName="litp1"/>
  <checkRules name="usr\extkey" type="check" codeText="@0012" order="1000" moduleName="litp1"/>
  <checkRules name="lidgrp\rec\avbwth" type="check" codeText="@0024" order="1000"
      moduleName="litp1"/>
  <checkRules name="lidgrp\rec\lcrtyp" type="check" codeText="@0026" order="900" moduleName="litp1"/>
  <checkRules name="lidgrp\rec\expplc" type="check" codeText="@0027" order="900" moduleName="litp1"/>
  <checkRules name="lidgrp\rec\opndat" type="check" codeText="@0028" order="950" moduleName="litp1"/>
  <checkRules name="lidgrp\rec\rmbcha" type="check" codeText="@0035" order="1000"
      moduleName="litp1"/>
  <checkRules name="lidgrp\rec\revtyp" type="check" codeText="@0039" order="1000"
      moduleName="litp1"/>
  <checkRules name="lidgrp\rec\revdat" type="check" codeText="@0040" order="1000"
      moduleName="litp1"/>
  <checkRules name="lidgrp\rec\apprulrmb" type="check" codeText="@0043" order="1000"
      moduleName="litp1"/>
  <checkRules name="lidgrp\rec\avbwth" type="check" codeText="@0046" order="900" moduleName="litp1"/>
  <checkRules name="lidgrp\blk\defdet" type="check" codeText="@0047" order="1000"
      moduleName="litp1"/>
  <checkRules name="lidgrp\drw\pts\adrblk" type="check" codeText="@0048" order="1100"
      moduleName="litp1"/>
  <checkRules name="lidgrp\rec\tenmaxday" type="check" codeText="@0049" order="1050"
      moduleName="litp1"/>
  <checkRules name="lidgrp\rec\jjh" type="check" codeText="@0068" order="1000" moduleName="litp1"/>
  <eventRules name="revp" type="event" codeText="@0010" order="1000" moduleName="litp1"/>
  <eventRules name="recget\sdamod\seainf" type="event" codeText="@0016" order="800"
      moduleName="litp1"/>
  <eventRules name="recget\sdamod\dadrcv" type="event" codeText="@0017" order="300"
      moduleName="litp1"/>
  <eventRules name="advp\ptspta\pts\extkey" type="event" codeText="@0031" order="10000"
      moduleName="litp1"/>
  <eventRules name="aplp\ptspta\pts\extkey" type="event" codeText="@0057" order="9000"
      moduleName="litp1"/>
  <eventRules name="lidgrp\rec\avbby" type="event" codeText="@0065" order="1000" moduleName="litp1"/>
  <eventRules name="lidgrp\rec\jjh" type="event" codeText="@0069" order="1000" moduleName="litp1"/>
  <eventRules name="lidgrp\rec\yfxx" type="event" codeText="@0071" order="1000" moduleName="litp1"/>
  <eventRules name="lidgrp\rec\jjhb" type="event" codeText="@0074" order="1000" moduleName="litp1"/>
  <eventRules name="hth" type="event" codeText="@0075" order="1000" moduleName="litp1"/>
  <eventRules name="hthno" type="event" codeText="@0076" order="1000" moduleName="litp1"/>
  <eventRules name="hthok" type="event" codeText="@0077" order="1000" moduleName="litp1"/>
</eibs:Module>
