<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="lmd" table="lmd" title="" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date of Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rplref" column="rplref" description="Reply ref." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rpldat" column="rpldat" description="Reply date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="appflg" column="appflg" description="If  Approval" viewtype="Checkbox" codetable="appflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="slrptyinr" column="slrptyinr" description="Seller's party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code Risk Country" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buyptyinr" column="buyptyinr" description="Buyer party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ageprf" column="ageprf" description="Agents profile" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cltact" column="cltact" description="Client  Account" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="qutownref" column="qutownref" description="Reference of Quoto" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="qutinf" column="qutinf" description="Information of Quote" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="qutdat" column="qutdat" description="Quoto Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expref" column="expref" description="Export factoring ID" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othifc" column="othifc" description="other factors" length="70" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paydat" column="paydat" description="Net payment term" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="grcdat" column="grcdat" description="Grace period  dates" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="discut1" column="discut1" description="the first valid Discount" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="disrat1" column="disrat1" description="the first Discount rate" datatype="numeric" length="6" lineOrDecimalSize="3" />
<datafields comments="" name="discut2" column="discut2" description="the second valid Discount" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="disrat2" column="disrat2" description="the  Second Discount rate" datatype="numeric" length="6" lineOrDecimalSize="3" />
<datafields comments="" name="dismaxrat" column="dismaxrat" description="the max discount rate" datatype="numeric" length="6" lineOrDecimalSize="3" />
<datafields comments="" name="cur" column="cur" description="the max discount currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="the max discount amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="salcur" column="salcur" description="the total sales currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="salamt" column="salamt" description="the total sales amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="slrcut" column="slrcut" description="Count the Buyers' number in Importer's country" datatype="numeric" length="5" lineOrDecimalSize="0" />
<datafields comments="" name="invcut" column="invcut" description="Count the invoice's  numberin Importer's country" datatype="numeric" length="5" lineOrDecimalSize="0" />
<datafields comments="" name="crecut" column="crecut" description="Expert number of credit notes to your country" datatype="numeric" length="5" lineOrDecimalSize="0" />
<datafields comments="" name="crtcur" column="crtcur" description="The total credit currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="crtamt" column="crtamt" description="The total credit" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="turcur" column="turcur" description="The total turnover currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="turamt" column="turamt" description="The total   turnover" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="paytyp" column="paytyp" description="Pay type" codetable="paytyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ditflg" column="ditflg" description="If Allow Direct contact Buyer" viewtype="Combobox" codetable="ditflg" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bustyp" column="bustyp" description="The type of business" codetable="bustyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sigflg" column="sigflg" description="if Signed" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="crefeecur" column="crefeecur" description="Credit Fee Currency" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="crefeeamt" column="crefeeamt" description="Credit Fee Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="pctfin" column="pctfin" description="% Financed" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="sigref" column="sigref" description="Signment Ref." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sigdat" column="sigdat" description="Effective Date of the Signment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="sigmag" column="sigmag" description="manage signment : Extension/Termination" viewtype="Combobox" codetable="sigmag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extcou" column="extcou" description="Count of Extension" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="rskrat" column="rskrat" description="Own Risk Max Rate" datatype="numeric" length="6" lineOrDecimalSize="3" />
<datafields comments="" name="rskcur" column="rskcur" description="Own Risk MAX Amount Currency" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskamt" column="rskamt" description="Own Risk MAX Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="expdat" column="expdat" description="Date of Expiry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="oldcur" column="oldcur" description="Old Open  Currency" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oldamt" column="oldamt" description="Old  open amount" datatype="numeric" viewtype="Amount" length="10" lineOrDecimalSize="0" />
<datafields comments="" name="oldexpdat" column="oldexpdat" description="Old Date of Expiry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="preadvdt" column="preadvdt" description="Date Pre-advised" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="conflg" column="conflg" description="Contract Flag" codetable="conflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="irtcod" column="irtcod" description="Base Rate" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="intrat" column="intrat" description="Margin Spread applied to Interest Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="slrcompct" column="slrcompct" description="Seller's Total commission percent" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="imfcompct" column="imfcompct" description="Im-Factoring'sTotal commission percent" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="imfhadcur" column="imfhadcur" description="Im-Factoring's Handling charges of Each Documents" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="imfhadamt" column="imfhadamt" description="Im-Factoring's Handling charges of Each Documents" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="othcur" column="othcur" description="Other Fee" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othamt" column="othamt" description="Other Fee" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="intrem" column="intrem" description="reason for appoval or refuse" viewtype="Combobox" codetable="intrem" length="2" lineOrDecimalSize="1" viewlines="10" />
<datafields comments="" name="chgtyp" column="chgtyp" description="If the charge contain fee" codetable="chgtyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trnflg" column="trnflg" description="EX/IM Factoring Flag" codetable="trnflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="exfref" column="exfref" description="Export Factory ReferanceWhen Import the EDI" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lcpday" column="lcpday" description="Long Credit Period Days" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="fagflg" column="fagflg" description="Factory Agreement Flg X - Exist" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="selregnum" column="selregnum" description="Seller Company Registe Number for Seller" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="selrespon" column="selrespon" description="ResponsibleAgency For Seller" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buyregnum" column="buyregnum" description="Buyer Company Registe Number for Buyer" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buyrespon" column="buyrespon" description="ResponsibleAgency For Buyer" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="slrnum" column="slrnum" description="Seller's Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buynum" column="buynum" description="Buyer's Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reqnum" column="reqnum" description="Request Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="connam" column="connam" description="Contact Name" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="actnbr" column="actnbr" description="Account Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bnknam" column="bnknam" description="Name of bank" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="brhnam" column="brhnam" description="Name of branch" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msgf01" column="msgf01" description="Message Functionfor 01" codetable="msgf01" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msgf02" column="msgf02" description="Message Functionfor 02" codetable="msgf02" length="1" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
