<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="lne" table="lne" title="Limit System Entries under Transaction(New)" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID Limit Modification" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsrinr" column="lsrinr" description="Owning Limit Request" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lnbinr" column="lnbinr" description="INR of Owning Limit System Modification" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsbinr" column="lsbinr" description="INR of Used Limit System Node" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lneflg" column="lneflg" description="Signature Status" codetable="lneflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lst" column="lst" description="Type of Limit Request" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extid" column="extid" description="External ID to Identify Request within an Object" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="xrfcur" column="xrfcur" description="Currency of Converted Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrfamt" column="xrfamt" description="Converted Balance" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="dat" column="dat" description="Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="tim" column="tim" description="Time" datatype="numeric" length="6" lineOrDecimalSize="4" />
<datafields comments="" name="usr" column="usr" description="User ID" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
