<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="lsb" table="lsb" title="LSB - Limit System Balance" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Limit Balance" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsn" column="lsn" description="LSN - Type of Node" codetable="lsn" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsntyp1" column="lsntyp1" description="Type of Level 1 Object" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsninr1" column="lsninr1" description="INR or Code/Key of Level 1 Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsntyp2" column="lsntyp2" description="Type of Level 2 Object" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsninr2" column="lsninr2" description="INR or Code/Key of Level 2 Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsntyp3" column="lsntyp3" description="Type of Level 3 Object" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsninr3" column="lsninr3" description="INR or Code/Key of Level 3 Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsntyp4" column="lsntyp4" description="Type of Level 4 Object" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsninr4" column="lsninr4" description="INR or Code/Key of Level 4 Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Limit Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="lss" column="lss" description="Status of Limit" viewtype="Combobox" codetable="lss" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expdat" column="expdat" description="Expiry Date of the Limit" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="nonrevflg" column="nonrevflg" description="Flag to Mark Non-revolving Limits" viewtype="Combobox" codetable="nonrevflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Limit System Balance" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="批复号" length="14" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
