<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="lsnmod" table="lsnmod" title="New Limit System Module" i18nSequence="206" ruleSequence="46" transient="true">
<datafields comments="" name="objtyp" column="objtyp" description="Object Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lnestm" column="lnestm" description="LNE Stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="lnbstm" column="lnbstm" description="LNB Stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="lsbstm" column="lsbstm" description="LSB Stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="inifrm" column="inifrm" description="Frame Used to Create the Transaction" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="parstm" column="parstm" description="Parameter Stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="ownref" column="ownref" description="Own reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsrstm" column="lsrstm" description="new datafield" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="lsrnum" column="lsrnum" description="LSR Number" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="errstm" column="errstm" description="Error message" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="lsnstm" column="lsnstm" description="Limit Stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="lnenum" column="lnenum" description="LNE Number" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="wrnstm" column="wrnstm" description="Warning Stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="modpth" column="modpth" description="Module Path" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsbamtstm" column="lsbamtstm" description="Lsb Amount Stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="oldinr" column="oldinr" description="Old Pty Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="lsnObtainLneForLsr" codeText="@0000" moduleName="lsnmod"/>
<localMethods type="local" name="lneObtainLnb" codeText="@0001" moduleName="lsnmod"/>
<localMethods type="local" name="lneObtainLsbLsa" codeText="@0002" moduleName="lsnmod"/>
<localMethods type="local" name="getSqlForLsb" codeText="@0003" moduleName="lsnmod"/>
<localMethods type="local" name="lsrObtainxxDINR" codeText="@0004" moduleName="lsnmod"/>
<localMethods type="local" name="lsrObtainPtyInr" codeText="@0005" moduleName="lsnmod"/>
<localMethods type="local" name="lsrObtainCtyReg" codeText="@0006" moduleName="lsnmod"/>
<localMethods type="local" name="lsrObtainRevFlg" codeText="@0007" moduleName="lsnmod"/>
<localMethods type="local" name="lsnObtainLsr" codeText="@0008" moduleName="lsnmod"/>
<localMethods type="local" name="lneObtainCommonColumns" codeText="@0009" moduleName="lsnmod"/>
<localMethods type="local" name="lsnCheckLimits" codeText="@0010" moduleName="lsnmod"/>
<localMethods type="local" name="lsbGenerateLsn" codeText="@0011" moduleName="lsnmod"/>
<localMethods type="local" name="lsnCalculateAmounts" codeText="@0012" moduleName="lsnmod"/>
<initRules name="\" type="init" codeText="@0013" order="1000" moduleName="lsnmod" />
<localMethods type="local" name="initLneRec" codeText="@0014" moduleName="lsnmod"/>
<localMethods type="local" name="lneGetGroupCode" codeText="@0015" moduleName="lsnmod"/>
<localMethods type="local" name="lsnInitRead" codeText="@0016" moduleName="lsnmod"/>
<localMethods type="local" name="lneStoreEntry" codeText="@0017" moduleName="lsnmod"/>
<localMethods type="local" name="insertMsg" codeText="@0018" moduleName="lsnmod"/>
<localMethods type="local" name="lsrStoreEntry" codeText="@0019" moduleName="lsnmod"/>
<localMethods type="local" name="lsrGetRiskRate" codeText="@0020" moduleName="lsnmod"/>
<localMethods type="local" name="getSameLsbAmt" codeText="@0021" moduleName="lsnmod"/>
<localMethods type="local" name="isUpdateAllowed" codeText="@0022" moduleName="lsnmod"/>
<localMethods type="local" name="lsnCheckTrnAccepted" codeText="@0023" moduleName="lsnmod"/>
<localMethods type="local" name="writeiniForcecm" codeText="@0024" moduleName="lsnmod"/>
<localMethods type="local" name="lsnSetBlockStatus" codeText="@0025" moduleName="lsnmod"/>
<globalMethods name="isUnpaidbyAPL" codeText="@0026" moduleName="lsnmod"/>
<localMethods type="local" name="checkCecm" codeText="@0027" moduleName="lsnmod"/>
<localMethods type="local" name="lsnProcessEntry" codeText="@0028" moduleName="lsnmod"/>
<localMethods type="local" name="lsnCreateNewRequest" codeText="@0029" moduleName="lsnmod"/>
<localMethods type="local" name="lsnCreateRequestFromStream" codeText="@0030" moduleName="lsnmod"/>
<localMethods type="local" name="lsrCommit" codeText="@0031" moduleName="lsnmod"/>
<localMethods type="local" name="lneCommit" codeText="@0032" moduleName="lsnmod"/>
<localMethods type="local" name="showError" codeText="@0033" moduleName="lsnmod"/>
<localMethods type="local" name="lsnSav500" codeText="@0034" moduleName="lsnmod"/>
<localMethods type="local" name="lsnSav3000" codeText="@0035" moduleName="lsnmod"/>
<localMethods type="local" name="lsnDoRelease" codeText="@0036" moduleName="lsnmod"/>
<localMethods type="local" name="getRiskRate" codeText="@0037" moduleName="lsnmod"/>
<localMethods type="local" name="lsnSaveCecm" codeText="@0038" moduleName="lsnmod"/>
<localMethods type="local" name="lsnCheckCecm" codeText="@0039" moduleName="lsnmod"/>
<localMethods type="local" name="useHeqInr" codeText="@0040" moduleName="lsnmod"/>
<localMethods type="local" name="lsnDeleteCecm" codeText="@0041" moduleName="lsnmod"/>
<localMethods type="local" name="getLneInr" codeText="@0042" moduleName="lsnmod"/>
<localMethods type="local" name="recalcLimits" codeText="@0043" moduleName="lsnmod"/>
<localMethods type="local" name="lsnAdjustLnb" codeText="@0044" moduleName="lsnmod"/>
<localMethods type="local" name="updateFin" codeText="@0045" moduleName="lsnmod"/>
<panels name="detp" description="PD000011" width="708" height="400" transient="true" signDefination="">
<components path="lnestm" width="696" left="8" top="29" height="106" />
<components path="lsbstm" width="696" left="8" top="285" height="106" />
<components path="lnbstm" width="696" left="8" top="157" height="104" />
<components viewType="Label" text="S0000035" left="8" top="264" height="22"/>
<components viewType="Label" text="S0000036" left="8" top="135" height="22"/>
<components viewType="Label" text="S0000037" left="8" top="8" height="22"/>
</panels>
<modules name="lsr" type="lsr" >
</modules>
<modules name="lne" type="lne" >
</modules>
<modules name="lnb" type="lnb" >
</modules>
<modules name="lsb" type="lsb" >
</modules>
<modules name="lsa" type="lsa" >
</modules>
<modules name="wrklne" type="lne" list="true" pageSize="1" initSize="0" >
</modules>
<modules name="pfpmod" type="pfpmod" >
</modules>
<modules name="fin" type="fin" >
</modules>
</eibs:Module>
