<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ltd" table="ltd" title="LTD - Transfer L/C Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Import L/C" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="adlflg" column="adlflg" description="Additional Addresses" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amedat" column="amedat" description="Date of Last Amendment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendment" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="avbby" column="avbby" description="Available by" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbwth" column="avbwth" description="Available with" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chato" column="chato" description="Own Charges Borne by" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clsdat" column="clsdat" description="Date L/C Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cnfins" column="cnfins" description="Confirmation Instructions to 2. Adv.Bank" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expdat" column="expdat" description="Date of Expiry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expplc" column="expplc" description="Place of Expiry" length="29" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lcrtyp" column="lcrtyp" description="Form of Documentary Credit" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomspc" column="nomspc" description="Amount Specification" viewtype="Combobox" codetable="nomspc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomtop" column="nomtop" description="Amount Tolerance - Positive" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="nomton" column="nomton" description="Amount Tolerance - Negative" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date L/C Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rmbact" column="rmbact" description="Reimbursing Bank Account Identification" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rmbcha" column="rmbcha" description="Reimbursing Bank Charges" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rmbflg" column="rmbflg" description="Reimbursement Information" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpdat" column="shpdat" description="Shipment Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="shpfro" column="shpfro" description="Shipment from" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shppar" column="shppar" description="Partial Shipment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpto" column="shpto" description="For Transportation to" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shptrs" column="shptrs" description="Transshipment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code Risk Country" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="utlnbr" column="utlnbr" description="Number of Utilizations" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="advnbr" column="advnbr" description="Number of Advised Utilizations" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="redclsflg" column="redclsflg" description="Red/Green Clause?" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ledinr" column="ledinr" description="INR of LE Backing this Transfer" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docsubflg" column="docsubflg" description="Documents to be Substituted" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="porloa" column="porloa" description="Port of Loading" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pordis" column="pordis" description="Port of Discharge" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apprul" column="apprul" description="Applicable Rules" viewtype="Combobox" codetable="apprul" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apprultxt" column="apprultxt" description="Other Applicable Rules" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apprulrmb" column="apprulrmb" description="Applicable Rules Reimbursement" codetable="apprulrmb" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="autdat" column="autdat" description="Date of Authorisation to Reimburse" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tenmaxday" column="tenmaxday" description="Maximum tenor in days" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BCHKEY KEY" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prepers18" column="prepers18" description="Days of presentation period" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="prepertxts18" column="prepertxts18" description="Presentation period text" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shppars18" column="shppars18" description="Partial Shipment for Swift release 2018" viewtype="Combobox" codetable="shppars18" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shptrss18" column="shptrss18" description="Transshipment for Swift release 2018" viewtype="Combobox" codetable="shptrss18" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="spcbenflg" column="spcbenflg" description="Special payment conditions for beneficiary exists" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="spcrcbflg" column="spcrcbflg" description="Special Payment Conditions for receiving bank" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
