<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="offmod" table="offmod" title="Module to handle Office" transient="true"
    i18nSequence="32" ruleSequence="22">
  <datafields name="user" column="user" description="User" length="40" lineOrDecimalSize="1"/>
  <datafields name="oldpwd" column="oldpwd" description="Old Password" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="newpwd" column="newpwd" description="New Password" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="newpwdr" column="newpwdr" description="New Password repeated"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="butchg" column="butchg" description="确认" datatype="control" viewtype="Button"
      length="16" lineOrDecimalSize="1"/>
  <datafields name="dsp" column="dsp" description="Screen image to be shown" viewtype="Combobox"
      length="80" lineOrDecimalSize="1"/>
  <datafields name="lst" column="lst" description="Textfile" viewtype="Combobox" length="80"
      lineOrDecimalSize="1"/>
  <datafields name="butdsp" column="butdsp" description="Show screen image" datatype="control"
      viewtype="Button" length="20" lineOrDecimalSize="1"/>
  <datafields name="butlst" column="butlst" description="Show textfile" datatype="control"
      viewtype="Button" length="20" lineOrDecimalSize="1"/>
  <datafields name="frm" column="frm" description="Frame to be launched" lineOrDecimalSize="1"/>
  <datafields name="cltprg" column="cltprg" description="Type of CLient" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" viewlines="2" codetable="cltprg"/>
  <panels name="chgpwdp" description="PD000000" width="450" height="220" visible="false"
      popup="true">
    <components path="user" width="266" enabled="false" left="140" height="22"/>
    <components path="oldpwd" viewType="Password" width="266" left="140" top="33"
        height="22"/>
    <components path="newpwd" viewType="Password" width="266" left="140" top="57"
        height="22"/>
    <components path="newpwdr" viewType="Password" width="266" left="140" top="81"
        height="22"/>
    <components path="butchg" viewType="Button" width="106" text="CF000030" left="172"
        top="192" height="22"/>
    <components viewType="Label" text="SF000001" height="22"/>
    <components viewType="Label" text="SF000002" top="33" height="22"/>
    <components viewType="Label" text="SF000003" top="57" height="22"/>
    <components viewType="Label" text="SF000004" top="81" height="22"/>
    <components viewType="Label" text="SF000026" left="11" top="120" height="22"/>
    <components viewType="Label" text="SF000028" left="12" top="143" height="22"/>
    <components viewType="Label" text="SF000029" left="12" top="167" height="22"/>
  </panels>
  <panels name="showdsp" description="PD000006" width="660" height="100" visible="false"
      popup="true">
    <components path="dsp" viewType="Combobox" width="533" top="26" height="22"/>
    <components path="lst" viewType="Combobox" width="533" top="68" height="22"/>
    <components path="butdsp" viewType="Button" width="133" text="CF000010" left="526"
        top="26" height="22"/>
    <components path="butlst" viewType="Button" width="133" text="CF000011" left="526"
        top="68" height="22"/>
    <components viewType="Label" text="S0000007" top="4" height="22"/>
  </panels>
  <panels name="panlaunch" description="PD000012" width="210" height="40" visible="false"
      popup="true">
    <components path="frm" width="53" left="136" height="22"/>
    <components viewType="Label" text="SF000013" height="22"/>
  </panels>
  <globalMethods name="executeInternalCommand" codeText="@0009" moduleName="offmod"/>
  <globalMethods name="executeTransaction" codeText="@0010" moduleName="offmod"/>
  <globalMethods name="cleanupClientTmpDir" codeText="@0019" moduleName="offmod"/>
  <localMethods name="chgPwd" type="local" codeText="@0000" moduleName="offmod"/>
  <localMethods name="display" type="local" codeText="@0002" moduleName="offmod"/>
  <localMethods name="loadDSPFiles" type="local" codeText="@0003" moduleName="offmod"/>
  <localMethods name="loadLSTFiles" type="local" codeText="@0004" moduleName="offmod"/>
  <localMethods name="getFileBlock" type="local" codeText="@0005" moduleName="offmod"/>
  <localMethods name="callinfo" type="local" codeText="@0008" moduleName="offmod"/>
  <localMethods name="count" type="local" codeText="@0011" moduleName="offmod"/>
  <localMethods name="getsql" type="local" codeText="@0012" moduleName="offmod"/>
  <localMethods name="launch" type="local" codeText="@0014" moduleName="offmod"/>
  <localMethods name="callrel" type="local" codeText="@0015" moduleName="offmod"/>
  <localMethods name="checkusrspt" type="local" codeText="@0020" moduleName="offmod"/>
  <initRules name="\" type="init" codeText="@0017" order="1000" moduleName="offmod"/>
  <initRules name="\" type="init" codeText="@0021" order="1200" moduleName="offmod"/>
  <defaultRules name="\sysmod\trnnam" type="default" codeText="@0018" order="1000"
      moduleName="offmod"/>
  <eventRules name="butchg" type="event" codeText="@0001" order="1000" moduleName="offmod"/>
  <eventRules name="butdsp" type="event" codeText="@0006" order="1000" moduleName="offmod"/>
  <eventRules name="butlst" type="event" codeText="@0007" order="1000" moduleName="offmod"/>
  <eventRules name="frm" type="event" codeText="@0013" order="1000" moduleName="offmod"/>
</eibs:Module>
