<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="oited2" table="oited2" title="Object Infotext Processing Functions (2)"
    i18nSequence="800" ruleSequence="15">
  <datafields name="typ" column="typ" description="OBJTYP of handled Record" length="6"
      lineOrDecimalSize="1" access="readonly"/>
  <datafields name="inr" column="inr" description="INR of handled Record" lineOrDecimalSize="1"
      argument="true"/>
  <datafields name="subtypstm" column="subtypstm" description="holds possible SUBTYP values"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="pansta" column="pansta" description="Panel-Status of Panel" length="1"
      lineOrDecimalSize="1" argument="true"/>
  <datafields name="labinftxt" column="labinftxt" description="Label for INFTXT" viewtype="Label"
      length="48" lineOrDecimalSize="1" access="private"/>
  <modules name="oitgrd" type="oitgrd" list="true" pageSize="1" initSize="1">
    <arguments name="subtypstm" value="subtypstm"/>
    <arguments name="pansta" value="pansta"/>
  </modules>
  <modules name="oit" type="oit"/>
  <panels name="suboitp" description="PD000012" width="710" height="428" transient="true"
      popup="true">
    <components path="labinftxt" viewType="Label" width="320" enabled="false" left="4"
        height="22"/>
  </panels>
  <localMethods name="codDeleteTxt" type="local" codeText="@0001" moduleName="oited2"/>
  <localMethods name="codClearTxt" type="local" codeText="@0002" moduleName="oited2"/>
  <localMethods name="codLoadTxt" type="local" codeText="@0003" moduleName="oited2"/>
  <localMethods name="codSaveTxt" type="local" codeText="@0004" moduleName="oited2"/>
  <localMethods name="codSptLoadTxt" type="local" codeText="@0005" moduleName="oited2"/>
  <localMethods name="codSptSaveTxt" type="local" codeText="@0006" moduleName="oited2"/>
  <localMethods name="printOit" type="local" codeText="@0007" moduleName="oited2"/>
  <localMethods name="checkDoubleTyp" type="local" codeText="@0010" moduleName="oited2"/>
  <localMethods name="handleInterruptTransactionForOit" type="local" codeText="@0012"
      moduleName="oited2"/>
  <localMethods name="getOitOfAllSubTyp" type="local" codeText="@0013" moduleName="oited2"/>
  <initRules name="\" type="init" codeText="@0000" order="1000" moduleName="oited2"/>
  <defaultRules name="oitGRDFields" type="default" codeText="@0009" order="1000" moduleName="oited2">
    <paths>oit</paths>
    <paths>oitgrd</paths>
    <paths>oit\objtyp</paths>
    <paths>oit\objinr</paths>
  </defaultRules>
  <defaultRules name="labinftxt" type="default" codeText="@0014" order="1000" moduleName="oited2"/>
  <checkRules name="subFields" type="check" codeText="@0011" order="1000" moduleName="oited2">
    <paths>oitgrd\subbus</paths>
    <paths>oitgrd\subtyp</paths>
  </checkRules>
  <eventRules name="oitgrd" type="event" codeText="@0008" order="300" moduleName="oited2"/>
</eibs:Module>
