<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="oitgrd" table="oitgrd" title="Module List for Editing Multiple Infotexts"
    i18nSequence="14" ruleSequence="20">
  <datafields name="inr" column="inr" description="Internal Unique ID" lineOrDecimalSize="1"/>
  <datafields name="subbus" column="subbus" description="Business Sector" viewtype="Combobox"
      length="2" lineOrDecimalSize="1" viewlines="2"/>
  <datafields name="subtyp" column="subtyp" description="Subtype to enable multiple Infotexts per Object"
      viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="2"/>
  <datafields name="inflev" column="inflev" description="Infotext Level" viewtype="Combobox"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="inftxt" column="inftxt" description="Infotext" datatype="stream"
      viewtype="Block" length="60" lineOrDecimalSize="1"/>
  <datafields name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1"/>
  <datafields name="shttxt" column="shttxt" description="Short Text" length="40" lineOrDecimalSize="1"/>
  <datafields name="buttxt" column="buttxt" description="Text" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butsav" column="butsav" description="Save" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butcls" column="butcls" description="Close" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="labinftxt" column="labinftxt" description="Label for INFTXT" viewtype="Label"
      length="40" lineOrDecimalSize="1" access="private"/>
  <datafields name="subtypstm" column="subtypstm" description="holds possible SUBTYP values"
      datatype="stream" viewtype="Block" length="1" argument="true"/>
  <datafields name="pansta" column="pansta" description="Panel-Status of Panel" length="1"
      lineOrDecimalSize="1" argument="true"/>
  <datafields name="etgextkey" column="etgextkey" description="Entity Group of Infotext"
      lineOrDecimalSize="1"/>
  <panels name="oitp" description="PD000011" width="632" height="170" visible="false"
      popup="true">
    <components path="labinftxt" viewType="Label" width="266" enabled="false" height="22"/>
    <components path="inftxt" viewType="Block" width="400" required="true" top="28"
        height="22"/>
    <components path="butsav" viewType="Button" width="66" text="CF000012" left="566"
        height="22"/>
    <components path="butcls" viewType="Button" width="66" text="CF000013" left="566"
        top="144" height="22"/>
  </panels>
  <initRules name="\" type="init" codeText="@0002" order="1000" moduleName="oitgrd"/>
  <initRules name="\" type="init" codeText="@0018" order="950" moduleName="oitgrd"/>
  <defaultRules name="labinftxt" type="default" codeText="@0001" order="1000" moduleName="oitgrd"/>
  <defaultRules name="subbus" type="default" codeText="@0006" order="1000" moduleName="oitgrd"/>
  <defaultRules name="inflev" type="default" codeText="@0007" order="1000" moduleName="oitgrd"/>
  <defaultRules name="butsav" type="default" codeText="@0009" order="1000" moduleName="oitgrd"/>
  <defaultRules name="buttxt" type="default" codeText="@0010" order="1000" moduleName="oitgrd"/>
  <defaultRules name="inftxt" type="default" codeText="@0011" order="1000" moduleName="oitgrd"/>
  <defaultRules name="shttxt" type="default" codeText="@0012" order="1000" moduleName="oitgrd"/>
  <defaultRules name="oitp" type="default" codeText="@0013" order="1000" moduleName="oitgrd"/>
  <defaultRules name="subtyp" type="default" codeText="@0017" order="1000" moduleName="oitgrd"/>
  <defaultRules name="inflev" type="default" codeText="@0019" order="1100" moduleName="oitgrd"/>
  <checkRules name="shttxt" type="check" codeText="@0008" order="1000" moduleName="oitgrd"/>
  <checkRules name="inflev" type="check" codeText="@0014" order="1000" moduleName="oitgrd"/>
  <checkRules name="subbus" type="check" codeText="@0015" order="800" moduleName="oitgrd"/>
  <checkRules name="subtyp" type="check" codeText="@0016" order="800" moduleName="oitgrd"/>
  <eventRules name="buttxt" type="event" codeText="@0000" order="1000" moduleName="oitgrd"/>
  <eventRules name="butcls" type="event" codeText="@0003" order="1000" moduleName="oitgrd"/>
  <eventRules name="shttxt" type="event" codeText="@0004" order="1000" moduleName="oitgrd"/>
  <eventRules name="butsav" type="event" codeText="@0005" order="1000" moduleName="oitgrd"/>
</eibs:Module>
