<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ord" table="ord" title="ORD - Order" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Transaction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="External Readable Identification" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type of Associated Contract Optional" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR of Associated Contract Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="smhinr" column="smhinr" description="INR of Associated Incoming Message" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptainr" column="ptainr" description="INR of Ordering Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extkey" column="extkey" description="External Key" length="32" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="infdsp" column="infdsp" description="Infoflag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inftxt" column="inftxt" description="Infotext" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="sta" column="sta" description="Status" viewtype="Combobox" codetable="sta" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stadattim" column="stadattim" description="Timestamp of Last Status Update" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="ownusg" column="ownusg" description="Responsible Group Optional" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inidattim" column="inidattim" description="Timestamp of Creation" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="tardattim" column="tardattim" description="Target for Completion" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="cpldattim" column="cpldattim" description="Timestamp of Completion" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="totdur" column="totdur" description="Duration in Seconds" datatype="numeric" length="10" lineOrDecimalSize="2" />
<datafields comments="" name="slacla" column="slacla" description="Predefined Priority Class" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frm" column="frm" description="Transaction Used to Reload/Process" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity owning Order" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chkflg" column="chkflg" description="Order OK" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sdhflg" column="sdhflg" description="收单行处理标志" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="ETGEXTKEY" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nbsaplref" column="nbsaplref" description="网银相关编号" length="20" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
