<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="pad" table="pad" title="PAD - Participation Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Participation" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="perint" column="perint" description="Percentage of L/C Amount" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="silflg" column="silflg" description="Silent Participation" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issref" column="issref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amedat" column="amedat" description="Date of Last Amendment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendment" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="avbby" column="avbby" description="Available by [AVBBY0]" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbwth" column="avbwth" description="Available with" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clsdat" column="clsdat" description="Date L/C Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expdat" column="expdat" description="Participation Date of Expiry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expplc" column="expplc" description="Place of Expiry" length="29" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lcrtyp" column="lcrtyp" description="Form of Documentary Credit" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomspc" column="nomspc" description="Amount Specification" viewtype="Combobox" codetable="nomspc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomtop" column="nomtop" description="Amount Tolerance - Positive" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="nomton" column="nomton" description="Amount Tolerance - Negative" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date Participation Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpdat" column="shpdat" description="Shipment Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="shpfro" column="shpfro" description="Shipment from" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shppar" column="shppar" description="Partial Shipment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpto" column="shpto" description="For Transportation to" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shptrs" column="shptrs" description="Transshipment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskcty" column="rskcty" description="Risk Country" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndatlc" column="opndatlc" description="Date L/C Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expdatlc" column="expdatlc" description="LC Date of Expire" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="agbnam" column="agbnam" description="Correspondent Bank Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issnam" column="issnam" description="Issuing Bank Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="agbref" column="agbref" description="Correspondent Bank Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="resflg" column="resflg" description="Reserved Contract" viewtype="Checkbox" codetable="resflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnfflg" column="cnfflg" description="Percentage or Amount Confirmed" viewtype="Combobox" codetable="cnfflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code for Statistics" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
