<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="pfpmod" table="pfpmod" transient="true" i18nSequence="99" ruleSequence="23">
  <datafields name="get" column="get" description="Get" datatype="control" viewtype="Button"
      length="4" lineOrDecimalSize="1"/>
  <datafields name="pfcod" column="pfcod" description="Pf code" length="20" lineOrDecimalSize="1"/>
  <datafields name="rolvau" column="rolvau" description="ROLVAU" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="nonrevflg" column="nonrevflg" description="Flag to Mark Non-revolving Limits"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="nonrevflg"/>
  <datafields name="wrklab" column="wrklab" description="Label" viewtype="Label" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="othlab" column="othlab" description="Label" viewtype="Label" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="pflab" column="pflab" description="Label" viewtype="Label" length="10"
      lineOrDecimalSize="1"/>
  <datafields name="get1" column="get1" description="Get" datatype="control" viewtype="Button"
      length="6" lineOrDecimalSize="1"/>
  <datafields name="nonrevflg1" column="nonrevflg1" description="Flag to Mark Non-revolving Limits"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="nonrevflg1"/>
  <datafields name="pfcod1" column="pfcod1" description="Pf code" length="20" lineOrDecimalSize="1"/>
  <datafields name="pflab1" column="pflab1" description="Label" viewtype="Label" length="10"
      lineOrDecimalSize="1"/>
  <datafields name="rolvau1" column="rolvau1" description="ROLVAU" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="info" column="info" description="Del" datatype="control" viewtype="Button"
      length="4" lineOrDecimalSize="1"/>
  <datafields name="info1" column="info1" description="..." datatype="control" viewtype="Button"
      length="4" lineOrDecimalSize="1"/>
  <datafields name="prelim" column="prelim" description="pre limit" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="prelim1" column="prelim1" description="PRE LIMIT1" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="htcod" column="htcod" description="contract number" length="60"
      lineOrDecimalSize="1"/>
  <datafields name="risk" column="risk" description="Risk qualified" datatype="numeric"
      length="5" lineOrDecimalSize="3"/>
  <modules name="wrk" type="ptspta">
    <arguments name="tmpflg" value="! "/>
    <arguments name="stplev" value="!3"/>
    <arguments name="typflg" value="wrk\ptytyp"/>
    <arguments name="ptausgflg" value="! "/>
    <arguments name="adrcpyflg" value="! "/>
  </modules>
  <modules name="oth" type="ptspta">
    <arguments name="tmpflg" value="! "/>
    <arguments name="adrcpyflg" value="! "/>
    <arguments name="ptausgflg" value="! "/>
    <arguments name="stplev" value="!3"/>
    <arguments name="typflg" value="!C"/>
  </modules>
  <panels name="pfcodp" description="PD000003" width="346" height="30" transient="true"
      popup="true">
    <components path="pflab" viewType="Label" width="66" enabled="false" left="126"
        top="6" height="22"/>
    <components path="pfcod" width="133" left="176" top="4" height="22"/>
    <components path="get" viewType="Button" width="26" text="C0000024" left="320"
        top="4" height="22"/>
    <components path="nonrevflg" viewType="Combobox" width="75" left="54" top="4"
        height="22"/>
    <components viewType="Label" text="S0000004" left="0" top="4" height="22"/>
  </panels>
  <panels name="copl" description="PD000007" width="600" height="148" visible="false"
      popup="true">
    <components path="rolvau" width="600" left="0" top="0" height="148"/>
  </panels>
  <panels name="pfcodp2" description="PD000017" width="346" height="30" transient="true">
    <components path="pflab1" viewType="Label" width="66" enabled="false" left="132"
        top="4" height="22"/>
    <components path="nonrevflg1" viewType="Combobox" width="75" left="54" top="4"
        height="22"/>
    <components path="pfcod1" width="133" left="200" top="4" height="22"/>
    <components path="get1" viewType="Button" width="40" text="C0000020" left="306"
        top="4" height="22"/>
    <components viewType="Label" text="S0000018" left="0" top="4" height="22"/>
  </panels>
  <panels name="copl1" description="PD000021" width="600" height="148" visible="false"
      popup="true">
    <components path="rolvau1" width="600" left="0" top="0" height="148"/>
  </panels>
  <panels name="infp" description="PD000025" width="600" height="148" visible="false"
      popup="true">
    <components path="prelim" width="596" left="0" top="0" height="148"/>
  </panels>
  <panels name="infp1" description="PD000026" width="600" height="148" visible="false"
      popup="true"/>
  <localMethods name="getCecmData" type="local" codeText="@0010" moduleName="pfpmod"/>
  <localMethods name="createCecmStream" type="local" codeText="@0016" moduleName="pfpmod"/>
  <localMethods name="checkPfCod" type="local" codeText="@0017" moduleName="pfpmod"/>
  <defaultRules name="pfCode" type="default" codeText="@0001" order="2000" moduleName="pfpmod">
    <paths>get</paths>
    <paths>pfcod</paths>
  </defaultRules>
  <defaultRules name="rolvau" type="default" codeText="@0003" order="1000" moduleName="pfpmod"/>
  <defaultRules name="nonrevflg" type="default" codeText="@0004" order="1000" moduleName="pfpmod"/>
  <defaultRules name="pflab" type="default" codeText="@0007" order="1000" moduleName="pfpmod"/>
  <defaultRules name="nonrevflg1" type="default" codeText="@0008" order="1000" moduleName="pfpmod"/>
  <defaultRules name="pflab1" type="default" codeText="@0009" order="1000" moduleName="pfpmod"/>
  <defaultRules name="rolvau1" type="default" codeText="@0013" order="1000" moduleName="pfpmod"/>
  <defaultRules name="prelim1" type="default" codeText="@0019" order="1000" moduleName="pfpmod"/>
  <defaultRules name="prelim" type="default" codeText="@0020" order="1000" moduleName="pfpmod"/>
  <defaultRules name="info" type="default" codeText="@0021" order="1000" moduleName="pfpmod"/>
  <defaultRules name="get" type="default" codeText="@0022" order="1000" moduleName="pfpmod"/>
  <checkRules name="pfcod" type="check" codeText="@0000" order="300" moduleName="pfpmod"/>
  <checkRules name="nonrevflg" type="check" codeText="@0005" order="1000" moduleName="pfpmod"/>
  <checkRules name="pfcod1" type="check" codeText="@0015" order="1000" moduleName="pfpmod"/>
  <eventRules name="get" type="event" codeText="@0002" order="1000" moduleName="pfpmod"/>
  <eventRules name="nonrevflg" type="event" codeText="@0006" order="1000" moduleName="pfpmod"/>
  <eventRules name="rolvau" type="event" codeText="@0011" order="1000" moduleName="pfpmod"/>
  <eventRules name="get1" type="event" codeText="@0012" order="1000" moduleName="pfpmod"/>
  <eventRules name="rolvau1" type="event" codeText="@0014" order="1000" moduleName="pfpmod"/>
  <eventRules name="info" type="event" codeText="@0018" order="1000" moduleName="pfpmod"/>
</eibs:Module>
