<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="prtmod" table="prtmod" title="Support for Printer Handling" i18nSequence="60" ruleSequence="16" transient="true">
<datafields comments="" name="objtyp" column="objtyp" description="Objecttype of Ower USR, USG, SRV" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Owner if applicable" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cltprtflg" column="cltprtflg" description="Client Printing" viewtype="Combobox" codetable="cltprtflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tstflg" column="tstflg" description="Type of Test" viewtype="Checkbox" codetable="tstflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cfgflg" column="cfgflg" description="Configuration Flag" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="resolvePrinter" codeText="@0000" moduleName="prtmod"/>
<localMethods type="local" name="readPRTGRD" codeText="@0001" moduleName="prtmod"/>
<localMethods type="local" name="storePrtGrd" codeText="@0002" moduleName="prtmod"/>
<initRules name="\" type="init" codeText="@0003" order="1000" moduleName="prtmod" />
<localMethods type="local" name="deletePrtGrd" codeText="@0004" moduleName="prtmod"/>
<localMethods type="local" name="readPRT" codeText="@0005" moduleName="prtmod"/>
<defaultRules name="cltprtflg" type="default" codeText="@0006" order="600" moduleName="prtmod" />
<defaultRules name="prtgrd\prt" type="default" codeText="@0007" order="1000" moduleName="prtmod" />
<defaultRules name="prtgrd\prt" type="default" codeText="@0008" order="9000" moduleName="prtmod" />
<localMethods type="local" name="initialize" codeText="@0009" moduleName="prtmod"/>
<localMethods type="local" name="setCltPrtFlg" codeText="@0010" moduleName="prtmod"/>
<modules name="usr" type="usr" >
</modules>
<modules name="usg" type="usg" >
</modules>
<modules name="wrkprt" type="prt" >
</modules>
<modules name="prt" type="prt" >
</modules>
<modules name="prtgrd" type="prt" list="true" pageSize="1" initSize="4" >
</modules>
<modules name="apf" type="apf" >
</modules>
<localMethods type="local" name="getPrinterList" codeText="@0011" moduleName="prtmod"/>
<localMethods type="local" name="enqueue" codeText="@0012" moduleName="prtmod"/>
<panels name="prtgrdpan" description="PD000025" width="712" height="135" visible="false" transient="true" signDefination="">
<components viewType="Label" text="SF000042" left="5" top="4" height="22"/>
</panels>
<eventRules name="prttst" type="event" eventType="onPanelShow" codeText="@0013" order="100" moduleName="prtmod" />
<eventRules name="prttst" type="event" eventType="onPanelShow" codeText="@0014" order="10" moduleName="prtmod" />
<eventRules name="prttst" type="event" eventType="onPanelShow" codeText="@0015" order="11" moduleName="prtmod" />
<panels name="prttst" description="PD000001" width="800"  height="600" signDefination="">
<components path="prttstblk" width="100" widthUnit="%" left="0" top="0" height="100" heightUnit="%" viewType="Block" />
</panels>
<datafields comments="" name="prttstblk" column="prttstblk" description="XMLPanel prttst的内置block" datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10" />
</eibs:Module>
