<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="pts" table="pts" title="PTS - Party per Contract" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Contract Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rol" column="rol" description="Role of Address" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptainr" column="ptainr" description="Address Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptyinr" column="ptyinr" description="Party Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extkey" column="extkey" description="External Key of Address" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="adrblk" column="adrblk" description="Address Block" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="ref" column="ref" description="Reference for Address Optional" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Name of Party" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference of Contract + Role" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dftcur" column="dftcur" description="Default Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dftdsp" column="dftdsp" description="Default Disposition" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dftact" column="dftact" description="Default Account" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dftfeecur" column="dftfeecur" description="Default Fee Currency" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dftactptainr" column="dftactptainr" description="Default Address to Search Account" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="glggrpflg" column="glggrpflg" description="Grouping Rule of Amounts" viewtype="Combobox" codetable="glggrpflg" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extact" column="extact" description="External Account" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issbaninf" column="issbaninf" description="info of issure" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bankno" column="bankno" description="Number of bank" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="corcod" column="corcod" description="Core Code" length="15" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="refadd" column="refadd" description="长合同号" datatype="block" viewtype="Block" length="46" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
