<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ptsget" table="ptsget" title="PTSGET - select a Party of a Contract" i18nSequence="181" ruleSequence="21" transient="true">
<datafields comments="" name="dissel" column="dissel" description="Disable DbSelect and DDE-Client when set" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stplev" column="stplev" description="Threshold of stoplevel" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extkey" column="extkey" description="Last used EXTKEY" length="24" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="getaddsub" column="getaddsub" description="Sub to be called when a new record has been read" length="40" lineOrDecimalSize="1" viewlines="1" access="readonly" argument="true" />
<eventRules name="ptspta\pts\extkey" type="event" codeText="@0000" order="900" moduleName="ptsget" />
<checkRules name="sdamod\dadsnd" type="check" codeText="@0001" order="1000" moduleName="ptsget" />
<eventRules name="sdamod\dadrcv" type="event" codeText="@0002" order="700" moduleName="ptsget" />
<eventRules name="sdamod\dadrcv" type="event" codeText="@0003" order="900" moduleName="ptsget" />
<eventRules name="ptspta\pts\extkey" type="event" codeText="@0004" order="100" moduleName="ptsget" />
<defaultRules name="extkey" type="default" codeText="@0005" order="1000" moduleName="ptsget" />
<localMethods type="local" name="handleDDEReceive" codeText="@0006" moduleName="ptsget"/>
<localMethods type="local" name="checkPTYTYP" codeText="@0007" moduleName="ptsget"/>
<localMethods type="local" name="getPtyAdr" codeText="@0008" moduleName="ptsget"/>
<checkRules name="ptspta\pts\extkey" type="check" codeText="@0009" order="950" moduleName="ptsget" />
<initRules name="\" type="init" codeText="@0010" order="1000" moduleName="ptsget" />
<localMethods type="local" name="handleModifiedRec" codeText="@0011" moduleName="ptsget"/>
<localMethods type="local" name="clearPtsPta" codeText="@0012" moduleName="ptsget"/>
<modules comments="" name="ptspta" type="ptspta" argument="true" />
<modules name="sdamod" type="sdamod" >
<arguments name="rec" value="ptspta\pta"/>
</modules>
<localMethods type="local" name="checkStopAndInfo" codeText="@0013" moduleName="ptsget"/>
<localMethods type="local" name="getPtsReadSql" codeText="@0014" moduleName="ptsget"/>
<localMethods type="local" name="getPtsSelectSql" codeText="@0015" moduleName="ptsget"/>
<eventRules name="ptspta\pts\extkey" type="event" codeText="@0016" order="810" moduleName="ptsget" />
<localMethods type="local" name="clearPtsCusFlds" codeText="@0017" moduleName="ptsget"/>
<eventRules name="ptspta\pts\extkey" type="event" codeText="@0018" order="1200" moduleName="ptsget" />
<eventRules name="ptspta\pts\extkey" type="event" codeText="@0019" order="1001" moduleName="ptsget" />
<eventRules name="ptspta\pts\extkey" type="event" codeText="@0020" order="120" moduleName="ptsget" />
<modules name="getoit" type="oit" >
</modules>
</eibs:Module>
