<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="ptsp" table="ptsp" title="Frames for Party per Contract" transient="true"
    i18nSequence="90" ruleSequence="26">
  <datafields name="pansta" column="pansta" description="to be defaulted by user, if not I is used"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="det" column="det" description="Details" datatype="control" viewtype="Button"
      lineOrDecimalSize="1"/>
  <datafields name="ptsgetaddsub" column="ptsgetaddsub" description="Name of GETADDSUB function"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="rellev" column="rellev" description="Release Level" length="1"
      lineOrDecimalSize="1"/>
  <datafields name="chnflg" column="chnflg" description="Flg of CN" length="1" lineOrDecimalSize="1"/>
  <datafields name="ravtyp" column="ravtyp" description="Request advance type" viewtype="Combobox"
      length="12" lineOrDecimalSize="1" codetable="ravtyp"/>
  <datafields name="getref" column="getref" description="Get Ref." datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <modules name="ptspta" type="ptspta" argument="true"/>
  <modules name="ptsget" type="ptsget">
    <arguments name="ptspta" value="ptspta"/>
    <arguments name="getaddsub" value="ptsgetaddsub"/>
  </modules>
  <panels name="ptap1" description="PD000035" width="500" height="32" transient="true"
      visible="false" popup="true">
    <components path="ptspta\pts\extkey" width="106" left="0" top="4" height="22"/>
    <components path="ptsget\sdamod\dadsnd" width="106" left="200" top="0" height="22"/>
    <components path="ptsget\sdamod\seainf" width="20" left="120" top="4" height="22"/>
    <components path="ptspta\pts\nam" width="266" left="236" top="4" height="22"/>
    <components path="det" viewType="Button" width="53" text="CF000080" left="144"
        top="4" height="22"/>
  </panels>
  <panels name="ptap5" description="PD000038" width="230" height="100" transient="true"
      visible="false" enabled="false" popup="true">
    <components path="ptspta\pts\extkey" width="106" left="0" top="4" height="22"/>
    <components path="ptspta\pts\adrblk" viewType="Block" width="233" left="0" top="32"
        height="48"/>
    <components path="ptsget\sdamod\seainf" width="20" left="120" top="4" height="22"/>
    <components path="ptsget\sdamod\dadsnd" width="106" enabled="false" left="196"
        top="0" height="22"/>
    <components path="det" viewType="Button" width="53" text="CF000081" left="144"
        top="4" height="22"/>
    <components path="ptspta\dbfadrblkcn" viewType="Block" width="233" left="0" top="32"
        height="48"/>
  </panels>
  <panels name="ptap2" description="PD000040" width="260" height="60" transient="true"
      visible="false" popup="true">
    <components path="ptspta\pts\extkey" width="106" left="0" top="4" height="22"/>
    <components path="ptspta\pts\nam" width="266" left="0" top="32" height="22"/>
    <components path="ptsget\sdamod\dadsnd" width="106" enabled="false" left="196"
        top="0" height="22"/>
    <components path="ptsget\sdamod\seainf" width="20" left="120" top="4" height="22"/>
    <components path="det" viewType="Button" width="53" text="CF000082" left="144"
        top="4" height="22"/>
  </panels>
  <panels name="ptap4" description="PD000085" width="230" height="25" transient="true"
      visible="false" enabled="false" popup="true">
    <components path="ptspta\pts\corcod" left="115" top="2" height="22"/>
    <components viewType="Label" text="SG000086" left="0" top="2" height="22"/>
  </panels>
  <panels name="adrdetp" description="PD000083" width="788" height="528" visible="false"
      popup="true">
    <components path="ptspta\dbfadrblk" viewType="Block" width="233" left="485" top="86"
        height="48"/>
    <components path="ptspta\pts\adrblk" viewType="Block" width="233" left="133" top="86"
        height="48"/>
    <components path="ptspta\pts\extkey" width="106" left="133" top="52" height="22"/>
    <components path="ptspta\ptyinftxt" width="400" required="true" left="133" top="278"
        height="22"/>
    <components path="ptspta\pts\rol" viewType="Combobox" width="75" left="133" top="12"
        height="22"/>
    <components viewType="Label" text="SG000084" left="484" top="52" height="22"/>
    <components viewType="Label" text="SG000085" left="18" top="52" height="22"/>
    <components viewType="Label" text="SG000088" left="18" top="12" height="22"/>
    <components viewType="Label" text="SG000089" left="18" top="278" height="22"/>
  </panels>
  <localMethods name="ptsAdjust" type="local" codeText="@0015" moduleName="ptsp"/>
  <localMethods name="loadAddData" type="local" codeText="@0018" moduleName="ptsp"/>
  <localMethods name="ptsCheckAdrblk" type="local" codeText="@0020" moduleName="ptsp"/>
  <localMethods name="getSprRelLev" type="local" codeText="@0022" moduleName="ptsp"/>
  <initRules name="\" type="init" codeText="@0001" order="1000" moduleName="ptsp"/>
  <defaultRules name="ptspta\pts\extkey" type="default" codeText="@0000" order="950"
      moduleName="ptsp"/>
  <defaultRules name="ptsget\sdamod\dadrcv" type="default" codeText="@0002" order="1000"
      moduleName="ptsp"/>
  <defaultRules name="ptsget\sdamod\dadsnd" type="default" codeText="@0003" order="1000"
      moduleName="ptsp"/>
  <defaultRules name="ptap5" type="default" codeText="@0004" order="950" moduleName="ptsp"/>
  <defaultRules name="ptap1" type="default" codeText="@0005" order="1000" moduleName="ptsp"/>
  <defaultRules name="ptap2" type="default" codeText="@0006" order="1000" moduleName="ptsp"/>
  <defaultRules name="ptspta\pts\adrblk" type="default" codeText="@0008" order="1000"
      moduleName="ptsp"/>
  <defaultRules name="det" type="default" codeText="@0010" order="1000" moduleName="ptsp"/>
  <defaultRules name="ptsget\stplev" type="default" codeText="@0011" order="1000"
      moduleName="ptsp"/>
  <defaultRules name="ptspta\pts\nam" type="default" codeText="@0012" order="1500"
      moduleName="ptsp"/>
  <defaultRules name="ptspta\pts\ref" type="default" codeText="@0016" order="900"
      moduleName="ptsp"/>
  <defaultRules name="ptsget\dissel" type="default" codeText="@0017" order="950" moduleName="ptsp"/>
  <defaultRules name="dftadrblk" type="default" codeText="@0023" order="1200" moduleName="ptsp">
    <paths>ptspta\dbfadrblkcn</paths>
    <paths>ptspta\pts\adrblk</paths>
  </defaultRules>
  <defaultRules name="chnflg" type="default" codeText="@0024" order="1000" moduleName="ptsp"/>
  <checkRules name="ptspta\pts\extkey" type="check" codeText="@0013" order="960" moduleName="ptsp"/>
  <checkRules name="ptspta\pts\adrblk" type="check" codeText="@0014" order="950" moduleName="ptsp"/>
  <eventRules name="ptspta\pts\adrblk" type="event" codeText="@0007" order="500" moduleName="ptsp"/>
  <eventRules name="det" type="event" codeText="@0009" order="1000" moduleName="ptsp"/>
  <eventRules name="ptspta\pts\ref" type="event" codeText="@0019" order="1000" moduleName="ptsp"/>
  <eventRules name="ptspta\pts\adrblk" type="event" codeText="@0021" order="900" moduleName="ptsp"/>
  <eventRules name="ptspta\dbfadrblkcn" type="event" codeText="@0025" order="1000"
      moduleName="ptsp"/>
</eibs:Module>
