<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="que" table="que" title="QUE - Interactive Queue" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cla" column="cla" description="Class" viewtype="Combobox" codetable="cla" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Table Used to Store Object" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objsubid" column="objsubid" description="Sub ID for an object" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objnam" column="objnam" description="External Readable Object Identification" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objref" column="objref" description="Reference" length="32" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="addref" column="addref" description="Additional Reference Information" length="32" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hldflg" column="hldflg" description="Hold / Delete Flag" viewtype="Combobox" codetable="hldflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hldssninr" column="hldssninr" description="Session INR for last upate of HLDFLG" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hlddattim" column="hlddattim" description="Update time of HLDFLG" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="balflg" column="balflg" description="Load Balance Flag" viewtype="Combobox" codetable="balflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="conobjtyp" column="conobjtyp" description="Table of Main Contract optional" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="conobjinr" column="conobjinr" description="INR of Contract optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frm" column="frm" description="Transaction" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usg" column="usg" description="Responsible Group optional" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usr" column="usr" description="Responsible User optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="slacla" column="slacla" description="Predefined Priority Class from SLA" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="balcla" column="balcla" description="Priority Class for Balancing / Display order" codetable="balcla" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="balsrtkey" column="balsrtkey" description="Sort Key within BALCLA" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relcur" column="relcur" description="Currency of RELAMT optional" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relamt" column="relamt" description="Relevant AmountOptional" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="xrfcur" column="xrfcur" description="Currency =SYSISO optional" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrfamt" column="xrfamt" description="Relevant Amount in SYSISO Optional" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="tardattim" column="tardattim" description="Target" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="txt" column="txt" description="User Readable Source of the Queue Entry" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group holding Queue Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Queue Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
