<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="rcd" table="rcd" title="RCD - Reimbursement Claim Data" transient="false">
<datafields comments="" name="inr" column="inr" description="INR of RC Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Own Reference RC Number" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Name of Claim Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="Date Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="eraflg" column="eraflg" description="Contract Underlying §7 of URR Latest Version" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docprbrol" column="docprbrol" description="Claimed by" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="totcur" column="totcur" description="Currency Total Amount Claimed" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="totamt" column="totamt" description="Total Amount Claimed" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
