<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="rmd" table="rmd" title="RMD - Reimbursement Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Reimbursement" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="issref" column="issref" description="L/C Number" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amedat" column="amedat" description="Date of Last Amendment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendment" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="avbwth" column="avbwth" description="Available with" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbby" column="avbby" description="Available by [AVBBY0]" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Contract Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cnfsta" column="cnfsta" description="Confirmation Status 'Y', 'S' or ''" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expdat" column="expdat" description="Date of Expiry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expplc" column="expplc" description="Place of Expiry" length="29" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomspc" column="nomspc" description="Amount Specification" viewtype="Combobox" codetable="nomspc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomtop" column="nomtop" description="Amount Tolerance - Positive" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="nomton" column="nomton" description="Amount Tolerance - Negative" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Reimbursement Authorization Dated" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="utlnbr" column="utlnbr" description="Number of Utilizations" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rmbcha" column="rmbcha" description="Reimbursing Bank's Charges" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="eraflg" column="eraflg" description="Contract Underlying §7 of URR Latest Version" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reqrol" column="reqrol" description="Requested by" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="resflg" column="resflg" description="Reserved Contract" viewtype="Checkbox" codetable="resflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stagod" column="stagod" description="Good's Code for Statistics" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pndclm" column="pndclm" description="Number of Pending Claimes" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="stacty" column="stacty" description="Country Code for Statistics" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnfflg" column="cnfflg" description="Percentage or Amount Confirmed" viewtype="Combobox" codetable="cnfflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apprulrmb" column="apprulrmb" description="Applicable Rules Reimbursement" codetable="apprulrmb" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnfdat" column="cnfdat" description="Confirmation valid until" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="partcon" column="partcon" description="Partial Confirmation" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="collflg" column="collflg" description="Collateralized L/C" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
