<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="setfeg" table="setfeg" title="Settlement own fee group module (2rd grid)" i18nSequence="313" ruleSequence="53" transient="true">
<datafields comments="" name="maceog" column="maceog" description="current MAC end processing" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="macbog" column="macbog" description="current MAC begin processing" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="macbogold" column="macbogold" description="Begin of processing MAC after last run of Assert-fuction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="maceogold" column="maceogold" description="End of processing MAC after last run of Assert-fuction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbfeecod" column="avbfeecod" description="available fee codes" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="roldspmdyflg" column="roldspmdyflg" description="Roles for which fees are to be settled" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="doccur" column="doccur" description="document currency" length="3" lineOrDecimalSize="1" viewlines="1" argument="true" />
<datafields comments="" name="docamt" column="docamt" description="document amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" argument="true" />
<datafields comments="" name="netamt" column="netamt" description="net amount calculated" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" argument="true" />
<datafields comments="" name="wrkcbsamtcon" column="wrkcbsamtcon" description="Control stream for CBS amounts" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="feppntlev" column="feppntlev" description="Levels for parent contracts in Fee pool defaulting" datatype="numeric" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="corchaflg" column="corchaflg" description="Default correspondence charges" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dsppoldft" column="dsppoldft" description="Default Value for pool disposition" length="1" lineOrDecimalSize="1" viewlines="1" access="readonly" />
<datafields comments="" name="dsppoldftflg" column="dsppoldftflg" description="Disableflag for pool disposition" length="1" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="recalcSetfegBog" codeText="@0000" moduleName="setfeg"/>
<localMethods type="local" name="getFeeSum" codeText="@0001" moduleName="setfeg"/>
<localMethods type="local" name="defaultSetfel" codeText="@0002" moduleName="setfeg"/>
<localMethods type="local" name="getFepEntries" codeText="@0003" moduleName="setfeg"/>
<localMethods type="local" name="addFeeData" codeText="@0004" moduleName="setfeg"/>
<localMethods type="local" name="addTrnFee" codeText="@0005" moduleName="setfeg"/>
<localMethods type="local" name="add2fepinp" codeText="@0006" moduleName="setfeg"/>
<localMethods type="local" name="det2cpr" codeText="@0007" moduleName="setfeg"/>
<localMethods type="local" name="fep2setfel" codeText="@0008" moduleName="setfeg"/>
<localMethods type="local" name="getFeeGrp" codeText="@0009" moduleName="setfeg"/>
<localMethods type="local" name="getfepinrs" codeText="@0010" moduleName="setfeg"/>
<localMethods type="local" name="getintidx" codeText="@0011" moduleName="setfeg"/>
<eventRules name="setfel" type="event" codeText="@0012" order="1000" moduleName="setfeg" />
<localMethods type="local" name="remTrnFeeGroup" codeText="@0013" moduleName="setfeg"/>
<localMethods type="local" name="setAVBFEECOD" codeText="@0014" moduleName="setfeg"/>
<localMethods type="local" name="setwrkfep" codeText="@0015" moduleName="setfeg"/>
<localMethods type="local" name="swiftGetERIfee" codeText="@0016" moduleName="setfeg"/>
<localMethods type="local" name="getCurFeeRolbyDsp" codeText="@0017" moduleName="setfeg"/>
<defaultRules name="maceog" type="default" codeText="@0018" order="1000" moduleName="setfeg" />
<localMethods type="local" name="getfepval" codeText="@0019" moduleName="setfeg"/>
<localMethods type="local" name="getLatestFepDate" codeText="@0020" moduleName="setfeg"/>
<localMethods type="local" name="recalcSetfegEog" codeText="@0021" moduleName="setfeg"/>
<localMethods type="local" name="getmodulesoftype" codeText="@0022" moduleName="setfeg"/>
<localMethods type="local" name="setfegClrCbsAmt" codeText="@0023" moduleName="setfeg"/>
<localMethods type="local" name="setfegAddCbsAmt" codeText="@0024" moduleName="setfeg"/>
<defaultRules name="macbog" type="default" codeText="@0025" order="1000" moduleName="setfeg" />
<localMethods type="local" name="setFelCusFields" codeText="@0026" moduleName="setfeg"/>
<localMethods type="local" name="clearSetFelCusFields" codeText="@0027" moduleName="setfeg"/>
<localMethods type="local" name="setDspPolDft" codeText="@0028" moduleName="setfeg"/>
<localMethods type="local" name="fep2SetfelSetRol" codeText="@0029" moduleName="setfeg"/>
<localMethods type="local" name="getrolandptxinr" codeText="@0030" moduleName="setfeg"/>
<localMethods type="local" name="fillPtyInrStmForFep" codeText="@0031" moduleName="setfeg"/>
<localMethods type="local" name="isFeeCodSettled" codeText="@0032" moduleName="setfeg"/>
<localMethods type="local" name="getfepfeecods" codeText="@0033" moduleName="setfeg"/>
<modules comments="" name="setpty" type="setpty" argument="true" />
<modules name="setfel" type="setfel" list="true" pageSize="1" initSize="0" >
</modules>
<modules name="fecmod" type="fecmod" >
</modules>
<modules name="fecism" type="fecism" >
</modules>
<modules name="wrkfep" type="fep" >
</modules>
<modules name="wrkfee" type="fee" >
</modules>
<modules name="setcbs" type="setcbs" >
</modules>
<localMethods type="local" name="ptsAdjust" codeText="@0034" moduleName="setfeg"/>
<localMethods type="local" name="setOneFepInp" codeText="@0035" moduleName="setfeg"/>
<localMethods type="local" name="registerSettlementCorrCha" codeText="@0036" moduleName="setfeg"/>
<localMethods type="local" name="setFepSql" codeText="@0037" moduleName="setfeg"/>
<localMethods type="local" name="setwrkfepism" codeText="@0038" moduleName="setfeg"/>
<panels name="setfep" description="PD000000" width="710" height="165" transient="true" signDefination="">
<components viewType="Label" text="S0000001" left="4" top="2" height="22"/>
</panels>
<globalMethods name="delTrnFee" codeText="@0039" moduleName="setfeg"/>
<globalMethods name="getFeeByFrame" codeText="@0040" moduleName="setfeg"/>
<localMethods type="local" name="delFeecod" codeText="@0041" moduleName="setfeg"/>
<globalMethods name="splitFeeByYear" codeText="@0042" moduleName="setfeg"/>
<globalMethods name="addFeeDataSplit" codeText="@0043" moduleName="setfeg"/>
<localMethods type="local" name="setSetfegDat" codeText="@0044" moduleName="setfeg"/>
<localMethods type="local" name="setSetfegRat" codeText="@0045" moduleName="setfeg"/>
<globalMethods name="getRatcalfromsetfel" codeText="@0046" moduleName="setfeg"/>
<localMethods type="local" name="modifyFeeAmount" codeText="@0047" moduleName="setfeg"/>
<localMethods type="local" name="modifyFeeRol" codeText="@0048" moduleName="setfeg"/>
<localMethods type="local" name="addFeeAMT" codeText="@0049" moduleName="setfeg"/>
<localMethods type="local" name="getDftFeecur" codeText="@0050" moduleName="setfeg"/>
<globalMethods name="getFinIntrast" codeText="@0051" moduleName="setfeg"/>
<localMethods type="local" name="addTrnFee1" codeText="@0052" moduleName="setfeg"/>
</eibs:Module>
