<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="setfol" table="setfol" title="Settlement foreign fee line module (1rd grid)"
    transient="true" i18nSequence="53" ruleSequence="17">
  <datafields name="det" column="det" description="Details" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="dsp" column="dsp" description="Disposition" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1" codetable="dsp"/>
  <datafields name="ptydbt" column="ptydbt" description="Payer" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="ptypay" column="ptypay" description="Payee" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="txtdbt" column="txtdbt" description="Text for Payer" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="txtpay" column="txtpay" description="Text for Payee" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="cur" column="cur" description="Currency" viewtype="Combobox" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="amt" column="amt" description="Amount" datatype="numeric" viewtype="Amount"
      length="18" lineOrDecimalSize="3"/>
  <datafields name="dat1" column="dat1" description="Date-1" datatype="date" viewtype="Date"
      length="12"/>
  <datafields name="dat2" column="dat2" description="Date-2" datatype="date" viewtype="Date"
      length="12"/>
  <datafields name="rat" column="rat" description="rate" datatype="numeric" length="14"
      lineOrDecimalSize="6"/>
  <datafields name="clcamtlab" column="clcamtlab" description="Calculation information"
      viewtype="Label" length="100" lineOrDecimalSize="1"/>
  <datafields name="src" column="src" description="Source of foreign fee" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="src"/>
  <datafields name="srcfcpinr" column="srcfcpinr" description="INR of pool record loaded"
      lineOrDecimalSize="1"/>
  <datafields name="advtrninr" column="advtrninr" description="Transaction Advising the Fee if Set, Fee has been Advised"
      lineOrDecimalSize="1"/>
  <datafields name="advdat" column="advdat" description="Date Advised" datatype="date"
      viewtype="Date" length="12"/>
  <datafields name="sepinr" column="sepinr" description="Temporary settlement fee has been advised"
      lineOrDecimalSize="1"/>
  <datafields name="modflg" column="modflg" description="modified" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="modflg"/>
  <datafields name="mac" column="mac" description="current MAC" lineOrDecimalSize="1"/>
  <datafields name="macold" column="macold" description="MAC after last run of Assert-fuction"
      lineOrDecimalSize="1"/>
  <datafields name="doccur" column="doccur" description="document currency" length="3"
      lineOrDecimalSize="1" argument="true"/>
  <datafields name="docamt" column="docamt" description="document amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3" argument="true"/>
  <datafields name="txtstd" column="txtstd" description="standard texts for payer/payee"
      length="3" lineOrDecimalSize="1" codetable="txtstd"/>
  <datafields name="forflg" column="forflg" description="FORFLG" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1"/>
  <modules name="mtdbut" type="mtdbut"/>
  <panels name="detp" description="PD000002" width="788" height="506" visible="false"
      popup="true">
    <components path="ptypay" viewType="Combobox" width="75" left="132" height="22"/>
    <components path="txtpay" width="266" left="132" top="32" height="22"/>
    <components path="ptydbt" viewType="Combobox" width="75" left="132" top="60" height="22"/>
    <components path="txtdbt" width="266" left="132" top="84" height="22"/>
    <components path="amtclc" viewType="Composite" width="500" left="3" top="112"
        height="120"/>
    <components path="cur" viewType="Combobox" width="75" left="132" top="244" height="22"/>
    <components path="amt" viewType="Amount" width="120" left="184" top="244" height="22"/>
    <components path="mtdbut\mtdbutu" viewType="Composite" width="60" left="724" height="69"/>
    <components path="mtdbut\mtdbutl" viewType="Composite" width="60" left="724" top="452"
        height="45"/>
    <components viewType="Label" text="S0000004" top="60" height="22"/>
    <components viewType="Label" text="S0000005" top="84" height="22"/>
    <components viewType="Label" text="S0000006" height="22"/>
    <components viewType="Label" text="S0000007" top="32" height="22"/>
    <components viewType="Label" text="S0000008" top="244" height="22"/>
    <components path="forflg" viewType="Checkbox" width="75" text="CG000052" left="132"
        top="276" height="22"/>
  </panels>
  <panels name="amtclc" description="PD000003" width="500" height="120" transient="true"
      visible="false">
    <components path="clcamtlab" viewType="Label" width="667" enabled="false" top="0"
        height="22"/>
    <components path="dat1" viewType="Date" width="80" left="132" top="20" height="22"/>
    <components path="dat2" viewType="Date" width="80" left="133" top="48" height="22"/>
    <components path="rat" width="93" left="132" top="76" height="22"/>
    <components viewType="Label" text="S0000009" left="9" top="20" height="22"/>
    <components viewType="Label" text="S0000010" top="48" height="22"/>
    <components viewType="Label" text="S0000011" top="76" height="22"/>
  </panels>
  <localMethods name="recalcSetfol" type="local" codeText="@0002" moduleName="setfol"/>
  <localMethods name="dspCalc" type="local" codeText="@0007" moduleName="setfol"/>
  <localMethods name="recalcSetfolStdDft" type="local" codeText="@0008" moduleName="setfol"/>
  <localMethods name="setFolGetTxtdbt" type="local" codeText="@0009" moduleName="setfol"/>
  <localMethods name="setFolGetTxtpay" type="local" codeText="@0010" moduleName="setfol"/>
  <localMethods name="getSetFolIsfMac" type="local" codeText="@0011" moduleName="setfol"/>
  <localMethods name="recalcSetfolIsfDft" type="local" codeText="@0012" moduleName="setfol"/>
  <localMethods name="dspCalcIsm" type="local" codeText="@0013" moduleName="setfol"/>
  <localMethods name="setCusPanelDescription" type="local" codeText="@0014" moduleName="setfol"/>
  <defaultRules name="mac" type="default" codeText="@0006" order="1000" moduleName="setfol"/>
  <defaultRules name="mac" type="default" codeText="@0015" order="800" moduleName="setfol"/>
  <defaultRules name="amt" type="default" codeText="@0016" order="1000" moduleName="setfol"/>
  <checkRules name="amt" type="check" codeText="@0000" order="1000" moduleName="setfol"/>
  <checkRules name="ptydbt" type="check" codeText="@0003" order="1000" moduleName="setfol"/>
  <checkRules name="ptypay" type="check" codeText="@0004" order="1000" moduleName="setfol"/>
  <eventRules name="det" type="event" codeText="@0001" order="1000" moduleName="setfol"/>
  <eventRules name="detp" type="event" codeText="@0005" order="1000" moduleName="setfol"/>
</eibs:Module>
