<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="setmod" table="setmod" title=" " transient="true" i18nSequence="542"
    ruleSequence="401">
  <datafields name="docamttyplab" column="docamttyplab" description="settled amount type used as label"
      viewtype="Label" length="20" lineOrDecimalSize="1" access="private"/>
  <datafields name="docamt" column="docamt" description="document amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3" access="readonly"/>
  <datafields name="doccur" column="doccur" description="document currency" length="3"
      lineOrDecimalSize="1" access="readonly"/>
  <datafields name="redamt" column="redamt" description="Reduction Amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="setamt" column="setamt" description="Reduced Amount to settle"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="ref" column="ref" description="our reference" length="16" lineOrDecimalSize="1"
      access="readonly"/>
  <datafields name="dspflg" column="dspflg" description="Type of settlement" viewtype="Combobox"
      length="2" lineOrDecimalSize="1" codetable="dspflg" access="readonly"/>
  <datafields name="docamttyp" column="docamttyp" description="Type of amount settled"
      length="3" lineOrDecimalSize="1" codetable="docamttyp" access="readonly"/>
  <datafields name="xreflg" column="xreflg" description="Recalculate Rates" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="xrtcurstm" column="xrtcurstm" description="Currencies used in settlement"
      datatype="stream" viewtype="Block" length="1" access="private"/>
  <datafields name="refdat" column="refdat" description="reference date for commissioning default today"
      datatype="date" viewtype="Date" length="12" access="readonly"/>
  <datafields name="matdat" column="matdat" description="Maturity date of tenor settled"
      datatype="date" viewtype="Date" length="12" access="readonly"/>
  <datafields name="cprflg" column="cprflg" description="compress fees" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="retcnt" column="retcnt" description="Retry count" datatype="numeric"
      length="1" access="private"/>
  <datafields name="retlsttim" column="retlsttim" description="Last user interaction time reset of Retry count"
      length="20" lineOrDecimalSize="1"/>
  <datafields name="retmsg" column="retmsg" description="Label showing Retry overflow condition"
      viewtype="Label" length="100" lineOrDecimalSize="1"/>
  <datafields name="totamtsavbog" column="totamtsavbog" description="Total amount settled - on start of save"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="chgpstflg" column="chgpstflg" description="Don't Charge postage ?"
      length="1" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="cliactcur" column="cliactcur" description="currency fees are calculated for clients"
      length="3" lineOrDecimalSize="1" access="private"/>
  <datafields name="roldsc" column="roldsc" description="Description of roles" datatype="stream"
      viewtype="Block" length="1" access="readonly"/>
  <datafields name="chato" column="chato" description="Charges to by contract" length="3"
      lineOrDecimalSize="1" access="readonly"/>
  <datafields name="feedirflg" column="feedirflg" description="Restriction on amounts in own charges"
      length="1" lineOrDecimalSize="1" codetable="feedirflg"/>
  <datafields name="clisetopt" column="clisetopt" description="settlement option for client 'S'ettle - 'P'ool - 'C'ondition"
      length="1" lineOrDecimalSize="1" codetable="clisetopt" access="readonly"/>
  <datafields name="expdat" column="expdat" description="expiry date" datatype="date"
      viewtype="Date" length="12" access="readonly"/>
  <datafields name="feeclirol" column="feeclirol" description="Role to be defaulted for client"
      length="3" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="feecorrol" column="feecorrol" description="Role to be defaulted for correspondent"
      length="3" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="parstm" column="parstm" description="Stream holding parameters for settlement"
      datatype="stream" viewtype="Block" length="1" access="readonly"/>
  <datafields name="forsetopt" column="forsetopt" description="settlement option for foreign party 'S'etlle - 'P'ool - 'C'ondition"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="forsetopt" access="readonly"/>
  <datafields name="prtdetamt" column="prtdetamt" description="Current total in detailled settlement"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" access="private"/>
  <datafields name="prtdetcnt" column="prtdetcnt" description="Count of positions in PrintDetailledSettlement"
      datatype="numeric" length="3" access="private"/>
  <datafields name="odcrol" column="odcrol" description="Role of ordering customer"
      length="3" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="netamt" column="netamt" description="net amount calculated" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3" access="readonly"/>
  <datafields name="opndat" column="opndat" description="open date" datatype="date"
      viewtype="Date" length="12" access="readonly"/>
  <datafields name="setinsflg" column="setinsflg" description="flag set when settlement instructions are shown."
      length="1" lineOrDecimalSize="1" access="private"/>
  <datafields name="mac" column="mac" description="current MAC" lineOrDecimalSize="1"
      access="private"/>
  <datafields name="macold" column="macold" description="MAC after last run of Assert-fuction"
      lineOrDecimalSize="1" access="private"/>
  <datafields name="regsetstm" column="regsetstm" description="list of RegisterSettlement"
      datatype="stream" viewtype="Block" length="1" access="private"/>
  <datafields name="conamt" column="conamt" description="Contract amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3" access="readonly"/>
  <datafields name="ameamt" column="ameamt" description="Amendment Maximum amount"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" access="readonly"/>
  <datafields name="ammamt" column="ammamt" description="Amendment Maximum amount"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" access="readonly"/>
  <datafields name="opnamt" column="opnamt" description="open amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3" access="readonly"/>
  <datafields name="maxamt" column="maxamt" description="Maximum Contract amount"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" access="readonly"/>
  <datafields name="setaddconstm" column="setaddconstm" description="Additional contracts for fee pool defaulting"
      datatype="stream" viewtype="Block" length="1" access="readonly"/>
  <datafields name="debcrealwflg" column="debcrealwflg" description="Debit/Credit allowed"
      length="1" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="tmprollst" column="tmprollst" description="Roles to be loaded from temporary settlement"
      datatype="stream" viewtype="Block" length="40" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="tmpnotfnlflg" column="tmpnotfnlflg" description="Flag defining temporary settlement as not final"
      length="1" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="det" column="det" description="明细" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="redamttxt" column="redamttxt" description="Reduction Amount Text"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="3" viewlines="3"/>
  <datafields name="redflg" column="redflg" description="Reduction activated" length="1"
      lineOrDecimalSize="1"/>
  <datafields name="othdocamt" column="othdocamt" description="Other Doc Amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3" access="readonly"/>
  <datafields name="macdet" column="macdet" description="current MAC for Details panel"
      lineOrDecimalSize="1" access="private"/>
  <datafields name="macdetold" column="macdetold" description="Old MAC for Details panel"
      lineOrDecimalSize="1"/>
  <datafields name="fecrefdat" column="fecrefdat" description="Reference date for condition access if not today"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="tag77atxt754" column="tag77atxt754" description="Content of tag 77A for MT754"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="20" viewlines="10"/>
  <datafields name="amt2" column="amt2" description="�'�款金额" datatype="numeric" viewtype="Amount"
      length="18" lineOrDecimalSize="3"/>
  <datafields name="dklx" column="dklx" description="�'�款利息" datatype="numeric" viewtype="Amount"
      length="18" lineOrDecimalSize="2"/>
  <datafields name="hkact" column="hkact" description="还款帐号" length="20" lineOrDecimalSize="1"/>
  <datafields name="jjh" column="jjh" description="�'�款借据号" length="20" lineOrDecimalSize="1"/>
  <datafields name="cur2" column="cur2" description="�'�款币种" viewtype="Combobox" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="dktype" column="dktype" description="�'�款种类" viewtype="Combobox"
      length="6" lineOrDecimalSize="1"/>
  <datafields name="actnot" column="actnot" description="�'�户详细信息" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="amt3" column="amt3" description="�'�款余额" datatype="numeric" viewtype="Amount"
      length="18" lineOrDecimalSize="3"/>
  <datafields name="autclr" column="autclr" description="自动清算" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="cmnsetl1blk" column="cmnsetl1blk" description="XMLPanel cmnsetl1的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="cmnsetl2blk" column="cmnsetl2blk" description="XMLPanel cmnsetl2的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="setmodl1blk" column="setmodl1blk" description="XMLPanel setmodl1的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="setmodl2blk" column="setmodl2blk" description="XMLPanel setmodl2的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <modules name="recgrp" type="module" argument="true"/>
  <modules name="setfog" type="setfog">
    <arguments name="doccur" value="doccur"/>
    <arguments name="docamt" value="docamt"/>
    <arguments name="netamt" value="netamt"/>
  </modules>
  <modules name="mtdbut" type="mtdbut"/>
  <modules name="setfeg" type="setfeg">
    <arguments name="setpty" value="setpty"/>
    <arguments name="doccur" value="doccur"/>
    <arguments name="docamt" value="docamt"/>
    <arguments name="netamt" value="netamt"/>
  </modules>
  <modules name="setglg" type="setglg">
    <arguments name="dspflg" value="dspflg"/>
    <arguments name="doccur" value="doccur"/>
    <arguments name="docamt" value="docamt"/>
  </modules>
  <modules name="setpty" type="setpty" static="true"/>
  <modules name="sep" type="sep"/>
  <modules name="acr" type="acr"/>
  <modules name="ptydet" type="pts" list="true" pageSize="1" initSize="12"/>
  <modules name="glemod" type="glemod">
    <arguments name="setfeg" value="setfeg"/>
    <arguments name="setglg" value="setglg"/>
  </modules>
  <modules name="cdtnot" type="cdtnot"/>
  <modules name="itfget" type="itfcpt"/>
  <modules name="acgget" type="acgget"/>
  <modules name="abqget" type="abqget"/>
  <modules name="actbch" type="bch"/>
  <modules name="xidmod" type="xidmod"/>
  <modules name="fcu" type="fcu"/>
  <panels name="setpan" description="PD000000" width="788" height="528">
    <components path="docamttyplab" viewType="Label" width="133" enabled="false" required="true"
        left="192" height="22"/>
    <components path="retmsg" viewType="Label" width="667" enabled="false" left="194"
        top="32" height="22"/>
    <components path="ref" width="106" enabled="false" left="73" height="22"/>
    <components path="doccur" viewType="Combobox" width="75" enabled="false" left="292"
        height="22"/>
    <components path="docamt" viewType="Amount" width="120" left="344" height="22"/>
    <components path="dspflg" viewType="Combobox" width="75" left="504" height="22"/>
    <components path="xreflg" viewType="Checkbox" width="75" text="CF000011" left="616"
        height="22"/>
    <components path="setfog\setfop" viewType="Composite" width="710" left="4" top="52"
        height="116"/>
    <components path="setfeg\setfep" viewType="Composite" width="710" left="4" top="172"
        height="220"/>
    <components path="setglg\setglp" viewType="Composite" width="710" left="4" top="342"
        height="120"/>
    <components path="det" viewType="Button" width="66" text="CF000513" left="617"
        top="28" height="22"/>
    <components viewType="Label" text="S0000002" height="22"/>
    <components viewType="Label" text="S0000003" left="472" height="22"/>
    <components path="autclr" viewType="Checkbox" width="75" enabled="false" text="CG000516"
        left="518" top="31" height="22"/>
  </panels>
  <panels name="detp" description="PD000020" width="788" height="506" visible="false"
      popup="true">
    <components path="docamttyplab" viewType="Label" width="133" enabled="false" required="true"
        left="188" height="22"/>
    <components path="ref" width="106" enabled="false" left="70" height="22"/>
    <components path="doccur" viewType="Combobox" width="75" enabled="false" left="306"
        height="22"/>
    <components path="docamt" viewType="Amount" width="120" left="348" height="22"/>
    <components path="dspflg" viewType="Combobox" width="75" left="504" height="22"/>
    <components path="xreflg" viewType="Checkbox" width="75" text="CF000029" left="608"
        height="22"/>
    <components path="doccur" width="20" enabled="false" left="306" top="38" height="22"/>
    <components path="redamt" viewType="Amount" width="120" left="348" top="38" height="22"/>
    <components path="doccur" width="20" enabled="false" left="306" top="68" height="22"/>
    <components path="setamt" viewType="Amount" width="120" enabled="false" left="348"
        top="68" height="22"/>
    <components path="redamttxt" viewType="Block" width="233" left="306" top="112"
        height="36"/>
    <components path="mtdbut\mtdbutu" viewType="Composite" width="60" left="724" height="69"/>
    <components path="mtdbut\mtdbutl" viewType="Composite" width="60" left="724" top="452"
        height="45"/>
    <components viewType="Label" text="S0000027" height="22"/>
    <components viewType="Label" text="S0000028" left="474" height="22"/>
    <components viewType="Label" text="SF000030" left="188" top="38" height="22"/>
    <components viewType="Label" text="SF000031" left="188" top="68" height="22"/>
    <components viewType="Label" text="SF000033" left="188" top="112" height="22"/>
  </panels>
  <panels name="actlst" description="PD000514" width="788" height="528">
    <components path="actnot" width="6" required="true" left="17" top="44" height="22"/>
    <components viewType="Label" text="SG000515" left="17" top="15" height="22"/>
  </panels>
  <panels name="cmnsetl1" description="PD000015" width="800" height="600">
    <components path="cmnsetl1blk" viewType="Block" widthUnit="%" left="0" top="0"
        height="100" heightUnit="%"/>
  </panels>
  <panels name="cmnsetl2" description="PD000045" width="800" height="600">
    <components path="cmnsetl2blk" viewType="Block" widthUnit="%" left="0" top="0"
        height="100" heightUnit="%"/>
  </panels>
  <panels name="setmodl1" description="PD000459" width="800" height="600">
    <components path="setmodl1blk" viewType="Block" widthUnit="%" left="0" top="0"
        height="100" heightUnit="%"/>
  </panels>
  <panels name="setmodl2" description="PD000500" width="800" height="600">
    <components path="setmodl2blk" viewType="Block" widthUnit="%" left="0" top="0"
        height="100" heightUnit="%"/>
  </panels>
  <globalMethods name="roleIsAllowedInSettlement" codeText="@0001" moduleName="setmod"/>
  <globalMethods name="getMonthUnits" codeText="@0013" moduleName="setmod"/>
  <globalMethods name="getPtxInr" codeText="@0020" moduleName="setmod"/>
  <globalMethods name="readSetPtyfromCache" codeText="@0021" moduleName="setmod"/>
  <globalMethods name="ownrefAndFee" codeText="@0118" moduleName="setmod"/>
  <globalMethods name="printdetail10" codeText="@0206" moduleName="setmod"/>
  <globalMethods name="printdetail11" codeText="@0210" moduleName="setmod"/>
  <globalMethods name="getOwnFeeAmount" codeText="@0219" moduleName="setmod"/>
  <globalMethods name="getaccbank" codeText="@0224" moduleName="setmod"/>
  <localMethods name="assertSetmod" type="local" codeText="@0000" moduleName="setmod"/>
  <localMethods name="internalAddToStream" type="local" codeText="@0004" moduleName="setmod"/>
  <localMethods name="cmnsett1" type="local" codeText="@0006" moduleName="setmod"/>
  <localMethods name="printTcoMTT54" type="local" codeText="@0007" moduleName="setmod"/>
  <localMethods name="savIfNotChanged" type="local" codeText="@0010" moduleName="setmod"/>
  <localMethods name="setFepPntLev" type="local" codeText="@0011" moduleName="setmod"/>
  <localMethods name="fmtAmountEURSwift" type="local" codeText="@0012" moduleName="setmod"/>
  <localMethods name="getNameOfRole" type="local" codeText="@0014" moduleName="setmod"/>
  <localMethods name="ptsChgAssert" type="local" codeText="@0015" moduleName="setmod"/>
  <localMethods name="setmodSetRolCorFlg" type="local" codeText="@0017" moduleName="setmod"/>
  <localMethods name="getDsp" type="local" codeText="@0018" moduleName="setmod"/>
  <localMethods name="addToPostQueue" type="local" codeText="@0019" moduleName="setmod"/>
  <localMethods name="recalcAll" type="local" codeText="@0022" moduleName="setmod"/>
  <localMethods name="setPtyBasics" type="local" codeText="@0023" moduleName="setmod"/>
  <localMethods name="ptsChgAssertZZ" type="local" codeText="@0024" moduleName="setmod"/>
  <localMethods name="setConAmt" type="local" codeText="@0025" moduleName="setmod"/>
  <localMethods name="setOpnAmt" type="local" codeText="@0026" moduleName="setmod"/>
  <localMethods name="setFeeCorRol" type="local" codeText="@0027" moduleName="setmod"/>
  <localMethods name="setFeeCliRol" type="local" codeText="@0028" moduleName="setmod"/>
  <localMethods name="setChaTo" type="local" codeText="@0029" moduleName="setmod"/>
  <localMethods name="setDocAmt" type="local" codeText="@0030" moduleName="setmod"/>
  <localMethods name="setRolDspMdyFlg" type="local" codeText="@0031" moduleName="setmod"/>
  <localMethods name="setRefDat" type="local" codeText="@0032" moduleName="setmod"/>
  <localMethods name="setDspFlg" type="local" codeText="@0033" moduleName="setmod"/>
  <localMethods name="setForSgn" type="local" codeText="@0034" moduleName="setmod"/>
  <localMethods name="setMaxAmt" type="local" codeText="@0035" moduleName="setmod"/>
  <localMethods name="setAmmAmt" type="local" codeText="@0036" moduleName="setmod"/>
  <localMethods name="setAmeAmt" type="local" codeText="@0037" moduleName="setmod"/>
  <localMethods name="setCliSetOpt" type="local" codeText="@0038" moduleName="setmod"/>
  <localMethods name="setForSetOpt" type="local" codeText="@0039" moduleName="setmod"/>
  <localMethods name="setPtyAvbMt" type="local" codeText="@0040" moduleName="setmod"/>
  <localMethods name="setmodSetGllAmt" type="local" codeText="@0041" moduleName="setmod"/>
  <localMethods name="setGlgAmt" type="local" codeText="@0042" moduleName="setmod"/>
  <localMethods name="printSwiftAmountEURValfun" type="local" codeText="@0043" moduleName="setmod"/>
  <localMethods name="printSwiftFeeRolSum" type="local" codeText="@0044" moduleName="setmod"/>
  <localMethods name="printSwiftFeeRolSumEUR" type="local" codeText="@0045" moduleName="setmod"/>
  <localMethods name="printSwiftFeeRolSumEURWithVal" type="local" codeText="@0046"
      moduleName="setmod"/>
  <localMethods name="printSwiftFeeAmountfun" type="local" codeText="@0047" moduleName="setmod"/>
  <localMethods name="printSwiftTotalAmountfun" type="local" codeText="@0048" moduleName="setmod"/>
  <localMethods name="setCorChaFlg" type="local" codeText="@0049" moduleName="setmod"/>
  <localMethods name="setPtyAvailableRoles" type="local" codeText="@0051" moduleName="setmod"/>
  <localMethods name="setPtyActPtaInr" type="local" codeText="@0052" moduleName="setmod"/>
  <localMethods name="setPtyGllPty" type="local" codeText="@0053" moduleName="setmod"/>
  <localMethods name="cmnsets1" type="local" codeText="@0054" moduleName="setmod"/>
  <localMethods name="setAdditionalContract" type="local" codeText="@0055" moduleName="setmod"/>
  <localMethods name="setGlgDocAmt" type="local" codeText="@0056" moduleName="setmod"/>
  <localMethods name="printSwiftFees" type="local" codeText="@0057" moduleName="setmod"/>
  <localMethods name="setFeeDirFlg" type="local" codeText="@0058" moduleName="setmod"/>
  <localMethods name="checkSep" type="local" codeText="@0060" moduleName="setmod"/>
  <localMethods name="getFeetxtInfDocUil" type="local" codeText="@0061" moduleName="setmod"/>
  <localMethods name="setDspPolDft" type="local" codeText="@0062" moduleName="setmod"/>
  <localMethods name="setMatDat" type="local" codeText="@0063" moduleName="setmod"/>
  <localMethods name="removeSettled" type="local" codeText="@0064" moduleName="setmod"/>
  <localMethods name="getCurCal" type="local" codeText="@0065" moduleName="setmod"/>
  <localMethods name="getSettledCur" type="local" codeText="@0066" moduleName="setmod"/>
  <localMethods name="checkIfAnyFeeSettled" type="local" codeText="@0067" moduleName="setmod"/>
  <localMethods name="getGllRol" type="local" codeText="@0068" moduleName="setmod"/>
  <localMethods name="printSwiftFolFees" type="local" codeText="@0069" moduleName="setmod"/>
  <localMethods name="printSwiftFelFees" type="local" codeText="@0070" moduleName="setmod"/>
  <localMethods name="internalPostRegistersettlement" type="local" codeText="@0071"
      moduleName="setmod"/>
  <localMethods name="setDebCreAlw" type="local" codeText="@0072" moduleName="setmod"/>
  <localMethods name="printSwiftDoccurAmount" type="local" codeText="@0073" moduleName="setmod"/>
  <localMethods name="setDftFeecur" type="local" codeText="@0074" moduleName="setmod"/>
  <localMethods name="setDftAcccur" type="local" codeText="@0075" moduleName="setmod"/>
  <localMethods name="setTmpNotFinal" type="local" codeText="@0077" moduleName="setmod"/>
  <localMethods name="setTmpRol" type="local" codeText="@0078" moduleName="setmod"/>
  <localMethods name="setglgAllValDat" type="local" codeText="@0079" moduleName="setmod"/>
  <localMethods name="storeAcr" type="local" codeText="@0080" moduleName="setmod"/>
  <localMethods name="swiftGetRolAmount" type="local" codeText="@0081" moduleName="setmod"/>
  <localMethods name="setCreateEmptyGlgLines" type="local" codeText="@0084" moduleName="setmod"/>
  <localMethods name="getPtyDetRow" type="local" codeText="@0085" moduleName="setmod"/>
  <localMethods name="ptyDetSetConFld" type="local" codeText="@0086" moduleName="setmod"/>
  <localMethods name="setRedFlg" type="local" codeText="@0089" moduleName="setmod"/>
  <localMethods name="setOthAmt" type="local" codeText="@0091" moduleName="setmod"/>
  <localMethods name="setPtyFep" type="local" codeText="@0092" moduleName="setmod"/>
  <localMethods name="recalcSetDetMac" type="local" codeText="@0094" moduleName="setmod"/>
  <localMethods name="setFecRefDat" type="local" codeText="@0095" moduleName="setmod"/>
  <localMethods name="dtaGetFeesOwn" type="local" codeText="@0096" moduleName="setmod"/>
  <localMethods name="getTxtWrnNegAmt" type="local" codeText="@0097" moduleName="setmod"/>
  <localMethods name="swtCreateMT768" type="local" codeText="@0098" moduleName="setmod"/>
  <localMethods name="swtCreateMT730" type="local" codeText="@0099" moduleName="setmod"/>
  <localMethods name="swtCreateMT769" type="local" codeText="@0100" moduleName="setmod"/>
  <localMethods name="fillPtyInrStm" type="local" codeText="@0101" moduleName="setmod"/>
  <localMethods name="swtPrtMt754Body" type="local" codeText="@0102" moduleName="setmod"/>
  <localMethods name="cmnsete1" type="local" codeText="@0103" moduleName="setmod"/>
  <localMethods name="cmnseta1" type="local" codeText="@0104" moduleName="setmod"/>
  <localMethods name="getSumFolFelByRolDsp" type="local" codeText="@0105" moduleName="setmod"/>
  <localMethods name="bolBankCharging" type="local" codeText="@0106" moduleName="setmod"/>
  <localMethods name="bolItemisedBankCharge" type="local" codeText="@0107" moduleName="setmod"/>
  <localMethods name="bolItemisedBankCharging_FEL" type="local" codeText="@0108" moduleName="setmod"/>
  <localMethods name="bolItemisedBankCharging_FOG" type="local" codeText="@0109" moduleName="setmod"/>
  <localMethods name="bolmod484" type="local" codeText="@0110" moduleName="setmod"/>
  <localMethods name="bolmod494" type="local" codeText="@0111" moduleName="setmod"/>
  <localMethods name="cmnsetb1" type="local" codeText="@0112" moduleName="setmod"/>
  <localMethods name="bolGetValDat" type="local" codeText="@0113" moduleName="setmod"/>
  <localMethods name="bolPrtAmountsin417" type="local" codeText="@0114" moduleName="setmod"/>
  <localMethods name="bolPrtAmountsin416" type="local" codeText="@0115" moduleName="setmod"/>
  <localMethods name="assertAtcEntriesForFee" type="local" codeText="@0116" moduleName="setmod"/>
  <localMethods name="recalcSetdet" type="local" codeText="@0120" moduleName="setmod"/>
  <localMethods name="printSwiftFeeDetDspFun" type="local" codeText="@0121" moduleName="setmod"/>
  <localMethods name="swtPrtSettlement" type="local" codeText="@0122" moduleName="setmod"/>
  <localMethods name="getValutaString" type="local" codeText="@0123" moduleName="setmod"/>
  <localMethods name="getRelAmount" type="local" codeText="@0124" moduleName="setmod"/>
  <localMethods name="printSettlement" type="local" codeText="@0125" moduleName="setmod"/>
  <localMethods name="printClaimDocAmount" type="local" codeText="@0126" moduleName="setmod"/>
  <localMethods name="printDetailledSettlement" type="local" codeText="@0127" moduleName="setmod"/>
  <localMethods name="printDetailledAmount" type="local" codeText="@0128" moduleName="setmod"/>
  <localMethods name="printAdvisedFees" type="local" codeText="@0129" moduleName="setmod"/>
  <localMethods name="printDETSETTAB" type="local" codeText="@0130" moduleName="setmod"/>
  <localMethods name="printFeeDetails" type="local" codeText="@0131" moduleName="setmod"/>
  <localMethods name="printExtAccountInfo" type="local" codeText="@0132" moduleName="setmod"/>
  <localMethods name="registerSettlementZZ" type="local" codeText="@0134" moduleName="setmod"/>
  <localMethods name="printSettlementZLBD03P" type="local" codeText="@0135" moduleName="setmod"/>
  <localMethods name="printSettlementZLBD03" type="local" codeText="@0136" moduleName="setmod"/>
  <localMethods name="printSettlementZLBC03" type="local" codeText="@0137" moduleName="setmod"/>
  <localMethods name="printSettlementZLB" type="local" codeText="@0138" moduleName="setmod"/>
  <localMethods name="printSettlementZLBC03P" type="local" codeText="@0139" moduleName="setmod"/>
  <localMethods name="printSettlementAccounts" type="local" codeText="@0141" moduleName="setmod"/>
  <localMethods name="printSwiftTotalAmountOpt" type="local" codeText="@0142" moduleName="setmod"/>
  <localMethods name="isInternalDsp" type="local" codeText="@0143" moduleName="setmod"/>
  <localMethods name="clearPrivateFields" type="local" codeText="@0144" moduleName="setmod"/>
  <localMethods name="checkSepForSpt" type="local" codeText="@0146" moduleName="setmod"/>
  <localMethods name="getActforTAG72" type="local" codeText="@0150" moduleName="setmod"/>
  <localMethods name="swtPrtTag53_57for754" type="local" codeText="@0151" moduleName="setmod"/>
  <localMethods name="swtPrtAccAdrSpc" type="local" codeText="@0152" moduleName="setmod"/>
  <localMethods name="swtPrtTag53Spc" type="local" codeText="@0153" moduleName="setmod"/>
  <localMethods name="swtPrtExtAccAdrAD" type="local" codeText="@0154" moduleName="setmod"/>
  <localMethods name="swtPrtTag58Spc" type="local" codeText="@0155" moduleName="setmod"/>
  <localMethods name="swtPrtTag54Spc" type="local" codeText="@0156" moduleName="setmod"/>
  <localMethods name="swtPrtTag56Spc" type="local" codeText="@0157" moduleName="setmod"/>
  <localMethods name="swtPrtTag55Spc" type="local" codeText="@0158" moduleName="setmod"/>
  <localMethods name="swtPrtTag57Spc" type="local" codeText="@0159" moduleName="setmod"/>
  <localMethods name="checkSepCust" type="local" codeText="@0161" moduleName="setmod"/>
  <localMethods name="dtePrtTagM36" type="local" codeText="@0163" moduleName="setmod"/>
  <localMethods name="dtePrtTagM37" type="local" codeText="@0164" moduleName="setmod"/>
  <localMethods name="dtePrtTagM42" type="local" codeText="@0165" moduleName="setmod"/>
  <localMethods name="dtePrtTagM43" type="local" codeText="@0166" moduleName="setmod"/>
  <localMethods name="dtePrtTagM44" type="local" codeText="@0167" moduleName="setmod"/>
  <localMethods name="dtePrtTagM45" type="local" codeText="@0168" moduleName="setmod"/>
  <localMethods name="dtePrtTagM46" type="local" codeText="@0169" moduleName="setmod"/>
  <localMethods name="dtePrtTagM47" type="local" codeText="@0170" moduleName="setmod"/>
  <localMethods name="dtePrtTagM48" type="local" codeText="@0171" moduleName="setmod"/>
  <localMethods name="dtePrtTagM49" type="local" codeText="@0172" moduleName="setmod"/>
  <localMethods name="dtePrtTagM50" type="local" codeText="@0173" moduleName="setmod"/>
  <localMethods name="dtePrtTagM51" type="local" codeText="@0174" moduleName="setmod"/>
  <localMethods name="dtePrtTagM52" type="local" codeText="@0175" moduleName="setmod"/>
  <localMethods name="dtePrtTagM54" type="local" codeText="@0176" moduleName="setmod"/>
  <localMethods name="getTagM43" type="local" codeText="@0177" moduleName="setmod"/>
  <localMethods name="getTagM49" type="local" codeText="@0178" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM05" type="local" codeText="@0179" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM06" type="local" codeText="@0180" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM07" type="local" codeText="@0181" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM08" type="local" codeText="@0182" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM30" type="local" codeText="@0183" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM34" type="local" codeText="@0184" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM35" type="local" codeText="@0185" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM36" type="local" codeText="@0186" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM37" type="local" codeText="@0187" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM38" type="local" codeText="@0188" moduleName="setmod"/>
  <localMethods name="dtaPrtTagM39" type="local" codeText="@0189" moduleName="setmod"/>
  <localMethods name="getTagM35" type="local" codeText="@0190" moduleName="setmod"/>
  <localMethods name="getTagM39" type="local" codeText="@0191" moduleName="setmod"/>
  <localMethods name="getCompleteAccount" type="local" codeText="@0192" moduleName="setmod"/>
  <localMethods name="printSwiftAmount" type="local" codeText="@0193" moduleName="setmod"/>
  <localMethods name="swtPrtExtAccAdrAorWithoutLetter" type="local" codeText="@0194"
      moduleName="setmod"/>
  <localMethods name="removeAllGITFEE" type="local" codeText="@0196" moduleName="setmod"/>
  <localMethods name="clearMac" type="local" codeText="@0197" moduleName="setmod"/>
  <localMethods name="setDftDsp" type="local" codeText="@0198" moduleName="setmod"/>
  <localMethods name="getSwfcodTelFax" type="local" codeText="@0203" moduleName="setmod"/>
  <localMethods name="doprint10" type="local" codeText="@0205" moduleName="setmod"/>
  <localMethods name="getAppAndBenRol" type="local" codeText="@0207" moduleName="setmod"/>
  <localMethods name="doprint11" type="local" codeText="@0209" moduleName="setmod"/>
  <localMethods name="getbchanaccbch" type="local" codeText="@0211" moduleName="setmod"/>
  <localMethods name="registerDocument" type="local" codeText="@0212" moduleName="setmod"/>
  <localMethods name="getRatamt" type="local" codeText="@0220" moduleName="setmod"/>
  <localMethods name="getACTInformation_set" type="local" codeText="@0221" moduleName="setmod"/>
  <localMethods name="swtPrtTag57Spc_New" type="local" codeText="@0226" moduleName="setmod"/>
  <localMethods name="getClrAmt" type="local" codeText="@0227" moduleName="setmod"/>
  <localMethods name="getAlternateFeeCodetable" type="local" codeText="@0228" moduleName="setmod"/>
  <localMethods name="getRecvType" type="local" codeText="@0231" moduleName="setmod"/>
  <localMethods name="registerDocumentTCO" type="local" codeText="@0232" moduleName="setmod"/>
  <localMethods name="registerDocumentZZ" type="local" codeText="@0233" moduleName="setmod"/>
  <initRules name="\" type="init" codeText="@0133" order="1000" moduleName="setmod"/>
  <initRules name="\" type="init" codeText="@0400" order="901710" moduleName="setmod"/>
  <initRules name="\" type="init" codeText="@0223" order="1000" moduleName="setmod"/>
  <defaultRules name="xrtcurstm" type="default" codeText="@0003" order="1000" moduleName="setmod"/>
  <defaultRules name="macdet" type="default" codeText="@0093" order="1000" moduleName="setmod"/>
  <defaultRules name="abqget\abqp\abqp" type="default" codeText="@0117" order="9000"
      moduleName="setmod"/>
  <defaultRules name="\setmod\setglg\setgll" type="default" codeText="@0119" order="1000"
      moduleName="setmod"/>
  <defaultRules name="xreflg" type="default" codeText="@0140" order="1000" moduleName="setmod"/>
  <defaultRules name="tag77atxt754" type="default" codeText="@0162" order="1000" moduleName="setmod"/>
  <defaultRules name="dspflg" type="default" codeText="@0199" order="1000" moduleName="setmod"/>
  <defaultRules name="abqget\abqp\rptno" type="default" codeText="@0213" order="1000"
      moduleName="setmod"/>
  <defaultRules name="abqget\abqp\getref" type="default" codeText="@0214" order="1000"
      moduleName="setmod"/>
  <defaultRules name="abqget\abqp\abqsta" type="default" codeText="@0215" order="1000"
      moduleName="setmod"/>
  <defaultRules name="abqget\abqp\abqp" type="default" codeText="@0216" order="1000"
      moduleName="setmod"/>
  <defaultRules name="actlst" type="default" codeText="@0225" order="1000" moduleName="setmod"/>
  <defaultRules name="autclr" type="default" codeText="@0229" order="1000" moduleName="setmod"/>
  <checkRules name="docamt" type="check" codeText="@0016" order="1000" moduleName="setmod"/>
  <checkRules name="dspflg" type="check" codeText="@0076" order="1000" moduleName="setmod"/>
  <checkRules name="dspflg" type="check" codeText="@0090" order="1100" moduleName="setmod"/>
  <checkRules name="redamt" type="check" codeText="@0148" order="1000" moduleName="setmod"/>
  <checkRules name="dspflg" type="check" codeText="@0149" order="1200" moduleName="setmod"/>
  <checkRules name="abqget\abqp\rptno" type="check" codeText="@0217" order="1000"
      moduleName="setmod"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0002" order="220" moduleName="setmod"/>
  <eventRules name="setpan" type="event" codeText="@0005" order="1000" moduleName="setmod"/>
  <eventRules name="cprflg" type="event" codeText="@0008" order="1000" moduleName="setmod"/>
  <eventRules name="\mtabut\chk" type="event" codeText="@0009" order="10" moduleName="setmod"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0050" order="10" moduleName="setmod"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0059" order="1205" moduleName="setmod"/>
  <eventRules name="det" type="event" codeText="@0082" order="1000" moduleName="setmod"/>
  <eventRules name="redamt" type="event" codeText="@0083" order="1000" moduleName="setmod"/>
  <eventRules name="ptydet\dftdsp" type="event" codeText="@0087" order="1500" moduleName="setmod"/>
  <eventRules name="ptydet\dftcur" type="event" codeText="@0088" order="1500" moduleName="setmod"/>
  <eventRules name="setpan" type="event" codeText="@0145" order="1500" moduleName="setmod"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0147" order="1206" moduleName="setmod"/>
  <eventRules name="setamt" type="event" codeText="@0195" order="1000" moduleName="setmod"/>
  <eventRules name="setpan" type="event" codeText="@0200" order="3000" moduleName="setmod"/>
  <eventRules name="\mtabut\usrcon" type="event" codeText="@0201" order="10" moduleName="setmod"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0202" order="199" moduleName="setmod"/>
  <eventRules name="setmodl1" type="event" eventType="onPanelShow" codeText="@0204"
      moduleName="setmod"/>
  <eventRules name="setmodl2" type="event" eventType="onPanelShow" codeText="@0208"
      moduleName="setmod"/>
  <eventRules name="abqget\abqp\chkfld" type="event" codeText="@0218" order="1000"
      moduleName="setmod"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0222" moduleName="setmod"/>
  <eventRules name="\mtabut\sav" type="event" codeText="@0230" order="1207" moduleName="setmod"/>
  <eventRules name="cmnsetl1" type="event" eventType="onPanelShow" codeText="@0234"
      moduleName="setmod"/>
  <eventRules name="cmnsetl1" type="event" eventType="onPanelShow" codeText="@0235"
      order="10" moduleName="setmod"/>
  <eventRules name="cmnsetl1" type="event" eventType="onPanelShow" codeText="@0236"
      order="11" moduleName="setmod"/>
  <eventRules name="cmnsetl2" type="event" eventType="onPanelShow" codeText="@0237"
      moduleName="setmod"/>
  <eventRules name="cmnsetl2" type="event" eventType="onPanelShow" codeText="@0238"
      order="10" moduleName="setmod"/>
  <eventRules name="cmnsetl2" type="event" eventType="onPanelShow" codeText="@0239"
      order="11" moduleName="setmod"/>
</eibs:Module>
