<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="smh" table="smh" title="SMH - Structured Message Header" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Message" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type of Owning Contract Optional" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Owning Contract Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trntyp" column="trntyp" description="Type of Transaction" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trninr" column="trninr" description="Transaction, which Handles the Document" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trnsub" column="trnsub" description="Counter within TRN" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="extkey" column="extkey" description="External Key" length="32" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Name to Identify Document" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="creusr" column="creusr" description="Creating User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="crefrm" column="crefrm" description="Creating Transaction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credattim" column="credattim" description="Timestamp Created" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="dir" column="dir" description="Direction '>'=Outgoing, '&lt;'=Incoming" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docpth" column="docpth" description="Document Path Relative to Appl. or Data Root" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docfil" column="docfil" description="Document Name File ID" length="32" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docfxt" column="docfxt" description="Document Format RTF, TIF, TXT etc. Used to Created File Extension" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docmac" column="docmac" description="MAC" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msgpos" column="msgpos" description="Position of Message in Document 1=Begin of Document, 0=Whole Document" datatype="numeric" length="10" lineOrDecimalSize="0" />
<datafields comments="" name="msglen" column="msglen" description="Length of Message in Document 0=Rest of Document" datatype="numeric" length="10" lineOrDecimalSize="0" />
<datafields comments="" name="grpinr" column="grpinr" description="INR of the First Message of Split Messages/Secondary Messages" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="grpseq" column="grpseq" description="Sequence Number of Split Messages" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="cortyp" column="cortyp" description="Structure/Syntax of Message SWT, LET, TLX, TCO" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="30" />
<datafields comments="" name="cortypsub" column="cortypsub" description="Subtype of Message Defines SRV" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apf" column="apf" description="Application Form" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sndkey" column="sndkey" description="Receiver Key BIC/Telex#/Fax#/email" length="50" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apfcnt" column="apfcnt" description="Count per Form" length="50" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptainr" column="ptainr" description="PTA Receiving Documents" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oriflg" column="oriflg" description="Type of Copy" viewtype="Combobox" codetable="oriflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orismhinr" column="orismhinr" description="Internal Unique ID of Original Message" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="partflg" column="partflg" description="Counter of Partial Messages i.e. 1/2" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msgtyp" column="msgtyp" description="Message Type Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relcur" column="relcur" description="Relevant Currency Optional" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relamt" column="relamt" description="Relevant Amount Optional" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="times" column="times" description="TIMES" datatype="numeric" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="f21" column="f21" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rcvcor" column="rcvcor" description="Sender's Correspondent54A" length="12" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rcvkey" column="rcvkey" description="收报行" length="12" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prtusr" column="prtusr" description="打印柜员" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeynam" column="bchkeynam" description="名称" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sysno" column="sysno" description="清算报文的清算编号" length="15" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="staflg" column="staflg" description="flag M 999加押，T  TELEX加押, X  清算报文标志" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f20" column="f20" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="valdat" column="valdat" description="Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="sndcor" column="sndcor" description="Sender's Correspondent53A" length="12" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prtflg" column="prtflg" description="打印标志" codetable="prtflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="经办机构" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fpssid" column="fpssid" description="报文平台流�'号" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="backflg" column="backflg" description="退报标识" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f111" column="f111" description="111栏" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f121" column="f121" description="121栏" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f79sta" column="f79sta" description="79 status" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sndflag" column="sndflag" description="GPI199 发送标志" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f71" column="f71" description="MT103 71F" length="100" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sndstatus" column="sndstatus" description="发送状态" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f79dat" column="f79dat" description="79场时间" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="f79bic" column="f79bic" description="79场银行代码" length="20" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
