<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="swiadd" table="swiadd" title="Modul to hold Additional Info from Incoming Messages" ruleSequence="2" transient="true">
<datafields comments="" name="smhinrblk" column="smhinrblk" description="List of SMHINR for SPT to be updated in transaction" datatype="block" viewtype="Block" length="6" lineOrDecimalSize="20" viewlines="0" />
<datafields comments="" name="addstm" column="addstm" description="Content of Fields can not be mapped" datatype="stream" viewtype="Block" length="65" lineOrDecimalSize="100" />
<datafields comments="" name="ovwfldnam" column="ovwfldnam" description="Names of fields 'Dont Overwrite'" datatype="stream" viewtype="Block" length="68" lineOrDecimalSize="70" />
<datafields comments="" name="ameamt" column="ameamt" description="Amended Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="amecur" column="amecur" description="Currency of amended amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amedat" column="amedat" description="Date of Amendment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendment" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="newamt" column="newamt" description="New amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="newcur" column="newcur" description="Currency of new amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="newexpdat" column="newexpdat" description="New Expiry Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="newshpdat" column="newshpdat" description="New Shipmentdate" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="newmatdat" column="newmatdat" description="New Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="newnomtop" column="newnomtop" description="New positive tolerance" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="newnomton" column="newnomton" description="New negative tolerance" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="partcon" column="partcon" description="Partial confirmation" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="strinf" column="strinf" description="Sender to receiver info Tag 72" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6" />
<datafields comments="" name="addamt" column="addamt" description="Additional Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="addcur" column="addcur" description="Additional Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="adddat" column="adddat" description="Additional Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="newmatpercnt" column="newmatpercnt" description="Number of days/months for maturity" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="newmatperbeg" column="newmatperbeg" description="Start of Maturity Period" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="newmatpertyp" column="newmatpertyp" description="Days/Month or Year for Maturity Period" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="addextid" column="addextid" description="Additional External ID" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="addtxtfld" column="addtxtfld" description="Additional text field" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6" />
<datafields comments="" name="addref" column="addref" description="Additional Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acc" column="acc" description="Account" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acc2" column="acc2" description="2nd account" length="900" lineOrDecimalSize="1" viewlines="80" />
<datafields comments="" name="nartxt" column="nartxt" description="Narrative" datatype="block" viewtype="Block" length="50" lineOrDecimalSize="35" viewlines="10" />
<datafields comments="" name="valdat" column="valdat" description="Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="chacla" column="chacla" description="charges claimed" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6" />
<datafields comments="" name="chacur" column="chacur" description="charges currency" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chaamt" column="chaamt" description="charges amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="m01advbic" column="m01advbic" description="M1: BIC Advising Bank" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m02advadrblk" column="m02advadrblk" description="M2: Advising Bank" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="m03advref" column="m03advref" description="M3: Reference Advising Bank" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m04advperson" column="m04advperson" description="M4: Contact to" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m05confir" column="m05confir" description="M5: Confirmed" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m06confirblk" column="m06confirblk" description="M6: Notes for Confirmation" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="50" viewlines="4" />
<datafields comments="" name="m07advconfirblk" column="m07advconfirblk" description="M7: Notes Advising Bank" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="100" viewlines="4" />
<datafields comments="" name="m08advfeeblk" column="m08advfeeblk" description="M8: Fees Advising Bank" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="50" viewlines="4" />
<datafields comments="" name="m09issbic" column="m09issbic" description="M9: BIC Issuing Bank" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m10issadrblk" column="m10issadrblk" description="M10: Issuing Bank" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="m23advcom" column="m23advcom" description="M23: Notes advising Bank" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="30" viewlines="4" />
<datafields comments="" name="m11issref" column="m11issref" description="M11: Reference Issuing Bank" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m12opndat" column="m12opndat" description="M12: Opening date" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m19advdat" column="m19advdat" description="M19: Advising date" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m20aplref" column="m20aplref" description="M20: Reference Applicant" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m21moddat" column="m21moddat" description="M21: Modifaction date" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m22amecnt" column="m22amecnt" description="M22: Amendment counter" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m24infcpy" column="m24infcpy" description="M24: Info copy" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othtrn" column="othtrn" description="Alternative transactions" datatype="block" viewtype="Block" length="8" lineOrDecimalSize="10" viewlines="10" />
<datafields comments="" name="othgrp" column="othgrp" description="Groups for OTHTRN" datatype="block" viewtype="Block" length="3" lineOrDecimalSize="10" viewlines="10" />
<datafields comments="" name="shpper" column="shpper" description="Shipment Period" datatype="block" viewtype="Block" length="90" lineOrDecimalSize="6" viewlines="4" />
<datafields comments="" name="addamtcov" column="addamtcov" description="Additional Amount Covered" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="shpto" column="shpto" description="For Transportation to" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpfro" column="shpfro" description="Shipment from" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="newexpflg" column="newexpflg" description="Unlimited Validity" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="newliaflg" column="newliaflg" description="Unlimited Liability" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="newliadat" column="newliadat" description="New Liability Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ameblk" column="ameblk" description="Text for Amendments" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="850" viewlines="10" />
<datafields comments="" name="accamt" column="accamt" description="Accepted Amount" datatype="numeric" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="acccur" column="acccur" description="Accepted Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ametxt" column="ametxt" description="Further Amendments" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6" />
<datafields comments="" name="actamenbr" column="actamenbr" description="Actual Amendment number" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="nomspc" column="nomspc" description="Amount Specification" viewtype="Combobox" codetable="nomspc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tracur" column="tracur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="traamt" column="traamt" description="Traced Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="contag72" column="contag72" description="Content of Tag 72" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="999" viewlines="10" />
<datafields comments="" name="contag79" column="contag79" description="Content of Tag 79" datatype="block" viewtype="Block" length="100" lineOrDecimalSize="999" viewlines="10" />
<datafields comments="" name="porloa" column="porloa" description="Port of Loading" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pordis" column="pordis" description="Port of Discharge" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msgtyp" column="msgtyp" description="Messagetype" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="snddat" column="snddat" description="Date the incoming message was sent" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type of Additional Contract" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR of Additional Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="m9exedat" column="m9exedat" description="tag M9 Execution Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="lcrgod" column="lcrgod" description="Description of Goods amendment" datatype="block" viewtype="Block" length="50" lineOrDecimalSize="10" viewlines="10" />
<datafields comments="" name="lcrdoc" column="lcrdoc" description="Documents Required amendment" datatype="block" viewtype="Block" length="50" lineOrDecimalSize="10" viewlines="10" />
<datafields comments="" name="adlcnd" column="adlcnd" description="Additional Conditions amendment" datatype="block" viewtype="Block" length="50" lineOrDecimalSize="10" viewlines="10" />
<datafields comments="" name="nartxtflg" column="nartxtflg" description="Narrative modified" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="insbnk" column="insbnk" description="Instruction to P/A/N Bank amendment" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="12" viewlines="10" />
<localMethods type="local" name="nomSpcInit" codeText="@0000" moduleName="swiadd"/>
<datafields comments="" name="rptmsg1" column="rptmsg1" description="网银申报批次1" length="390" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rptmsg2" column="rptmsg2" description="网银申报批次2" length="390" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nbsaplref" column="nbsaplref" description="网银相关编号" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="remark1" column="remark1" description="REMARK1" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="remark2" column="remark2" description="new datafield" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="remark" column="remark" description="REMARK" datatype="block" viewtype="Block" length="900" lineOrDecimalSize="900" viewlines="100" />
<datafields comments="" name="frzeno" column="frzeno" description="冻结编号" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="purpos" column="purpos" description="Purpose of message" viewtype="Combobox" codetable="purpos" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reqcan" column="reqcan" description="Cancellation Request" viewtype="Checkbox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="spcben" column="spcben" description="Special payment conditions for beneficiaryamendment" datatype="block" viewtype="Block" length="50" lineOrDecimalSize="100" viewlines="1" />
<datafields comments="" name="spcrcb" column="spcrcb" description="Special payment conditions for receiver bankamendment" datatype="block" viewtype="Block" length="50" lineOrDecimalSize="100" viewlines="1" />
<datafields comments="" name="trnchato" column="trnchato" description="Own Charges Borne by" viewtype="Combobox" codetable="trnchato" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trnfeetxt" column="trnfeetxt" description="Additional Details to Code for ChargesCHATO" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6" />
<datafields comments="" name="prepers18" column="prepers18" description="Days of presentation period" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="prepertxts18" column="prepertxts18" description="Presentation period text" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tag21aref" column="tag21aref" description="Score Customer Reference Tag 21A" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rptmsgfor1" column="rptmsgfor1" description="new datafield" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="6" viewlines="1" />
<datafields comments="" name="rptmsgfor2" column="rptmsgfor2" description="new datafield" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="6" viewlines="1" />
<defaultRules name="amenbr" type="default" codeText="@0001" order="1000" moduleName="swiadd" />
</eibs:Module>
