<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="trncorco" table="trncorco" title="Communication module for TRNCORM" i18nSequence="73" ruleSequence="36" transient="false">
<datafields comments="" name="usr" column="usr" description="Responsible user" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inidattil" column="inidattil" description="Date of entry of Transaction until" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="inidatfro" column="inidatfro" description="Date of entry of Transaction" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="inifrm" column="inifrm" description="Frame used to create the transaction" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Own reference" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usg" column="usg" description="Responsible group" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="iniusr" column="iniusr" description="Userid entering the Transaction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="selinr" column="selinr" description="INRs of selected lines" datatype="stream" viewtype="Block" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="trnstm" column="trnstm" description="List of transaction sfor display" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="selrows" column="selrows" description="List of selected transactions" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="chkrows" column="chkrows" description="List of checked transactions" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="relflg" column="relflg" description="release status N-ot req, W-aiting, R-eleased" length="1" lineOrDecimalSize="1" viewlines="20" />
<datafields comments="" name="rejflg" column="rejflg" description="Type of correction/rejection" codetable="rejflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rprusr" column="rprusr" description="Send for repair to" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="errstm" column="errstm" description="Stream of errormessages" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="inftxt" column="inftxt" description="Infotext" datatype="block" viewtype="Block" length="65" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="inftxtflg" column="inftxtflg" description="Flag whether INFTXT should be used" codetable="inftxtflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="infdsp" column="infdsp" description="Infoflag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="srv" column="srv" description="Service" length="6" lineOrDecimalSize="1" viewlines="20" />
<datafields comments="" name="wfeovd" column="wfeovd" description="Overdue" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wfeerr" column="wfeerr" description="Error" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wfeskp" column="wfeskp" description="Skip" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wfecan" column="wfecan" description="Cancel" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wferet" column="wferet" description="Retry" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wfeopn" column="wfeopn" description="Open" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wfewai" column="wfewai" description="Waiting" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wfeselflg" column="wfeselflg" description="Flag whether selection will be done by WFE" codetable="wfeselflg" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inr" column="inr" description="Search INR for TRN" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="begtim" column="begtim" description="Start Time of Session" datatype="numeric" length="6" lineOrDecimalSize="4" />
<localMethods type="local" name="sigWrite" codeText="@0000" moduleName="trncorco"/>
<eventRules name="inr" type="event" codeText="@0001" order="1000" moduleName="trncorco" />
<localMethods type="local" name="trnCORORDUpdate" codeText="@0002" moduleName="trncorco"/>
<localMethods type="local" name="trnCORORDHold" codeText="@0003" moduleName="trncorco"/>
<localMethods type="local" name="trnCORORDLock" codeText="@0004" moduleName="trncorco"/>
<localMethods type="local" name="isSigExists" codeText="@0005" moduleName="trncorco"/>
<localMethods type="local" name="checkSuccessorTrns" codeText="@0006" moduleName="trncorco"/>
<localMethods type="local" name="doConfirm" codeText="@0007" moduleName="trncorco"/>
<localMethods type="local" name="checkServiceWfe" codeText="@0008" moduleName="trncorco"/>
<localMethods type="local" name="updateServiceWfe" codeText="@0009" moduleName="trncorco"/>
<localMethods type="local" name="getTrsUsrForSig" codeText="@0010" moduleName="trncorco"/>
<localMethods type="local" name="executeCor" codeText="@0011" moduleName="trncorco"/>
<localMethods type="local" name="updategrid" codeText="@0012" moduleName="trncorco"/>
<modules name="usfmod" type="usfmod" >
</modules>
<modules name="trs" type="trs" >
</modules>
<modules comments="" name="ordmod" type="ordmod" argument="true" />
<modules name="trn" type="trn" >
</modules>
<modules comments="" name="wfmmod" type="wfmmod" argument="true" />
<modules name="wrktrs" type="trs" >
</modules>
<localMethods type="local" name="setSign" codeText="@0013" moduleName="trncorco"/>
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH INR" length="8" lineOrDecimalSize="1" viewlines="20" />
<localMethods type="local" name="relstr" codeText="@0014" moduleName="trncorco"/>
<localMethods type="local" name="getTrsUsr" codeText="@0015" moduleName="trncorco"/>
<localMethods type="local" name="getTrsUsrCount" codeText="@0016" moduleName="trncorco"/>
<localMethods type="local" name="doRelease" codeText="@0017" moduleName="trncorco"/>
<localMethods type="local" name="checkPDP" codeText="@0018" moduleName="trncorco"/>
<localMethods type="local" name="getMsgTyp" codeText="@0019" moduleName="trncorco"/>
<localMethods type="local" name="checkXrtChg" codeText="@0020" moduleName="trncorco"/>
<localMethods type="local" name="checkWfeStat" codeText="@0021" moduleName="trncorco"/>
<localMethods type="local" name="setTrnOrgFlg" codeText="@0022" moduleName="trncorco"/>
<localMethods type="local" name="srvComHandle" codeText="@0023" moduleName="trncorco"/>
<localMethods type="local" name="checkFinance" codeText="@0024" moduleName="trncorco"/>
<localMethods type="local" name="getTrsUsrCnt" codeText="@0025" moduleName="trncorco"/>
<localMethods type="local" name="aceReleaseTrn" codeText="@0026" moduleName="trncorco"/>
<globalMethods name="checkActBusTyp" codeText="@0027" moduleName="trncorco"/>
<globalMethods name="checkBetset" codeText="@0028" moduleName="trncorco"/>
<localMethods type="local" name="checkDKD" codeText="@0029" moduleName="trncorco"/>
<localMethods type="local" name="getrelousta" codeText="@0030" moduleName="trncorco"/>
<localMethods type="local" name="gleXrtChgBeforRelease" codeText="@0031" moduleName="trncorco"/>
<globalMethods name="checkgletimeandamt" codeText="@0032" moduleName="trncorco"/>
<localMethods type="local" name="gleXrtChgAfterRelease" codeText="@0033" moduleName="trncorco"/>
<localMethods type="local" name="callRefundInterface" codeText="@0034" moduleName="trncorco"/>
<localMethods type="local" name="updateBopsel" codeText="@0035" moduleName="trncorco"/>
<modules name="fcd" type="fcd" >
</modules>
<modules name="smh" type="smh" >
</modules>
<modules name="wrkgle" type="gle" >
</modules>
<modules name="bop" type="bop" >
</modules>
<modules name="imgmod" type="imgmod" >
</modules>
<modules name="wrkace" type="ace" >
</modules>
<modules name="wrkglelst" type="gle" list="true" pageSize="1" initSize="0" >
</modules>
<modules name="xrt" type="xrt" >
</modules>
<modules name="wrkxrt" type="xrt" >
</modules>
<modules name="ptyrat" type="ptyrat" >
</modules>
<modules name="ptyratsys" type="ptyrat" >
</modules>
<modules name="gledel" type="gledel" >
</modules>
<modules name="gledellst" type="gledel" list="true" pageSize="1" initSize="0" >
</modules>
<modules name="cdelst" type="cde" list="true" pageSize="1" initSize="0" >
</modules>
<modules name="dbl" type="dbl" >
</modules>
<modules name="boprec" type="boprec" >
</modules>
<modules name="lckgle" type="gle" >
</modules>
</eibs:Module>
