<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="trnism" table="trnism" title="Transaction - implementation specific modules" i18nSequence="434" ruleSequence="51" transient="true">
<datafields comments="" name="relsetamt" column="relsetamt" description="Release Amt from SETMOD" datatype="numeric" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="relliaamt" column="relliaamt" description="Release Amt from LIAMOD" datatype="numeric" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="prtadrtypcod" column="prtadrtypcod" description="Codes for XmlPrintTwoAddresses" codetable="prtadrtypcod" length="4" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="wfmAdd_Telex" codeText="@0000" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_email" codeText="@0001" moduleName="trnism"/>
<localMethods type="local" name="setWorkFlow" codeText="@0002" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_Swift" codeText="@0003" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_Letter" codeText="@0004" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_GLEntries" codeText="@0005" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_Release" codeText="@0006" moduleName="trnism"/>
<localMethods type="local" name="wfmInitNewEntry" codeText="@0007" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_Tradeconnect" codeText="@0008" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_LimitCheck" codeText="@0010" moduleName="trnism"/>
<globalMethods name="getProductName" codeText="@0011" moduleName="trnism"/>
<globalMethods name="getStandardReference" codeText="@0012" moduleName="trnism"/>
<localMethods type="local" name="defSetDspold" codeText="@0013" moduleName="trnism"/>
<localMethods type="local" name="getLiaActtyp" codeText="@0014" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_FAX" codeText="@0015" moduleName="trnism"/>
<localMethods type="local" name="isCbtRelevantForLia" codeText="@0016" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_email_attachment" codeText="@0017" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_RTGS_Plus" codeText="@0018" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_Target" codeText="@0019" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_DTA" codeText="@0020" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_DTE" codeText="@0021" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_BOL" codeText="@0022" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_TCD" codeText="@0023" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_FIL" codeText="@0024" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_TXT" codeText="@0025" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_EXEDAT" codeText="@0026" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_IZV" codeText="@0027" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_Compliance" codeText="@0028" moduleName="trnism"/>
<modules name="wfmmod" type="wfmmod" >
</modules>
<modules name="usr" type="usr" >
</modules>
<modules name="fmtact" type="fmtact" >
</modules>
<modules name="trnsig" type="trnsig" >
</modules>
<datafields comments="" name="maxcur" column="maxcur" description="max amt currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="saudat" column="saudat" description="Old Tenor Day" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="docbalamt" column="docbalamt" description="Document Balance Amt" datatype="numeric" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="maxamt" column="maxamt" description="new datafield" datatype="numeric" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="parstm" column="parstm" description="Parameter Stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<localMethods type="local" name="defSetDsp" codeText="@0029" moduleName="trnism"/>
<localMethods type="local" name="getgrp" codeText="@0030" moduleName="trnism"/>
<localMethods type="local" name="setRelRequest" codeText="@0031" moduleName="trnism"/>
<localMethods type="local" name="getsecnew" codeText="@0032" moduleName="trnism"/>
<localMethods type="local" name="getgrpnew" codeText="@0033" moduleName="trnism"/>
<localMethods type="local" name="setUsg" codeText="@0034" moduleName="trnism"/>
<localMethods type="local" name="existGLE" codeText="@0035" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_Qin" codeText="@0036" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_CPT" codeText="@0037" moduleName="trnism"/>
<globalMethods name="actGetComBlk" codeText="@0038" moduleName="trnism"/>
<localMethods type="local" name="actForFix" codeText="@0039" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_EDI" codeText="@0040" moduleName="trnism"/>
<localMethods type="local" name="setDefDsp" codeText="@0041" moduleName="trnism"/>
<initRules name="\" type="init" codeText="@0042" order="1000" moduleName="trnism" />
<localMethods type="local" name="setRelRequest_New" codeText="@0043" moduleName="trnism"/>
<localMethods type="local" name="trnReleseaControl" codeText="@0044" moduleName="trnism"/>
<localMethods type="local" name="wfmAdd_DTF" codeText="@0045" moduleName="trnism"/>
<localMethods type="local" name="isExistFXQ" codeText="@0046" moduleName="trnism"/>
<localMethods type="local" name="hzgetGRPNew" codeText="@0047" moduleName="trnism"/>
<localMethods type="local" name="isExistFAM" codeText="@0048" moduleName="trnism"/>
<localMethods type="local" name="isExistRET" codeText="@0049" moduleName="trnism"/>
<localMethods type="local" name="isSendSms" codeText="@0050" moduleName="trnism"/>
<modules name="rou" type="rou" >
</modules>
<modules name="wrkbch" type="bch" >
</modules>
</eibs:Module>
