<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="trnp" table="trnp" title=" " transient="true" i18nSequence="255"
    ruleSequence="85">
  <datafields name="pansta" column="pansta" description="Panel-Status: 'I'nfo, 'A'dd, 'E'dit, 'D'elete"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="glepansta" column="glepansta" description="Additional GLE Panel-Status: 'H'ide"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="heapansta" column="heapansta" description="Additional Header Panel-Status: 'H'ide"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="ackpansta" column="ackpansta" description="Additional ACK Panel-Status: 'H'ide"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="tropansta" column="tropansta" description="Additional TRO Panel-Status: 'H'ide"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="det" column="det" description="Details" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="con" column="con" datatype="control" viewtype="Button" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="userid" column="userid" description="UserID" length="6" lineOrDecimalSize="1"/>
  <datafields name="transcode" column="transcode" description="Transaction Code" length="5"
      lineOrDecimalSize="1"/>
  <datafields name="pinno" column="pinno" description="Pin No" length="6" lineOrDecimalSize="1"/>
  <datafields name="acttyp" column="acttyp" description="Account Type" length="2"
      lineOrDecimalSize="1"/>
  <datafields name="accno" column="accno" description="Account No" length="19" lineOrDecimalSize="1"/>
  <datafields name="rescode" column="rescode" description="Response Code" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="amt" column="amt" description="Amount" datatype="numeric" length="10"/>
  <datafields name="rprusrlabel" column="rprusrlabel" description="'Send for repair to' Label"
      viewtype="Label" length="25" lineOrDecimalSize="1"/>
  <datafields name="inc" column="inc" description="show incoming" datatype="control"
      viewtype="Button" length="16"/>
  <datafields name="butspt" column="butspt" description="Pending Item" datatype="control"
      viewtype="Button" length="16"/>
  <datafields name="notmap" column="notmap" description="Unmapped" datatype="control"
      viewtype="Button" length="10"/>
  <datafields name="incsmhinr" column="incsmhinr" description="SMHINR of incoming message"
      lineOrDecimalSize="1"/>
  <datafields name="cpltxt" column="cpltxt" description="Completion text" viewtype="Label"
      length="60" lineOrDecimalSize="1"/>
  <datafields name="smhtrninr" column="smhtrninr" description="TRN\\INR for which SMH is read"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="trnstr" column="trnstr" description="Stream holding TRNDATA to be handled"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="smhstm" column="smhstm" description="SMHs for transaction" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="glestm" column="glestm" description="GLEs for transaction" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="ackstm" column="ackstm" description="ACKs for transaction" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="trostm" column="trostm" description="TROs for transaction for display"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="wfestm" column="wfestm" description="WFEs for transaction for display"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="troflg" column="troflg" description="Flag whether TRO entries exist"
      length="1" lineOrDecimalSize="1" codetable="troflg"/>
  <datafields name="rprflg" column="rprflg" description="Flag whether 'send to repair' is enabled"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="butord" column="butord" description="Order" datatype="control"
      viewtype="Button" length="16"/>
  <datafields name="evtstm" column="evtstm" description="stream of events" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="evthisstm" column="evthisstm" description="stream of history of transactions"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="wfetrssta" column="wfetrssta" description="Status from WFE/TRS"
      length="1" lineOrDecimalSize="4" codetable="wfetrssta"/>
  <datafields name="trsstm" column="trsstm" description="TRS records of release events of TRN"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="shwdeb" column="shwdeb" description="SHOW D" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="shwceb" column="shwceb" description="SHOW C" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="cacrow" column="cacrow" description="冲正" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="butprtgle" column="butprtgle" description="new datafield" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="tlc" column="tlc" description="Tele code" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="cntxt" column="cntxt" description="Chinese text" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="tlctxt" column="tlctxt" description="Tele code text" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="cntotlc" column="cntotlc" description="chinese to telecode" datatype="control"
      viewtype="Button" length="16" lineOrDecimalSize="1"/>
  <datafields name="tlctocn" column="tlctocn" description="telecode to chinese" datatype="control"
      viewtype="Button" length="16"/>
  <datafields name="tlcstream" column="tlcstream" description="Tlc stream" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="dcestm" column="dcestm" description="Tlc stream" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="midstm" column="midstm" description="MID stream" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="giddis" column="giddis" description="GIDDIS stream" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="smssnd" column="smssnd" description="短信重发" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="entryamt" column="entryamt" description="是否自动入�'�标识" length="2"
      lineOrDecimalSize="1"/>
  <datafields name="sysflg" column="sysflg" description="是否自动入账文本" length="15" lineOrDecimalSize="1"/>
  <datafields name="prtgleblk" column="prtgleblk" description="XMLPanel prtgle的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="prtpanblk" column="prtpanblk" description="XMLPanel prtpan的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <modules name="trn" type="trn" argument="true"/>
  <modules name="recget" type="trnget">
    <arguments name="trn" value="trn"/>
    <arguments name="getaddsub" value="!..\\DefaultTRNP"/>
  </modules>
  <modules name="syswrn" type="syswrn" argument="true"/>
  <modules name="wfmmod" type="wfmmod" argument="true"/>
  <modules name="wrksmh" type="smh"/>
  <modules name="evt" type="evt"/>
  <modules name="wrkgle" type="gle"/>
  <modules name="wrktrn" type="trn"/>
  <modules name="atpget" type="atpget">
    <arguments name="atp" value="atp"/>
    <arguments name="getaddsub" value="!TRNPSetRecATP"/>
  </modules>
  <modules name="atp" type="atp"/>
  <modules name="usr" type="usr"/>
  <modules name="usrget" type="usrget">
    <arguments name="usr" value="usr"/>
    <arguments name="getaddsub" value="!TRNPSetRecRPRUSR"/>
  </modules>
  <modules name="spt" type="spt"/>
  <modules name="sptp" type="sptp">
    <arguments name="spt" value="spt"/>
  </modules>
  <modules name="ackgrp" type="ackgrp"/>
  <modules name="ackp" type="ackp">
    <arguments name="recgrp" value="ackgrp"/>
  </modules>
  <modules name="ord" type="ord"/>
  <modules name="ordp0" type="ordp0">
    <arguments name="ord" value="ord"/>
  </modules>
  <modules name="wrktrs" type="trs"/>
  <modules name="cretrs" type="trs"/>
  <modules name="inftxt" type="txmmod">
    <arguments name="txmblock" value="trn\inftxt"/>
    <arguments name="txmgrp" value="!INFTXT"/>
    <arguments name="txmuil" value="!EN"/>
  </modules>
  <panels name="trnp0" description="PD000091" width="788" height="528" popup="true">
    <components path="cpltxt" viewType="Label" width="400" enabled="false" left="370"
        top="120" height="22"/>
    <components path="sptp\spt\sta" viewType="Label" width="20" enabled="false" left="19"
        top="296" height="22"/>
    <components path="ord\sta" viewType="Label" width="20" enabled="false" left="19"
        top="258" height="22"/>
    <components path="trn\ownref" width="133" left="108" height="22"/>
    <components path="recget\sdamod\seainf" width="20" left="430" height="22"/>
    <components path="recget\sdamod\dadsnd" width="106" left="328" top="3" height="22"/>
    <components path="trn\inr" width="53" left="358" height="22"/>
    <components path="trn\objnam" width="266" left="451" height="22"/>
    <components path="atpget\atp\cod" width="40" left="108" top="36" height="22"/>
    <components path="atpget\sdamod\dadsnd" width="106" left="192" top="34" height="22"/>
    <components path="atpget\sdamod\seainf" width="20" left="168" top="36" height="22"/>
    <components path="atp\cod" width="40" enabled="false" left="240" top="36" height="22"/>
    <components path="det" viewType="Button" width="66" text="CF000130" left="650"
        top="32" height="22"/>
    <components path="trn\reloricur" width="20" left="108" top="64" height="22"/>
    <components path="trn\reloriamt" viewType="Amount" width="120" left="164" top="64"
        height="22"/>
    <components path="trn\relflg" viewType="Combobox" width="75" left="540" top="64"
        height="22"/>
    <components path="trn\usr" width="53" left="108" top="92" height="22"/>
    <components path="trn\usg" width="40" left="250" top="92" height="22"/>
    <components path="trn\relreq" width="20" left="540" top="92" height="22"/>
    <components path="trn\relres" width="20" left="582" top="92" height="22"/>
    <components path="trn\cortrninr" width="53" left="108" top="120" height="22"/>
    <components path="trn\exedat" viewType="Date" width="80" left="250" top="120"
        height="22"/>
    <components path="inc" viewType="Button" width="106" text="CF000135" top="212"
        height="22"/>
    <components path="butord" viewType="Button" width="106" text="CF000204" top="240"
        height="22"/>
    <components path="butspt" viewType="Button" width="106" text="CF000201" top="278"
        height="22"/>
    <components path="smhstm" width="603" left="108" top="192" height="127"/>
    <components path="trn\inftxt" viewType="Block" width="433" left="108" top="326"
        height="48"/>
    <components path="trn\infdsp" viewType="Combobox" width="75" left="552" top="326"
        height="22"/>
    <components path="usrget\usr\extkey" width="53" left="620" top="368" height="22"/>
    <components path="usrget\sdamod\seainf" width="20" left="692" top="368" height="22"/>
    <components path="trsstm" width="472" left="108" top="402" height="120"/>
    <components path="syswrn\butshw" viewType="Button" width="66" text="CF000136"
        left="650" top="56" height="22"/>
    <components path="con" width="20" left="228" height="22"/>
    <components path="notmap" viewType="Button" width="66" text="CF000198" left="650"
        top="80" height="22"/>
    <components path="cretrs\usr" width="53" enabled="false" left="108" top="148"
        height="22"/>
    <components path="cretrs\dattim" enabled="false" left="250" top="148" height="22"/>
    <components path="inftxt\buttxmsel" viewType="Button" width="20" text="CF000229"
        left="522" top="328" height="22"/>
    <components viewType="Label" text="SF000138" top="326" height="22"/>
    <components viewType="Label" text="SF000139" height="22"/>
    <components viewType="Label" text="SF000140" top="92" height="22"/>
    <components viewType="Label" text="SF000141" top="36" height="22"/>
    <components viewType="Label" text="SF000142" top="64" height="22"/>
    <components viewType="Label" text="SF000143" left="368" top="92" height="22"/>
    <components viewType="Label" text="SF000144" left="577" top="92" height="22"/>
    <components viewType="Label" text="SF000145" top="192" height="22"/>
    <components viewType="Label" text="SF000146" left="368" top="64" height="22"/>
    <components viewType="Label" text="SF000148" left="521" top="368" height="22"/>
    <components viewType="Label" text="SF000149" left="180" top="92" height="22"/>
    <components viewType="Label" text="SF000182" left="269" height="22"/>
    <components viewType="Label" text="SF000221" top="120" height="22"/>
    <components viewType="Label" text="SF000223" top="402" height="22"/>
    <components viewType="Label" text="SF000224" top="148" height="22"/>
    <components viewType="Label" text="SF000225" left="180" top="120" height="22"/>
    <components viewType="Label" text="SF000228" left="180" top="148" height="22"/>
    <components path="entryamt" viewType="Label" width="13" enabled="false" left="671"
        top="402" height="22"/>
    <components path="tlc" viewType="Button" width="66" text="CG000250" left="650"
        top="152" height="22"/>
    <components path="sysflg" viewType="Label" enabled="false" left="585" top="402"
        height="22"/>
  </panels>
  <panels name="gltrnps" description="PD000081" width="788" height="528" popup="true">
    <components path="trnpgle" viewType="Composite" width="650" top="0" height="250"/>
    <components path="trnponl" viewType="Composite" width="650" top="248" height="190"/>
    <components path="butprtgle" viewType="Button" width="66" text="CG000231" left="588"
        top="468" height="22"/>
  </panels>
  <panels name="trnpgle" description="PD000112" width="650" height="250" transient="true"
      visible="false" popup="true">
    <components path="glestm" width="624" enabled="false" left="12" top="12" height="212"/>
  </panels>
  <panels name="trnponl" description="PD000120" width="650" height="190" transient="true"
      visible="false" popup="true">
    <components path="transcode" width="33" left="120" height="22"/>
    <components path="amt" width="66" left="120" top="36" height="22"/>
    <components path="pinno" width="40" left="324" top="36" height="22"/>
    <components path="userid" width="40" left="324" height="22"/>
    <components path="acttyp" width="13" left="488" height="22"/>
    <components path="accno" width="126" left="488" top="36" height="22"/>
    <components path="rescode" width="266" left="120" top="64" height="22"/>
    <components viewType="Label" text="SF000157" left="12" height="22"/>
    <components viewType="Label" text="SF000158" left="12" top="36" height="22"/>
    <components viewType="Label" text="SF000159" left="280" top="36" height="22"/>
    <components viewType="Label" text="SF000160" left="278" height="22"/>
    <components viewType="Label" text="SF000161" left="404" height="22"/>
    <components viewType="Label" text="SF000162" left="404" top="36" height="22"/>
    <components viewType="Label" text="SF000163" left="12" top="64" height="22"/>
  </panels>
  <panels name="trnpwfm" description="PD000128" width="788" height="528">
    <components path="wfmmod\wfs\objnam" width="266" enabled="false" left="444" height="22"/>
    <components path="wfmmod\wfs\objtyp" viewType="Combobox" width="75" enabled="false"
        left="58" height="22"/>
    <components path="wfmmod\wfs\objinr" width="53" enabled="false" left="132" height="22"/>
    <components path="wfestm" width="699" top="43" height="471"/>
    <components viewType="Label" text="S0000015" left="364" height="22"/>
    <components viewType="Label" text="S0000016" height="22"/>
  </panels>
  <panels name="trnpevt" description="PD000164" width="788" height="528" enabled="false">
    <components path="trn\ownref" width="133" left="108" height="22"/>
    <components path="trn\inr" width="53" left="640" height="22"/>
    <components path="evthisstm" width="700" top="56" height="260"/>
    <components path="evtstm" width="700" top="334" height="188"/>
    <components viewType="Label" text="S0000165" height="22"/>
    <components viewType="Label" text="S0000166" left="332" height="22"/>
    <components viewType="Label" text="SF000167" top="38" height="22"/>
    <components viewType="Label" text="S0000205" top="316" height="22"/>
  </panels>
  <panels name="trnpack" description="PD000168" width="788" height="528" enabled="false">
    <components path="trn\ownref" width="133" left="108" height="22"/>
    <components path="trn\objnam" width="266" left="236" height="22"/>
    <components path="trn\inr" width="53" enabled="false" left="645" height="22"/>
    <components path="ackstm" width="700" enabled="false" top="36" height="480"/>
    <components viewType="Label" text="S0000184" height="22"/>
    <components viewType="Label" text="S0000185" left="551" height="22"/>
  </panels>
  <panels name="trnptro" description="PD000193" width="788" height="528" enabled="false">
    <components path="trn\ownref" width="133" enabled="false" left="108" height="22"/>
    <components path="trn\objnam" width="266" enabled="false" left="236" height="22"/>
    <components path="trn\inr" width="53" enabled="false" left="645" height="22"/>
    <components path="trostm" width="704" enabled="false" top="68" height="444"/>
    <components viewType="Label" text="S0000194" height="22"/>
    <components viewType="Label" text="S0000195" left="543" height="22"/>
    <components viewType="Label" text="SF000196" top="50" height="22"/>
  </panels>
  <panels name="wfmp0" description="PD000002" width="718" height="528" transient="true"
      visible="false">
    <components viewType="Label" text="S0000015" left="364" height="22"/>
    <components viewType="Label" text="S0000016" height="22"/>
  </panels>
  <panels name="prtgle" description="PD000230" width="800" height="600">
    <components path="prtgleblk" viewType="Block" widthUnit="%" left="0" top="0" height="100"
        heightUnit="%"/>
  </panels>
  <panels name="telep" description="PD000249" width="600" height="300" visible="false"
      popup="true">
    <components path="tlctxt" width="6" required="true" top="33" height="22"/>
    <components path="cntxt" width="6" required="true" left="356" top="36" height="22"/>
    <components path="cntotlc" viewType="Button" width="106" text="CG000251" left="252"
        top="104" height="22"/>
    <components path="tlctocn" viewType="Button" width="106" text="CG000252" left="252"
        top="48" height="22"/>
    <components viewType="Label" text="SG000253" height="22"/>
    <components viewType="Label" text="SG000254" left="356" height="22"/>
  </panels>
  <panels name="prtpan" description="PD000129" width="800" height="600">
    <components path="prtpanblk" viewType="Block" widthUnit="%" left="0" top="0" height="100"
        heightUnit="%"/>
  </panels>
  <globalMethods name="setStreamfieldforTrs" codeText="@0083" moduleName="trnp"/>
  <localMethods name="loadWarnings" type="local" codeText="@0012" moduleName="trnp"/>
  <localMethods name="defaultTRNP" type="local" codeText="@0018" moduleName="trnp"/>
  <localMethods name="enablePanels" type="local" codeText="@0019" moduleName="trnp"/>
  <localMethods name="readAndFormatTro" type="local" codeText="@0032" moduleName="trnp"/>
  <localMethods name="troAddline" type="local" codeText="@0033" moduleName="trnp"/>
  <localMethods name="troAddTro" type="local" codeText="@0034" moduleName="trnp"/>
  <localMethods name="troSTMGetActualINR" type="local" codeText="@0035" moduleName="trnp"/>
  <localMethods name="fillWFESTM" type="local" codeText="@0038" moduleName="trnp"/>
  <localMethods name="setWFMSTMLine" type="local" codeText="@0039" moduleName="trnp"/>
  <localMethods name="trnPSetRecRPRUSR" type="local" codeText="@0041" moduleName="trnp"/>
  <localMethods name="loadTRS" type="local" codeText="@0054" moduleName="trnp"/>
  <localMethods name="setTRSValues" type="local" codeText="@0055" moduleName="trnp"/>
  <localMethods name="loadTRSSTM" type="local" codeText="@0056" moduleName="trnp"/>
  <localMethods name="trsStmInsert" type="local" codeText="@0057" moduleName="trnp"/>
  <localMethods name="getTrsUsrForSig" type="local" codeText="@0058" moduleName="trnp"/>
  <localMethods name="sigCheckUserAllowed" type="local" codeText="@0060" moduleName="trnp"/>
  <localMethods name="trnPSetRecATP" type="local" codeText="@0062" moduleName="trnp"/>
  <localMethods name="cfgTRSSTM" type="local" codeText="@0063" moduleName="trnp"/>
  <localMethods name="defaultTrsStmPostProcessing" type="local" codeText="@0064" moduleName="trnp"/>
  <localMethods name="getSigText" type="local" codeText="@0065" moduleName="trnp"/>
  <localMethods name="expStreamDat" type="local" codeText="@0075" moduleName="trnp"/>
  <localMethods name="getGridDIS" type="local" codeText="@0076" moduleName="trnp"/>
  <localMethods name="isFunctionField" type="local" codeText="@0077" moduleName="trnp"/>
  <localMethods name="isCodeTableField" type="local" codeText="@0078" moduleName="trnp"/>
  <localMethods name="replaceSEP" type="local" codeText="@0079" moduleName="trnp"/>
  <localMethods name="fmtexpdata" type="local" codeText="@0080" moduleName="trnp"/>
  <initRules name="\" type="init" codeText="@0006" order="1000" moduleName="trnp"/>
  <initRules name="\" type="init" codeText="@0025" order="800" moduleName="trnp"/>
  <initRules name="\" type="init" codeText="@0051" order="1050" moduleName="trnp"/>
  <defaultRules name="trnp0" type="default" codeText="@0000" order="1000" moduleName="trnp"/>
  <defaultRules name="trnpgle" type="default" codeText="@0003" order="1000" moduleName="trnp"/>
  <defaultRules name="trnponl" type="default" codeText="@0004" order="1000" moduleName="trnp"/>
  <defaultRules name="det" type="default" codeText="@0005" order="1000" moduleName="trnp"/>
  <defaultRules name="trn\infdsp" type="default" codeText="@0007" order="1000" moduleName="trnp"/>
  <defaultRules name="trn\inftxt" type="default" codeText="@0008" order="1000" moduleName="trnp"/>
  <defaultRules name="inc" type="default" codeText="@0009" order="1000" moduleName="trnp"/>
  <defaultRules name="syswrn\butshw" type="default" codeText="@0011" order="10000"
      moduleName="trnp"/>
  <defaultRules name="ackstm" type="default" codeText="@0014" order="1000" moduleName="trnp"/>
  <defaultRules name="cpltxt" type="default" codeText="@0015" order="1000" moduleName="trnp"/>
  <defaultRules name="evthis" type="default" codeText="@0016" order="1000" moduleName="trnp">
    <paths>evthisstm</paths>
    <paths>evtstm</paths>
  </defaultRules>
  <defaultRules name="trnpevt" type="default" codeText="@0017" order="1000" moduleName="trnp"/>
  <defaultRules name="trnpwfm" type="default" codeText="@0020" order="1000" moduleName="trnp"/>
  <defaultRules name="wfmmod" type="default" codeText="@0021" order="1000" moduleName="trnp"/>
  <defaultRules name="trnpack" type="default" codeText="@0022" order="1000" moduleName="trnp"/>
  <defaultRules name="gltrnps" type="default" codeText="@0023" order="1000" moduleName="trnp"/>
  <defaultRules name="con" type="default" codeText="@0026" order="1000" moduleName="trnp"/>
  <defaultRules name="trn\infdsp" type="default" codeText="@0027" order="3000" moduleName="trnp"/>
  <defaultRules name="glestm" type="default" codeText="@0028" order="1000" moduleName="trnp"/>
  <defaultRules name="troflg" type="default" codeText="@0029" order="1000" moduleName="trnp"/>
  <defaultRules name="trnptro" type="default" codeText="@0030" order="1000" moduleName="trnp"/>
  <defaultRules name="usr\extkey" type="default" codeText="@0036" order="900" moduleName="trnp"/>
  <defaultRules name="usrget\dissel" type="default" codeText="@0042" order="1000"
      moduleName="trnp"/>
  <defaultRules name="atpget\dissel" type="default" codeText="@0043" order="1000"
      moduleName="trnp"/>
  <defaultRules name="recget\dissel" type="default" codeText="@0044" order="1000"
      moduleName="trnp"/>
  <defaultRules name="butspt" type="default" codeText="@0045" order="1000" moduleName="trnp"/>
  <defaultRules name="sptp\pansta" type="default" codeText="@0048" order="1000" moduleName="trnp"/>
  <defaultRules name="butord" type="default" codeText="@0049" order="1000" moduleName="trnp"/>
  <defaultRules name="ord" type="default" codeText="@0052" order="1000" moduleName="trnp"/>
  <defaultRules name="ordp0\pansta" type="default" codeText="@0053" order="1000" moduleName="trnp"/>
  <defaultRules name="rprflg" type="default" codeText="@0059" order="1000" moduleName="trnp"/>
  <defaultRules name="defaultATP" type="default" codeText="@0061" order="1000" moduleName="trnp">
    <paths>trn\inifrm</paths>
    <paths>atpget\atp\cod</paths>
  </defaultRules>
  <defaultRules name="cacrow" type="default" codeText="@0068" order="1000" moduleName="trnp"/>
  <defaultRules name="shwdeb" type="default" codeText="@0081" order="1000" moduleName="trnp"/>
  <defaultRules name="smssnd" type="default" codeText="@0082" order="1000" moduleName="trnp"/>
  <defaultRules name="sysflg" type="default" codeText="@0084" order="1000" moduleName="trnp"/>
  <eventRules name="det" type="event" codeText="@0001" order="1000" moduleName="trnp"/>
  <eventRules name="smhstm" type="event" codeText="@0002" order="1000" moduleName="trnp"/>
  <eventRules name="inc" type="event" codeText="@0010" order="1000" moduleName="trnp"/>
  <eventRules name="trn\inr" type="event" codeText="@0013" order="1100" moduleName="trnp"/>
  <eventRules name="con" type="event" codeText="@0024" order="1000" moduleName="trnp"/>
  <eventRules name="trnptro" type="event" codeText="@0031" order="1000" moduleName="trnp"/>
  <eventRules name="trnpwfm" type="event" codeText="@0037" order="1000" moduleName="trnp"/>
  <eventRules name="notmap" type="event" codeText="@0040" order="1000" moduleName="trnp"/>
  <eventRules name="butspt" type="event" codeText="@0046" order="1000" moduleName="trnp"/>
  <eventRules name="ackstm" type="event" codeText="@0047" order="1000" moduleName="trnp"/>
  <eventRules name="butord" type="event" codeText="@0050" order="1000" moduleName="trnp"/>
  <eventRules name="wfestm" type="event" codeText="@0066" order="1100" moduleName="trnp"/>
  <eventRules name="cacrow" type="event" codeText="@0067" order="1000" moduleName="trnp"/>
  <eventRules name="prtgle" type="event" eventType="onPanelShow" codeText="@0069"
      moduleName="trnp"/>
  <eventRules name="butprtgle" type="event" codeText="@0070" order="1000" moduleName="trnp"/>
  <eventRules name="trnpwfm" type="event" codeText="@0071" order="1200" moduleName="trnp"/>
  <eventRules name="tlc" type="event" codeText="@0072" order="1000" moduleName="trnp"/>
  <eventRules name="cntotlc" type="event" codeText="@0073" order="1000" moduleName="trnp"/>
  <eventRules name="tlctocn" type="event" codeText="@0074" order="1000" moduleName="trnp"/>
</eibs:Module>
