<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="txsmod" table="txsmod" title="Textmodule Selection with Multiselect"
    transient="true" i18nSequence="29" ruleSequence="30">
  <datafields name="uil" column="uil" description="Language" viewtype="Combobox" length="2"
      lineOrDecimalSize="1"/>
  <datafields name="tarfldnam" column="tarfldnam" description="Target Field" length="80"
      lineOrDecimalSize="1"/>
  <datafields name="issmodpth" column="issmodpth" description="Issuing Module Instance"
      length="80" lineOrDecimalSize="1"/>
  <datafields name="tarfldtyp" column="tarfldtyp" description="Target Field Type"
      datatype="numeric" length="1"/>
  <datafields name="cls" column="cls" description="Close" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="use" column="use" description="Take" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="sel" column="sel" description="Select" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="txmgrp" column="txmgrp" description="Group" lineOrDecimalSize="1"/>
  <datafields name="txmsea" column="txmsea" description="Seach specific modules" lineOrDecimalSize="1"/>
  <datafields name="txmbasgrp" column="txmbasgrp" description="Basemodule for fieldreferences"
      length="80" lineOrDecimalSize="1"/>
  <datafields name="olduil" column="olduil" description="Old UIL to Detect Changes"
      length="2" lineOrDecimalSize="1"/>
  <datafields name="remcnt" column="remcnt" description="Remaining Available Number of Lines"
      datatype="numeric" length="4"/>
  <datafields name="inspos" column="inspos" description="Insert Position" datatype="numeric"
      length="9"/>
  <datafields name="inslen" column="inslen" description="Replace Lenght" datatype="numeric"
      length="4"/>
  <datafields name="txsgrdviscnt" column="txsgrdviscnt" description="Number of Visible Gridlines"
      datatype="numeric" length="4"/>
  <datafields name="txmdisblkfilflg" column="txmdisblkfilflg" description="Disable Blockfill for Targetfield"
      viewtype="Checkbox" length="1" lineOrDecimalSize="1"/>
  <modules name="txsgrd" type="txsgrd" list="true" pageSize="1" initSize="15"/>
  <modules name="txm" type="txm"/>
  <panels name="txspan" description="PD000002" width="594" height="514" visible="false"
      popup="true">
    <components path="uil" viewType="Combobox" width="75" left="72" top="484" height="22"/>
    <components path="sel" viewType="Button" width="66" text="CF000011" left="408"
        top="488" height="22"/>
    <components path="use" viewType="Button" width="66" text="CF000010" left="408"
        top="488" height="22"/>
    <components path="cls" viewType="Button" width="66" text="CF000009" left="524"
        top="488" height="22"/>
    <components viewType="Label" text="SF000008" top="484" height="22"/>
  </panels>
  <globalMethods name="txsIniCheckGrp" codeText="@0012" moduleName="txsmod"/>
  <localMethods name="txsSetupArgs" type="local" codeText="@0000" moduleName="txsmod"/>
  <localMethods name="txsHandleSea" type="local" codeText="@0001" moduleName="txsmod"/>
  <localMethods name="txsGetTxmTxt" type="local" codeText="@0004" moduleName="txsmod"/>
  <localMethods name="getblockkey" type="local" codeText="@0005" moduleName="txsmod"/>
  <localMethods name="textinsert" type="local" codeText="@0006" moduleName="txsmod"/>
  <localMethods name="getTxmFitToSize" type="local" codeText="@0007" moduleName="txsmod"/>
  <localMethods name="getFldVal" type="local" codeText="@0008" moduleName="txsmod"/>
  <localMethods name="txsCheckFld" type="local" codeText="@0009" moduleName="txsmod"/>
  <localMethods name="isUilUnused" type="local" codeText="@0010" moduleName="txsmod"/>
  <localMethods name="setUilUsed" type="local" codeText="@0011" moduleName="txsmod"/>
  <localMethods name="loadTxmGrid" type="local" codeText="@0014" moduleName="txsmod"/>
  <localMethods name="insertFldVal" type="local" codeText="@0015" moduleName="txsmod"/>
  <localMethods name="finalProcessSelection" type="local" codeText="@0020" moduleName="txsmod"/>
  <localMethods name="txsHandleFieldEvent" type="local" codeText="@0021" moduleName="txsmod"/>
  <localMethods name="getBlockFillBase" type="local" codeText="@0022" moduleName="txsmod"/>
  <localMethods name="txsHandleBlockFill" type="local" codeText="@0023" moduleName="txsmod"/>
  <localMethods name="txsCleanupLocalData" type="local" codeText="@0024" moduleName="txsmod"/>
  <localMethods name="setTxmGridLine" type="local" codeText="@0025" moduleName="txsmod"/>
  <localMethods name="createSelectSql" type="local" codeText="@0026" moduleName="txsmod"/>
  <localMethods name="addOrderClause" type="local" codeText="@0027" moduleName="txsmod"/>
  <localMethods name="getTxmRefChr" type="local" codeText="@0028" moduleName="txsmod"/>
  <localMethods name="addFieldList" type="local" codeText="@0029" moduleName="txsmod"/>
  <initRules name="\" type="init" codeText="@0016" order="1000" moduleName="txsmod"/>
  <defaultRules name="olduil" type="default" codeText="@0017" order="1000" moduleName="txsmod"/>
  <defaultRules name="buttons" type="default" codeText="@0019" order="1000" moduleName="txsmod">
    <paths>use</paths>
    <paths>sel</paths>
  </defaultRules>
  <eventRules name="cls" type="event" codeText="@0002" order="1000" moduleName="txsmod"/>
  <eventRules name="use" type="event" codeText="@0003" order="1000" moduleName="txsmod"/>
  <eventRules name="uil" type="event" codeText="@0013" order="1000" moduleName="txsmod"/>
  <eventRules name="sel" type="event" codeText="@0018" order="1000" moduleName="txsmod"/>
</eibs:Module>
