<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="usfmod" table="usfmod" title="USFMOD - User Filter support module"
    transient="true" i18nSequence="43" ruleSequence="21">
  <datafields name="flt" column="flt" description="Filter" viewtype="Combobox" length="6"
      lineOrDecimalSize="1" codetable="flt"/>
  <datafields name="shwflt" column="shwflt" description="Show  Filter" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butcls" column="butcls" description="Close" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="wrntxt" column="wrntxt" description="Warning" viewtype="Label"
      length="80" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="labtxt" column="labtxt" description="Text of Label" viewtype="Label"
      length="20" lineOrDecimalSize="1" access="readonly"/>
  <datafields name="usftxt" column="usftxt" description="Text of Selection Text" viewtype="Label"
      length="20" lineOrDecimalSize="1"/>
  <datafields name="selusr" column="selusr" description="Selected User" viewtype="Combobox"
      lineOrDecimalSize="1" viewlines="20"/>
  <datafields name="selusg" column="selusg" description="Selected User Group" viewtype="Combobox"
      length="6" lineOrDecimalSize="1" viewlines="20"/>
  <datafields name="selusgset" column="selusgset" description="Selected User Group Set"
      viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="20"/>
  <datafields name="usfusrstm" column="usfusrstm" description="Stream - Set of Users for Filter"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="usfusgstm" column="usfusgstm" description="Stream - Set of User Groups for Filter"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="selusb" column="selusb" description="Select user branch" lineOrDecimalSize="1"/>
  <modules name="usf" type="usf"/>
  <modules name="usr" type="usr"/>
  <modules name="usg" type="usg"/>
  <modules name="usrget" type="usrget">
    <arguments name="usr" value="usr"/>
    <arguments name="getaddsub" value="!..\\.USFSetRecSelUser"/>
  </modules>
  <modules name="usfusg" type="usfusg" list="true" pageSize="1"/>
  <modules name="usfusr" type="usfusr" list="true" pageSize="1"/>
  <panels name="shwp" description="PD000011" width="408" height="320" visible="false"
      enabled="false" popup="true">
    <components path="wrntxt" viewType="Label" width="533" enabled="false" required="true"
        top="296" height="22"/>
    <components path="usfusrstm" width="200" left="4" top="24" height="264"/>
    <components path="usfusgstm" width="200" left="204" top="24" height="264"/>
    <components path="butcls" viewType="Button" width="66" text="CF000042" left="344"
        top="296" height="22"/>
    <components viewType="Label" text="SF000023" top="4" height="22"/>
    <components viewType="Label" text="SF000024" left="208" top="4" height="22"/>
  </panels>
  <panels name="fltp" description="PD000031" width="350" height="46" transient="true">
    <components path="labtxt" viewType="Label" width="133" left="0" top="24" height="22"/>
    <components path="usftxt" viewType="Label" width="133" enabled="false" left="0"
        top="0" height="22"/>
    <components path="flt" viewType="Combobox" width="75" left="125" top="0" height="22"/>
    <components path="shwflt" viewType="Button" width="66" text="CF000033" left="280"
        top="0" height="22"/>
    <components path="selusg" viewType="Combobox" width="75" left="125" top="24" height="22"/>
    <components path="selusgset" viewType="Combobox" width="75" left="124" top="24"
        height="22"/>
    <components path="usrget\usr\extkey" width="53" left="124" top="24" height="22"/>
    <components path="usrget\sdamod\seainf" width="20" left="200" top="24" height="22"/>
    <components path="selusb" viewType="Combobox" width="75" left="126" top="24" height="22"/>
  </panels>
  <localMethods name="getFltSql" type="local" codeText="@0000" moduleName="usfmod"/>
  <localMethods name="getFltFldSql" type="local" codeText="@0001" moduleName="usfmod"/>
  <localMethods name="getFltSvsFlds" type="local" codeText="@0005" moduleName="usfmod"/>
  <localMethods name="getUsfSet" type="local" codeText="@0006" moduleName="usfmod"/>
  <localMethods name="getFltText" type="local" codeText="@0008" moduleName="usfmod"/>
  <localMethods name="usfSetRecSelUser" type="local" codeText="@0010" moduleName="usfmod"/>
  <localMethods name="getFltSelVal" type="local" codeText="@0011" moduleName="usfmod"/>
  <localMethods name="setFlt" type="local" codeText="@0012" moduleName="usfmod"/>
  <localMethods name="getUsfRec" type="local" codeText="@0013" moduleName="usfmod"/>
  <localMethods name="registerSvsSavAddFldUsfMod" type="local" codeText="@0015" moduleName="usfmod"/>
  <localMethods name="handleSvsLodAddFldUsfMod" type="local" codeText="@0016" moduleName="usfmod"/>
  <localMethods name="setvalueforbch" type="local" codeText="@0019" moduleName="usfmod"/>
  <localMethods name="getFltIniusrSql" type="local" codeText="@0020" moduleName="usfmod"/>
  <initRules name="\" type="init" codeText="@0007" order="1000" moduleName="usfmod"/>
  <initRules name="\" type="init" codeText="@0018" order="800" moduleName="usfmod"/>
  <defaultRules name="shwflt" type="default" codeText="@0002" order="1000" moduleName="usfmod"/>
  <defaultRules name="labtxt" type="default" codeText="@0004" order="1000" moduleName="usfmod"/>
  <defaultRules name="flt" type="default" codeText="@0009" order="1200" moduleName="usfmod"/>
  <defaultRules name="defaultUser" type="default" codeText="@0017" order="1000" moduleName="usfmod">
    <paths>selusr</paths>
    <paths>usrget\usr\extkey</paths>
  </defaultRules>
  <eventRules name="shwflt" type="event" codeText="@0003" order="1000" moduleName="usfmod"/>
  <eventRules name="butcls" type="event" codeText="@0014" order="1000" moduleName="usfmod"/>
</eibs:Module>
