<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="xrtmod" table="xrtmod" title="Exchangerate calculation functions" i18nSequence="8" ruleSequence="47" transient="true">
<datafields comments="" name="sysisocac" column="sysisocac" description="cached systemcurreny" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bascurcac" column="bascurcac" description="cached rate base currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="currndinf" column="currndinf" description="Currencies from TDPARA.INI used in AmtRound" datatype="stream" viewtype="Block" length="5" lineOrDecimalSize="50" access="private" />
<datafields comments="" name="syscal" column="syscal" description="Calendar from TDPARA" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrt2inflg" column="xrt2inflg" description="Rates of old currencies are defined releative to O-ld or N-ew currency" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrtratdir" column="xrtratdir" description="Direction of rate logic 1: Price notation; -1 invers like for EUR" datatype="numeric" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="rattyp" column="rattyp" description="Ratetypes supported" codetable="rattyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="amtRnd" codeText="@0000" moduleName="xrtmod"/>
<localMethods type="local" name="sysiso" codeText="@0001" moduleName="xrtmod"/>
<localMethods type="local" name="amtViaSysCnv" codeText="@0002" moduleName="xrtmod"/>
<localMethods type="local" name="getXrt" codeText="@0003" moduleName="xrtmod"/>
<localMethods type="local" name="getcur" codeText="@0004" moduleName="xrtmod"/>
<initRules name="\" type="init" codeText="@0005" order="1000" moduleName="xrtmod" />
<localMethods type="local" name="basRatCur" codeText="@0006" moduleName="xrtmod"/>
<localMethods type="local" name="sysCurEqu" codeText="@0007" moduleName="xrtmod"/>
<localMethods type="local" name="basCurEqu" codeText="@0008" moduleName="xrtmod"/>
<localMethods type="local" name="validCurrencies" codeText="@0009" moduleName="xrtmod"/>
<localMethods type="local" name="calendar" codeText="@0010" moduleName="xrtmod"/>
<localMethods type="local" name="getCurbas" codeText="@0011" moduleName="xrtmod"/>
<localMethods type="local" name="getCurSqrMar" codeText="@0012" moduleName="xrtmod"/>
<localMethods type="local" name="getCurNewCur" codeText="@0013" moduleName="xrtmod"/>
<localMethods type="local" name="amtConvRates" codeText="@0014" moduleName="xrtmod"/>
<localMethods type="local" name="xrtCheckInIn" codeText="@0015" moduleName="xrtmod"/>
<localMethods type="local" name="getCurGlbRat" codeText="@0016" moduleName="xrtmod"/>
<localMethods type="local" name="getRateXrt" codeText="@0017" moduleName="xrtmod"/>
<localMethods type="local" name="getCurRNDUNT" codeText="@0018" moduleName="xrtmod"/>
<localMethods type="local" name="amtConvTypes" codeText="@0019" moduleName="xrtmod"/>
<localMethods type="local" name="amtConvTypesWithCrossrate" codeText="@0020" moduleName="xrtmod"/>
<localMethods type="local" name="getrat" codeText="@0021" moduleName="xrtmod"/>
<localMethods type="local" name="xrtCrossRateDirFlg" codeText="@0022" moduleName="xrtmod"/>
<localMethods type="local" name="getCurAltCod" codeText="@0023" moduleName="xrtmod"/>
<localMethods type="local" name="getCurDEC" codeText="@0024" moduleName="xrtmod"/>
<localMethods type="local" name="crossRatebas" codeText="@0025" moduleName="xrtmod"/>
<localMethods type="local" name="getCurMaxAmt" codeText="@0026" moduleName="xrtmod"/>
<localMethods type="local" name="getCurDif" codeText="@0027" moduleName="xrtmod"/>
<localMethods type="local" name="xrtCheckRate" codeText="@0028" moduleName="xrtmod"/>
<localMethods type="local" name="updateTdparaCurTable" codeText="@0029" moduleName="xrtmod"/>
<localMethods type="local" name="getCurAct" codeText="@0030" moduleName="xrtmod"/>
<localMethods type="local" name="getCurCat" codeText="@0031" moduleName="xrtmod"/>
<localMethods type="local" name="amtRndUnt" codeText="@0032" moduleName="xrtmod"/>
<localMethods type="local" name="xrtGetValidRateTypes" codeText="@0033" moduleName="xrtmod"/>
<localMethods type="local" name="loadCacCur" codeText="@0034" moduleName="xrtmod"/>
<localMethods type="local" name="xrtResetCache" codeText="@0035" moduleName="xrtmod"/>
<localMethods type="local" name="xrtInitCacheVar" codeText="@0036" moduleName="xrtmod"/>
<localMethods type="local" name="isCurrencyValid" codeText="@0037" moduleName="xrtmod"/>
<modules name="xrt" type="xrt" >
</modules>
<modules name="etg" type="etg" >
</modules>
<modules name="cur" type="cur" >
</modules>
<modules name="wrkcur" type="cur" >
</modules>
<modules name="caccur" type="cur" >
</modules>
<localMethods type="local" name="getRateXrtWithResRates" codeText="@0038" moduleName="xrtmod"/>
<localMethods type="local" name="isCurrentXrtAvailable" codeText="@0039" moduleName="xrtmod"/>
<localMethods type="local" name="getCurSQL_where" codeText="@0040" moduleName="xrtmod"/>
<localMethods type="local" name="getCurSQL_order" codeText="@0041" moduleName="xrtmod"/>
<localMethods type="local" name="getratCeb" codeText="@0042" moduleName="xrtmod"/>
<localMethods type="local" name="getratCebTim" codeText="@0043" moduleName="xrtmod"/>
<localMethods type="local" name="amtViaCebRat" codeText="@0044" moduleName="xrtmod"/>
<localMethods type="local" name="amtcnv" codeText="@0045" moduleName="xrtmod"/>
<localMethods type="local" name="amtCay" codeText="@0046" moduleName="xrtmod"/>
</eibs:Module>
