<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="aammod" table="aammod" title="Transaction support functions for additional amount"
    transient="true" i18nSequence="7" ruleSequence="12">
  <datafields name="addamtcov" column="addamtcov" description="Additional Amount covered"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4"
      argument="true"/>
  <datafields name="addamtflg" column="addamtflg" description="Add. Amount" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1" codetable="addamtflg"/>
  <modules name="grp" type="module" argument="true"/>
  <modules name="max" type="cbb" argument="true"/>
  <modules name="opn1" type="cbb" argument="true"/>
  <modules name="max2" type="cbb" argument="true"/>
  <modules name="opn2" type="cbb" argument="true"/>
  <modules name="wrkcbe" type="cbe"/>
  <modules name="wrkcbb" type="cbb"/>
  <panels name="aamdrwp" description="PD000003" width="200" height="50" transient="true"
      visible="false">
    <components path="opn2\cur" viewType="Combobox" width="75" enabled="false" left="0"
        top="20" height="22"/>
    <components path="max2\amt" viewType="Amount" width="120" left="52" top="20" height="22"/>
    <components viewType="Label" text="S0000004" left="0" top="0" height="22"/>
  </panels>
  <panels name="aamsubp" description="PD000005" width="320" height="24" transient="true"
      visible="false" enabled="false">
    <components path="opn2\cur" viewType="Combobox" width="75" enabled="false" left="124"
        top="0" height="22"/>
    <components path="max2\amt" viewType="Amount" width="120" left="176" top="0" height="22"/>
    <components viewType="Label" text="S0000006" left="0" top="0" height="22"/>
  </panels>
  <localMethods name="internalGetOldMaxaam" type="local" codeText="@0003" moduleName="aammod"/>
  <localMethods name="isOldGrpAvailable" type="local" codeText="@0004" moduleName="aammod"/>
  <localMethods name="getOldGrpPath" type="local" codeText="@0005" moduleName="aammod"/>
  <localMethods name="internalGetOldOpnaam" type="local" codeText="@0007" moduleName="aammod"/>
  <localMethods name="aamCbssav" type="local" codeText="@0008" moduleName="aammod"/>
  <localMethods name="getOpnTotAmt" type="local" codeText="@0009" moduleName="aammod"/>
  <localMethods name="aamCbssavAddGrp" type="local" codeText="@0010" moduleName="aammod"/>
  <localMethods name="curchange" type="local" codeText="@0011" moduleName="aammod"/>
  <defaultRules name="max2\cur" type="default" codeText="@0000" order="2000" moduleName="aammod"/>
  <defaultRules name="opn2\cur" type="default" codeText="@0001" order="2000" moduleName="aammod"/>
  <defaultRules name="addamtflg" type="default" codeText="@0002" order="900" moduleName="aammod"/>
  <defaultRules name="opn2\amt" type="default" codeText="@0006" order="1000" moduleName="aammod"/>
</eibs:Module>
