<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="aamp" table="aamp" title="Additional Amount Panel " transient="true"
    i18nSequence="10" ruleSequence="6">
  <datafields name="addamtcov" column="addamtcov" description="Additional Amount covered"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4"
      argument="true"/>
  <datafields name="pansta" column="pansta" description="Panel status" length="1"
      lineOrDecimalSize="1" argument="true"/>
  <modules name="grp" type="module" argument="true"/>
  <modules name="max" type="cbb" argument="true"/>
  <modules name="opn1" type="cbb" argument="true"/>
  <modules name="max2" type="cbb" argument="true"/>
  <modules name="opn2" type="cbb" argument="true"/>
  <modules name="aammod" type="aammod">
    <arguments name="grp" value="grp"/>
    <arguments name="max" value="max"/>
    <arguments name="opn1" value="opn1"/>
    <arguments name="max2" value="max2"/>
    <arguments name="opn2" value="opn2"/>
    <arguments name="addamtcov" value="addamtcov"/>
  </modules>
  <panels name="aamp" description="PD000001" width="788" height="528">
    <components path="aammod\max2\cur" viewType="Combobox" width="75" enabled="false"
        left="132" height="22"/>
    <components path="aammod\max2\amt" viewType="Amount" width="120" left="184" height="22"/>
    <components path="aammod\opn2\cur" viewType="Combobox" width="75" enabled="false"
        left="132" top="36" height="22"/>
    <components path="aammod\opn2\amt" viewType="Amount" width="120" enabled="false"
        left="184" top="36" height="22"/>
    <components path="addamtcov" viewType="Block" width="233" left="132" top="72"
        height="48"/>
    <components viewType="Label" text="SF000004" height="22"/>
    <components viewType="Label" text="SF000008" top="36" height="22"/>
    <components viewType="Label" text="SF000009" top="72" height="22"/>
  </panels>
  <defaultRules name="aamp" type="default" codeText="@0000" order="1000" moduleName="aamp"/>
  <defaultRules name="max2\amt" type="default" codeText="@0003" order="900" moduleName="aamp"/>
  <defaultRules name="addAmtandCov" type="default" codeText="@0004" order="1000" moduleName="aamp">
    <paths>addamtcov</paths>
    <paths>aammod\addamtflg</paths>
  </defaultRules>
  <checkRules name="max2\amt" type="check" codeText="@0002" order="1000" moduleName="aamp"/>
  <checkRules name="addamtcov" type="check" codeText="@0005" order="1000" moduleName="aamp"/>
  <eventRules name="aammod\addamtflg" type="event" codeText="@0001" order="1000" moduleName="aamp"/>
</eibs:Module>
