<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ace" table="ace" title="" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of CP Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type of Associated Contract Optional" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR of Associated Contract Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="Date Opened  of a Finance" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date  of a Finance" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="trninr" column="trninr" description="INR of TRN" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pteinr" column="pteinr" description="INR of PTE" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="begdat" column="begdat" description="Begdat" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="enddat" column="enddat" description="Enddat" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="typ" column="typ" description="ACE Type" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fincur" column="fincur" description="Currency of FIN" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="finamt" column="finamt" description="Amount of FIN" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="acramrdat" column="acramrdat" description="Date of Closing the PTE" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="feecod" column="feecod" description="Fee Code" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rat" column="rat" description="Rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="marrat" column="marrat" description="Marginal Rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="settyp" column="settyp" description="Type of Settlement" viewtype="Combobox" codetable="settyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ovdintrat" column="ovdintrat" description="罚息利率" datatype="numeric" length="8" lineOrDecimalSize="5" />
<datafields comments="" name="ovdintflg" column="ovdintflg" description="逾期标识 逾期＝X" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clsflg" column="clsflg" description="分摊计提结束标识" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relflg" column="relflg" description="Release Status" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ratirs" column="ratirs" description="Reference Rate" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH KEY INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
