<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ack" table="ack" title=" " i18nSequence="4" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Acknowledgment" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Table Used to Store Associated Object" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objsub" column="objsub" description="Sub-ID for Object e.g.SMHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="outsrv" column="outsrv" description="Sending Service" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="gendattim" column="gendattim" description="Timestamp of Generation" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="acksrv" column="acksrv" description="Service for Incoming Acknowledgment" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extkey" column="extkey" description="Reference on Incoming Service" length="32" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rcvdattim" column="rcvdattim" description="Last Update" datatype="date" length="15" lineOrDecimalSize="0" />
<datafields comments="" name="cla" column="cla" description="Class of ACK within Object" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sta" column="sta" description="Status" codetable="sta" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Acknowledgment Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acktxt" column="acktxt" description="Text block of ACT/NACK packaging." length="200" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BCHKEY's INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sndref" column="sndref" description="Send to SOP/CASmf reference" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docfil" column="docfil" description="PATH + FILE" length="100" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oldref" column="oldref" description="" datatype="block" viewtype="Block" length="999" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
