<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="act" table="act" title="ACT - Account" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Account" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pri" column="pri" description="Priority for Defaulting" codetable="pri" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Account Currency" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extkey" column="extkey" description="External Search Key of Account" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="seracc" column="seracc" description="Account Number Defined by Servicing Institute" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="serbic" column="serbic" description="Account BIC Code" length="12" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sernam" column="sernam" description="Account Name Defined by Servicing Institute" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="serptytyp" column="serptytyp" description="Type of Servicing Party from Party" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="serptyinr" column="serptyinr" description="INR of Account Servicing Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="holacc" column="holacc" description="Account Number of Control Account of Holder Optional" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="holnam" column="holnam" description="Name of Control Account of Holder Optional" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="actholnam" column="actholnam" description="Name of Control Account of Holder Optional" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="holptytyp" column="holptytyp" description="Type of Holder from Party" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="holptyinr" column="holptyinr" description="INR of Account Holding Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cvrflg" column="cvrflg" description="Cover Account" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rmbflg" column="rmbflg" description="Reimbursement Account" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="delflg" column="delflg" description="Delete Flag" viewtype="Combobox" codetable="delflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dirflg" column="dirflg" description="Available for" viewtype="Combobox" codetable="dirflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othbnkflg" column="othbnkflg" description="Flag Set, if Foreign Party of Account can be Handled as Bank in Account Defaulting" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othptynam" column="othptynam" description="Name of Other Party to be Used as Additional Information in Account Selection Box" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othownflg" column="othownflg" description="Flag Set, if Foreign Party of Account can be Handled as Own Party in Account Defaulting" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othbic" column="othbic" description="BIC Digits of Foreign Party for Account" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othbic6" column="othbic6" description="First 6 BIC Digits of Foreign Party for Account" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="iban" column="iban" description="International Bank Account Number" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Account" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="External Name of Account" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="exttyp" column="exttyp" description="External Account Type" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="typ" column="typ" description="Account Type" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extact" column="extact" description="External Account" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trmtyp" column="trmtyp" description="Term Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acctyp" column="acctyp" description="Account Type" codetable="acctyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="Branch INR" codetable="bchkeyinr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="concur" column="concur" description="Counter Currency" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="actflg" column="actflg" description="对公对私" viewtype="Combobox" codetable="actflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="outflg" column="outflg" description="境外机构境内帐户" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ftacct" column="ftacct" description="主�'�户" length="36" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="gbkflg" column="gbkflg" description="�'�宾卡" viewtype="Combobox" codetable="gbkflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="zmzjcflg" column="zmzjcflg" description="自贸资金池标志" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
