<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="adr" table="adr" title="ADR - Address" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extkey" column="extkey" description="External Key Used to Uniquely Identify an Address" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Address" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bic" column="bic" description="BIC of Address Optional" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bicaut" column="bicaut" description="BIC/SWIFT Authenticator Exchanged" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bid" column="bid" description="Branch Identification Used in Option B of SWIFT Fieldtags" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="blz" column="blz" description="Bankleitzahl German Clearing Code" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clc" column="clc" description="Clearing Code for Banks" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dpt" column="dpt" description="Department" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="eml" column="eml" description="eMail/Internet" length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fax1" column="fax1" description="Telefax 1" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fax2" column="fax2" description="Telefax 2" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam1" column="nam1" description="Name 1/SWIFT Line 1" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam2" column="nam2" description="Name 2/SWIFT Line 2" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam3" column="nam3" description="Name 3" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="str1" column="str1" description="Street/SWIFT Line 3" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="str2" column="str2" description="Optional Second Line of Street" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="loczip" column="loczip" description="ZIP Code/First Part of SWIFT Line 4" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="loctxt" column="loctxt" description="Textpart of City/Second Part of SWIFT Line 4" length="25" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="loc2" column="loc2" description="Optional Second Line of City" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="loccty" column="loccty" description="Country of Domicile" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cortyp" column="cortyp" description="Primary Output Chanel of Messages SWT, LET, TLX, TCO" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pob" column="pob" description="Line with Postbox" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pobzip" column="pobzip" description="ZIP Code Used when Addressing Postbox" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pobtxt" column="pobtxt" description="Textpart of City Used when Addressing Postbox" length="25" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tel1" column="tel1" description="Telephone 1" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tel2" column="tel2" description="Telephone 2" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tid" column="tid" description="TradeConnect ID" length="23" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tlx" column="tlx" description="Telex Number" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tlxaut" column="tlxaut" description="Telex Authenticator Exchanged" viewtype="Combobox" codetable="tlxaut" length="1" lineOrDecimalSize="1" viewlines="1" access="readonly" />
<datafields comments="" name="uil" column="uil" description="Default Language Code" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="manmod" column="manmod" description="Manually Modified" viewtype="Checkbox" codetable="manmod" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rtgflg" column="rtgflg" description="RTGS-Member" viewtype="Checkbox" codetable="rtgflg" length="1" lineOrDecimalSize="1" viewlines="1" access="readonly" />
<datafields comments="" name="tarflg" column="tarflg" description="TARGET-Member" viewtype="Checkbox" codetable="tarflg" length="1" lineOrDecimalSize="1" viewlines="1" access="readonly" />
<datafields comments="" name="dtacid" column="dtacid" description="DTA Import L/C ID" length="23" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dtecid" column="dtecid" description="DTA Export L/C ID" length="23" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tel3" column="tel3" description="Telephone 3" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fax3" column="fax3" description="Telefax 3" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="adr1" column="adr1" description="Chinese Address" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="adr2" column="adr2" description="" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="adr3" column="adr3" description="" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="adr4" column="adr4" description="" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="edicid" column="edicid" description="edicid" length="10" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tel4" column="tel4" description="信用证收汇用号码" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tel5" column="tel5" description="托收收汇" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tel6" column="tel6" description="（信用证及代收）到单" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tel7" column="tel7" description="（信用证及代收）应付汇" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fax4" column="fax4" description="信用证收汇用号码" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fax5" column="fax5" description="托收收汇" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fax6" column="fax6" description="（信用证及代收）到单" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fax7" column="fax7" description="（信用证及代收）应付汇" length="20" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
