<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="bcd" table="bcd" title="BCD - Import Collection Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Import Collection Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relgodflg" column="relgodflg" description="Release of Goods" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relgoddat" column="relgoddat" description="Date of Release of Goods" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rcvdat" column="rcvdat" description="Date Documents Received" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="predat" column="predat" description="Presentation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="shpdat" column="shpdat" description="Date of Shipment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="credat" column="credat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="advdat" column="advdat" description="Date of Advice of Documents Received" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Opening Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="doctypcod" column="doctypcod" description="Collection Condition" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="matperbeg" column="matperbeg" description="Start of Maturity Period MATBEG" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="matpercnt" column="matpercnt" description="Number of Days/Months for Maturity Period" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="matpertyp" column="matpertyp" description="Days/Months or Years for Maturity Period" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" viewtype="Combobox" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trpdoctyp" column="trpdoctyp" description="Transport Document Type" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trpdocnum" column="trpdocnum" description="Transport Document No." length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tradat" column="tradat" description="Date of Transport Document" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="tramod" column="tramod" description="Mode of Transport" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpfro" column="shpfro" description="Shipment from" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpto" column="shpto" description="Shipment to" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chato" column="chato" description="Our Charges to" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="othins" column="othins" description="Defer Payment until" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code Risk Country" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stagod" column="stagod" description="Goods Code" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accdat" column="accdat" description="Accepted on" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendments" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="dftgarflg" column="dftgarflg" description="Draft to be Guaranteed" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reltyp" column="reltyp" description="Release Type" viewtype="Combobox" codetable="reltyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expdat" column="expdat" description="Expiry Date of Shipping Guarantee" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rtodreflg" column="rtodreflg" description="Release to Drawee Flag" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="mattxtflg" column="mattxtflg" description="Multiple Tenor Flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="focflg" column="focflg" description="Free of Payment" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="waicolcod" column="waicolcod" description="Waive Collecting Bank Charges" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="wairmtcod" column="wairmtcod" description="Waive Remitting Bank Charges" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oridre" column="oridre" description="Send Original Documents to Drawee" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docsta" column="docsta" description="Document Set Status" codetable="docsta" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="resflg" column="resflg" description="Reserved Contract" viewtype="Checkbox" codetable="resflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="agtdat" column="agtdat" description="Date of Agent's Invoice" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="szflg" column="szflg" description="申报类型" viewtype="Combobox" codetable="szflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="proins" column="proins" description="Protest Instructions" viewtype="Combobox" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH KEY" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="billno" column="billno" description="提运单号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="contamt" column="contamt" description="合同金额" datatype="numeric" viewtype="Amount" length="22" lineOrDecimalSize="0" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplhth" column="aplhth" description="新增合同号" datatype="block" viewtype="Block" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tracoutry" column="tracoutry" description="交易对手国别" length="40" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
