<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="bed" table="bed" title="BED - Document Set under Export L/C Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Export L/C Document Set" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Own Reference BE Number" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="predat" column="predat" description="Presentation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rcvdat" column="rcvdat" description="Date of Receipt of Documents" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="shpdat" column="shpdat" description="Date of Shipment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="advdat" column="advdat" description="Date of Advice of Payment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="doctypcod" column="doctypcod" description="Document Type" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="Date Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="approvcod" column="approvcod" description="Documents on Approval Basis" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frepayflg" column="frepayflg" description="Free of Payment" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docprbrol" column="docprbrol" description="Presented by" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="payrol" column="payrol" description="Payer" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orddat" column="orddat" description="Order Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="mattxtflg" column="mattxtflg" description="Multiple Tenor Flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dscinsflg" column="dscinsflg" description="Enter Docs, Discrep. and Instructions" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acpnowflg" column="acpnowflg" description="Accept Documents Now" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="advtyp" column="advtyp" description="Type of Advice Received" viewtype="Combobox" codetable="advtyp" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="disdat" column="disdat" description="Date of Discrepancy Advice" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="totcur" column="totcur" description="Currency of Total Amount to be Paid" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="totamt" column="totamt" description="Total Amount to be Paid" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="totdat" column="totdat" description="Date to be Paid" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="docsta" column="docsta" description="Document Set Status" codetable="docsta" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docrol" column="docrol" description="Receiver of Documents" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docrolflg" column="docrolflg" description="Send Documents to Another Address" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dta770snd" column="dta770snd" description="Send Date of Acknowledgment Message" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="advdocflg" column="advdocflg" description="Return of Documents" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dklx" column="dklx" description="�'�款利息" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="2" />
<datafields comments="" name="cur2" column="cur2" description="�'�款币种" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rmbrol" column="rmbrol" description="Reimbursement by" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lescom" column="lescom" description="Less comm." datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="yscur" column="yscur" description="应收币种" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ysamt" column="ysamt" description="应收金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="dffs" column="dffs" description="付款方式" viewtype="Combobox" codetable="dffs" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fftflag" column="fftflag" description="代理福�'�廷标志" length="5" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rmbclmlate" column="rmbclmlate" description="Claim Reimbursement late" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
