<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="cbe" table="cbe" title="CBE - CBS Entry" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of CBS Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extid" column="extid" description="External ID" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cbt" column="cbt" description="Type of Entry" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trntyp" column="trntyp" description="Type of Initiating Transaction" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trninr" column="trninr" description="Initiating Transaction INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dat" column="dat" description="Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cur" column="cur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="relflg" column="relflg" description="Release Status Flag" codetable="relflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Creation Date of Entry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="xrfcur" column="xrfcur" description="Currency of Converted Amount Optional" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrfamt" column="xrfamt" description="Converted Amount Optional" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="nam" column="nam" description="Description Optional" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acc" column="acc" description="Account Optional" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acc2" column="acc2" description="Account 2 Optional" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="optdat" column="optdat" description="Date Optional" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="gledat" column="gledat" description="Date of GLE Entries of Transaction" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="nompct" column="nompct" description="保证金实收比例" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="chkflg" column="chkflg" description="Check Flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usdcur" column="usdcur" description="USDCUR" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usdamt" column="usdamt" description="USDAMT" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
</eibs:Module>
