<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="cdd" table="cdd" title="" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of CDD" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ref" column="ref" description="Buyer Number" length="18" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docnbr" column="docnbr" description="Document Number1-999" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docpad" column="docpad" description="Docment Paid" viewtype="Combobox" codetable="docpad" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="doctyp" column="doctyp" description="Document Type" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Balance" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="expdat" column="expdat" description="Invoice Expire Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="grcdat" column="grcdat" description="Grace period  dates" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="paycdt" column="paycdt" description="Payment Conditions" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="valdat" column="valdat" description="Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date of Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="payamt" column="payamt" description="Received Payment Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="bnkchg" column="bnkchg" description="Bank Charges Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="dedamt" column="dedamt" description="Deduction amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="paytyp" column="paytyp" description="Payment Type" viewtype="Combobox" codetable="paytyp" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paydat" column="paydat" description="Payment Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="payvaldat" column="payvaldat" description="Payment Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="disinr" column="disinr" description="Dispute INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rescod" column="rescod" description="Dispute Reason Code" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="disamt" column="disamt" description="Dispute Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="takact" column="takact" description="Take Action" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ntypty" column="ntypty" description="Notifying Party" viewtype="Combobox" codetable="ntypty" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="disins" column="disins" description="Dispute Instruct" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="revflg" column="revflg" description="Reverse flag" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trninr" column="trninr" description="Internal Unique ID of Transaction Control Record" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="candat" column="candat" description="Cancle date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rearem" column="rearem" description="Reass Reason" viewtype="Combobox" codetable="rearem" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="finamt" column="finamt" description="Finance Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="pctfin" column="pctfin" description="% Financed" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="pctrep" column="pctrep" description="% Repaid" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="repamt" column="repamt" description="Repaid Amount" datatype="numeric" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="bfdinr" column="bfdinr" description="Finance table BFD.INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="invbatnum" column="invbatnum" description="Invoice Batch Number" length="35" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
