<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="cnd" table="cnd" title="0" ruleSequence="1" transient="false">
<datafields comments="" name="inr" column="inr" description="ID号" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="关联字段" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="关联字段" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cmttyp" column="cmttyp" description="报文类型" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trninr" column="trninr" description="Transaction, which Handles the Document" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bustyp" column="bustyp" description="业务种类" codetable="bustyp" length="5" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paynum" column="paynum" description="支付交易序号" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dlgdat" column="dlgdat" description="登记时�'" datatype="date" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="cur" column="cur" description="币种" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="交易金额" datatype="numeric" viewtype="Amount" length="16" lineOrDecimalSize="2" />
<datafields comments="" name="staliqbch" column="staliqbch" description="发起清算行行号" length="12" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="satbch" column="satbch" description="发起行行号" length="13" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcbchkey" column="orcbchkey" description="付款人开户行行号" length="13" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcact" column="orcact" description="付款人帐号" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcnam" column="orcnam" description="付款人名称" datatype="block" viewtype="Block" length="49" lineOrDecimalSize="4" viewlines="1" />
<datafields comments="" name="orcadr" column="orcadr" description="付款人地址" datatype="block" viewtype="Block" length="66" lineOrDecimalSize="3" viewlines="2" />
<datafields comments="" name="recbchkey" column="recbchkey" description="接收行行号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="recbchnam" column="recbchnam" description="接收行名称" length="60" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyebchkey" column="pyebchkey" description="收款人开户行行号" length="13" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyebchnam" column="pyebchnam" description="收款人开户行行名" length="60" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyeact" column="pyeact" description="收款人帐号" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyenam" column="pyenam" description="收款人姓名" datatype="block" viewtype="Block" length="49" lineOrDecimalSize="4" viewlines="1" />
<datafields comments="" name="pyeadr" column="pyeadr" description="收款人地址" datatype="block" viewtype="Block" length="66" lineOrDecimalSize="3" viewlines="2" />
<datafields comments="" name="oridlgdat" column="oridlgdat" description="原委托日期" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="oricmttyp" column="oricmttyp" description="原CMT编号" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oripaynum" column="oripaynum" description="原支付交易序号" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sencod" column="sencod" description="发报中心代码" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reccod" column="reccod" description="收报中心代码" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="commet" column="commet" description="附言" datatype="block" viewtype="Block" length="49" lineOrDecimalSize="10" viewlines="2" />
<datafields comments="" name="rtnflg" column="rtnflg" description="退汇标志" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="交易日期" datatype="date" length="16" lineOrDecimalSize="0" />
<datafields comments="" name="dontrninr" column="dontrninr" description="Trninr of transaction handled return msg" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCH INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buscod" column="buscod" description="业务类型" codetable="buscod" length="5" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="iobfee" column="iobfee" description="发报行收槹" datatype="numeric" viewtype="Amount" length="16" lineOrDecimalSize="2" />
<datafields comments="" name="iibfee" column="iibfee" description="收报行收槹" datatype="numeric" viewtype="Amount" length="16" lineOrDecimalSize="2" />
<datafields comments="" name="payflg" column="payflg" description="付款人槦户类型" viewtype="Combobox" codetable="payflg" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dreact" column="dreact" description="借方槦号" length="32" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="drenam" column="drenam" description="借方帐户名" length="60" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feecod" column="feecod" description="槹用编码" viewtype="Combobox" codetable="feecod" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="satbchnam" column="satbchnam" description="发起行名称" length="60" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcbchnam" column="orcbchnam" description="付款人开户行名称" length="60" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyetyp" column="pyetyp" description="汇款人�'�号性�'�" codetable="pyetyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="关联业务编号" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="outcommet" column="outcommet" description="跨境附言" datatype="block" viewtype="Block" length="59" lineOrDecimalSize="5" viewlines="2" />
<datafields comments="" name="fee" column="fee" description="手续�'�" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="feeflg" column="feeflg" description="收�'�方式" viewtype="Combobox" codetable="feeflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sta" column="sta" description="报文状态" viewtype="Combobox" codetable="sta" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="staflg" column="staflg" description="往来标志" viewtype="Combobox" codetable="staflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cmtque" column="cmtque" description="交易流�'号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cmterr" column="cmterr" description="错误原因" datatype="block" viewtype="Block" length="60" lineOrDecimalSize="5" viewlines="1" />
<datafields comments="" name="rtnque" column="rtnque" description="业务流�'号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcliqbch" column="orcliqbch" description="付款清算行行号" length="13" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyeliqbch" column="pyeliqbch" description="收款清算行行号" length="13" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rtncmt" column="rtncmt" description="退汇原因" datatype="block" viewtype="Block" length="63" lineOrDecimalSize="4" viewlines="2" />
<datafields comments="" name="feeamt" column="feeamt" description="手续�'�" datatype="numeric" viewtype="Amount" length="16" lineOrDecimalSize="2" />
<datafields comments="" name="systyp" column="systyp" description="系统类型" codetable="systyp" length="5" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="orcrelact" column="orcrelact" description="真实付款�'�户" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="commet1" column="commet1" description="跨境支付附言" datatype="block" viewtype="Block" length="60" lineOrDecimalSize="2" viewlines="2" />
<datafields comments="" name="busque" column="busque" description="业务流�'" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setflg" column="setflg" description="清算标志" codetable="setflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accflg" column="accflg" description="记�'�标志" codetable="accflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="arecod" column="arecod" description="网点号" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="recliqbch" column="recliqbch" description="接收清算行行号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyeadr2" column="pyeadr2" description="收款人地址2" datatype="block" viewtype="Block" length="30" lineOrDecimalSize="2" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="交易日期" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cusque" column="cusque" description="业务流�'号" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyerelact" column="pyerelact" description="真实付款人�'�号" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacmt" column="stacmt" description="状态" codetable="stacmt" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="scdflg" column="scdflg" description="重汇标志" codetable="scdflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feecur" column="feecur" description="�'�用币种" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sptinr" column="sptinr" description="spt表inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="del" column="del" description="删除标志" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pyenam2" column="pyenam2" description="收款人姓名2" length="60" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cndaccflg" column="cndaccflg" description="国结记�'�状态" codetable="cndaccflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ischeck" column="ischeck" description="是否对�'�" codetable="ischeck" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="flag" column="flag" description="103标志" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msg103" column="msg103" description="103报文" length="500" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rbkflg" column="rbkflg" description="退汇原因理由" viewtype="Combobox" codetable="rbkflg" length="4" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="outcommet" type="default" codeText="@0000" order="1000" moduleName="cnd" />
</eibs:Module>
