<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="cur" table="cur" title="CUR - Currency" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cod" column="cod" description="Currency Code" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="newcur" column="newcur" description="Replaced by" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="altcod" column="altcod" description="Alternate Code" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dec" column="dec" description="Decimal Places 0, 2, 3" datatype="numeric" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="seq" column="seq" description="Sequence in Exchange Rate Entering Tool 0: not in" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="acc1" column="acc1" description="Account for Currency Conversions" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acc2" column="acc2" description="Counter Account for Currency Conversions" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bsrmar" column="bsrmar" description="Margin for Buying/Selling Rate" datatype="numeric" viewtype="Amount" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="sqrmar" column="sqrmar" description="Margin for Squaring Rate" datatype="numeric" viewtype="Amount" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="glbrat" column="glbrat" description="General Ledger Balance Rate" datatype="numeric" viewtype="Amount" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="dif" column="dif" description="Maximum Tolerance" datatype="numeric" length="8" lineOrDecimalSize="2" />
<datafields comments="" name="bas" column="bas" description="Exchange Rate Calculation Base 1, 100, 1000" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="rndunt" column="rndunt" description="Rounding Unit of Currency" datatype="numeric" length="8" lineOrDecimalSize="3" />
<datafields comments="" name="begdat" column="begdat" description="Valid from Incl." datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="enddat" column="enddat" description="Valid until Excl." datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="odrintday" column="odrintday" description="Interest Days in OD Rate" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="dbtday" column="dbtday" description="Value Debit" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="cdtday" column="cdtday" description="Value Credit" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="maxcur" column="maxcur" description="Currency of MAXAMT" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="maxamt" column="maxamt" description="Maximum Amount for Stored Rate" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Currency" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
