<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ded" table="ded" title="DED - Export L/C (Industry) Document Set Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Export L/C" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="Date L/C Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Document under Export L/C Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntref" column="pntref" description="Parent Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docpredat" column="docpredat" description="M26 Document Presentation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="docsnf" column="docsnf" description="M53 Sending Format" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docsnfnam" column="docsnfnam" description="M53 Name of Courier" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docsnfcnr" column="docsnfcnr" description="M53 Number of Courier" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msgdat" column="msgdat" description="M27 Message Dated" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="docvalcur" column="docvalcur" description="M28 Currency of Claim" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docvalamt" column="docvalamt" description="M28 Total Amount of Claim" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="defpaydat" column="defpaydat" description="M30a Date of Def. Payment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="defpaycur" column="defpaycur" description="M30[a,b] Currency of Def. Payment" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="defpayamt" column="defpayamt" description="M30[a,b] Amount of Def. Payment" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="shtcur" column="shtcur" description="M29 Currency of Sight" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shtamt" column="shtamt" description="M29 Sight Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="dissta" column="dissta" description="M31 Status of Discrepancies" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="obligosta" column="obligosta" description="M35 Liability Status" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setcur" column="setcur" description="M36 Currency of Settled Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setamt" column="setamt" description="M36 Amount Settled" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="forfeecur" column="forfeecur" description="M37 Currency of Foreign Fees" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="forfeeamt" column="forfeeamt" description="M37 Amount of Foreign Fees" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="agtfeecur" column="agtfeecur" description="M38 Currency of Agents Commission" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="agtfeeamt" column="agtfeeamt" description="M38 Amount of Agents Commission" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="sescur" column="sescur" description="M39 Currency of Transfer" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sesamt" column="sesamt" description="M39 Amount of Transfer" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="varsubcur" column="varsubcur" description="M40 Currency of Negative Variable Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="varsubamt" column="varsubamt" description="M40 Negative Variable Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="varaddcur" column="varaddcur" description="M41 Currency of Positive Variable Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="varaddamt" column="varaddamt" description="M41 Positive Variable Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" viewtype="Combobox" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="predat" column="predat" description="Presentation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="crecur" column="crecur" description="M43 Currency of Credit" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="creamt" column="creamt" description="M43 Amount of Credit" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="crexrt" column="crexrt" description="M44 Exchange Rate" datatype="numeric" viewtype="Amount" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="eurcrecur" column="eurcrecur" description="M45 Currency of Credit Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="eurcreamt" column="eurcreamt" description="M45 Amount of Credit in Euro" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="acccrecur" column="acccrecur" description="M46 Currency of Credit Account" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="biccreacc" column="biccreacc" description="M47 BIC/Account for Credit" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="crevaldat" column="crevaldat" description="M48 Value Date of Credit" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="feecur" column="feecur" description="M49 Currency of Total Amount of Comm./Charges" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feeamt" column="feeamt" description="M49 Total Amount of Commission and Charges" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="accfeecur" column="accfeecur" description="M50 Currency of Fee Account" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bicfeeacc" column="bicfeeacc" description="M51 BIC/Account for Fees" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paysta" column="paysta" description="M52 Status Pay under Reserve" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
