<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="doceot" table="doceot" title=" " transient="true" i18nSequence="9205"
    ruleSequence="121">
  <datafields name="id" column="id" description="Row Identificator in Grid" length="15"
      lineOrDecimalSize="1"/>
  <datafields name="lev" column="lev" description="Level" length="1" lineOrDecimalSize="1"
      codetable="lev"/>
  <datafields name="idref" column="idref" description="ID of LEV 1 entry" length="12"
      lineOrDecimalSize="1"/>
  <datafields name="idatt" column="idatt" description="ID where this entry is attached to"
      length="15" lineOrDecimalSize="1"/>
  <datafields name="srtkey" column="srtkey" description="Sort Field" length="34" lineOrDecimalSize="1"/>
  <datafields name="role" column="role" description="role of receiver" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="roladr" column="roladr" description="actual role of receiver"
      viewtype="Combobox" length="3" lineOrDecimalSize="1"/>
  <datafields name="delflg" column="delflg" description="Delete Flag" length="1" lineOrDecimalSize="1"
      codetable="delflg"/>
  <datafields name="docnam" column="docnam" description="primary document name" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="docexe" column="docexe" description="Type of Execution for DOCNAM"
      length="1" lineOrDecimalSize="1" codetable="docexe"/>
  <datafields name="docstr" column="docstr" description="Structure of Document Protoyp"
      length="1" lineOrDecimalSize="1" codetable="docstr"/>
  <datafields name="docstrsea" column="docstrsea" description="List of possible structures and implementations"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="cortyp" column="cortyp" description="Per Medium" length="3" lineOrDecimalSize="1"/>
  <datafields name="doccorsea" column="doccorsea" description="List of possible CORTYP"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="objmod" column="objmod" description="object module" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="pandsc" column="pandsc" description="description" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="docsnf" column="docsnf" description="sending format" viewtype="Combobox"
      length="6" lineOrDecimalSize="1"/>
  <datafields name="docuil" column="docuil" description="language" viewtype="Combobox"
      length="2" lineOrDecimalSize="1"/>
  <datafields name="apf" column="apf" description="Application Form for SMH" viewtype="Combobox"
      length="6" lineOrDecimalSize="1"/>
  <datafields name="oldapf" column="oldapf" description="original application form from defdoceot"
      viewtype="Combobox" length="6" lineOrDecimalSize="1"/>
  <datafields name="msgpri" column="msgpri" description="Message Priority /SWIFT/Telex"
      viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="10" codetable="msgpri"/>
  <datafields name="mdtflg" column="mdtflg" description="Mandatory Flag 1=mandatory"
      datatype="numeric" length="1"/>
  <datafields name="usdflg" column="usdflg" description="'used ' flag -1= not used"
      datatype="numeric" length="3"/>
  <datafields name="atttyp" column="atttyp" description="Record type of attachement"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="attinr" column="attinr" description="INR of record type for attachement / Filename"
      length="32" lineOrDecimalSize="1"/>
  <datafields name="ptainr" column="ptainr" description="PTA receiving doc" lineOrDecimalSize="1"/>
  <datafields name="argptainr" column="argptainr" description="PTA receiving doc as passed to defdoceot"
      lineOrDecimalSize="1"/>
  <datafields name="ptainrold" column="ptainrold" description="last PTAINR read" lineOrDecimalSize="1"/>
  <datafields name="adrblk" column="adrblk" description="Address" datatype="block"
      viewtype="Block" length="35" lineOrDecimalSize="7" viewlines="7"/>
  <datafields name="adrbic" column="adrbic" description="BIC" length="11" lineOrDecimalSize="1"/>
  <datafields name="adrref" column="adrref" description="Contract Reference of Receiver"
      length="16" lineOrDecimalSize="1"/>
  <datafields name="adrbicaut" column="adrbicaut" description="BIC/S.W.I.F.T. Authenticator Exchanged"
      viewtype="Combobox" length="1" lineOrDecimalSize="1"/>
  <datafields name="adrtlx" column="adrtlx" description="Telexnumber" length="20"
      lineOrDecimalSize="1"/>
  <datafields name="adrfax" column="adrfax" description="Faxnumber" length="20" lineOrDecimalSize="1"/>
  <datafields name="adreml" column="adreml" description="Email address" length="80"
      lineOrDecimalSize="1"/>
  <datafields name="adrtid" column="adrtid" description="TradeConnect ID" length="23"
      lineOrDecimalSize="1"/>
  <datafields name="adrdtacid" column="adrdtacid" description="DTA Account" length="23"
      lineOrDecimalSize="1"/>
  <datafields name="adrrid" column="adrrid" description="Bolero Address RID" length="50"
      lineOrDecimalSize="1"/>
  <datafields name="adrdtecid" column="adrdtecid" description="DTE Account" length="23"
      lineOrDecimalSize="1"/>
  <datafields name="ptcnam" column="ptcnam" description="Contact" length="90" lineOrDecimalSize="1"/>
  <datafields name="addtxt" column="addtxt" description="Additional text for letter"
      datatype="block" viewtype="Block" length="90" lineOrDecimalSize="20" viewlines="10"/>
  <datafields name="addstr" column="addstr" description="Additional text for electronic message"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6"/>
  <datafields name="oriflg" column="oriflg" description="Type of Copy" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="oriflg"/>
  <datafields name="subcnt" column="subcnt" description="Next Id for LEV 2" datatype="numeric"
      length="4"/>
  <datafields name="doctxt" column="doctxt" description="document as text" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="oldadrbic" column="oldadrbic" description="BIC" length="11" lineOrDecimalSize="1"/>
  <datafields name="oldadrblk" column="oldadrblk" description="Address" datatype="block"
      viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4"/>
  <datafields name="oldcortyp" column="oldcortyp" description="per medium" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="oldapfcod" column="oldapfcod" description="APFCOD of triggering LEV 1"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="oldptyinr" column="oldptyinr" description="PTY of triggering LEV 1"
      lineOrDecimalSize="1"/>
  <datafields name="butshw" column="butshw" description="show doc." datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butcpy" column="butcpy" description="Copy To" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butsnd" column="butsnd" description="Send To" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butadd" column="butadd" description="Details" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butdel" column="butdel" description="Delete Entry" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butaddok" column="butaddok" description="Additional Panel Confirm"
      datatype="control" viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="apfcnt" column="apfcnt" description="Count per form" length="80"
      lineOrDecimalSize="1"/>
  <datafields name="apflab1" column="apflab1" description="Label 1. APFTYP" viewtype="Label"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="apflabcpycov" column="apflabcpycov" description="Label 'Cover'"
      viewtype="Label" length="20" lineOrDecimalSize="1"/>
  <datafields name="apflabcpyori" column="apflabcpyori" description="Label 'Original'"
      viewtype="Label" length="20" lineOrDecimalSize="1"/>
  <datafields name="apftyp1" column="apftyp1" description="type 1" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="apfcpy1" column="apfcpy1" description="no. of copies for type 1"
      datatype="numeric" length="2"/>
  <datafields name="apflab2" column="apflab2" description="Label 2. APFTYP" viewtype="Label"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="apftyp2" column="apftyp2" description="type 2" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="apfcpy2" column="apfcpy2" description="no. of copies for type 2"
      datatype="numeric" length="2"/>
  <datafields name="apfcpymli" column="apfcpymli" description="no. of copies from mailing instructions"
      datatype="numeric" length="2"/>
  <datafields name="apflab3" column="apflab3" description="Label 3. APFTYP" viewtype="Label"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="apftyp3" column="apftyp3" description="type 3" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="apfcpy3" column="apfcpy3" description="no. of copies for type 3"
      datatype="numeric" length="2"/>
  <datafields name="apflab4" column="apflab4" description="Label 4. APFTYP" viewtype="Label"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="apftyp4" column="apftyp4" description="type 4" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="apfcpy4" column="apfcpy4" description="no. of copies for type 4"
      datatype="numeric" length="2"/>
  <datafields name="apflab5" column="apflab5" description="Label 5. APFTYP" viewtype="Label"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="apftyp5" column="apftyp5" description="type 5" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="apfcpy5" column="apfcpy5" description="no. of copies Original CPY 2"
      datatype="numeric" length="2"/>
  <datafields name="apfcpy6" column="apfcpy6" description="no. of copies Original CPY 3"
      datatype="numeric" length="2"/>
  <datafields name="apfcpy7" column="apfcpy7" description="no. of copies Original CPY 4"
      datatype="numeric" length="2"/>
  <datafields name="apfcpyori" column="apfcpyori" description="no. originals for original for Send To"
      datatype="numeric" length="2"/>
  <datafields name="smhsndkeylab" column="smhsndkeylab" description="Label für SNDKEY-Entsprechung"
      viewtype="Label" length="40" lineOrDecimalSize="1"/>
  <datafields name="smhsndkeylab1" column="smhsndkeylab1" description="Label für SNDKEY-Entsprechung"
      viewtype="Label" length="40" lineOrDecimalSize="1"/>
  <datafields name="smhsndkeylab2" column="smhsndkeylab2" description="Label für SNDKEY-Entsprechung"
      viewtype="Label" length="40" lineOrDecimalSize="1"/>
  <datafields name="smhinr" column="smhinr" description="SMHINR of document after savdoc"
      lineOrDecimalSize="1"/>
  <datafields name="adrtlxaut" column="adrtlxaut" description="Telex Authenticator Exchanged"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="adrtlxaut"/>
  <datafields name="adrtlxans" column="adrtlxans" description="Telex Answerback" length="20"
      lineOrDecimalSize="1"/>
  <datafields name="keyamt" column="keyamt" description="Amount for Telex/SWIFT Key"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="keycur" column="keycur" description="Currency Telex/SWIFT for Key"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="keytxt" column="keytxt" description="Key Text for Telex/SWIFT Key"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="keylab1" column="keylab1" description="Label1 for Telex/SWIFT Key"
      viewtype="Label" length="30" lineOrDecimalSize="1"/>
  <datafields name="keyadd1" column="keyadd1" description="Label1 for Additional Text"
      viewtype="Label" length="30" lineOrDecimalSize="1"/>
  <datafields name="keyadd2" column="keyadd2" description="Label2 for Additional Text"
      viewtype="Label" length="30" lineOrDecimalSize="1"/>
  <datafields name="keylab2" column="keylab2" description="Label2 for Telex/SWIFT Key"
      viewtype="Label" length="30" lineOrDecimalSize="1"/>
  <datafields name="valcortyp" column="valcortyp" description="allowed CORTYP" datatype="block"
      viewtype="Block" length="3" lineOrDecimalSize="8" viewlines="8"/>
  <datafields name="ptaadrinr" column="ptaadrinr" description="INR of Associated Address from PTA"
      lineOrDecimalSize="1"/>
  <datafields name="ptaptyinr" column="ptaptyinr" description="INR of Associated Party from PTA"
      lineOrDecimalSize="1"/>
  <datafields name="ptainfo" column="ptainfo" description="Buffer for Cacheread of PTA"
      length="16" lineOrDecimalSize="1"/>
  <datafields name="valdocuil" column="valdocuil" description="allowed DOCUIL" datatype="block"
      viewtype="Block" length="40" lineOrDecimalSize="1"/>
  <datafields name="mt" column="mt" description="Message type of electronic messages"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="mliflg" column="mliflg" description="Flag, whether DOCEOT was triggered by MLI"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="supcovflg" column="supcovflg" description="Suppress Cover Letter"
      viewtype="Checkbox" length="1" lineOrDecimalSize="1"/>
  <datafields name="butcan" column="butcan" description="cancel" datatype="control"
      viewtype="Button" length="10"/>
  <datafields name="grpseq" column="grpseq" description="Sequence Number of Split Messages"
      datatype="numeric" length="2"/>
  <datafields name="ptmstm" column="ptmstm" description="stream of ptm records of selected address"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="docdat" column="docdat" description="Document Date" datatype="date"
      viewtype="Date" length="12"/>
  <datafields name="staflg" column="staflg" description="M MT999加押;T TELEX加押;N 正常"
      viewtype="Combobox" length="1" lineOrDecimalSize="1"/>
  <datafields name="msgtyp" column="msgtyp" description="swift message type" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="tag79z" column="tag79z" description="Narrative for MT 730, MT752 and MT756"
      datatype="block" viewtype="Block" length="50" lineOrDecimalSize="35" viewlines="6"/>
  <datafields name="keynar" column="keynar" description="Narrative" viewtype="Label"
      length="30" lineOrDecimalSize="1"/>
  <datafields name="usetag79z" column="usetag79z" description="Cortypes for which tag 79Z is supported"
      datatype="stream" viewtype="Block" length="40" lineOrDecimalSize="1"/>
  <datafields name="coverblk" column="coverblk" description="XMLPanel cover的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <modules name="ptm" type="ptm"/>
  <modules name="cty" type="cty"/>
  <modules name="rcv" type="ptspta">
    <arguments name="tmpflg" value="!Y"/>
    <arguments name="typflg" value="! "/>
    <arguments name="stplev" value="! "/>
    <arguments name="adrcpyflg" value="! "/>
    <arguments name="ptausgflg" value="! "/>
  </modules>
  <modules name="rcvp" type="ptsp">
    <arguments name="ptspta" value="rcv"/>
  </modules>
  <modules name="addtxttxm" type="txmmod">
    <arguments name="txmblock" value="addtxt"/>
    <arguments name="txmgrp" value="!addtxt"/>
    <arguments name="txmuil" value="docuil"/>
  </modules>
  <modules name="addstrtxm" type="txmmod">
    <arguments name="txmblock" value="addstr"/>
    <arguments name="txmgrp" value="!STRINF"/>
    <arguments name="txmuil" value="docuil"/>
  </modules>
  <panels name="addinf" description="PD000018" width="788" height="528" visible="false"
      popup="true">
    <components path="apflabcpycov" viewType="Label" width="133" enabled="false" required="true"
        left="242" top="56" height="22"/>
    <components path="apflabcpyori" viewType="Label" width="133" enabled="false" required="true"
        left="299" top="56" height="22"/>
    <components path="keyadd1" viewType="Label" width="200" enabled="false" required="true"
        top="346" height="22"/>
    <components path="keyadd2" viewType="Label" width="200" enabled="false" required="true"
        top="360" height="22"/>
    <components path="cortyp" viewType="Combobox" width="75" enabled="false" left="98"
        height="22"/>
    <components path="oriflg" viewType="Combobox" width="75" enabled="false" left="209"
        height="22"/>
    <components path="apf" viewType="Combobox" width="75" left="98" top="36" height="22"/>
    <components path="apftyp1" viewType="Combobox" width="75" enabled="false" left="98"
        top="72" height="22"/>
    <components path="apfcpy1" width="13" left="245" top="72" height="22"/>
    <components path="apfcpyori" width="13" enabled="false" left="304" top="72" height="22"/>
    <components path="apftyp2" viewType="Combobox" width="75" enabled="false" left="98"
        top="96" height="22"/>
    <components path="apfcpy2" width="13" left="245" top="96" height="22"/>
    <components path="apfcpy5" width="13" left="304" top="96" height="22"/>
    <components path="apftyp3" viewType="Combobox" width="75" enabled="false" left="98"
        top="120" height="22"/>
    <components path="apfcpy3" width="13" left="245" top="120" height="22"/>
    <components path="apfcpy6" width="13" left="304" top="120" height="22"/>
    <components path="apftyp4" viewType="Combobox" width="75" enabled="false" left="98"
        top="144" height="22"/>
    <components path="apfcpy4" width="13" left="245" top="144" height="22"/>
    <components path="apfcpy7" width="13" left="304" top="144" height="22"/>
    <components path="ptcnam" width="600" left="98" top="322" height="22"/>
    <components path="addtxttxm\buttxmsel" viewType="Button" width="20" text="CF009108"
        left="658" top="346" height="22"/>
    <components path="addtxt" viewType="Block" width="600" left="98" top="346" height="240"/>
    <components path="addstrtxm\buttxmsel" viewType="Button" width="20" text="CF009204"
        left="328" top="346" height="22"/>
    <components path="addstr" viewType="Block" width="233" left="98" top="346" height="72"/>
    <components path="butaddok" viewType="Button" width="66" text="CF009110" left="724"
        height="22"/>
    <components path="butdel" viewType="Button" width="66" text="CF009111" left="724"
        top="32" height="22"/>
    <components path="butcpy" viewType="Button" width="66" text="CF009112" left="724"
        top="172" height="22"/>
    <components path="butsnd" viewType="Button" width="66" enabled="false" text="CF009113"
        left="724" top="196" height="22"/>
    <components path="roladr" viewType="Combobox" width="75" left="501" top="9" height="22"/>
    <components path="rcvp\ptap5" viewType="Composite" width="230" left="402" top="32"
        height="100"/>
    <components path="rcvswt" viewType="Composite" width="350" top="176" height="100"/>
    <components path="rcvlet" viewType="Composite" width="350" top="176" height="140"/>
    <components path="rcvtco" viewType="Composite" width="350" top="176" height="100"/>
    <components path="rcvtlx" viewType="Composite" width="390" top="170" height="130"/>
    <components path="rcveml" viewType="Composite" width="600" top="196" height="100"/>
    <components path="rcvfax" viewType="Composite" width="350" top="176" height="100"/>
    <components path="rcvrtg" viewType="Composite" width="350" top="176" height="100"/>
    <components path="rcvtar" viewType="Composite" width="350" top="176" height="100"/>
    <components path="rcvdta" viewType="Composite" width="350" top="176" height="100"/>
    <components path="rcvbol" viewType="Composite" width="390" top="176" height="100"/>
    <components path="rcvdte" viewType="Composite" width="350" top="176" height="100"/>
    <components path="rcv\adr\cortyp" viewType="Combobox" width="75" enabled="false"
        left="465" top="160" height="22"/>
    <components path="rcv\adr\uil" viewType="Combobox" width="75" enabled="false"
        left="568" top="160" height="22"/>
    <components path="ptmstm" width="308" left="400" top="184" height="84"/>
    <components path="rcvtlxkey" viewType="Composite" width="650" top="296" height="25"/>
    <components path="adrref" width="106" enabled="false" left="465" top="135" height="22"/>
    <components path="butcan" viewType="Button" width="66" text="CF009187" left="724"
        top="500" height="22"/>
    <components viewType="Label" text="S0009117" left="402" top="9" height="22"/>
    <components viewType="Label" text="S0009118" top="322" height="22"/>
    <components viewType="Label" text="S0009119" top="36" height="22"/>
    <components viewType="Label" text="S0009120" height="22"/>
    <components viewType="Label" text="S0009161" left="402" top="160" height="22"/>
    <components viewType="Label" text="SF009199" left="402" top="135" height="22"/>
    <components path="tag79z" viewType="Block" width="333" left="380" top="376" height="420"/>
    <components path="keynar" viewType="Label" width="200" enabled="false" left="380"
        top="352" height="22"/>
  </panels>
  <panels name="addinfs" description="PD009102" width="420" height="190" visible="false"
      popup="true">
    <components path="cortyp" viewType="Combobox" width="75" enabled="false" left="98"
        height="22"/>
    <components path="apf" viewType="Combobox" width="75" left="98" top="36" height="22"/>
    <components path="apftyp1" viewType="Combobox" width="75" enabled="false" left="98"
        top="60" height="22"/>
    <components path="apftyp2" viewType="Combobox" width="75" enabled="false" left="98"
        top="84" height="22"/>
    <components path="apftyp3" viewType="Combobox" width="75" enabled="false" left="98"
        top="108" height="22"/>
    <components path="apftyp4" viewType="Combobox" width="75" enabled="false" left="98"
        top="132" height="22"/>
    <components path="apftyp5" viewType="Combobox" width="75" enabled="false" left="98"
        top="156" height="22"/>
    <components path="apfcpy1" width="13" left="258" top="60" height="22"/>
    <components path="apfcpy2" width="13" left="258" top="84" height="22"/>
    <components path="apfcpy3" width="13" left="258" top="108" height="22"/>
    <components path="apfcpy4" width="13" left="258" top="132" height="22"/>
    <components path="apfcpy5" width="13" left="258" top="156" height="22"/>
    <components path="butaddok" viewType="Button" width="66" text="CF009106" left="352"
        height="22"/>
    <components path="butdel" viewType="Button" width="66" text="CF009107" left="352"
        top="32" height="22"/>
    <components path="butcan" viewType="Button" width="66" text="CF009188" left="352"
        top="160" height="22"/>
    <components viewType="Label" text="S0009103" left="291" top="60" height="22"/>
    <components viewType="Label" text="S0009104" height="22"/>
    <components viewType="Label" text="S0009105" top="36" height="22"/>
  </panels>
  <panels name="rcvswt" description="PD009126" width="350" height="100" transient="true"
      visible="false" popup="true">
    <components path="adrbic" width="73" left="90" top="0" height="22"/>
    <components path="adrbicaut" viewType="Combobox" width="75" left="90" top="40"
        height="22"/>
    <components path="msgpri" viewType="Combobox" width="75" left="90" top="72" height="22"/>
    <components viewType="Label" text="SF009127" left="0" top="0" height="22"/>
    <components viewType="Label" text="SF009129" left="0" top="40" height="22"/>
    <components viewType="Label" text="SF009177" left="0" top="72" height="22"/>
  </panels>
  <panels name="rcvlet" description="PD009127" width="350" height="140" transient="true"
      visible="false" popup="true">
    <components path="adrblk" viewType="Block" width="233" left="90" top="2" height="84"/>
    <components path="docdat" viewType="Date" width="80" left="90" top="114" height="22"/>
    <components path="supcovflg" viewType="Checkbox" width="75" enabled="false" text="CF009198"
        left="170" top="114" height="22"/>
    <components viewType="Label" text="SF009159" left="0" top="0" height="22"/>
    <components viewType="Label" text="SF009203" left="0" top="114" height="22"/>
  </panels>
  <panels name="rcvtco" description="PD009128" width="350" height="100" transient="true"
      visible="false" popup="true">
    <components path="adrtid" width="153" left="90" top="0" height="22"/>
    <components viewType="Label" text="SF009160" left="0" top="0" height="22"/>
  </panels>
  <panels name="rcvtlx" description="PD009129" width="390" height="130" transient="true"
      visible="false" popup="true">
    <components path="adrtlx" width="133" left="90" top="0" height="22"/>
    <components path="adrtlxaut" viewType="Combobox" width="75" left="232" top="0"
        height="22"/>
    <components path="adrtlxans" width="133" left="90" top="28" height="22"/>
    <components viewType="Label" text="SF009173" left="0" top="0" height="22"/>
    <components viewType="Label" text="SF009180" left="0" top="28" height="22"/>
  </panels>
  <panels name="rcveml" description="PD009130" width="600" height="100" transient="true"
      visible="false" popup="true">
    <components path="supcovflg" viewType="Checkbox" width="75" enabled="false" text="CF009201"
        left="90" top="50" height="22"/>
    <components path="adreml" width="533" left="90" top="72" height="22"/>
    <components viewType="Label" text="SF009172" left="0" top="72" height="22"/>
  </panels>
  <panels name="rcvfax" description="PD009131" width="350" height="100" transient="true"
      visible="false" popup="true">
    <components path="adrfax" width="133" left="90" top="0" height="22"/>
    <components viewType="Label" text="SF009174" left="0" top="0" height="22"/>
  </panels>
  <panels name="rcvrtg" description="PD009132" width="350" height="100" transient="true"
      visible="false" popup="true">
    <components path="adrbic" width="73" left="90" top="0" height="22"/>
    <components path="adrbicaut" viewType="Combobox" width="75" left="90" top="40"
        height="22"/>
    <components viewType="Label" text="S0009193" left="0" top="0" height="22"/>
    <components viewType="Label" text="S0009194" left="0" top="40" height="22"/>
  </panels>
  <panels name="rcvdte" description="PD009134" width="350" height="100" transient="true"
      visible="false" popup="true">
    <components path="adrdtecid" width="153" left="90" top="0" height="22"/>
    <components viewType="Label" text="SF009182" left="0" top="0" height="22"/>
  </panels>
  <panels name="rcvtar" description="PD009133" width="350" height="100" transient="true"
      visible="false" popup="true">
    <components path="adrbic" width="73" left="90" top="0" height="22"/>
    <components path="adrbicaut" viewType="Combobox" width="75" left="90" top="40"
        height="22"/>
    <components viewType="Label" text="S0009195" left="0" top="0" height="22"/>
    <components viewType="Label" text="S0009196" left="0" top="40" height="22"/>
  </panels>
  <panels name="rcvdta" description="PD009135" width="350" height="100" transient="true"
      visible="false" popup="true">
    <components path="adrdtacid" width="153" left="90" top="0" height="22"/>
    <components viewType="Label" text="SF009181" left="0" top="0" height="22"/>
  </panels>
  <panels name="rcvtlxkey" description="PD009184" width="650" height="25" transient="true"
      visible="false" popup="true">
    <components path="keycur" viewType="Combobox" width="75" left="90" top="0" height="22"/>
    <components path="keyamt" viewType="Amount" width="120" left="142" top="0" height="22"/>
    <components path="keytxt" width="266" left="378" top="0" height="22"/>
    <components viewType="Label" text="S0009185" left="0" top="0" height="22"/>
    <components viewType="Label" text="S0009186" left="312" top="0" height="22"/>
  </panels>
  <panels name="rcvbol" description="PD009191" width="390" height="100" transient="true"
      visible="false" popup="true">
    <components path="adrrid" width="333" left="68" top="0" height="22"/>
    <components viewType="Label" text="SF009192" left="0" top="0" height="22"/>
  </panels>
  <panels name="cover" description="PD009122" width="800" height="600">
    <components path="coverblk" viewType="Block" widthUnit="%" left="0" top="0" height="100"
        heightUnit="%"/>
  </panels>
  <globalMethods name="xmlPrintClass_TRX" codeText="@0117" moduleName="doceot"/>
  <localMethods name="setCORTYP" type="local" codeText="@0000" moduleName="doceot"/>
  <localMethods name="savdoc" type="local" codeText="@0001" moduleName="doceot"/>
  <localMethods name="getdoclib" type="local" codeText="@0002" moduleName="doceot"/>
  <localMethods name="smhext" type="local" codeText="@0005" moduleName="doceot"/>
  <localMethods name="adrLine" type="local" codeText="@0007" moduleName="doceot"/>
  <localMethods name="setOldValues" type="local" codeText="@0010" moduleName="doceot"/>
  <localMethods name="makeAndConvertRuleDoc" type="local" codeText="@0011" moduleName="doceot"/>
  <localMethods name="getDocRul" type="local" codeText="@0012" moduleName="doceot"/>
  <localMethods name="checkForStructure" type="local" codeText="@0013" moduleName="doceot"/>
  <localMethods name="make999fromStream" type="local" codeText="@0014" moduleName="doceot"/>
  <localMethods name="breakLinesTLX" type="local" codeText="@0015" moduleName="doceot"/>
  <localMethods name="popupADD" type="local" codeText="@0016" moduleName="doceot"/>
  <localMethods name="makeDuplicate" type="local" codeText="@0017" moduleName="doceot"/>
  <localMethods name="prepareDocument" type="local" codeText="@0019" moduleName="doceot"/>
  <localMethods name="doBUTDEL" type="local" codeText="@0021" moduleName="doceot"/>
  <localMethods name="setApf" type="local" codeText="@0022" moduleName="doceot"/>
  <localMethods name="setAdrFields" type="local" codeText="@0023" moduleName="doceot"/>
  <localMethods name="getAPFCNT" type="local" codeText="@0024" moduleName="doceot"/>
  <localMethods name="enableKey" type="local" codeText="@0025" moduleName="doceot"/>
  <localMethods name="onClosePopup" type="local" codeText="@0027" moduleName="doceot"/>
  <localMethods name="breakLinesSWT" type="local" codeText="@0028" moduleName="doceot"/>
  <localMethods name="forwardSwift" type="local" codeText="@0029" moduleName="doceot"/>
  <localMethods name="eoPDocument" type="local" codeText="@0030" moduleName="doceot"/>
  <localMethods name="setInvisible" type="local" codeText="@0042" moduleName="doceot"/>
  <localMethods name="prepareDSP" type="local" codeText="@0045" moduleName="doceot"/>
  <localMethods name="executeOriginalDocument" type="local" codeText="@0048" moduleName="doceot"/>
  <localMethods name="setLanguageForPanel" type="local" codeText="@0049" moduleName="doceot"/>
  <localMethods name="getFremsgMt" type="local" codeText="@0050" moduleName="doceot"/>
  <localMethods name="setSRTKEY" type="local" codeText="@0051" moduleName="doceot"/>
  <localMethods name="getCORTYPValuesPopup" type="local" codeText="@0053" moduleName="doceot"/>
  <localMethods name="readPTMGRD" type="local" codeText="@0056" moduleName="doceot"/>
  <localMethods name="getPtmField" type="local" codeText="@0058" moduleName="doceot"/>
  <localMethods name="setDOCCURMT" type="local" codeText="@0059" moduleName="doceot"/>
  <localMethods name="addTrailer" type="local" codeText="@0061" moduleName="doceot"/>
  <localMethods name="addEOHTag" type="local" codeText="@0070" moduleName="doceot"/>
  <localMethods name="getAdrFormat" type="local" codeText="@0071" moduleName="doceot"/>
  <localMethods name="getSNDKEY" type="local" codeText="@0074" moduleName="doceot"/>
  <localMethods name="smhNam" type="local" codeText="@0075" moduleName="doceot"/>
  <localMethods name="setAddressingInfo" type="local" codeText="@0076" moduleName="doceot"/>
  <localMethods name="setLang" type="local" codeText="@0077" moduleName="doceot"/>
  <localMethods name="specialCorTypDef" type="local" codeText="@0078" moduleName="doceot"/>
  <localMethods name="specialShowDoc" type="local" codeText="@0079" moduleName="doceot"/>
  <localMethods name="specialMakeDoc" type="local" codeText="@0080" moduleName="doceot"/>
  <localMethods name="printAddressBlock" type="local" codeText="@0081" moduleName="doceot"/>
  <localMethods name="setDOCCORSEA" type="local" codeText="@0082" moduleName="doceot"/>
  <localMethods name="determineConversion" type="local" codeText="@0083" moduleName="doceot"/>
  <localMethods name="headerTLX" type="local" codeText="@0084" moduleName="doceot"/>
  <localMethods name="headerFAX" type="local" codeText="@0085" moduleName="doceot"/>
  <localMethods name="headerEML" type="local" codeText="@0086" moduleName="doceot"/>
  <localMethods name="headerSWT" type="local" codeText="@0087" moduleName="doceot"/>
  <localMethods name="setPanDsc" type="local" codeText="@0088" moduleName="doceot"/>
  <localMethods name="forwardHeader" type="local" codeText="@0089" moduleName="doceot"/>
  <localMethods name="addForwardHeader" type="local" codeText="@0091" moduleName="doceot"/>
  <localMethods name="getUseCORTYP" type="local" codeText="@0092" moduleName="doceot"/>
  <localMethods name="headerRTG" type="local" codeText="@0093" moduleName="doceot"/>
  <localMethods name="headerTAR" type="local" codeText="@0094" moduleName="doceot"/>
  <localMethods name="headerTCO" type="local" codeText="@0095" moduleName="doceot"/>
  <localMethods name="bolMakeMessage" type="local" codeText="@0096" moduleName="doceot"/>
  <localMethods name="setAttachmentAPF" type="local" codeText="@0097" moduleName="doceot"/>
  <localMethods name="txtMakeMessage" type="local" codeText="@0099" moduleName="doceot"/>
  <localMethods name="setCusPanelDescription" type="local" codeText="@0100" moduleName="doceot"/>
  <localMethods name="headerDTA" type="local" codeText="@0101" moduleName="doceot"/>
  <localMethods name="headerDTE" type="local" codeText="@0102" moduleName="doceot"/>
  <localMethods name="getFmtAdrBlk" type="local" codeText="@0103" moduleName="doceot"/>
  <localMethods name="getDocsnf" type="local" codeText="@0108" moduleName="doceot"/>
  <localMethods name="determineMsgTyp" type="local" codeText="@0109" moduleName="doceot"/>
  <localMethods name="ediMakeMessage" type="local" codeText="@0111" moduleName="doceot"/>
  <localMethods name="adrLineZZZ" type="local" codeText="@0112" moduleName="doceot"/>
  <localMethods name="dtfMakeMessage" type="local" codeText="@0113" moduleName="doceot"/>
  <localMethods name="gpiflag" type="local" codeText="@0114" moduleName="doceot"/>
  <initRules name="\" type="init" codeText="@0043" order="1000" moduleName="doceot"/>
  <initRules name="\" type="init" codeText="@0098" order="800" moduleName="doceot"/>
  <defaultRules name="docsnf" type="default" codeText="@0004" order="1000" moduleName="doceot"/>
  <defaultRules name="butdel" type="default" codeText="@0033" order="1000" moduleName="doceot"/>
  <defaultRules name="addinf" type="default" codeText="@0034" order="1000" moduleName="doceot"/>
  <defaultRules name="pandsc" type="default" codeText="@0035" order="1000" moduleName="doceot"/>
  <defaultRules name="addinfs" type="default" codeText="@0036" order="1000" moduleName="doceot"/>
  <defaultRules name="butadd" type="default" codeText="@0044" order="1000" moduleName="doceot"/>
  <defaultRules name="rcvp\pansta" type="default" codeText="@0057" order="1000" moduleName="doceot"/>
  <defaultRules name="role" type="default" codeText="@0067" order="1000" moduleName="doceot"/>
  <defaultRules name="adrbic" type="default" codeText="@0069" moduleName="doceot"/>
  <defaultRules name="addInfo" type="default" codeText="@0073" order="1000" moduleName="doceot">
    <paths>addtxt</paths>
    <paths>addstr</paths>
    <paths>addtxttxm\buttxmsel</paths>
  </defaultRules>
  <defaultRules name="rcvp\pansta" type="default" codeText="@0104" order="1002" moduleName="doceot"/>
  <defaultRules name="staflg" type="default" codeText="@0107" order="1000" moduleName="doceot"/>
  <defaultRules name="msgtyp" type="default" codeText="@0110" order="1000" moduleName="doceot"/>
  <defaultRules name="keynar" type="default" codeText="@0115" order="1000" moduleName="doceot"/>
  <defaultRules name="tag79z" type="default" codeText="@0116" order="1000" moduleName="doceot"/>
  <checkRules name="adrfax" type="check" codeText="@0038" order="1000" moduleName="doceot"/>
  <checkRules name="adreml" type="check" codeText="@0039" order="1000" moduleName="doceot"/>
  <checkRules name="adrtid" type="check" codeText="@0040" order="1000" moduleName="doceot"/>
  <checkRules name="adrbic" type="check" codeText="@0041" order="1000" moduleName="doceot"/>
  <checkRules name="apf" type="check" codeText="@0052" order="1000" moduleName="doceot"/>
  <checkRules name="adrdtacid" type="check" codeText="@0054" order="1000" moduleName="doceot"/>
  <checkRules name="adrdtecid" type="check" codeText="@0055" order="1000" moduleName="doceot"/>
  <checkRules name="cortyp" type="check" codeText="@0060" order="1000" moduleName="doceot"/>
  <checkRules name="adrrid" type="check" codeText="@0064" order="1000" moduleName="doceot"/>
  <checkRules name="roladr" type="check" codeText="@0065" order="1000" moduleName="doceot"/>
  <checkRules name="staflg" type="check" codeText="@0106" order="1000" moduleName="doceot"/>
  <eventRules name="butshw" type="event" codeText="@0003" order="1000" moduleName="doceot"/>
  <eventRules name="cortyp" type="event" codeText="@0006" order="1000" moduleName="doceot"/>
  <eventRules name="butaddok" type="event" codeText="@0008" order="1000" moduleName="doceot"/>
  <eventRules name="butadd" type="event" codeText="@0009" order="1000" moduleName="doceot"/>
  <eventRules name="butsnd" type="event" codeText="@0018" order="1000" moduleName="doceot"/>
  <eventRules name="butcpy" type="event" codeText="@0020" order="1000" moduleName="doceot"/>
  <eventRules name="addinf" type="event" codeText="@0026" order="1000" moduleName="doceot"/>
  <eventRules name="adrbicaut" type="event" codeText="@0031" order="1000" moduleName="doceot"/>
  <eventRules name="adrtlxaut" type="event" codeText="@0032" order="1000" moduleName="doceot"/>
  <eventRules name="addinfs" type="event" codeText="@0037" order="1000" moduleName="doceot"/>
  <eventRules name="addinf" type="event" codeText="@0046" order="1000" moduleName="doceot"/>
  <eventRules name="addinfs" type="event" codeText="@0047" order="1000" moduleName="doceot"/>
  <eventRules name="butcan" type="event" codeText="@0062" moduleName="doceot"/>
  <eventRules name="butdel" type="event" codeText="@0063" order="1000" moduleName="doceot"/>
  <eventRules name="roladr" type="event" codeText="@0066" order="1000" moduleName="doceot"/>
  <eventRules name="supcovflg" type="event" codeText="@0068" order="1000" moduleName="doceot"/>
  <eventRules name="docuil" type="event" codeText="@0072" order="1000" moduleName="doceot"/>
  <eventRules name="oriflg" type="event" codeText="@0090" order="1000" moduleName="doceot"/>
  <eventRules name="cortyp" type="event" codeText="@0105" order="500" moduleName="doceot"/>
  <eventRules name="cover" type="event" eventType="onPanelShow" codeText="@0118" moduleName="doceot"/>
  <eventRules name="cover" type="event" eventType="onPanelShow" codeText="@0119" order="10"
      moduleName="doceot"/>
  <eventRules name="cover" type="event" eventType="onPanelShow" codeText="@0120" order="11"
      moduleName="doceot"/>
</eibs:Module>
