<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="dtemod" table="dtemod" title="Functions for DTE messages" transient="true"
    i18nSequence="15" ruleSequence="22">
  <datafields name="dtetagm06" column="dtetagm06" description="Information about Confirmation Instruction"
      datatype="block" viewtype="Block" length="65" lineOrDecimalSize="50" viewlines="8"/>
  <datafields name="dtetagm07" column="dtetagm07" description="Notes from Advising Bank"
      datatype="block" viewtype="Block" length="65" lineOrDecimalSize="100" viewlines="8"/>
  <datafields name="dtetagm08" column="dtetagm08" description="Fee of Advising Bank"
      datatype="block" viewtype="Block" length="65" lineOrDecimalSize="50" viewlines="8"/>
  <datafields name="dtetagm53nam" column="dtetagm53nam" description="Courier Name"
      length="35" lineOrDecimalSize="1"/>
  <datafields name="dtetagm53typ" column="dtetagm53typ" description="Document Sending Type"
      viewtype="Combobox" length="65" lineOrDecimalSize="1" codetable="dtetagm53typ"/>
  <datafields name="dtetagm53num" column="dtetagm53num" description="Courier Number"
      length="35" lineOrDecimalSize="1"/>
  <modules name="txmdtetagm06" type="txmmod">
    <arguments name="txmblock" value="dtetagm06"/>
    <arguments name="txmgrp" value="!DTEM06"/>
    <arguments name="txmuil" value="!"/>
  </modules>
  <modules name="txmdtetagm07" type="txmmod">
    <arguments name="txmblock" value="dtetagm07"/>
    <arguments name="txmgrp" value="!DTEM07"/>
    <arguments name="txmuil" value="!"/>
  </modules>
  <modules name="txmdtetagm08" type="txmmod">
    <arguments name="txmblock" value="dtetagm08"/>
    <arguments name="txmgrp" value="!DTEM08"/>
    <arguments name="txmuil" value="!"/>
  </modules>
  <panels name="dtetag" description="PD000001" width="788" height="528">
    <components path="txmdtetagm06\buttxmsel" viewType="Button" width="20" text="CF000010"
        left="420" top="26" height="22"/>
    <components path="dtetagm06" viewType="Block" width="433" top="28" height="600"/>
    <components path="txmdtetagm07\buttxmsel" viewType="Button" width="20" text="CF000008"
        left="420" top="170" height="22"/>
    <components path="dtetagm07" viewType="Block" width="433" top="170" height="1200"/>
    <components path="txmdtetagm08\buttxmsel" viewType="Button" width="20" text="CF000014"
        left="420" top="314" height="22"/>
    <components path="dtetagm08" viewType="Block" width="433" top="314" height="600"/>
    <components path="dtetagm53typ" viewType="Combobox" width="433" left="468" top="28"
        height="22"/>
    <components path="dtetagm53nam" width="233" left="468" top="72" height="22"/>
    <components path="dtetagm53num" width="233" left="468" top="116" height="22"/>
    <components viewType="Label" text="SF000004" left="468" height="22"/>
    <components viewType="Label" text="SF000005" left="468" top="52" height="22"/>
    <components viewType="Label" text="SF000006" left="468" top="96" height="22"/>
    <components viewType="Label" text="SF000007" top="152" height="22"/>
    <components viewType="Label" text="SF000009" height="22"/>
    <components viewType="Label" text="SF000013" top="296" height="22"/>
  </panels>
  <localMethods name="dteCreateHeaderAll" type="local" codeText="@0000" moduleName="dtemod"/>
  <localMethods name="dteCreateMTags" type="local" codeText="@0001" moduleName="dtemod"/>
  <localMethods name="dteCreateTrailerAll" type="local" codeText="@0002" moduleName="dtemod"/>
  <localMethods name="resetFieldsDTETAG" type="local" codeText="@0003" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM55" type="local" codeText="@0004" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM56" type="local" codeText="@0005" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM31" type="local" codeText="@0006" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM35" type="local" codeText="@0007" moduleName="dtemod"/>
  <localMethods name="dtePrtTagA2" type="local" codeText="@0008" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM24" type="local" codeText="@0009" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM05" type="local" codeText="@0010" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM06" type="local" codeText="@0011" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM07" type="local" codeText="@0012" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM08" type="local" codeText="@0013" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM09" type="local" codeText="@0014" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM10" type="local" codeText="@0015" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM11" type="local" codeText="@0016" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM12" type="local" codeText="@0017" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM19" type="local" codeText="@0018" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM29" type="local" codeText="@0019" moduleName="dtemod"/>
  <localMethods name="dtePrtTagM53" type="local" codeText="@0021" moduleName="dtemod"/>
  <defaultRules name="dtetag" type="default" codeText="@0020" order="1000" moduleName="dtemod"/>
</eibs:Module>
