<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ediimm" table="ediimm" title="" i18nSequence="34" ruleSequence="27" transient="true">
<datafields comments="" name="ediin" column="ediin" description="Message as stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="filename" column="filename" description="Name of .EDI File" length="255" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lastfilename" column="lastfilename" description="Filename of file currently loaded" length="255" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="title" column="title" description="Title" length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="currentelement" column="currentelement" description="currentElement" length="80" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="currentmodule" column="currentmodule" description="currentModule" length="16" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="modulepath" column="modulepath" description="ModulePath" length="120" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="skipelement" column="skipelement" description="skipElement" length="1" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="nowelement" column="nowelement" description="nowElement" length="80" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="errorlog" column="errorlog" description="ErrorLog" datatype="stream" viewtype="Block" length="40" lineOrDecimalSize="1" />
<datafields comments="" name="parentelement" column="parentelement" description="parentElement" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" access="private" />
<datafields comments="" name="currentattributes" column="currentattributes" description="currentAttributes" length="160" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="elementlevel" column="elementlevel" description="new datafield" datatype="numeric" length="2" lineOrDecimalSize="0" access="private" />
<datafields comments="" name="emptyelement" column="emptyelement" description="emptyElement" length="1" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="msgnam" column="msgnam" description="Name of Message" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tagovr" column="tagovr" description="Content of EDIOVR.INI" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="tagovrfile" column="tagovrfile" description="Filename of EDIOVR.INI" length="12" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tagsup" column="tagsup" description="Content of EDISUP.INI" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="tagsupfile" column="tagsupfile" description="Filename of EDISUP.INI" length="12" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tagovrmt" column="tagovrmt" description="MT for current TAGOVRMTPOS" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="startprintflag" column="startprintflag" description="StartPrintFlag" length="1" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="bankediid" column="bankediid" description="Own Bank EDI ID" length="20" lineOrDecimalSize="1" viewlines="1" access="private" />
<datafields comments="" name="edibankname" column="edibankname" description="Bank Name" length="35" lineOrDecimalSize="1" viewlines="1" access="private" />
<localMethods type="local" name="popupStreamAsEDI" codeText="@0000" moduleName="ediimm"/>
<localMethods type="local" name="popupStreamAsEDIWithSMH" codeText="@0001" moduleName="ediimm"/>
<eventRules name="docedip" type="event" eventType="onPanelShow" codeText="@0002" order="10" moduleName="ediimm" />
<eventRules name="docedip" type="event" eventType="onPanelShow" codeText="@0003" order="11" moduleName="ediimm" />
<localMethods type="local" name="edi_PrintFooter" codeText="@0004" moduleName="ediimm"/>
<localMethods type="local" name="edi_PrintHeader" codeText="@0005" moduleName="ediimm"/>
<localMethods type="local" name="edi_MessageHeader" codeText="@0006" moduleName="ediimm"/>
<localMethods type="local" name="loadEDIftFile" codeText="@0007" moduleName="ediimm"/>
<localMethods type="local" name="printEDIDetails" codeText="@0008" moduleName="ediimm"/>
<localMethods type="local" name="xmlStartElement" codeText="@0009" moduleName="ediimm"/>
<localMethods type="local" name="xmlEndElement" codeText="@0010" moduleName="ediimm"/>
<localMethods type="local" name="xmlCharacterData" codeText="@0011" moduleName="ediimm"/>
<globalMethods name="isSkipField" codeText="@0012" moduleName="ediimm"/>
<eventRules name="docedip" type="event" eventType="onPanelShow" codeText="@0013" order="100" moduleName="ediimm" />
<localMethods type="local" name="levelCharacor" codeText="@0014" moduleName="ediimm"/>
<localMethods type="local" name="popupStreamAsEDIforSMH" codeText="@0015" moduleName="ediimm"/>
<localMethods type="local" name="ediGetTagFormat" codeText="@0016" moduleName="ediimm"/>
<localMethods type="local" name="ediGetTagName" codeText="@0017" moduleName="ediimm"/>
<localMethods type="local" name="ediGetMSGName" codeText="@0018" moduleName="ediimm"/>
<initRules name="\" type="init" codeText="@0019" order="1000" moduleName="ediimm" />
<localMethods type="local" name="ediGetBank" codeText="@0020" moduleName="ediimm"/>
<localMethods type="local" name="getInitial" codeText="@0021" moduleName="ediimm"/>
<localMethods type="local" name="ediGetOwnEDICOD" codeText="@0022" moduleName="ediimm"/>
<localMethods type="local" name="ediGetBankEDICOD" codeText="@0023" moduleName="ediimm"/>
<localMethods type="local" name="ediFormatCodeValue" codeText="@0024" moduleName="ediimm"/>
<localMethods type="local" name="ediGetTagCodeTable" codeText="@0025" moduleName="ediimm"/>
<localMethods type="local" name="ediGetOwnEDINAME" codeText="@0026" moduleName="ediimm"/>
<panels name="docedip" description="PD000001" width="800"  height="600" signDefination="">
<components path="docedipblk" width="100" widthUnit="%" left="0" top="0" height="100" heightUnit="%" viewType="Block" />
</panels>
<datafields comments="" name="docedipblk" column="docedipblk" description="XMLPanel docedip的内置block" datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10" />
<modules name="smh" type="smh" >
</modules>
<modules name="adr" type="adr" >
</modules>
</eibs:Module>
