<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="evt" table="evt" title="EVT - Event Log" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Event" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ssninr" column="ssninr" description="INR of Session" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Table Used to Store Associated Object or Type of Event" codetable="objtyp" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dattim" column="dattim" description="Timestamp" datatype="date" length="17" lineOrDecimalSize="2" />
<datafields comments="" name="rtn" column="rtn" description="Return Code of Function" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="txt" column="txt" description="Textual Event Description" datatype="block" viewtype="Block" length="80" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="arcflg" column="arcflg" description="Archived Flag 'A', 'N'" codetable="arcflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usr" column="usr" description="User ID Duplicate from SSN" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frm" column="frm" description="Frame by which the Event is Created" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity of User when Event happened" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
