<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="fbd" table="fbd" title="" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of FB Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fianam" column="fianam" description="Finance Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntnam" column="pntnam" description="Name of Parent Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fiaref" column="fiaref" description="Finance Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntref" column="pntref" description="Parent Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Open Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Close Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="intunt" column="intunt" description="Interest until" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmdinr" column="fmdinr" description="INR of forfaiting contract used" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="intday" column="intday" description="Interest Days" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="liaextid" column="liaextid" description="Tenor Advanced" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fintyp" column="fintyp" description="Type of Financing" viewtype="Combobox" codetable="fintyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pctfin" column="pctfin" description="Percentage" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH KEY" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buicur" column="buicur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buiamt" column="buiamt" description="Balance" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
</eibs:Module>
