<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="fec" table="fec" title="FEC - Fee Condition and Calculation Rule" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of FEC Fee Condition Rule" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feeinr" column="feeinr" description="INR of Related FEE Record" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feepri" column="feepri" description="Type of Condition" codetable="feepri" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Table Name" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Relevant Object for Special Conditions or Empty" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="begdat" column="begdat" description="Begin Date Incl." datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="enddat" column="enddat" description="End Date Excl." datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="calcbs" column="calcbs" description="Calculation Base" viewtype="Combobox" codetable="calcbs" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="calfcc" column="calfcc" description="Calculation Code" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lowamt" column="lowamt" description="Low Amount Incl." datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="higamt" column="higamt" description="High Amount Excl." datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="maxcur" column="maxcur" description="Maximum Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="maxamt" column="maxamt" description="Maximum Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="maxfcc" column="maxfcc" description="Maximum Code" viewtype="Combobox" codetable="maxfcc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="mincur" column="mincur" description="Minimum Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="minamt" column="minamt" description="Minimum Amount/Value" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="minamttot" column="minamttot" description="Minimum for Complete Validity" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="amtsetall" column="amtsetall" description="Amount to be Settled in Advance" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="minfcc" column="minfcc" description="Minimum Code" viewtype="Combobox" codetable="minfcc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="untamt" column="untamt" description="Amount per Unit" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="ratcal" column="ratcal" description="Rate Calculation" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="ratcur" column="ratcur" description="Rate Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ratfcc" column="ratfcc" description="Rate Code" viewtype="Combobox" codetable="ratfcc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ratirs" column="ratirs" description="Reference Rate" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ratirsinc" column="ratirsinc" description="Rate Type for Increase/Decrease" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setmod" column="setmod" description="Mode of Settlement" viewtype="Combobox" codetable="setmod" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setbeg" column="setbeg" description="Settle from" viewtype="Combobox" codetable="setbeg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setend" column="setend" description="Settle to" viewtype="Combobox" codetable="setend" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pertyp" column="pertyp" description="Period Type" viewtype="Combobox" codetable="pertyp" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tirtyp" column="tirtyp" description="Type of Tiers" viewtype="Combobox" codetable="tirtyp" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="permin" column="permin" description="Minimum Periods" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="perbegtr2" column="perbegtr2" description="Start Period Tier 2" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="perrattr2" column="perrattr2" description="Rate Tier 2" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="permintr2" column="permintr2" description="Minimum for Period Tier 2" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="perbegtr3" column="perbegtr3" description="Start Period Tier 3" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="perrattr3" column="perrattr3" description="Rate Tier 3" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="permintr3" column="permintr3" description="Minimum for Period Tier 3" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="perbegtr4" column="perbegtr4" description="Start Period Tier 4" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="perrattr4" column="perrattr4" description="Rate Tier 4" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="permintr4" column="permintr4" description="Minimum for Period Tier 4" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="perbegtr5" column="perbegtr5" description="Start Period Tier 5" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="perrattr5" column="perrattr5" description="Rate Tier 5" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="permintr5" column="permintr5" description="Minimum for Period Tier 5" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="perbegtr6" column="perbegtr6" description="Start Period Tier 6" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="perrattr6" column="perrattr6" description="Rate Tier 6" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="permintr6" column="permintr6" description="Minimum for Period Tier 6" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="perbegtr7" column="perbegtr7" description="Start Period Tier 7" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="perrattr7" column="perrattr7" description="Rate Tier 7" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="permintr7" column="permintr7" description="Minimum for Period Tier 7" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="amtbegtr2" column="amtbegtr2" description="Start Amount Tier 2" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="amtrattr2" column="amtrattr2" description="Rate by Amount Tier 2" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="amtbegtr3" column="amtbegtr3" description="Start Amount Tier 3" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="amtrattr3" column="amtrattr3" description="Rate by Amount Tier 3" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="amtbegtr4" column="amtbegtr4" description="Start Amount Tier 4" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="amtrattr4" column="amtrattr4" description="Rate by Amount Tier 4" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="colltr" column="colltr" description="Disposition Defaulting" viewtype="Combobox" codetable="colltr" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="settyp" column="settyp" description="Type of Settlement" viewtype="Combobox" codetable="settyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setflg" column="setflg" description="Automatic Settlement" viewtype="Combobox" codetable="setflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setperflg" column="setperflg" description="Settl. Period" viewtype="Combobox" codetable="setperflg" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setchgflg" column="setchgflg" description="Flag, if Amount Can or Must be Changed" viewtype="Combobox" codetable="setchgflg" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pertypprv" column="pertypprv" description="Period Type Previous Periods" viewtype="Combobox" codetable="pertypprv" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="minpercnt" column="minpercnt" description="Minimum Period Count" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="maxpercnt" column="maxpercnt" description="Maximum Period Count" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="maxpercov" column="maxpercov" description="Maximum Periods Covered by Condition" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="basamt" column="basamt" description="Base Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="permaxtr2" column="permaxtr2" description="Maximum for Period Tier 2" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="permaxtr3" column="permaxtr3" description="Maximum for Period Tier 3" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="permaxtr4" column="permaxtr4" description="Maximum for Period Tier 4" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="permaxtr5" column="permaxtr5" description="Maximum for Period Tier 5" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="permaxtr6" column="permaxtr6" description="Maximum for Period Tier 6" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="permaxtr7" column="permaxtr7" description="Maximum for Period Tier 7" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="clcdifflg" column="clcdifflg" description="Recalculation" viewtype="Combobox" codetable="clcdifflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Fee Condition" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="calrul" column="calrul" description="Calculation Rule" viewtype="Combobox" codetable="calrul" length="1" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
