<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="fecp1" table="fecp1" title="FEC Details" transient="true" i18nSequence="633"
    ruleSequence="15">
  <datafields name="pansta" column="pansta" description="Panel-Status: 'I'nfo, 'A'dd, 'E'dit, 'D'elete"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="calrullbl" column="calrullbl" description="Infotext for calculation rule"
      viewtype="Label" length="200" lineOrDecimalSize="1"/>
  <datafields name="mac" column="mac" description="current MAC" lineOrDecimalSize="1"/>
  <datafields name="macold" column="macold" description="MAC after last run of Assert-fuction"
      lineOrDecimalSize="1"/>
  <modules name="fec" type="fec" argument="true"/>
  <panels name="feccmp" description="PD000138" width="710" height="260" transient="true"
      visible="false">
    <components path="calrullbl" viewType="Label" width="1334" enabled="false" left="4"
        top="4" height="22"/>
    <components path="fec\ratcal" width="93" left="80" top="32" height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" left="80" top="58"
        height="22"/>
    <components path="fec\minamt" viewType="Amount" width="120" left="132" top="58"
        height="22"/>
    <components path="fec\minfcc" viewType="Combobox" width="75" left="258" top="58"
        height="22"/>
    <components path="fec\maxcur" viewType="Combobox" width="75" left="80" top="84"
        height="22"/>
    <components path="fec\maxamt" viewType="Amount" width="120" left="132" top="84"
        height="22"/>
    <components path="fec\maxfcc" viewType="Combobox" width="75" left="258" top="84"
        height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" left="80" top="110"
        height="22"/>
    <components path="fec\minamttot" viewType="Amount" width="120" left="132" top="110"
        height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" left="80" top="136"
        height="22"/>
    <components path="fec\amtsetall" viewType="Amount" width="120" left="132" top="136"
        height="22"/>
    <components path="fec\calcbs" viewType="Combobox" width="75" left="528" top="32"
        height="22"/>
    <components path="fec\settyp" viewType="Combobox" width="75" left="528" top="58"
        height="22"/>
    <components path="fec\pertyp" viewType="Combobox" width="75" left="528" top="84"
        height="22"/>
    <components path="fec\setperflg" viewType="Combobox" width="75" left="528" top="110"
        height="22"/>
    <components path="fec\ratirs" viewType="Combobox" width="75" left="528" top="136"
        height="22"/>
    <components path="fec\ratirsinc" viewType="Combobox" width="75" left="528" top="162"
        height="22"/>
    <components path="fec\tirtyp" viewType="Combobox" width="75" left="80" top="206"
        height="22"/>
    <components path="fec\amtbegtr2" viewType="Amount" width="120" left="432" top="206"
        height="22"/>
    <components path="fec\amtrattr2" width="93" left="608" top="206" height="22"/>
    <components path="fec\amtbegtr3" viewType="Amount" width="120" left="432" top="232"
        height="22"/>
    <components path="fec\amtrattr3" width="93" left="608" top="232" height="22"/>
    <components path="fec\perbegtr2" width="20" left="528" top="206" height="22"/>
    <components path="fec\perrattr2" width="93" left="608" top="206" height="22"/>
    <components path="fec\perbegtr3" width="20" left="528" top="232" height="22"/>
    <components path="fec\perrattr3" width="93" left="608" top="232" height="22"/>
    <components path="fec\perrattr7" width="93" left="305" top="32" height="22"/>
    <components viewType="Label" text="SF000497" left="348" top="206" height="22"/>
    <components viewType="Label" text="SF000498" left="348" top="232" height="22"/>
    <components viewType="Label" text="SF000499" left="4" top="110" height="22"/>
    <components viewType="Label" text="SF000500" left="4" top="136" height="22"/>
    <components viewType="Label" text="SF000501" left="432" top="110" height="22"/>
    <components viewType="Label" text="SF000502" left="432" top="136" height="22"/>
    <components viewType="Label" text="SF000503" left="432" top="162" height="22"/>
    <components viewType="Label" text="SF000504" left="432" top="58" height="22"/>
    <components viewType="Label" text="SF000505" left="432" top="84" height="22"/>
    <components viewType="Label" text="SF000506" left="4" top="206" height="22"/>
    <components viewType="Label" text="S0000538" left="4" top="32" height="22"/>
    <components viewType="Label" text="S0000539" left="4" top="58" height="22"/>
    <components viewType="Label" text="S0000540" left="4" top="84" height="22"/>
    <components viewType="Label" text="S0000543" left="432" top="32" height="22"/>
    <components viewType="Label" text="SF000596" left="582" top="206" height="22"/>
    <components viewType="Label" text="SF000597" left="582" top="232" height="22"/>
    <components viewType="Label" text="SF000598" left="432" top="206" height="22"/>
    <components viewType="Label" text="SF000599" left="432" top="232" height="22"/>
    <components viewType="Label" text="SF000632" left="212" top="32" height="22"/>
  </panels>
  <panels name="fecprvp" description="PD000139" width="710" height="260" transient="true"
      visible="false">
    <components path="calrullbl" viewType="Label" width="1334" enabled="false" left="4"
        top="4" height="22"/>
    <components path="fec\ratcal" width="93" left="80" top="28" height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" left="80" top="52"
        height="22"/>
    <components path="fec\minamt" viewType="Amount" width="120" left="132" top="52"
        height="22"/>
    <components path="fec\minfcc" viewType="Combobox" width="75" left="258" top="52"
        height="22"/>
    <components path="fec\maxcur" viewType="Combobox" width="75" left="80" top="76"
        height="22"/>
    <components path="fec\maxamt" viewType="Amount" width="120" left="132" top="76"
        height="22"/>
    <components path="fec\maxfcc" viewType="Combobox" width="75" left="258" top="76"
        height="22"/>
    <components path="fec\calcbs" viewType="Combobox" width="75" left="528" top="28"
        height="22"/>
    <components path="fec\pertypprv" viewType="Combobox" width="75" left="528" top="52"
        height="22"/>
    <components path="fec\pertyp" viewType="Combobox" width="75" left="528" top="76"
        height="22"/>
    <components path="fec\minpercnt" width="20" left="80" top="118" height="22"/>
    <components path="fec\maxpercnt" width="20" left="80" top="142" height="22"/>
    <components path="fec\maxpercov" width="20" left="80" top="166" height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" enabled="false" left="80"
        top="190" height="22"/>
    <components path="fec\basamt" viewType="Amount" width="120" left="140" top="190"
        height="22"/>
    <components path="fec\perbegtr2" width="20" left="312" top="118" height="22"/>
    <components path="fec\perrattr2" width="93" left="346" top="118" height="22"/>
    <components path="fec\permintr2" viewType="Amount" width="120" left="446" top="118"
        height="22"/>
    <components path="fec\permaxtr2" viewType="Amount" width="120" left="570" top="118"
        height="22"/>
    <components path="fec\perbegtr3" width="20" left="312" top="142" height="22"/>
    <components path="fec\perrattr3" width="93" left="346" top="142" height="22"/>
    <components path="fec\permintr3" viewType="Amount" width="120" left="446" top="142"
        height="22"/>
    <components path="fec\permaxtr3" viewType="Amount" width="120" left="570" top="142"
        height="22"/>
    <components path="fec\perbegtr4" width="20" left="312" top="166" height="22"/>
    <components path="fec\perrattr4" width="93" left="346" top="166" height="22"/>
    <components path="fec\permintr4" viewType="Amount" width="120" left="446" top="166"
        height="22"/>
    <components path="fec\permaxtr4" viewType="Amount" width="120" left="570" top="166"
        height="22"/>
    <components path="fec\perbegtr5" width="20" left="312" top="190" height="22"/>
    <components path="fec\perrattr5" width="93" left="346" top="190" height="22"/>
    <components path="fec\permintr5" viewType="Amount" width="120" left="446" top="190"
        height="22"/>
    <components path="fec\permaxtr5" viewType="Amount" width="120" left="570" top="190"
        height="22"/>
    <components path="fec\perbegtr6" width="20" left="312" top="214" height="22"/>
    <components path="fec\perrattr6" width="93" left="346" top="214" height="22"/>
    <components path="fec\permintr6" viewType="Amount" width="120" left="446" top="214"
        height="22"/>
    <components path="fec\permaxtr6" viewType="Amount" width="120" left="570" top="214"
        height="22"/>
    <components path="fec\perbegtr7" width="20" left="312" top="238" height="22"/>
    <components path="fec\perrattr7" width="93" left="346" top="238" height="22"/>
    <components path="fec\permintr7" viewType="Amount" width="120" left="446" top="238"
        height="22"/>
    <components path="fec\permaxtr7" viewType="Amount" width="120" left="570" top="238"
        height="22"/>
    <components viewType="Label" text="SF000507" left="432" top="76" height="22"/>
    <components viewType="Label" text="SF000510" left="4" top="142" height="22"/>
    <components viewType="Label" text="SF000511" left="126" top="166" height="22"/>
    <components viewType="Label" text="SF000512" left="4" top="166" height="22"/>
    <components viewType="Label" text="SF000513" left="126" top="142" height="22"/>
    <components viewType="Label" text="SF000514" left="435" top="52" height="22"/>
    <components viewType="Label" text="SF000517" left="4" top="190" height="22"/>
    <components viewType="Label" text="SF000518" left="4" top="118" height="22"/>
    <components viewType="Label" text="SF000519" left="126" top="118" height="22"/>
    <components viewType="Label" text="S0000529" left="354" top="102" height="22"/>
    <components viewType="Label" text="S0000530" left="484" top="102" height="22"/>
    <components viewType="Label" text="S0000531" left="604" top="102" height="22"/>
    <components viewType="Label" text="S0000544" left="4" top="28" height="22"/>
    <components viewType="Label" text="S0000545" left="4" top="52" height="22"/>
    <components viewType="Label" text="S0000546" left="4" top="76" height="22"/>
    <components viewType="Label" text="S0000549" left="432" top="28" height="22"/>
  </panels>
  <panels name="fectrp" description="PD000132" width="710" height="260" transient="true"
      visible="false">
    <components path="calrullbl" viewType="Label" width="1334" enabled="false" left="4"
        top="4" height="22"/>
    <components path="fec\ratcal" width="93" left="80" top="32" height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" left="80" top="60"
        height="22"/>
    <components path="fec\minamt" viewType="Amount" width="120" left="132" top="60"
        height="22"/>
    <components path="fec\minfcc" viewType="Combobox" width="75" left="258" top="60"
        height="22"/>
    <components path="fec\maxcur" viewType="Combobox" width="75" left="80" top="88"
        height="22"/>
    <components path="fec\maxamt" viewType="Amount" width="120" left="132" top="88"
        height="22"/>
    <components path="fec\maxfcc" viewType="Combobox" width="75" left="258" top="88"
        height="22"/>
    <components path="fec\calcbs" viewType="Combobox" width="75" left="528" top="32"
        height="22"/>
    <components path="fec\pertyp" viewType="Combobox" width="75" left="528" top="60"
        height="22"/>
    <components path="fec\permin" width="20" left="528" top="88" height="22"/>
    <components path="fec\perbegtr2" width="20" left="528" top="136" height="22"/>
    <components path="fec\perrattr2" viewType="Amount" width="93" left="580" top="136"
        height="22"/>
    <components path="fec\perbegtr3" width="20" left="528" top="160" height="22"/>
    <components path="fec\perrattr3" viewType="Amount" width="93" left="580" top="160"
        height="22"/>
    <components path="fec\perbegtr4" width="20" left="528" top="184" height="22"/>
    <components path="fec\perrattr4" viewType="Amount" width="93" left="580" top="184"
        height="22"/>
    <components path="fec\perbegtr5" width="20" left="528" top="208" height="22"/>
    <components path="fec\perrattr5" viewType="Amount" width="93" left="580" top="208"
        height="22"/>
    <components viewType="Label" text="SF000521" left="432" top="136" height="22"/>
    <components viewType="Label" text="SF000522" left="432" top="116" height="22"/>
    <components viewType="Label" text="SF000523" left="432" top="160" height="22"/>
    <components viewType="Label" text="SF000524" left="432" top="184" height="22"/>
    <components viewType="Label" text="SF000525" left="432" top="208" height="22"/>
    <components viewType="Label" text="SF000526" left="432" top="60" height="22"/>
    <components viewType="Label" text="SF000527" left="432" top="88" height="22"/>
    <components viewType="Label" text="S0000550" left="4" top="32" height="22"/>
    <components viewType="Label" text="S0000551" left="4" top="60" height="22"/>
    <components viewType="Label" text="S0000552" left="4" top="88" height="22"/>
    <components viewType="Label" text="S0000555" left="432" top="32" height="22"/>
  </panels>
  <panels name="fecs2" description="PD000461" width="710" height="260" transient="true"
      visible="false">
    <components path="calrullbl" viewType="Label" width="1334" enabled="false" left="4"
        top="4" height="22"/>
    <components path="fec\ratcal" width="93" left="80" top="32" height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" left="80" top="60"
        height="22"/>
    <components path="fec\minamt" viewType="Amount" width="120" left="132" top="60"
        height="22"/>
    <components path="fec\minfcc" viewType="Combobox" width="75" left="258" top="60"
        height="22"/>
    <components path="fec\maxcur" viewType="Combobox" width="75" left="80" top="88"
        height="22"/>
    <components path="fec\maxamt" viewType="Amount" width="120" left="132" top="88"
        height="22"/>
    <components path="fec\maxfcc" viewType="Combobox" width="75" left="258" top="88"
        height="22"/>
    <components path="fec\ratirs" viewType="Combobox" width="75" left="80" top="116"
        height="22"/>
    <components path="fec\calcbs" viewType="Combobox" width="75" left="528" top="32"
        height="22"/>
    <components path="fec\settyp" viewType="Combobox" width="75" left="528" top="116"
        height="22"/>
    <components path="fec\perrattr7" width="93" left="304" top="32" height="22"/>
    <components viewType="Label" text="SF000528" left="4" top="116" height="22"/>
    <components viewType="Label" text="S0000556" left="4" top="32" height="22"/>
    <components viewType="Label" text="S0000557" left="4" top="60" height="22"/>
    <components viewType="Label" text="S0000558" left="4" top="88" height="22"/>
    <components viewType="Label" text="S0000561" left="432" top="32" height="22"/>
    <components viewType="Label" text="SF000610" left="418" top="116" height="22"/>
    <components viewType="Label" text="SF000631" left="217" top="32" height="22"/>
  </panels>
  <panels name="fecdetp" description="PD000486" width="710" height="312" transient="true"
      visible="false">
    <components path="fec\calrul" viewType="Combobox" width="75" left="80" top="2"
        height="22"/>
    <components path="fec\calfcc" viewType="Checkbox" width="75" enabled="false" text="CF000487"
        left="432" top="2" height="22"/>
    <components path="fec\setchgflg" viewType="Combobox" width="75" left="80" top="26"
        height="22"/>
    <components path="fec\colltr" viewType="Combobox" width="75" left="528" top="26"
        height="22"/>
    <components path="feccmp" viewType="Composite" width="710" left="0" top="52" height="260"/>
    <components path="fecprvp" viewType="Composite" width="710" left="2" top="54"
        height="260"/>
    <components path="fectrp" viewType="Composite" width="710" left="2" top="54" height="260"/>
    <components path="fecs2" viewType="Composite" width="710" left="2" top="54" height="260"/>
    <components path="fecfix" viewType="Composite" width="710" left="2" top="54" height="260"/>
    <components path="fecprc" viewType="Composite" width="710" left="2" top="54" height="260"/>
    <components path="fecprs" viewType="Composite" width="710" left="2" top="54" height="260"/>
    <components viewType="Label" text="S0000491" left="4" top="26" height="22"/>
    <components viewType="Label" text="S0000492" left="432" top="27" height="22"/>
    <components viewType="Label" text="SF000562" left="4" top="2" height="22"/>
    <components path="fecrp" viewType="Composite" width="710" left="2" top="54" height="260"/>
    <components path="fecep" viewType="Composite" width="710" left="2" top="54" height="260"/>
  </panels>
  <panels name="fecfix" description="PD000564" width="710" height="260" transient="true">
    <components path="calrullbl" viewType="Label" width="1334" enabled="false" left="4"
        top="4" height="22"/>
    <components path="fec\ratcur" viewType="Combobox" width="75" enabled="false" left="80"
        top="32" height="22"/>
    <components path="fec\untamt" viewType="Amount" width="120" left="172" top="32"
        height="22"/>
    <components viewType="Label" text="SF000574" left="4" top="32" height="22"/>
  </panels>
  <panels name="fecprc" description="PD000565" width="710" height="260" transient="true">
    <components path="calrullbl" viewType="Label" width="1334" enabled="false" left="4"
        top="4" height="22"/>
    <components path="fec\ratcal" width="93" left="80" top="32" height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" left="80" top="60"
        height="22"/>
    <components path="fec\minamt" viewType="Amount" width="120" left="132" top="60"
        height="22"/>
    <components path="fec\minfcc" viewType="Combobox" width="75" left="258" top="60"
        height="22"/>
    <components path="fec\maxcur" viewType="Combobox" width="75" left="80" top="88"
        height="22"/>
    <components path="fec\maxamt" viewType="Amount" width="120" left="132" top="88"
        height="22"/>
    <components path="fec\maxfcc" viewType="Combobox" width="75" left="258" top="88"
        height="22"/>
    <components path="fec\calcbs" viewType="Combobox" width="75" left="528" top="32"
        height="22"/>
    <components viewType="Label" text="S0000577" left="4" top="32" height="22"/>
    <components viewType="Label" text="S0000578" left="4" top="60" height="22"/>
    <components viewType="Label" text="S0000579" left="4" top="88" height="22"/>
    <components viewType="Label" text="S0000582" left="432" top="32" height="22"/>
  </panels>
  <panels name="fecprs" description="PD000566" width="710" height="260" transient="true">
    <components path="calrullbl" viewType="Label" width="1334" enabled="false" left="4"
        top="4" height="22"/>
    <components path="fec\ratcal" width="93" left="80" top="32" height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" left="80" top="60"
        height="22"/>
    <components path="fec\minamt" viewType="Amount" width="120" left="132" top="60"
        height="22"/>
    <components path="fec\minfcc" viewType="Combobox" width="75" left="258" top="60"
        height="22"/>
    <components path="fec\maxcur" viewType="Combobox" width="75" left="80" top="88"
        height="22"/>
    <components path="fec\maxamt" viewType="Amount" width="120" left="132" top="88"
        height="22"/>
    <components path="fec\maxfcc" viewType="Combobox" width="75" left="258" top="88"
        height="22"/>
    <components path="fec\calcbs" viewType="Combobox" width="75" left="528" top="32"
        height="22"/>
    <components path="fec\pertyp" viewType="Combobox" width="75" left="528" top="60"
        height="22"/>
    <components path="fec\permin" width="20" left="528" top="88" height="22"/>
    <components viewType="Label" text="S0000588" left="432" top="60" height="22"/>
    <components viewType="Label" text="S0000589" left="432" top="88" height="22"/>
    <components viewType="Label" text="S0000590" left="4" top="32" height="22"/>
    <components viewType="Label" text="S0000591" left="4" top="60" height="22"/>
    <components viewType="Label" text="S0000592" left="4" top="88" height="22"/>
    <components viewType="Label" text="S0000595" left="432" top="32" height="22"/>
  </panels>
  <panels name="fectrn" description="PD000609" width="710" height="260" transient="true"
      popup="true">
    <components path="fecprvp" viewType="Composite" width="710" left="0" top="0" height="260"/>
    <components path="fectrp" viewType="Composite" width="710" left="0" top="0" height="260"/>
    <components path="fecs2" viewType="Composite" width="710" left="0" top="0" height="260"/>
    <components path="fecfix" viewType="Composite" width="710" left="0" top="0" height="260"/>
    <components path="fecprc" viewType="Composite" width="710" left="0" top="0" height="260"/>
    <components path="fecprs" viewType="Composite" width="710" left="0" top="0" height="260"/>
    <components path="feccmp" viewType="Composite" width="710" left="0" top="0" height="260"/>
  </panels>
  <panels name="fecrp" description="PD000611" width="710" height="260" transient="true"
      visible="false">
    <components path="calrullbl" viewType="Label" width="1334" enabled="false" left="4"
        top="4" height="22"/>
    <components path="fec\pertyp" viewType="Combobox" width="75" left="80" top="92"
        height="22"/>
    <components path="fec\permin" width="20" left="370" top="120" height="22"/>
    <components path="fec\perbegtr2" width="20" left="370" top="148" height="22"/>
    <components path="fec\perrattr2" width="93" left="135" top="148" height="22"/>
    <components path="fec\ratcal" width="93" left="135" top="120" height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" left="80" top="32"
        height="22"/>
    <components path="fec\minamt" viewType="Amount" width="120" left="140" top="32"
        height="22"/>
    <components path="fec\minfcc" viewType="Combobox" width="75" left="266" top="32"
        height="22"/>
    <components path="fec\maxfcc" viewType="Combobox" width="75" left="266" top="60"
        height="22"/>
    <components path="fec\maxamt" viewType="Amount" width="120" left="140" top="60"
        height="22"/>
    <components path="fec\maxcur" viewType="Combobox" width="75" left="80" top="60"
        height="22"/>
    <components path="fec\calcbs" viewType="Combobox" width="75" left="370" top="92"
        height="22"/>
    <components viewType="Label" text="SG000612" left="268" top="120" height="22"/>
    <components viewType="Label" text="SG000613" left="4" top="92" height="22"/>
    <components viewType="Label" text="SG000614" left="268" top="148" height="22"/>
    <components viewType="Label" text="SG000615" left="4" top="148" height="22"/>
    <components viewType="Label" text="SG000616" left="4" top="120" height="22"/>
    <components viewType="Label" text="S0000617" left="4" top="32" height="22"/>
    <components viewType="Label" text="S0000618" left="5" top="60" height="22"/>
    <components viewType="Label" text="SG000619" left="268" top="92" height="22"/>
  </panels>
  <panels name="fecep" description="PD000620" width="710" height="260" transient="true">
    <components path="calrullbl" viewType="Label" width="1334" enabled="false" left="4"
        top="4" height="22"/>
    <components path="fec\pertyp" viewType="Combobox" width="75" left="80" top="92"
        height="22"/>
    <components path="fec\ratcal" width="93" left="120" top="120" height="22"/>
    <components path="fec\calcbs" viewType="Combobox" width="75" left="370" top="92"
        height="22"/>
    <components path="fec\mincur" viewType="Combobox" width="75" left="80" top="32"
        height="22"/>
    <components path="fec\minamt" viewType="Amount" width="120" left="140" top="32"
        height="22"/>
    <components path="fec\minfcc" viewType="Combobox" width="75" left="266" top="32"
        height="22"/>
    <components path="fec\maxfcc" viewType="Combobox" width="75" left="266" top="60"
        height="22"/>
    <components path="fec\maxamt" viewType="Amount" width="120" left="140" top="60"
        height="22"/>
    <components path="fec\maxcur" viewType="Combobox" width="75" left="80" top="60"
        height="22"/>
    <components viewType="Label" text="S0000622" left="4" top="92" height="22"/>
    <components viewType="Label" text="S0000625" left="4" top="120" height="22"/>
    <components viewType="Label" text="S0000628" left="268" top="92" height="22"/>
    <components viewType="Label" text="S0000629" left="4" top="32" height="22"/>
    <components viewType="Label" text="S0000630" left="5" top="60" height="22"/>
  </panels>
  <localMethods name="recalcFecp1" type="local" codeText="@0010" moduleName="fecp1"/>
  <localMethods name="recalcFecp1Customer" type="local" codeText="@0013" moduleName="fecp1"/>
  <defaultRules name="mac" type="default" codeText="@0014" order="1000" moduleName="fecp1"/>
  <checkRules name="fec\mincur" type="check" codeText="@0000" order="1100" moduleName="fecp1"/>
  <checkRules name="fec\permaxtr2" type="check" codeText="@0001" order="1000" moduleName="fecp1"/>
  <checkRules name="fec\permaxtr3" type="check" codeText="@0002" order="1000" moduleName="fecp1"/>
  <checkRules name="fec\permaxtr4" type="check" codeText="@0003" order="1000" moduleName="fecp1"/>
  <checkRules name="fec\permaxtr5" type="check" codeText="@0004" order="1000" moduleName="fecp1"/>
  <checkRules name="fec\permaxtr6" type="check" codeText="@0005" order="1000" moduleName="fecp1"/>
  <checkRules name="fec\permaxtr7" type="check" codeText="@0006" order="1000" moduleName="fecp1"/>
  <checkRules name="fec\ratcur" type="check" codeText="@0007" order="1100" moduleName="fecp1"/>
  <checkRules name="fec\maxamt" type="check" codeText="@0008" order="1000" moduleName="fecp1"/>
  <checkRules name="fec\maxcur" type="check" codeText="@0009" order="1100" moduleName="fecp1"/>
  <checkRules name="fec\pertyp" type="check" codeText="@0012" order="1000" moduleName="fecp1"/>
  <eventRules name="fecdetp" type="event" codeText="@0011" order="1000" moduleName="fecp1"/>
</eibs:Module>
