<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="fid" table="fid" title="" ruleSequence="1" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Import L/C" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expdat" column="expdat" description="Invoice Expire Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntownref" column="pntownref" description="Parent Contract Ref" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paycdt" column="paycdt" description="Payment Conditions" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="Date of Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="docflg" column="docflg" description="Invoice Status" codetable="docflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="doctyp" column="doctyp" description="Document Type" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="grcdat" column="grcdat" description="Grace period  dates" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="crdcut" column="crdcut" description="Total Number of credit notes" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="invcut" column="invcut" description="Total Numberof invoices" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trnflg" column="trnflg" description="Transaction flagE-xport,I-mport" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docnum" column="docnum" description="Document Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="duedat" column="duedat" description="Due Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="dirflg" column="dirflg" description="indirect or direct flag" codetable="dirflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msgfun" column="msgfun" description="Message Function" codetable="msgfun" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="invbatnum" column="invbatnum" description="Invoice Batch Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="valdat" column="valdat" description="Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="paybatnum" column="paybatnum" description="Payment Batch Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="opndat" type="default" codeText="@0000" order="1000" moduleName="fid" />
</eibs:Module>
