<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="fpd" table="fpd" title="FPD - Forfaiting Purchase Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="perint" column="perint" description="Percentage For Forfaiting" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="silflg" column="silflg" description="Un-Disclosed?" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rdsflg" column="rdsflg" description="Re-Discounting?" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="funflg" column="funflg" description="Funded?" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnfflg" column="cnfflg" description="Participation In Confirmation?" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="invref" column="invref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amedat" column="amedat" description="Date of last Amendment" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendment" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date Forfaiting Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expdat" column="expdat" description="Forfaiting Agreement Date of Expiry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="nomspc" column="nomspc" description="Amount Specification" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomtop" column="nomtop" description="Amount Tolerance - Positive" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="nomton" column="nomton" description="Amount Tolerance - Negative" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code for Statistics" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndatlc" column="opndatlc" description="Date L/C Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expdatlc" column="expdatlc" description="LC Date of Expire" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="selnam" column="selnam" description="Seller Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="invnam" column="invnam" description="Invoice Party Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="selref" column="selref" description="Seller Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="grcdys" column="grcdys" description="Grace Days" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="selopnnbr" column="selopnnbr" description="Number of Open sales" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="selnegnbr" column="selnegnbr" description="Number of Sales negotiations" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="valdat" column="valdat" description="Offer Valid untill" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="irtcod" column="irtcod" description="Interest Rate Name" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ratcal" column="ratcal" description="Proposed Spread" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntref" column="pntref" description="Parent Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent type" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntnam" column="pntnam" description="Name of Parent Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEY" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accmng" column="accmng" description="Account manager" length="6" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
