<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ftd" table="ftd" title="FTD - Funds Transfer Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Import L/C" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="Date Funds Transfer Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="valdat" column="valdat" description="Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cnfdat" column="cnfdat" description="Confirmed on" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="Branch INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="Branch INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fttyp" column="fttyp" description="Funds Transfer Type" viewtype="Combobox" codetable="fttyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rat" column="rat" description="Rate per year" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="cntfra" column="cntfra" description="Day count Fraction" viewtype="Combobox" codetable="cntfra" length="7" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usr" column="usr" description="User" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
