<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="fxd" table="fxd" title="" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Import L/C" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="Date Foreign Exchange Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fxtyp" column="fxtyp" description="Foreign Exchange Type" viewtype="Combobox" codetable="fxtyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rat" column="rat" description="Rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="midrat" column="midrat" description="Middle Rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="quoref" column="quoref" description="Quote Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fudref" column="fudref" description="Fund Department Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="valdat" column="valdat" description="Value date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cnfdat" column="cnfdat" description="Date of confirmation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="setdat" column="setdat" description="Settlement Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="setdatfrm" column="setdatfrm" description="Settlemt date from" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="setdatto" column="setdatto" description="Settlement date to" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date of Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="Branch INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="Branch INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trdint" column="trdint" description="TRADE IN" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trdout" column="trdout" description="TRADE OUT" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trnman" column="trnman" description="交易主体" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acc" column="acc" description="Foreign Account" length="21" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acc2" column="acc2" description="CNY Account" length="21" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usr" column="usr" description="Clearing Department Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dsp" column="dsp" description="Disposition" codetable="dsp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dsp2" column="dsp2" description="Disposition" codetable="dsp2" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cshpct" column="cshpct" description="Cash cover percent" datatype="numeric" length="5" lineOrDecimalSize="2" />
</eibs:Module>
