<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="glp" table="glp" title="GLP - Pool of GL Entries (3. Grid)" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of GLP" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="modflg" column="modflg" description="Modified" viewtype="Combobox" codetable="modflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sepinr" column="sepinr" description="INR of Associated Temporary Settlement" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="srctrninr" column="srctrninr" description="Transaction Creating or Modifying the Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="srcdat" column="srcdat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rol" column="rol" description="Role" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acccur" column="acccur" description="Account Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtaccamt" column="fmtaccamt" description="Amount to be Paid" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="act" column="act" description="Account" viewtype="Combobox" length="34" lineOrDecimalSize="1" viewlines="12" />
<datafields comments="" name="oldact" column="oldact" description="Old Account" viewtype="Combobox" length="34" lineOrDecimalSize="1" viewlines="12" />
<datafields comments="" name="valdat" column="valdat" description="Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="debcdtflg" column="debcdtflg" description="Debit/Credit" codetable="debcdtflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fmtamt" column="fmtamt" description="Original Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="accamtfix" column="accamtfix" description="Acc. Amount Calculated from Sum" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="accamt" column="accamt" description="Amount Booked" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="actpriflg" column="actpriflg" description="Search Type" viewtype="Combobox" codetable="actpriflg" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oldactpriflg" column="oldactpriflg" description="Old Search Type" viewtype="Combobox" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rolstdflg" column="rolstdflg" description="Store as Standard Account for this Contract Party" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paoflg" column="paoflg" description="Payment Order" viewtype="Combobox" codetable="paoflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="strinf52" column="strinf52" description="Debit/Payment Information" datatype="block" viewtype="Block" length="30" lineOrDecimalSize="35" viewlines="20" />
<datafields comments="" name="fchchkflg" column="fchchkflg" description="Usage of Forward Rate Checked" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="coractid" column="coractid" description="Their Account Identif." length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rolptainr" column="rolptainr" description="Role Address INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rolptyinr" column="rolptyinr" description="Role Party INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="actptyflg" column="actptyflg" description="Empty if not Changed by User" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sftmt" column="sftmt" description="Type of Main Payment Message" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tlebenflg" column="tlebenflg" description="Advice Beneficiary by Telecommunication" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="strinf" column="strinf" description="Sender to Receiver Information Message to Benf. Inst." datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6" />
<datafields comments="" name="strinferi" column="strinferi" description="Sender to Receiver Information Message to Benf. Inst." datatype="block" viewtype="Block" length="35" lineOrDecimalSize="10" viewlines="6" />
<datafields comments="" name="strinfcon1" column="strinfcon1" description="Code Selection" viewtype="Combobox" codetable="strinfcon1" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dirindflg" column="dirindflg" description="Direct Payment One Message" viewtype="Combobox" codetable="dirindflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dspflg" column="dspflg" description="Disposition Flag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acccurold" column="acccurold" description="Acc. Currency for which Rate is Defined" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dcbrattyp" column="dcbrattyp" description="Document Cur to Base RATe TYPe" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dcbextrat" column="dcbextrat" description="Document Cur to Base EXTernal RATe" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="olddcbextrat" column="olddcbextrat" description="Old Document Cur to Base EXTernal RATe" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="scbextrat" column="scbextrat" description="Settle Cur to Base EXTernal RATe" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="oldscbextrat" column="oldscbextrat" description="Old Settle Cur to Base EXTernal RATe" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="scbrattyp" column="scbrattyp" description="Settle Cur to Base RATe TYPe" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="flg" column="flg" description="Type" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrfcur" column="xrfcur" description="Currency of Converted Amount Usually SYSCUR, Optional" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrfamt" column="xrfamt" description="Sys Currency Amount Equivalent" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="fcdinr" column="fcdinr" description="Forward Contract to be Used for Conversion" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rattyp" column="rattyp" description="Codetable of Supported Rate Types  M-iddle, B-uying, S-elling, I-nput" viewtype="Combobox" codetable="rattyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="scbsqrrat" column="scbsqrrat" description="Settle Cur to Base SQaRing RATe" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="dcbsqrrat" column="dcbsqrrat" description="Settle Cur to Base SQaRing RATe" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="intactid" column="intactid" description="Account Identif. Intermediary" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rat" column="rat" description="Rate Used" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="rolactid" column="rolactid" description="Account Identif. Available with Bank" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dcbresrat" column="dcbresrat" description="Reference Document Rate Selling" datatype="numeric" length="11" lineOrDecimalSize="6" />
<datafields comments="" name="dcbrebrat" column="dcbrebrat" description="Reference Document Rate Selling" datatype="numeric" length="11" lineOrDecimalSize="6" />
<datafields comments="" name="scbrebrat" column="scbrebrat" description="Reference Settle Rate Selling" datatype="numeric" length="11" lineOrDecimalSize="6" />
<datafields comments="" name="scbresrat" column="scbresrat" description="Reference Settle Rate Selling" datatype="numeric" length="11" lineOrDecimalSize="6" />
<datafields comments="" name="bascur" column="bascur" description="Rate Base Currency" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="basamt" column="basamt" description="Rate Base Currency Amount Equivalent" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="actflg" column="actflg" description="Account Flag: Empty:Iinitialized M-anually D-efaulted N-o account found" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extsetflg" column="extsetflg" description="Account External Set" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="awiactid" column="awiactid" description="Account Identif. Available with Bank" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="donflg" column="donflg" description="Done" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setxxxrow" column="setxxxrow" description="Ref. for SETxxx" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="valdattrn" column="valdattrn" description="Value Date as Set from Transaction" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="olddsp" column="olddsp" description="Old Disposition" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oldactinr" column="oldactinr" description="Old Account Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acccpramt" column="acccpramt" description="Compressed Amount Paid from this Line" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="fmtacccpramt" column="fmtacccpramt" description="Compressed Amount Paid from this Line for Display" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="dsp" column="dsp" description="Disposition" codetable="dsp" length="3" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
