<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ied" table="ied" title="IED - Export L/C (Industry) Data" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Export L/C" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="degptainr" column="degptainr" description="Delivery Group Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="advdat" column="advdat" description="Date Released on" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="conptyinr" column="conptyinr" description="Confirming Bank Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issptyinr" column="issptyinr" description="Issuing Bank Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="conptainr" column="conptainr" description="Confirming Bank Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="advnam" column="advnam" description="Advising Bank" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="connam" column="connam" description="Confirming Bank" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="degnam" column="degnam" description="Delivery Group" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issnam" column="issnam" description="Issuing Bank" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="advref" column="advref" description="Advising Bank Ref." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="conref" column="conref" description="Confirming Bank Ref." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issref" column="issref" description="Issuing Bank Ref." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amenbr" column="amenbr" description="Number of Amendment" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="amtflg" column="amtflg" description="Additional Amount" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplptyinr" column="aplptyinr" description="Applicant's Address Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplptainr" column="aplptainr" description="Applicant's Address Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplnam" column="aplnam" description="Applicant's Address" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplref" column="aplref" description="Applicant's  Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="aplbnkref" column="aplbnkref" description="Applicant's Bank Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbby" column="avbby" description="Available by" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbptyinr" column="avbptyinr" description="Available with Bank Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbptainr" column="avbptainr" description="Available with Bank Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issptainr" column="issptainr" description="Issuing Bank Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbwth" column="avbwth" description="Available with" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="benptyinr" column="benptyinr" description="Beneficiary's Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="degptyinr" column="degptyinr" description="Delivery Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="benptainr" column="benptainr" description="Beneficiary's  Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bennam" column="bennam" description="Beneficiary" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="benref" column="benref" description="Beneficiary's Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="degref" column="degref" description="Delivery Group Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chato" column="chato" description="Own Charges Borne by" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clsdat" column="clsdat" description="Date L/C Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cnfdat" column="cnfdat" description="Confirmed until" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cnfdet" column="cnfdet" description="Confirmation Condition" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cnfsta" column="cnfsta" description="Confirmation Status" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="acpval" column="acpval" description="Acceptance Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="engdet" column="engdet" description="Engagement Details" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="engval" column="engval" description="Engagement Value Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expdat" column="expdat" description="Date of Expiry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expplc" column="expplc" description="Place of Expiry" length="29" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="iniptyinr" column="iniptyinr" description="Initiating Institution Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="iniptainr" column="iniptainr" description="Initiating Institution Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ininam" column="ininam" description="Applicant Bank Initiating Institution" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="iniref" column="iniref" description="Initiating Institution Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lcrtyp" column="lcrtyp" description="Form of Documentary Credit" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomspc" column="nomspc" description="Amount Specification" viewtype="Combobox" codetable="nomspc" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nomtop" column="nomtop" description="Amount Tolerance - Positive" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="nomton" column="nomton" description="Amount Tolerance - Negative" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date L/C Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="preadvdt" column="preadvdt" description="Date Pre-advised" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="shpdat" column="shpdat" description="Shipment Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="shpfro" column="shpfro" description="Shipment from" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shppar" column="shppar" description="Partial Shipment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpto" column="shpto" description="For Transportation to" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shptrs" column="shptrs" description="Transshipment" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code Risk Country" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stagod" column="stagod" description="Goods Code for Statistics" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="utlnbr" column="utlnbr" description="Number of Utilizations" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="drwptyinr" column="drwptyinr" description="Drawee's Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="drwptainr" column="drwptainr" description="Drawee's Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="drwnam" column="drwnam" description="Drawee" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="avbref" column="avbref" description="Available with Bank Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tenmaxday" column="tenmaxday" description="Maximum Tenor" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="cnfsnd" column="cnfsnd" description="Confirmation Status of Advising Bank" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="resflg" column="resflg" description="Reserved Contract" viewtype="Checkbox" codetable="resflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="varaddcur" column="varaddcur" description="M41 Currency of Positive Variable Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="varaddamt" column="varaddamt" description="M41 Positive Variable Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="varsubcur" column="varsubcur" description="M40 Currency of Negative Variable Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="varsubamt" column="varsubamt" description="M40 Negative Variable Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="agtfeecur" column="agtfeecur" description="M38 Currency of Agents Commission" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="agtfeeamt" column="agtfeeamt" description="M38 Amount of Agents Commission" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="crecur" column="crecur" description="M43 Currency of Credit" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="creamt" column="creamt" description="M43 Amount of Credit" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="crevaldat" column="crevaldat" description="M48 Value Date of Credit" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="feecur" column="feecur" description="M49 Currency of Total Amount of Comm./Charges" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feeamt" column="feeamt" description="M49 Total Amount of Commission and Charges" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="eurcrecur" column="eurcrecur" description="M45 Currency of Credit Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="eurcreamt" column="eurcreamt" description="M45 Amount of Credit in Euro" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="forfeecur" column="forfeecur" description="M37 Currency of Foreign Fees" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="forfeeamt" column="forfeeamt" description="M37 Amount of Foreign Fees" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="crexrt" column="crexrt" description="M44 Exchange Rate" datatype="numeric" viewtype="Amount" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="docvalcur" column="docvalcur" description="M28 Currency of Claim" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docvalamt" column="docvalamt" description="M28 Total Amount of Claim" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="setcur" column="setcur" description="M36 Currency of Settled Amount" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="setamt" column="setamt" description="M28 Total Amount of Claim" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="sescur" column="sescur" description="M39 Currency of Transfer" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sesamt" column="sesamt" description="M39 Amount of Transfer" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="biccreacc" column="biccreacc" description="M47 BIC/Account for Credit" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="acccrecur" column="acccrecur" description="M46 Currency of Credit Account" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bicfeeacc" column="bicfeeacc" description="M51 BIC/Account for Fees" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accfeecur" column="accfeecur" description="M50 Currency of Fee Account" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paysta" column="paysta" description="M52 Status Pay under Reserve" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="msgdat" column="msgdat" description="M27 Message Dated" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="predat" column="predat" description="Presentation Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="apprul" column="apprul" description="Applicable Rules" viewtype="Combobox" codetable="apprul" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="apprultxt" column="apprultxt" description="Other Applicable Rules" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="porloa" column="porloa" description="Port of Loading" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pordis" column="pordis" description="Port of Discharge" length="65" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="partcon" column="partcon" description="Partial Confirmation" datatype="numeric" length="5" lineOrDecimalSize="2" />
</eibs:Module>
