<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="irs" table="irs" title="IRS - Interest Rates per Date Range" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of IRS" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type Contract Type or IRT" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Currency SPACE for NONE" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="begdat" column="begdat" description="Begin Date Incl." datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="enddat" column="enddat" description="End Date Excl." datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rat" column="rat" description="Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="trninr" column="trninr" description="Transaction INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Interest Rate Set" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
