<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ledgrp" table="ledgrp" title="Contract Group Export L/C" ruleSequence="2" transient="true">
<datafields comments="" name="pcropnamtsum" column="pcropnamtsum" description="Sum of open amounts of packing credits" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="avbnam" column="avbnam" description="Available with Bank" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="isstypflg" column="isstypflg" description="PartyType of Issuer" length="10" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="avbnam" type="default" codeText="@0000" order="1000" moduleName="ledgrp" />
<modules name="rec" type="led" >
</modules>
<modules name="blk" type="let" >
</modules>
<modules name="cbs" type="leacbs" >
</modules>
<datafields comments="" name="preadvflg" column="preadvflg" description="PreAdvice or Notification" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="isstypflg" type="default" codeText="@0001" order="1000" moduleName="ledgrp" />
<modules name="adv" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="apl" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!F"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="rmb" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="a2b" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="avb" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="iss" type="ptspta" >
<arguments name="tmpflg" value="! "/>
<arguments name="typflg" value="isstypflg"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="con" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!OB"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="ben" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!C"/>
<arguments name="stplev" value="!1"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="apb" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="drw" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="be2" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!FOC"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="acw" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="beb" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp0" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp1" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp2" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp3" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp4" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp5" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp6" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp7" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp8" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="tp9" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="oap" type="ptspta" >
<arguments name="tmpflg" value="!Y"/>
<arguments name="typflg" value="isstypflg"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="yfb" type="ptspta" >
<arguments name="tmpflg" value="! "/>
<arguments name="typflg" value="!B"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="!M"/>
<arguments name="ptausgflg" value="! "/>
</modules>
</eibs:Module>
