<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="liaone" table="liaone" title=" " transient="true" i18nSequence="22"
    ruleSequence="25">
  <datafields name="pansta" column="pansta" description="E-D-I" length="1" lineOrDecimalSize="1"/>
  <datafields name="liagrdinr" column="liagrdinr" description="INR of record eng. read"
      lineOrDecimalSize="1"/>
  <datafields name="liaptyinr" column="liaptyinr" description="INR of party for account defaulting"
      lineOrDecimalSize="1"/>
  <datafields name="cbtpfx" column="cbtpfx" description="Prefix of entry type default LIA; xxxAMT is booked, xxxSUM is read from CBS"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="nobookcat" column="nobookcat" description="Don't book counter account"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="extidtxt" column="extidtxt" description="Ext ID in text" length="16"
      lineOrDecimalSize="1"/>
  <datafields name="objmod" column="objmod" description="Object-Module-Path" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="bussec" column="bussec" description="Business sector" length="2"
      lineOrDecimalSize="1" argument="true"/>
  <datafields name="accdsp" column="accdsp" description="Disposition for ACC default LIAACT"
      length="6" lineOrDecimalSize="1"/>
  <datafields name="liaacc2ptyinr" column="liaacc2ptyinr" description="INR of party for for defaulting of counter account"
      lineOrDecimalSize="1"/>
  <datafields name="liaaccptyinr" column="liaaccptyinr" description="INR of party for for account defaulting"
      lineOrDecimalSize="1"/>
  <datafields name="namsfx" column="namsfx" description="suffix to name if any" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="liaactterm1" column="liaactterm1" length="16" lineOrDecimalSize="1"/>
  <datafields name="liaactterm2" column="liaactterm2" length="16" lineOrDecimalSize="1"/>
  <datafields name="liatyp" column="liatyp" description="new datafield" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="tenday" column="tenday" description="Maximum tenor in days" datatype="numeric"
      length="3"/>
  <modules name="cbe" type="cbe"/>
  <modules name="wrkcbe" type="cbe"/>
  <modules name="wrkcbb" type="cbb"/>
  <modules name="actrec" type="act"/>
  <panels name="liapan" description="PD000014" width="718" height="78" transient="true"
      visible="false" popup="true">
    <components path="extidtxt" width="106" enabled="false" left="120" top="0" height="22"/>
    <components path="cbe\acc" viewType="Combobox" width="226" left="120" top="24"
        height="22"/>
    <components path="cbe\acc2" viewType="Combobox" width="226" enabled="false" left="120"
        top="48" height="22"/>
    <components path="wrkcbb\cur" width="20" enabled="false" left="486" top="0" height="22"/>
    <components path="wrkcbb\amt" viewType="Amount" width="120" enabled="false" left="539"
        top="0" height="22"/>
    <components path="cbe\cur" width="20" enabled="false" left="486" top="48" height="22"/>
    <components path="cbe\amt" viewType="Amount" width="120" enabled="false" left="539"
        top="48" height="22"/>
    <components path="cbe\optdat" viewType="Date" width="80" left="486" top="24" height="22"/>
    <components viewType="Label" text="SF000015" top="24" height="22"/>
    <components viewType="Label" text="SF000016" left="368" top="0" height="22"/>
    <components viewType="Label" text="SF000017" top="48" height="22"/>
    <components viewType="Label" text="SF000018" left="368" top="24" height="22"/>
    <components viewType="Label" text="SF000019" left="368" top="48" height="22"/>
    <components viewType="Label" text="SF000021" top="0" height="22"/>
  </panels>
  <localMethods name="cbsstore" type="local" codeText="@0002" moduleName="liaone"/>
  <localMethods name="glesavlia" type="local" codeText="@0021" moduleName="liaone"/>
  <localMethods name="getAvailAcc" type="local" codeText="@0022" moduleName="liaone"/>
  <localMethods name="getLiaTermKey" type="local" codeText="@0023" moduleName="liaone"/>
  <localMethods name="gittyp" type="local" codeText="@0024" moduleName="liaone"/>
  <initRules name="\" type="init" codeText="@0004" order="1000" moduleName="liaone"/>
  <defaultRules name="cbbdef" type="default" codeText="@0000" order="1000" moduleName="liaone">
    <paths>wrkcbb</paths>
    <paths>liagrdinr</paths>
  </defaultRules>
  <defaultRules name="cbe\dat" type="default" codeText="@0001" order="1000" moduleName="liaone"/>
  <defaultRules name="liapan" type="default" codeText="@0003" order="3000" moduleName="liaone"/>
  <defaultRules name="cbe\cur" type="default" codeText="@0005" order="2000" moduleName="liaone"/>
  <defaultRules name="cbe\amt" type="default" codeText="@0006" order="500" moduleName="liaone"/>
  <defaultRules name="wrkcbe" type="default" codeText="@0009" order="1000" moduleName="liaone"/>
  <defaultRules name="cbe\optdat" type="default" codeText="@0010" order="500" moduleName="liaone"/>
  <defaultRules name="extidtxt" type="default" codeText="@0011" order="1000" moduleName="liaone"/>
  <defaultRules name="cbe\amt" type="default" codeText="@0012" order="1201" moduleName="liaone"/>
  <defaultRules name="cbe\xrfamt" type="default" codeText="@0013" order="1000" moduleName="liaone"/>
  <defaultRules name="cbe\xrfcur" type="default" codeText="@0014" order="1000" moduleName="liaone"/>
  <defaultRules name="liaaccptyinr" type="default" codeText="@0015" order="1" moduleName="liaone"/>
  <defaultRules name="actrec" type="default" codeText="@0016" order="1000" moduleName="liaone"/>
  <defaultRules name="liaacc2ptyinr" type="default" codeText="@0017" order="1" moduleName="liaone"/>
  <defaultRules name="cbe\acc" type="default" codeText="@0018" order="1000" moduleName="liaone"/>
  <defaultRules name="cbe\acc2" type="default" codeText="@0019" order="1000" moduleName="liaone"/>
  <defaultRules name="nobookcat" type="default" codeText="@0020" order="1000" moduleName="liaone"/>
</eibs:Module>
