<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="lrd" table="lrd" title="" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Displayed Name to Identify the Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownusr" column="ownusr" description="Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="busref" column="busref" description="business bank ID" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation Opening or Registry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date of Opened/Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntownref" column="pntownref" description="Parent Contract Ref" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="appflg" column="appflg" description="If  Approval" viewtype="Combobox" codetable="appflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="slrptyinr" column="slrptyinr" description="Seller's party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code Risk Country" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buyptyinr" column="buyptyinr" description="Buyer party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cltact" column="cltact" description="Client  Account" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="imfptyinr" column="imfptyinr" description="Buyer bank party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="imfnam" column="imfnam" description="Buyer bank name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expref" column="expref" description="Export factoring ID" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="expnam" column="expnam" description="Export factoring Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="appfun" column="appfun" description="APPlication Function Message" viewtype="Combobox" codetable="appfun" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reqcod" column="reqcod" description="Request Code" viewtype="Combobox" codetable="reqcod" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lmttyp" column="lmttyp" description="Limit Type" viewtype="Combobox" codetable="lmttyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paydat" column="paydat" description="payment days" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="grcdat" column="grcdat" description="Grace period  dates" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="discut1" column="discut1" description="the first valid Discount" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="disrat1" column="disrat1" description="the first Discount rate" datatype="numeric" length="6" lineOrDecimalSize="3" />
<datafields comments="" name="discut2" column="discut2" description="the Second valid Discount" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="disrat2" column="disrat2" description="the Second Discount rate" datatype="numeric" length="6" lineOrDecimalSize="3" />
<datafields comments="" name="paytyp" column="paytyp" description="Pay type" codetable="paytyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="shpdat" column="shpdat" description="Last shipment Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ditflg" column="ditflg" description="If Allow Direct contact Buyer" viewtype="Combobox" codetable="ditflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskrat" column="rskrat" description="Own Risk Max Rate" datatype="numeric" length="6" lineOrDecimalSize="3" />
<datafields comments="" name="appeft" column="appeft" description="Effective Date of Application" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="expdat" column="expdat" description="Date of Expiry" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="repcod" column="repcod" description="Response code of Formal Credit Application" viewtype="Combobox" codetable="repcod" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amdref" column="amdref" description="Amend Ref." length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amddat" column="amddat" description="Crete Date of Amend Credit Application" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amdcod" column="amdcod" description="Code of Amend Content" codetable="amdcod" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amecut" column="amecut" description="The Count of amendments" datatype="numeric" length="2" lineOrDecimalSize="0" />
<datafields comments="" name="conflg" column="conflg" description="Contract Flag" codetable="conflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ordref" column="ordref" description="Order Ref." length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="resnotapp" column="resnotapp" description="Reason of Not approved" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rpymag" column="rpymag" description="management of Reply Message Function" codetable="rpymag" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rpydat" column="rpydat" description="Date of Reply Formal Credit Application" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="amdrepcod" column="amdrepcod" description="Response code of Amend Application" viewtype="Combobox" codetable="amdrepcod" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amdres" column="amdres" description="Reason of Approval or Revocation" viewtype="Combobox" codetable="amdres" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskcur" column="rskcur" description="Risk Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskamt" column="rskamt" description="Risk Max Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="rpyamddat" column="rpyamddat" description="Reply Amend date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="trnflg" column="trnflg" description="EX/IM Factory Flg" codetable="trnflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reqnum" column="reqnum" description="Request Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reqdat" column="reqdat" description="Request Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ifownbr" column="ifownbr" description="IFOwnBuyerNr" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ifownsr" column="ifownsr" description="IFOwnSellerNr" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amdfun" column="amdfun" description="Amend Message Function" viewtype="Combobox" codetable="amdfun" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="revnum" column="revnum" description="Revision Number" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reanum" column="reanum" description="Amend Request Number" length="35" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
