<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="lsr" table="lsr" title="LSR - Limit System Requestor" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Limit Request" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="Object INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptytyp" column="ptytyp" description="Party TypeC for Company, B for Bank" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptyinr" column="ptyinr" description="Party INR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lst" column="lst" description="Type of Limit Request" codetable="lst" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extid" column="extid" description="External ID to Identify Request within an Object" codetable="extid" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Descriptive Text of Entry Optional" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="Request Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="cty" column="cty" description="Country Code" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reg" column="reg" description="Region" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nonrevflg" column="nonrevflg" description="Flag to Mark Non-revolving Limits" viewtype="Combobox" codetable="nonrevflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lsrflg" column="lsrflg" description="Request Status" codetable="lsrflg" length="1" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
