<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="oitedt" table="oitedt" title="Object Infotext Processing Functions"
    i18nSequence="792" ruleSequence="17">
  <datafields name="subtyp" column="subtyp" description="Subkey to be edited incl. optional Bus.Sector"
      length="5" lineOrDecimalSize="1" argument="true"/>
  <datafields name="typ" column="typ" description="OBJTYP of handled Record" length="6"
      lineOrDecimalSize="1" access="readonly"/>
  <datafields name="inr" column="inr" description="INR of handled Record" lineOrDecimalSize="1"
      argument="true"/>
  <datafields name="labinftxt" column="labinftxt" description="Label for INFTXT" viewtype="Label"
      length="24" lineOrDecimalSize="1" access="private"/>
  <modules name="oit" type="oit"/>
  <panels name="oitpan" description="PD000032" width="706" height="162" transient="true"
      visible="false" enabled="false">
    <components path="labinftxt" viewType="Label" width="160" enabled="false" left="0"
        top="4" height="22"/>
    <components path="oit\inftxt" viewType="Block" width="400" required="true" left="0"
        top="24" height="22"/>
    <components path="oit\inflev" viewType="Combobox" width="75" left="552" top="24"
        height="22"/>
    <components viewType="Label" text="S0000579" left="552" top="4" height="22"/>
  </panels>
  <panels name="oitlcopan" description="PD000790" width="706" height="130" transient="true"
      enabled="false">
    <components path="oit\klctxt" viewType="Block" width="566" left="0" top="20" height="96"/>
    <components viewType="Label" text="SG000791" left="3" top="2" height="22"/>
  </panels>
  <localMethods name="codLoadTxt" type="local" codeText="@0002" moduleName="oitedt"/>
  <localMethods name="codSaveTxt" type="local" codeText="@0003" moduleName="oitedt"/>
  <localMethods name="codSptSaveTxt" type="local" codeText="@0004" moduleName="oitedt"/>
  <localMethods name="codDeleteTxt" type="local" codeText="@0005" moduleName="oitedt"/>
  <localMethods name="getSubTyp" type="local" codeText="@0007" moduleName="oitedt"/>
  <localMethods name="codSptLoadTxt" type="local" codeText="@0009" moduleName="oitedt"/>
  <localMethods name="codClearTxt" type="local" codeText="@0010" moduleName="oitedt"/>
  <localMethods name="printOit" type="local" codeText="@0013" moduleName="oitedt"/>
  <localMethods name="setOitTxt" type="local" codeText="@0014" moduleName="oitedt"/>
  <localMethods name="loadOitInfContent" type="local" codeText="@0015" moduleName="oitedt"/>
  <initRules name="\" type="init" codeText="@0006" order="1000" moduleName="oitedt"/>
  <initRules name="\" type="init" codeText="@0008" order="950" moduleName="oitedt"/>
  <defaultRules name="oitFields" type="default" codeText="@0000" order="1000" moduleName="oitedt">
    <paths>oit</paths>
    <paths>oit\objtyp</paths>
    <paths>oit\objinr</paths>
  </defaultRules>
  <defaultRules name="oit\inflev" type="default" codeText="@0001" order="900" moduleName="oitedt"/>
  <defaultRules name="labinftxt" type="default" codeText="@0011" order="1000" moduleName="oitedt"/>
  <checkRules name="oit\klctxt" type="check" codeText="@0016" order="1000" moduleName="oitedt"/>
  <eventRules name="oit\inftxt" type="event" codeText="@0012" order="900" moduleName="oitedt"/>
</eibs:Module>
