<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="prt" table="prt" title=" " i18nSequence="9" ruleSequence="3" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Printer/TEF Config per Owner" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type of Owner USR, USG, SRV" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Owner" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tef" column="tef" description="Technical Form" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="heatxt" column="heatxt" description="Text for Header" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="jobnam" column="jobnam" description="Identification of Print Job" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prttyp" column="prttyp" description="Type of Print" codetable="prttyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="getprt" column="getprt" description="Default Printer from:" viewtype="Combobox" codetable="getprt" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prt" column="prt" description="Printer" length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bin" column="bin" description="Paperbin" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bin2" column="bin2" description="Bin for 2nd Page" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cpycnt" column="cpycnt" description="# of Copies" datatype="numeric" length="2" lineOrDecimalSize="0" />
<defaultRules name="bin2" type="default" codeText="@0000" order="1000" moduleName="prt" />
<defaultRules name="bin" type="default" codeText="@0001" order="1000" moduleName="prt" />
<localMethods type="local" name="getBinStream" codeText="@0002" moduleName="prt"/>
</eibs:Module>
