<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="pta" table="pta" title="PTA - Party Address Association" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Party Address Association" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptyinr" column="ptyinr" description="INR of Associated Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Externally Visible Name of Address" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pri" column="pri" description="Priority Marker" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="eno" column="eno" description="Running Counter for External Identification" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Type of Associated Address" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Associated Address" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objkey" column="objkey" description="Alternate Technical Key of Associated Address" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="usg" column="usg" description="Coded Usage of Address [xxxxxx]" viewtype="Combobox" codetable="usg" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bic" column="bic" description="BIC of Address Optional" length="11" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="adrsta" column="adrsta" description="Address Status" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptytyp" column="ptytyp" description="Type of Party" viewtype="Combobox" length="15" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptyextkey" column="ptyextkey" description="External Key Used to Uniquely Identify a Party" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tid" column="tid" description="TradeConnect ID" length="23" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Party Address Association" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BCHKEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam1" column="nam1" description="Externally Visible Name of Address" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issbchinf" column="issbchinf" description="Info of bank" length="40" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
