<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="pte" table="pte" title=" " i18nSequence="3" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Engagement" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Object Type Always PTS" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of PTS Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="subid" column="subid" description="Sub ID to Identify Multiple PTE per PTS" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cbtpfx" column="cbtpfx" description="Type of Engagement" viewtype="Combobox" codetable="cbtpfx" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="grpkey" column="grpkey" description="Liability Group" viewtype="Combobox" codetable="grpkey" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extid" column="extid" description="External Entry ID within Object" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="liaptyinr" column="liaptyinr" description="Party for Liability" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="liaptainr" column="liaptainr" description="Address for Liability" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cdtptsinr" column="cdtptsinr" description="INR of PTS of Party Credited Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Reference" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Name of Engagement Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feeinr" column="feeinr" description="Fee to be Calulated Optional" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="begdat" column="begdat" description="Settle from Incl. for Fee Calculation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date of Closing the PTE" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="setdat" column="setdat" description="Settled until Excluded for Fee Calculation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="nxtcomdat" column="nxtcomdat" description="Next Commission Due for Fee Calculation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rolpay" column="rolpay" description="Role to Pay Fees for Fee Calculation" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date Optional" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="covtyp" column="covtyp" description="Type of Cover Optional" viewtype="Combobox" codetable="covtyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prc" column="prc" description="Percent of Assignment only for Assignments" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="amtflg" column="amtflg" description="Amount Flag only for Assignments" codetable="amtflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version Counter" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="asgtxt" column="asgtxt" description="Comments for Assignee only for Assignments" datatype="block" viewtype="Block" length="40" lineOrDecimalSize="10" viewlines="10" />
<datafields comments="" name="asbtxt" column="asbtxt" description="Comments for Assignees Bank only for Assignments" datatype="block" viewtype="Block" length="40" lineOrDecimalSize="10" viewlines="10" />
<datafields comments="" name="tenday" column="tenday" description="Maximum tenor in days" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="ptptyp" column="ptptyp" description="Participation Type" viewtype="Combobox" codetable="ptptyp" length="3" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
