<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ptmmod" table="ptmmod" title="Module to handle Authentifications" i18nSequence="813" ruleSequence="24" transient="true">
<datafields comments="" name="delstm" column="delstm" description="stream of deleted PTM records" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" access="readonly" />
<datafields comments="" name="autstm" column="autstm" description="stream contains the standard Codetable of PTM\\AUTFLG" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" access="readonly" />
<datafields comments="" name="bicautstm" column="bicautstm" description="stream contains BIC authentication" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" access="readonly" />
<datafields comments="" name="cortypstm" column="cortypstm" description="stream of CORTYP" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="1" access="readonly" />
<datafields comments="" name="forbcortyp" column="forbcortyp" description="stream of forbidden CORTYP" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="1" access="readonly" />
<localMethods type="local" name="ptmStorePtmGrdEntries" codeText="@0000" moduleName="ptmmod"/>
<localMethods type="local" name="ptmStoreEntry" codeText="@0001" moduleName="ptmmod"/>
<localMethods type="local" name="ptmDbUpdAllCorAdr" codeText="@0002" moduleName="ptmmod"/>
<localMethods type="local" name="getPtmGrdOfPta" codeText="@0003" moduleName="ptmmod"/>
<localMethods type="local" name="ptmSetPtmFromCorAdr" codeText="@0004" moduleName="ptmmod"/>
<eventRules name="ptmshw" type="event" codeText="@0005" order="300" moduleName="ptmmod" />
<eventRules name="ptmshw" type="event" codeText="@0006" order="1000" moduleName="ptmmod" />
<localMethods type="local" name="isAdrRelevantForPtm" codeText="@0007" moduleName="ptmmod"/>
<localMethods type="local" name="ptmSetAutFlgValues" codeText="@0008" moduleName="ptmmod"/>
<localMethods type="local" name="ptmSetCorTypValues" codeText="@0009" moduleName="ptmmod"/>
<initRules name="\" type="init" codeText="@0010" order="1000" moduleName="ptmmod" />
<localMethods type="local" name="ptmGrdSetFromAdr" codeText="@0011" moduleName="ptmmod"/>
<localMethods type="local" name="ptmGetCorAdrFromAdr" codeText="@0012" moduleName="ptmmod"/>
<localMethods type="local" name="checkDoubleCortyp" codeText="@0013" moduleName="ptmmod"/>
<localMethods type="local" name="ptmDeletePtmGrdEntries" codeText="@0014" moduleName="ptmmod"/>
<localMethods type="local" name="handleInterruptTransactionPTMZ" codeText="@0015" moduleName="ptmmod"/>
<localMethods type="local" name="ptmSptLoadData" codeText="@0016" moduleName="ptmmod"/>
<localMethods type="local" name="ptmSetEntryFromAdr" codeText="@0017" moduleName="ptmmod"/>
<localMethods type="local" name="internHandleRtgTar" codeText="@0018" moduleName="ptmmod"/>
<localMethods type="local" name="ptmDeletePtmStmEntries" codeText="@0019" moduleName="ptmmod"/>
<modules name="ptm" type="ptm" >
</modules>
<modules name="ptmshw" type="ptmshw" list="true" pageSize="1" initSize="0" >
</modules>
<modules name="adr" type="adr" >
</modules>
<localMethods type="local" name="ptmGetRelevantAdrFieldOfCortyp" codeText="@0020" moduleName="ptmmod"/>
<localMethods type="local" name="setForbiddenCorTyp" codeText="@0021" moduleName="ptmmod"/>
<localMethods type="local" name="ptmGrdSetFromAdrCus" codeText="@0022" moduleName="ptmmod"/>
<localMethods type="local" name="ptmPrintGrd" codeText="@0023" moduleName="ptmmod"/>
</eibs:Module>
