<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ptmshw" table="ptmshw" title="Row of Address Authentification" i18nSequence="7" ruleSequence="9" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptainr" column="ptainr" description="INR of Associated Party Address Association PTA" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cortyp" column="cortyp" description="Output Chanel SWT, LET, TLX, TCO" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="coradr" column="coradr" description="Address of Message BIC, TID, i.e." length="80" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="autflg" column="autflg" description="Authenticator Exchanged Flag" viewtype="Combobox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="autdet" column="autdet" description="Optional authentication key public key" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<defaultRules name="corFields" type="default" codeText="@0000" order="1000" moduleName="ptmshw" >
<paths>cortyp</paths>
<paths>coradr</paths>
</defaultRules>
<checkRules name="autflg" type="check" codeText="@0001" order="1000" moduleName="ptmshw" />
<defaultRules name="autflg" type="default" codeText="@0002" order="1000" moduleName="ptmshw" />
<defaultRules name="autdet" type="default" codeText="@0003" order="1000" moduleName="ptmshw" />
<checkRules name="cortyp" type="check" codeText="@0004" order="1000" moduleName="ptmshw" />
<eventRules name="cortyp" type="event" codeText="@0005" order="1000" moduleName="ptmshw" />
<localMethods type="local" name="checkCorTyp" codeText="@0006" moduleName="ptmshw"/>
<checkRules name="coradr" type="check" codeText="@0007" order="900" moduleName="ptmshw" />
<checkRules name="coradr" type="check" codeText="@0008" order="1000" moduleName="ptmshw" />
</eibs:Module>
