<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="ptsmod" table="ptsmod" title=" " transient="true" i18nSequence="117"
    ruleSequence="81">
  <datafields name="savadr" column="savadr" description="Save" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="canadr" column="canadr" description="Cancel" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="rolstm" column="rolstm" description="Stream of roles" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="ptsadjstm" column="ptsadjstm" description="List of 'PtsAdjust' Methods"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="tmpflg" column="tmpflg" description="use of temporary addresses"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="ptyflg" column="ptyflg" description="Flag if party is required as settlement/booking has to be possible"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="stplev" column="stplev" description="Stoplevel" length="1" lineOrDecimalSize="1"/>
  <datafields name="typflg" column="typflg" description="use of address types" length="10"
      lineOrDecimalSize="1"/>
  <datafields name="adrcpyflg" column="adrcpyflg" description="Control copying address to contract"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="ptausgflg" column="ptausgflg" description="Allowed Partytypes"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="tmpptytyp" column="tmpptytyp" description="Party type for Temporary Address"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="tmpptytyp"/>
  <datafields name="tmpptsptapath" column="tmpptsptapath" description="Path of PTSPTA-module to which temporary adders is entered"
      length="80" lineOrDecimalSize="1"/>
  <datafields name="tmpmdyflg" column="tmpmdyflg" description="Mandatory flag of currently shown PTSPTA"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="tmpoldpopup" column="tmpoldpopup" description="Popup closed to popup temporary address panel"
      length="80" lineOrDecimalSize="1"/>
  <datafields name="savoit" column="savoit" description="Save OIT" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="canoit" column="canoit" description="Cancel OIT" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="ptsgetaddsub" column="ptsgetaddsub" description="Name of GETADDSUB function"
      length="80" lineOrDecimalSize="1"/>
  <datafields name="cpyadr" column="cpyadr" description="在此合同使用" datatype="control"
      viewtype="Button" length="15" lineOrDecimalSize="1"/>
  <datafields name="butoit" column="butoit" description="Modify Infotext" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="pansta" column="pansta" description="to be defaulted by user, if not I is used"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="tmpptsppath" column="tmpptsppath" description="Path of PTSP-module to which temporary adders is entered"
      length="80" lineOrDecimalSize="1"/>
  <datafields name="cpyflg" column="cpyflg" description="Not empty, if use in contract executed"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="refcus" column="refcus" description="Customer Reference" length="40"
      lineOrDecimalSize="1"/>
  <datafields name="butmod" column="butmod" description="Modify" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <modules name="ptssub" type="ptssub"/>
  <modules name="ptspta" type="ptspta" static="true">
    <arguments name="tmpflg" value="tmpflg"/>
    <arguments name="typflg" value="typflg"/>
    <arguments name="stplev" value="stplev"/>
    <arguments name="adrcpyflg" value="adrcpyflg"/>
    <arguments name="ptausgflg" value="ptausgflg"/>
  </modules>
  <modules name="ptsget" type="ptsget">
    <arguments name="ptspta" value="wrkptspta"/>
    <arguments name="getaddsub" value="ptsgetaddsub"/>
  </modules>
  <modules name="wrkptspta" type="ptspta">
    <arguments name="tmpflg" value="tmpflg"/>
    <arguments name="typflg" value="typflg"/>
    <arguments name="stplev" value="stplev"/>
    <arguments name="ptausgflg" value="ptausgflg"/>
    <arguments name="adrcpyflg" value="adrcpyflg"/>
  </modules>
  <modules name="mtdbut" type="mtdbut"/>
  <modules name="pty" type="pty" static="true"/>
  <modules name="adrp" type="adrp">
    <arguments name="adr" value="tmpadr"/>
  </modules>
  <modules name="tmpadr" type="adr"/>
  <modules name="adrdef" type="adrdef">
    <arguments name="adr" value="tmpadr"/>
  </modules>
  <modules name="ptm" type="ptm"/>
  <modules name="wrkpty" type="pty"/>
  <modules name="ptyrat" type="ptyrat"/>
  <panels name="adrp0" description="PD000000" width="788" height="524" visible="false"
      popup="true">
    <components path="tmpptytyp" viewType="Combobox" width="75" left="88" height="22"/>
    <components path="adrp\adrpsub" viewType="Composite" width="710" left="4" top="34"
        height="370"/>
    <components path="savadr" viewType="Button" width="66" text="CF000073" left="724"
        height="22"/>
    <components path="canadr" viewType="Button" width="66" text="CF000074" left="724"
        top="500" height="22"/>
    <components viewType="Label" text="SF000072" height="22"/>
    <components viewType="Label" text="SF000082" top="404" height="22"/>
  </panels>
  <panels name="oitp" description="PD000083" width="788" height="438" visible="false"
      popup="true">
    <components path="ptssub\oited2\suboitp" viewType="Composite" width="710" left="4"
        top="4" height="428"/>
    <components path="savoit" viewType="Button" width="66" text="CF000085" left="724"
        height="22"/>
    <components path="canoit" viewType="Button" width="66" text="CF000084" left="724"
        top="412" height="22"/>
  </panels>
  <panels name="detp" description="PD000086" width="788" height="506" visible="false"
      popup="true">
    <components path="wrkptspta\pts\rol" viewType="Combobox" width="75" enabled="false"
        left="132" height="22"/>
    <components path="wrkptspta\pts\extkey" width="106" left="132" top="36" height="22"/>
    <components path="ptsget\sdamod\seainf" width="20" left="252" top="36" height="22"/>
    <components path="ptsget\sdamod\dadsnd" width="106" left="328" top="34" height="22"/>
    <components path="wrkptspta\pts\adrblk" viewType="Block" width="233" enabled="false"
        left="132" top="68" height="48"/>
    <components path="refp" viewType="Composite" width="300" left="132" top="144"
        height="22"/>
    <components path="refcusp" viewType="Composite" width="300" left="132" top="144"
        height="22"/>
    <components path="wrkptspta\pts\dftcur" viewType="Combobox" width="75" enabled="false"
        left="132" top="180" height="22"/>
    <components path="wrkptspta\pts\dftact" width="226" enabled="false" left="188"
        top="180" height="22"/>
    <components path="wrkptspta\pts\extact" width="226" left="132" top="212" height="22"/>
    <components path="wrkptspta\ptyinftxt" viewType="Block" width="400" required="true"
        left="132" top="328" height="22"/>
    <components path="dbfadrp" viewType="Composite" width="232" left="452" top="40"
        height="120"/>
    <components path="mtdbut\mtdbutu" viewType="Composite" width="60" left="724" height="69"/>
    <components path="butmod" viewType="Button" width="66" enabled="false" text="CF000099"
        left="724" top="112" height="22"/>
    <components path="butoit" viewType="Button" width="66" text="CF000101" left="724"
        top="328" height="22"/>
    <components path="mtdbut\mtdbutl" viewType="Composite" width="60" left="724" top="456"
        height="45"/>
    <components viewType="Label" text="S0000087" height="22"/>
    <components viewType="Label" text="S0000088" top="36" height="22"/>
    <components viewType="Label" text="S0000089" top="182" height="22"/>
    <components viewType="Label" text="S0000090" top="212" height="22"/>
    <components viewType="Label" text="S0000091" top="328" height="22"/>
    <components viewType="Label" text="S0000095" top="148" height="22"/>
    <components viewType="Label" text="S0000100" left="732" top="131" height="22"/>
    <components viewType="Label" text="S0000102" left="730" top="347" height="22"/>
    <components path="wrkptspta\dbfadrblkcn" viewType="Block" width="233" left="131"
        top="67" height="48"/>
  </panels>
  <panels name="refp" description="PD000093" width="300" height="22" transient="true"
      visible="false" popup="true">
    <components path="wrkptspta\pts\ref" width="106" left="0" top="0" height="22"/>
  </panels>
  <panels name="refcusp" description="PD000094" width="300" height="22" transient="true"
      visible="false" popup="true">
    <components path="refcus" width="266" left="0" top="0" height="22"/>
  </panels>
  <panels name="dbfadrp" description="PD000096" width="232" height="120" transient="true"
      visible="false">
    <components path="wrkptspta\dbfadrblk" viewType="Block" width="233" enabled="false"
        left="0" top="28" height="48"/>
    <components path="cpyadr" viewType="Button" text="CF000104" left="134" top="3"
        height="22"/>
    <components viewType="Label" text="S0000097" left="0" top="4" height="22"/>
    <components path="wrkptspta\dbfadrblkcn" viewType="Block" width="233" left="0"
        top="28" height="48"/>
  </panels>
  <localMethods name="savTmpAdr" type="local" codeText="@0000" moduleName="ptsmod"/>
  <localMethods name="ptsmodGetPtsptaFromPta" type="local" codeText="@0001" moduleName="ptsmod"/>
  <localMethods name="ptsmodGetPtsptaFromPtaINR" type="local" codeText="@0002" moduleName="ptsmod"/>
  <localMethods name="ptsmodGetPtsptaFromPtyINR" type="local" codeText="@0003" moduleName="ptsmod"/>
  <localMethods name="cacheDbRead2" type="local" codeText="@0004" moduleName="ptsmod"/>
  <localMethods name="ptsRolesAdjust" type="local" codeText="@0005" moduleName="ptsmod"/>
  <localMethods name="ptsSetRolChgFlg" type="local" codeText="@0007" moduleName="ptsmod"/>
  <localMethods name="ptsGetCompressedAddress" type="local" codeText="@0008" moduleName="ptsmod"/>
  <localMethods name="ptsGetPtytypSql" type="local" codeText="@0009" moduleName="ptsmod"/>
  <localMethods name="ptsTmpAdrPopup" type="local" codeText="@0010" moduleName="ptsmod"/>
  <localMethods name="ptsTmpadrPopupTitledFrame" type="local" codeText="@0012" moduleName="ptsmod"/>
  <localMethods name="ptsmodGetPtsptaFromPts" type="local" codeText="@0015" moduleName="ptsmod"/>
  <localMethods name="getPTSPTAStream" type="local" codeText="@0016" moduleName="ptsmod"/>
  <localMethods name="ptsRemoveRol" type="local" codeText="@0017" moduleName="ptsmod"/>
  <localMethods name="ptsGetAdrDifRolLst" type="local" codeText="@0018" moduleName="ptsmod"/>
  <localMethods name="internalPtsGetSqlPart" type="local" codeText="@0019" moduleName="ptsmod"/>
  <localMethods name="ptsptaSetConForContract" type="local" codeText="@0020" moduleName="ptsmod"/>
  <localMethods name="ptsModGetRolValues" type="local" codeText="@0021" moduleName="ptsmod"/>
  <localMethods name="ptsModAssertParty" type="local" codeText="@0022" moduleName="ptsmod"/>
  <localMethods name="checkPtm" type="local" codeText="@0024" moduleName="ptsmod"/>
  <localMethods name="ptsmodPopupAdr" type="local" codeText="@0025" moduleName="ptsmod"/>
  <localMethods name="updateTmpAdr" type="local" codeText="@0026" moduleName="ptsmod"/>
  <localMethods name="ptsOitAdrPopupForModify" type="local" codeText="@0027" moduleName="ptsmod"/>
  <localMethods name="ptsOitAdrPopupTitledFrame" type="local" codeText="@0030" moduleName="ptsmod"/>
  <localMethods name="setRefOfPts" type="local" codeText="@0046" moduleName="ptsmod"/>
  <localMethods name="ptsModGetConGrpPathOfRol" type="local" codeText="@0053" moduleName="ptsmod"/>
  <localMethods name="ptsModGetRolPty" type="local" codeText="@0054" moduleName="ptsmod"/>
  <localMethods name="ptsSetDetDscAndStlye" type="local" codeText="@0061" moduleName="ptsmod"/>
  <localMethods name="ptsTmpAdrDefault" type="local" codeText="@0062" moduleName="ptsmod"/>
  <localMethods name="ptsTmpPtyDefault" type="local" codeText="@0064" moduleName="ptsmod"/>
  <localMethods name="ptsTmpPtaDefault" type="local" codeText="@0065" moduleName="ptsmod"/>
  <localMethods name="getTypSql" type="local" codeText="@0066" moduleName="ptsmod"/>
  <localMethods name="ptsGetPtyAdrSta" type="local" codeText="@0067" moduleName="ptsmod"/>
  <localMethods name="ptsTmpAdrAddAuto" type="local" codeText="@0070" moduleName="ptsmod"/>
  <localMethods name="ptsTmpAdrDefaultforyes" type="local" codeText="@0071" moduleName="ptsmod"/>
  <localMethods name="ptsTmpAdrPopupforyes" type="local" codeText="@0072" moduleName="ptsmod"/>
  <localMethods name="ptsTmpAdrPopupforNo" type="local" codeText="@0073" moduleName="ptsmod"/>
  <localMethods name="ptsTmpAdrDefaultforNo" type="local" codeText="@0074" moduleName="ptsmod"/>
  <localMethods name="savTmpAdrforno" type="local" codeText="@0075" moduleName="ptsmod"/>
  <localMethods name="ptsTmpAdrDefaultCus" type="local" codeText="@0076" moduleName="ptsmod"/>
  <localMethods name="changeStream" type="local" codeText="@0077" moduleName="ptsmod"/>
  <localMethods name="ptsModXMLPrtAdr" type="local" codeText="@0080" moduleName="ptsmod"/>
  <initRules name="\" type="init" codeText="@0006" order="1000" moduleName="ptsmod"/>
  <defaultRules name="tmpadr\nam" type="default" codeText="@0014" order="1000" moduleName="ptsmod"/>
  <defaultRules name="cpyadr" type="default" codeText="@0033" order="1000" moduleName="ptsmod"/>
  <defaultRules name="butoit" type="default" codeText="@0034" order="1000" moduleName="ptsmod"/>
  <defaultRules name="dbfadrp" type="default" codeText="@0036" order="1000" moduleName="ptsmod"/>
  <defaultRules name="mtdbut\butapy" type="default" codeText="@0037" order="1000"
      moduleName="ptsmod"/>
  <defaultRules name="refp" type="default" codeText="@0041" order="1000" moduleName="ptsmod"/>
  <defaultRules name="refcusp" type="default" codeText="@0042" order="1000" moduleName="ptsmod"/>
  <defaultRules name="detp" type="default" codeText="@0043" order="970" moduleName="ptsmod"/>
  <defaultRules name="refCustomer" type="default" codeText="@0048" order="2500" moduleName="ptsmod">
    <paths>wrkptspta\pts\ref</paths>
    <paths>refcus</paths>
  </defaultRules>
  <defaultRules name="ptsget\sdamod\dadsnd" type="default" codeText="@0049" order="1000"
      moduleName="ptsmod"/>
  <defaultRules name="ptsget\sdamod\dadrcv" type="default" codeText="@0050" order="1000"
      moduleName="ptsmod"/>
  <defaultRules name="wrkptspta\pts\extact" type="default" codeText="@0051" order="1000"
      moduleName="ptsmod"/>
  <defaultRules name="ptsget\dissel" type="default" codeText="@0052" order="950" moduleName="ptsmod"/>
  <defaultRules name="wrkptspta\pts\adrblk" type="default" codeText="@0056" order="1000"
      moduleName="ptsmod"/>
  <defaultRules name="wrkptspta\pts\extkey" type="default" codeText="@0057" order="1000"
      moduleName="ptsmod"/>
  <defaultRules name="wrkptspta\pts\ref" type="default" codeText="@0059" order="1200"
      moduleName="ptsmod"/>
  <defaultRules name="ptmGrd" type="default" codeText="@0060" order="980" moduleName="ptsmod">
    <paths>ptssub\ptmmod\ptmshw</paths>
    <paths>ptssub\ptmmod\delstm</paths>
  </defaultRules>
  <defaultRules name="adrp\adrp0" type="default" codeText="@0063" order="10000" moduleName="ptsmod"/>
  <defaultRules name="butmod" type="default" codeText="@0069" order="900" moduleName="ptsmod"/>
  <defaultRules name="dftadrblk" type="default" codeText="@0078" order="1200" moduleName="ptsmod">
    <paths>wrkptspta\dbfadrblkcn</paths>
    <paths>wrkptspta\pts\adrblk</paths>
  </defaultRules>
  <defaultRules name="wrkptspta\dbfadrblkcn" type="default" codeText="@0079" order="1000"
      moduleName="ptsmod"/>
  <eventRules name="adrp0" type="event" codeText="@0011" order="1000" moduleName="ptsmod"/>
  <eventRules name="canadr" type="event" codeText="@0013" order="1000" moduleName="ptsmod"/>
  <eventRules name="savadr" type="event" codeText="@0023" order="1000" moduleName="ptsmod"/>
  <eventRules name="oitp" type="event" codeText="@0028" order="1000" moduleName="ptsmod"/>
  <eventRules name="canoit" type="event" codeText="@0029" order="1000" moduleName="ptsmod"/>
  <eventRules name="savoit" type="event" codeText="@0031" order="1000" moduleName="ptsmod"/>
  <eventRules name="cpyadr" type="event" codeText="@0032" order="1000" moduleName="ptsmod"/>
  <eventRules name="butoit" type="event" codeText="@0035" order="1000" moduleName="ptsmod"/>
  <eventRules name="mtdbut\butcan" type="event" codeText="@0038" order="100000" moduleName="ptsmod"/>
  <eventRules name="mtdbut\butapy" type="event" codeText="@0039" order="100000" moduleName="ptsmod"/>
  <eventRules name="mtdbut\butapy" type="event" codeText="@0040" order="900" moduleName="ptsmod"/>
  <eventRules name="detp" type="event" codeText="@0044" order="1000" moduleName="ptsmod"/>
  <eventRules name="refcus" type="event" codeText="@0045" order="1000" moduleName="ptsmod"/>
  <eventRules name="wrkptspta\pts\ref" type="event" codeText="@0047" order="1000"
      moduleName="ptsmod"/>
  <eventRules name="mtdbut\butcan" type="event" codeText="@0055" order="1700" moduleName="ptsmod"/>
  <eventRules name="wrkptspta\pts\adrblk" type="event" codeText="@0058" order="1000"
      moduleName="ptsmod"/>
  <eventRules name="butmod" type="event" codeText="@0068" order="1000" moduleName="ptsmod"/>
</eibs:Module>
