<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="ptssub" table="ptssub" title="" i18nSequence="4" ruleSequence="34" transient="true">
<datafields comments="" name="recinr" column="recinr" description="INR of adress to be linked to OITED2 instance" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="oitpansta" column="oitpansta" description="Status of adress to be linked to OITED2 instance" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptsptamodnam" column="ptsptamodnam" description="Name of module for which PTSPTAMOD is filled" length="15" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptsptamod" column="ptsptamod" description="List of PTSPTA Modules" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="rolnam" column="rolnam" description="Description of role" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptschgstm" column="ptschgstm" description="List of 'PtsChgAssert' - Methods" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="rolselstm" column="rolselstm" description="Stream with roles available in transaction" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="rolconstm" column="rolconstm" description="Stream with static information about roles in contracts" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="adrcpyflg" column="adrcpyflg" description="Control copying address to contract" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptausgflg" column="ptausgflg" description="Allowed Address Usages Types" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stplev" column="stplev" description="Stoplevel" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="tmpflg" column="tmpflg" description="use of temporary addresses" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="typflg" column="typflg" description="use of address types" length="10" lineOrDecimalSize="1" viewlines="1" />
<localMethods type="local" name="normalizeEmailAddress" codeText="@0000" moduleName="ptssub"/>
<localMethods type="local" name="ptsSetPTAfromADR" codeText="@0001" moduleName="ptssub"/>
<localMethods type="local" name="ptsSetPTAfromPTY" codeText="@0002" moduleName="ptssub"/>
<localMethods type="local" name="ptsModGetPtsptaForContract" codeText="@0003" moduleName="ptssub"/>
<localMethods type="local" name="getModulesOfTypeStream" codeText="@0004" moduleName="ptssub"/>
<localMethods type="local" name="getRolAndGrpModfromPtsPta" codeText="@0005" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodGetPtsptaFromRol" codeText="@0006" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodGetPtsptaPathFromRol" codeText="@0007" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodGetAdrOfPtspta" codeText="@0008" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodGetPtaOfPtspta" codeText="@0009" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodGetPtyOfPtspta" codeText="@0010" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodSetPtsPtaFromChilds" codeText="@0011" moduleName="ptssub"/>
<localMethods type="local" name="getAnyRolNam" codeText="@0012" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodSetPtsptaForRol" codeText="@0013" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodSetPtsAssert" codeText="@0014" moduleName="ptssub"/>
<localMethods type="local" name="ptsCallAssert" codeText="@0015" moduleName="ptssub"/>
<localMethods type="local" name="postGetMethodStream" codeText="@0016" moduleName="ptssub"/>
<initRules name="\" type="init" codeText="@0017" order="1000" moduleName="ptssub" />
<localMethods type="local" name="getMethodStream" codeText="@0018" moduleName="ptssub"/>
<localMethods type="local" name="ptsIsRolSet" codeText="@0019" moduleName="ptssub"/>
<localMethods type="local" name="ptsIsRolDefined" codeText="@0020" moduleName="ptssub"/>
<localMethods type="local" name="ptsModGetAllRolStm" codeText="@0021" moduleName="ptssub"/>
<localMethods type="local" name="ptsModInternalSetRolSetStm" codeText="@0022" moduleName="ptssub"/>
<localMethods type="local" name="ptsModGetRolStm" codeText="@0023" moduleName="ptssub"/>
<localMethods type="local" name="internalGetPtsPtamodnam" codeText="@0024" moduleName="ptssub"/>
<modules name="ptmmod" type="ptmmod" >
</modules>
<modules name="oited2" type="oited2" >
<arguments name="inr" value="recinr"/>
<arguments name="pansta" value="oitpansta"/>
</modules>
<modules name="ptspta" type="ptspta" static="true" >
<arguments name="typflg" value="typflg"/>
<arguments name="tmpflg" value="tmpflg"/>
<arguments name="stplev" value="stplev"/>
<arguments name="ptausgflg" value="ptausgflg"/>
<arguments name="adrcpyflg" value="adrcpyflg"/>
</modules>
<modules name="pty" type="pty" >
</modules>
<localMethods type="local" name="ptssetPTAfromADRClient" codeText="@0025" moduleName="ptssub"/>
<localMethods type="local" name="ptssetPTAfromPTYClient" codeText="@0026" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodGetAdrLine" codeText="@0027" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodSetPtsFromPta" codeText="@0028" moduleName="ptssub"/>
<globalMethods name="ptsIsPtaAdrRequired" codeText="@0029" moduleName="ptssub"/>
<localMethods type="local" name="ptsModGetAdrBlk" codeText="@0030" moduleName="ptssub"/>
<localMethods type="local" name="ptsmodSetConFlds" codeText="@0031" moduleName="ptssub"/>
<localMethods type="local" name="ptsModGetAdrBlk501" codeText="@0032" moduleName="ptssub"/>
<localMethods type="local" name="ptsModGetAdrBlkForCN" codeText="@0033" moduleName="ptssub"/>
</eibs:Module>
