<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="pty" table="pty" title="PTY - Party" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extkey" column="extkey" description="Address Number" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="External Visible Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ptytyp" column="ptytyp" description="Type of Party" viewtype="Combobox" length="15" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accusr" column="accusr" description="User ID of Account Officer" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hbkaccflg" column="hbkaccflg" description="Use Accounting of House Bank" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hbkconflg" column="hbkconflg" description="Use Conditions of House Bank" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hbkinr" column="hbkinr" description="INR of Associated House Bank" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="heqaccflg" column="heqaccflg" description="Use Accounting of Headquarters" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="heqconflg" column="heqconflg" description="Use Conditions of Headquarters" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="heqinr" column="heqinr" description="INR of Associated Headquarters" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="prfctr" column="prfctr" description="Profit Centre" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="resusr" column="resusr" description="Identifies Responsible User" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskcls" column="rskcls" description="Risk Class" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rskcty" column="rskcty" description="Risk Country" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rsktxt" column="rsktxt" description="Risk Textual Description" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="uil" column="uil" description="Default Language for Communication" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="akkbra" column="akkbra" description="AKK Business Area" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="akkcom" column="akkcom" description="AKK Company ID No." length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="akkreg" column="akkreg" description="AKK Region Code" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lidcndflg" column="lidcndflg" description="Special L/C Conditions for Party" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="lidmaxdur" column="lidmaxdur" description="Maximum Duration of L/C" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="trdcndflg" column="trdcndflg" description="Special TR Conditions for Party" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trdtentot" column="trdtentot" description="Maximum Total Tenor" datatype="numeric" length="5" lineOrDecimalSize="0" />
<datafields comments="" name="trdtenini" column="trdtenini" description="Initial TR Tenor" datatype="numeric" length="5" lineOrDecimalSize="0" />
<datafields comments="" name="trdtenext" column="trdtenext" description="Maximum Extension Tenor" datatype="numeric" length="5" lineOrDecimalSize="0" />
<datafields comments="" name="trdextnmb" column="trdextnmb" description="Maximum Number of Extensions" datatype="numeric" length="5" lineOrDecimalSize="0" />
<datafields comments="" name="badcndflg" column="badcndflg" description="Special BA Conditions for Party" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="badtenext" column="badtenext" description="Maximum Extension Tenor" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="adrsta" column="adrsta" description="Address Status" viewtype="Combobox" codetable="adrsta" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="seltyp" column="seltyp" description="Customer Specific Selling Rate Type" viewtype="Combobox" codetable="seltyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buytyp" column="buytyp" description="Customer Specific Buying Rate Type" viewtype="Combobox" codetable="buytyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sla" column="sla" description="Service Level Agreement" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownkeyinr" column="ownkeyinr" description="维护机构号" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Party" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam1" column="nam1" description="Chinese name" length="50" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="juscod" column="juscod" description="组织机构'码" length="18" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bilvvv" column="bilvvv" description="利率" datatype="numeric" length="8" lineOrDecimalSize="5" />
<datafields comments="" name="cunqii" column="cunqii" description="'款档'" viewtype="Combobox" codetable="cunqii" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="idcode" column="idcode" description="身份证号码" length="32" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="idtype" column="idtype" description="客户类型" codetable="idtype" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BCHKEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clscty" column="clscty" description="Credit class of Country" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="procod" column="procod" description="Province" viewtype="Combobox" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="trnman" column="trnman" description="交易主体" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="speeco" column="speeco" description="特殊经济区域" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="imppay" column="imppay" description="付汇名录标志" codetable="imppay" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hdbch" column="hdbch" description="回单打印机构" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="valdat" column="valdat" description="证件有效期" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="idtypr" column="idtypr" description="证件类型" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="frecod" column="frecod" description="自�'�区白名单" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="otityp" column="otityp" description="客户分类标识" viewtype="Combobox" codetable="otityp" length="1" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
