<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="rpd" table="rpd" title="risk participation" transient="false">
<datafields comments="" name="inr" column="inr" description="INR of Loan Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Name of Loan Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date Opened" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="stttenday" column="stttenday" description="Start Date Tenor" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="tenday" column="tenday" description="Tenor Days" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" viewtype="Combobox" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fincod" column="fincod" description="借据号" length="19" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rpttyp" column="rpttyp" description="出口风参类型" viewtype="Combobox" codetable="rpttyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rptpnt" column="rptpnt" description="是否汇款项下" viewtype="Combobox" codetable="rptpnt" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rat" column="rat" description="Rat" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="rskint" column="rskint" description="Interest of rsk" datatype="numeric" viewtype="Amount" length="16" lineOrDecimalSize="3" />
<datafields comments="" name="feerat" column="feerat" description="手续�'�率" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="incfee" column="incfee" description="手续�'�" datatype="numeric" length="16" lineOrDecimalSize="3" />
<datafields comments="" name="cshacc" column="cshacc" description="保证金�'�户" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="finpty" column="finpty" description="借据客户号" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="finmatdat" column="finmatdat" description="借据到期日" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="rsksetday" column="rsksetday" description="风参还款日" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="pntref" column="pntref" description="结算业务编号" length="170" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rspcur" column="rspcur" description="业务币种" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fincur" column="fincur" description="风参单据币种" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="finamt" column="finamt" description="风参单据金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="2" />
<datafields comments="" name="rspamt" column="rspamt" description="风参金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="2" />
<datafields comments="" name="finptynam" column="finptynam" description="信�'�客户名称" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="zjhcur" column="zjhcur" description="中�'行币种" viewtype="Combobox" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="zjhamt" column="zjhamt" description="中�'行�'�用" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="2" />
<datafields comments="" name="sztyp" column="sztyp" description="收支类型" codetable="sztyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="paytype" column="paytype" description="结算方式" codetable="paytype" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="myhtha" column="myhtha" description="�'�易合同号" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="myhtje" column="myhtje" description="�'�易合同金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="tracoutry" column="tracoutry" description="交易对手国别" length="40" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
