<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="sep" table="sep" title="SEP - Settlement Pool" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of SEP Settlement Pool" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objref" column="objref" description="Contract Own Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="doccur" column="doccur" description="Document Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="docamt" column="docamt" description="Document Amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="srctrninr" column="srctrninr" description="Transaction Creating or Modifying the Entry" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="srcdat" column="srcdat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="dontrninr" column="dontrninr" description="Transaction Finally Settling" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dondat" column="dondat" description="Date Done" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="deltrninr" column="deltrninr" description="Transaction Marking as Deleted" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Settlement" length="8" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
