<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="sespay" table="sespay" title=" " transient="true" i18nSequence="352"
    ruleSequence="71">
  <datafields name="accamt" column="accamt" description="amount booked" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3" argument="true"/>
  <datafields name="acccur" column="acccur" description="acc. currency" length="3"
      lineOrDecimalSize="1" argument="true"/>
  <datafields name="butapy" column="butapy" description="apply" datatype="control"
      viewtype="Button" length="10"/>
  <datafields name="chato" column="chato" description="Details of Charges" viewtype="Combobox"
      length="3" lineOrDecimalSize="1" codetable="chato"/>
  <datafields name="butcan" column="butcan" description="cancel" datatype="control"
      viewtype="Button" length="10"/>
  <datafields name="oldstm" column="oldstm" description="old contents" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="valdat" column="valdat" description="value date" datatype="date"
      viewtype="Date" length="12" argument="true"/>
  <datafields name="strinf" column="strinf" description="Sender to receiver Information message to benf. inst."
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6"/>
  <datafields name="strinferi" column="strinferi" description="Sender to receiver Information message to benf. inst."
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6"/>
  <datafields name="blkt70" column="blkt70" description="Details of payment MT100"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4"/>
  <datafields name="strinf202" column="strinf202" description="Sender to receiver Information to NOSTRO correspondent"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6"/>
  <datafields name="strinf202eri" column="strinf202eri" description="Sender to receiver Information to NOSTRO correspondent"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6"/>
  <datafields name="rol" column="rol" description="Role" length="3" lineOrDecimalSize="1"
      argument="true"/>
  <datafields name="rcvcoracc" column="rcvcoracc" description="Receiver's Correspondent Account"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="beiacc" column="beiacc" description="Beneficiary Institution Account"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="awiacc" column="awiacc" description="Account with Institution Account"
      length="34" lineOrDecimalSize="1" argument="true"/>
  <datafields name="intacc" column="intacc" description="Intermediary Account" length="34"
      lineOrDecimalSize="1"/>
  <datafields name="triacc" column="triacc" description="3rd Reimbursement Institution Account"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="troacc" column="troacc" description="3rd Reimbursement Institution Account"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="oriacc" column="oriacc" description="Ordering Institution Account"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="benacc" column="benacc" description="Beneficiary's account" length="34"
      lineOrDecimalSize="1"/>
  <datafields name="sumtabrow" column="sumtabrow" description="Row in SUMTAB" datatype="numeric"
      length="2"/>
  <datafields name="chalab" column="chalab" description="Label for Charges to/Date of Discrep."
      viewtype="Label" length="26" lineOrDecimalSize="1"/>
  <datafields name="sftmt" column="sftmt" description="Which MT to beneficiary institution"
      viewtype="Combobox" length="3" lineOrDecimalSize="1" codetable="sftmt" argument="true"/>
  <datafields name="dirindflg" column="dirindflg" description="Direct payment one message"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="dirindflg" argument="true"/>
  <datafields name="actseracc" column="actseracc" description="receiver of  Account"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="acc53" column="acc53" description="acc53" length="34" lineOrDecimalSize="1"/>
  <datafields name="dsp" column="dsp" description="disposition" length="3" lineOrDecimalSize="1"
      codetable="dsp" argument="true"/>
  <datafields name="rcvcor2acc" column="rcvcor2acc" description="54A Account" length="34"
      lineOrDecimalSize="1"/>
  <datafields name="chkfld" column="chkfld" description="Check" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="mt20221" column="mt20221" description="21" length="16" lineOrDecimalSize="1"/>
  <datafields name="acc57c" column="acc57c" description="MT103 57C" length="34" lineOrDecimalSize="1"/>
  <datafields name="tag20" column="tag20" description="Transaction Ref. No.tag 20"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="acc53b" column="acc53b" description="acc53b" length="34" lineOrDecimalSize="1"/>
  <datafields name="tag79txt" column="tag79txt" description="Narrative79Z" datatype="block"
      viewtype="Block" length="50" lineOrDecimalSize="35" viewlines="10"/>
  <modules name="setgrp" type="setgrp" argument="true"/>
  <modules name="actserp" type="ptsp" argument="true"/>
  <modules name="awip" type="ptsp" argument="true"/>
  <modules name="intp" type="ptsp" argument="true"/>
  <modules name="trip" type="ptsp">
    <arguments name="ptspta" value="setgrp\tri"/>
  </modules>
  <modules name="rcvcorp" type="ptsp">
    <arguments name="ptspta" value="setgrp\rcvcor"/>
  </modules>
  <modules name="beip" type="ptsp">
    <arguments name="ptspta" value="setgrp\bei"/>
  </modules>
  <modules name="rmsp" type="ptsp">
    <arguments name="ptspta" value="setgrp\rms"/>
  </modules>
  <modules name="orip" type="ptsp">
    <arguments name="ptspta" value="setgrp\ori"/>
  </modules>
  <modules name="cod" type="txmmod">
    <arguments name="txmblock" value="strinf"/>
    <arguments name="txmgrp" value="!SWTCOD"/>
    <arguments name="txmuil" value="!"/>
  </modules>
  <modules name="cod202" type="txmmod">
    <arguments name="txmblock" value="strinf202"/>
    <arguments name="txmgrp" value="!SWTCOD"/>
    <arguments name="txmuil" value="!"/>
  </modules>
  <modules name="rcvcor2p" type="ptsp">
    <arguments name="ptspta" value="setgrp\rcvcor2"/>
  </modules>
  <modules name="snd756" type="ptsp">
    <arguments name="ptspta" value="setgrp\snd756"/>
  </modules>
  <modules name="trop" type="ptsp">
    <arguments name="ptspta" value="setgrp\tro"/>
  </modules>
  <modules name="cod70" type="txmmod">
    <arguments name="txmblock" value="blkt70"/>
    <arguments name="txmgrp" value="!SWTCOD"/>
    <arguments name="txmuil" value="!"/>
  </modules>
  <modules name="actrec" type="act"/>
  <panels name="det103" description="PD000061" width="788" height="528" visible="false">
    <components path="actserp\ptap2" viewType="Composite" width="260" left="132" top="144"
        height="60"/>
    <components path="rcvcorp\ptap5" viewType="Composite" width="230" enabled="false"
        left="132" top="216" height="100"/>
    <components path="rcvcoracc" width="226" left="132" top="314" height="22"/>
    <components path="intacc" width="226" left="132" top="471" height="22"/>
    <components path="awip\ptap5" viewType="Composite" width="230" left="452" top="21"
        height="100"/>
    <components path="awiacc" width="226" left="452" top="124" height="22"/>
    <components path="rmsp\ptap5" viewType="Composite" width="230" enabled="false"
        left="452" top="199" height="100"/>
    <components path="blkt70" viewType="Block" width="233" left="452" top="318" height="48"/>
    <components path="chato" viewType="Combobox" width="75" left="629" top="387" height="22"/>
    <components path="beip\ptap5" viewType="Composite" width="230" left="132" top="36"
        height="100"/>
    <components path="intp\ptap5" viewType="Composite" width="230" left="132" top="352"
        height="100"/>
    <components path="strinf" viewType="Block" width="233" left="452" top="427" height="72"/>
    <components path="cod\buttxmsel" viewType="Button" width="20" text="CF000332"
        left="688" top="428" height="22"/>
    <components path="cod70\buttxmsel" viewType="Button" width="20" enabled="false"
        text="CF000334" left="688" top="319" height="22"/>
    <components viewType="Label" text="SF000089" top="220" height="22"/>
    <components viewType="Label" text="SF000090" top="314" height="22"/>
    <components viewType="Label" text="SF000091" top="36" height="22"/>
    <components viewType="Label" text="SF000094" left="452" top="4" height="22"/>
    <components viewType="Label" text="SF000096" left="452" top="302" height="22"/>
    <components viewType="Label" text="SF000100" top="352" height="22"/>
    <components viewType="Label" text="SF000106" left="452" top="183" height="22"/>
    <components viewType="Label" text="SF000118" top="148" height="22"/>
    <components viewType="Label" text="SF000230" left="452" top="387" height="22"/>
    <components viewType="Label" text="SF000253" top="4" height="22"/>
    <components viewType="Label" text="SF000268" top="471" height="22"/>
    <components viewType="Label" text="SF000303" top="164" height="22"/>
    <components viewType="Label" text="SF000304" top="236" height="22"/>
    <components viewType="Label" text="SF000306" top="368" height="22"/>
    <components viewType="Label" text="SF000322" top="52" height="22"/>
    <components viewType="Label" text="SF000326" left="452" top="407" height="22"/>
    <components path="chkfld" viewType="Button" width="66" text="CG000338" left="720"
        top="34" height="22"/>
    <components path="acc57c" width="226" left="452" top="154" height="22"/>
    <components path="acc53b" width="226" left="132" top="500" height="22"/>
    <components viewType="Label" text="SG000343" left="674" top="156" height="22"/>
    <components viewType="Label" text="SG000346" left="36" top="500" height="22"/>
  </panels>
  <panels name="det202" description="PD000128" width="788" height="528" visible="false">
    <components path="awip\ptap5" viewType="Composite" width="230" left="452" top="26"
        height="100"/>
    <components path="actserp\ptap2" viewType="Composite" width="260" left="132" top="44"
        height="60"/>
    <components path="rcvcorp\ptap5" viewType="Composite" width="230" enabled="false"
        left="132" top="110" height="100"/>
    <components path="rcvcoracc" width="226" left="132" top="210" height="22"/>
    <components path="intacc" width="226" left="132" top="357" height="22"/>
    <components path="awiacc" width="226" left="452" top="126" height="22"/>
    <components path="beiacc" width="226" left="452" top="323" height="22"/>
    <components path="cod202\buttxmsel" viewType="Button" width="20" text="CF000290"
        left="686" top="410" height="22"/>
    <components path="beip\ptap5" viewType="Composite" width="230" left="452" top="196"
        height="100"/>
    <components path="intp\ptap5" viewType="Composite" width="230" left="132" top="249"
        height="100"/>
    <components path="strinf202" viewType="Block" width="233" left="452" top="410"
        height="72"/>
    <components path="actseracc" width="226" left="133" top="21" height="22"/>
    <components path="acc53" width="226" left="128" top="440" height="22"/>
    <components viewType="Label" text="S0000221" left="452" top="392" height="22"/>
    <components viewType="Label" text="SF000272" top="4" height="22"/>
    <components viewType="Label" text="S0000274" left="452" height="22"/>
    <components viewType="Label" text="S0000276" top="34" height="22"/>
    <components viewType="Label" text="S0000277" top="114" height="22"/>
    <components viewType="Label" text="S0000278" top="210" height="22"/>
    <components viewType="Label" text="S0000281" top="249" height="22"/>
    <components viewType="Label" text="S0000282" top="357" height="22"/>
    <components viewType="Label" text="S0000283" left="452" top="303" height="22"/>
    <components viewType="Label" text="SF000307" top="50" height="22"/>
    <components viewType="Label" text="SF000308" top="130" height="22"/>
    <components viewType="Label" text="SF000309" top="265" height="22"/>
    <components viewType="Label" text="SF000324" left="452" top="172" height="22"/>
    <components viewType="Label" text="S0000342" top="399" height="22"/>
    <components viewType="Label" text="SF000347" left="10" top="440" height="22"/>
    <components path="mt20221" width="106" left="132" top="395" height="22"/>
  </panels>
  <panels name="det400" description="PD000129" width="788" height="528" visible="false">
    <components path="rcvcoracc" width="226" left="132" top="395" height="22"/>
    <components path="awip\ptap5" viewType="Composite" width="230" left="452" top="55"
        height="100"/>
    <components path="awiacc" width="226" left="452" top="181" height="22"/>
    <components path="beiacc" width="226" left="452" top="364" height="22"/>
    <components path="strinf" viewType="Block" width="233" left="452" top="418" height="72"/>
    <components path="cod202\buttxmsel" viewType="Button" width="20" text="CF000295"
        left="686" top="419" height="22"/>
    <components path="beip\ptap5" viewType="Composite" width="230" left="452" top="232"
        height="100"/>
    <components path="actserp\ptap5" viewType="Composite" width="230" left="132" top="157"
        height="100"/>
    <components path="snd756\ptap5" viewType="Composite" width="230" enabled="false"
        left="132" top="35" height="100"/>
    <components path="rcvcor2p\ptap5" viewType="Composite" width="230" enabled="false"
        left="132" top="285" height="100"/>
    <components viewType="Label" text="S0000168" top="285" height="22"/>
    <components viewType="Label" text="S0000169" top="395" height="22"/>
    <components viewType="Label" text="S0000171" left="452" top="20" height="22"/>
    <components viewType="Label" text="S0000176" left="452" top="162" height="22"/>
    <components viewType="Label" text="S0000179" top="157" height="22"/>
    <components viewType="Label" text="SF000248" left="452" top="212" height="22"/>
    <components viewType="Label" text="S0000257" top="4" height="22"/>
    <components viewType="Label" text="SF000287" left="452" top="342" height="22"/>
    <components viewType="Label" text="S0000294" left="452" top="400" height="22"/>
    <components viewType="Label" text="SF000310" top="173" height="22"/>
    <components viewType="Label" text="SF000311" top="301" height="22"/>
    <components viewType="Label" text="SF000312" left="452" top="36" height="22"/>
    <components viewType="Label" text="SF000313" left="560" top="212" height="22"/>
    <components viewType="Label" text="SF000329" top="28" height="22"/>
  </panels>
  <panels name="det756" description="PD000130" width="788" height="528" visible="false">
    <components path="strinf" viewType="Block" width="233" left="132" top="426" height="72"/>
    <components path="cod\buttxmsel" viewType="Button" width="20" text="CF000292"
        left="368" top="426" height="22"/>
    <components path="actserp\ptap5" viewType="Composite" width="230" left="132" top="155"
        height="100"/>
    <components path="rcvcor2p\ptap5" viewType="Composite" width="230" enabled="false"
        left="132" top="275" height="100"/>
    <components path="snd756\ptap5" viewType="Composite" width="230" enabled="false"
        left="132" top="31" height="100"/>
    <components viewType="Label" text="S0000185" top="275" height="22"/>
    <components viewType="Label" text="S0000186" top="386" height="22"/>
    <components viewType="Label" text="SF000261" top="4" height="22"/>
    <components viewType="Label" text="SF000270" top="426" height="22"/>
    <components viewType="Label" text="SF000271" top="442" height="22"/>
    <components viewType="Label" text="S0000286" top="155" height="22"/>
    <components viewType="Label" text="SF000315" top="171" height="22"/>
    <components viewType="Label" text="SF000316" top="294" height="22"/>
    <components viewType="Label" text="SF000328" top="31" height="22"/>
    <components path="rcvcor2acc" width="226" left="132" top="386" height="22"/>
    <components path="tag79txt" viewType="Block" width="333" left="423" top="368"
        height="420"/>
    <components viewType="Label" text="SG000351" left="424" top="337" height="22"/>
  </panels>
  <panels name="det202cv" description="PD000131" width="788" height="528" visible="false">
    <components path="rcvcoracc" width="226" left="132" top="460" height="22"/>
    <components path="triacc" width="226" left="452" top="156" height="22"/>
    <components path="beiacc" width="226" left="452" top="350" height="22"/>
    <components path="oriacc" width="226" left="132" top="312" height="22"/>
    <components path="beip\ptap5" viewType="Composite" width="230" left="452" top="224"
        height="100"/>
    <components path="trip\ptap5" viewType="Composite" width="230" left="452" top="28"
        height="100"/>
    <components path="rcvcorp\ptap5" viewType="Composite" width="230" enabled="false"
        left="132" top="355" height="100"/>
    <components path="orip\ptap5" viewType="Composite" width="230" left="132" top="199"
        height="100"/>
    <components path="strinf202" viewType="Block" width="233" left="452" top="407"
        height="72"/>
    <components path="actserp\ptap2" viewType="Composite" width="260" left="132" top="29"
        height="60"/>
    <components path="cod202\buttxmsel" viewType="Button" width="20" text="CF000331"
        left="687" top="430" height="22"/>
    <components path="chkfld" viewType="Button" width="66" text="CF000339" left="724"
        top="27" height="22"/>
    <components path="actseracc" width="226" left="133" top="156" height="22"/>
    <components path="acc53" width="226" left="132" top="103" height="22"/>
    <components viewType="Label" text="S0000153" left="452" top="199" height="22"/>
    <components viewType="Label" text="S0000154" left="452" top="4" height="22"/>
    <components viewType="Label" text="S0000159" left="452" top="135" height="22"/>
    <components viewType="Label" text="S0000160" top="355" height="22"/>
    <components viewType="Label" text="S0000164" top="460" height="22"/>
    <components viewType="Label" text="SF000249" top="4" height="22"/>
    <components viewType="Label" text="SF000269" left="452" top="326" height="22"/>
    <components viewType="Label" text="SF000300" top="199" height="22"/>
    <components viewType="Label" text="SF000301" top="312" height="22"/>
    <components viewType="Label" text="SF000317" left="578" top="199" height="22"/>
    <components viewType="Label" text="SF000318" left="575" top="4" height="22"/>
    <components viewType="Label" text="SF000319" top="215" height="22"/>
    <components viewType="Label" text="SF000321" top="373" height="22"/>
    <components viewType="Label" text="SF000327" left="452" top="387" height="22"/>
    <components viewType="Label" text="SF000330" top="29" height="22"/>
    <components viewType="Label" text="SF000340" top="156" height="22"/>
    <components viewType="Label" text="SF000345" left="10" top="502" height="22"/>
    <components viewType="Label" text="SF000348" top="103" height="22"/>
    <components path="tag20" width="226" left="132" top="486" height="22"/>
    <components viewType="Label" text="SG000344" top="486" height="22"/>
  </panels>
  <localMethods name="assertSUMTABROW" type="local" codeText="@0002" moduleName="sespay"/>
  <localMethods name="swiftGetERIOriAmt" type="local" codeText="@0003" moduleName="sespay"/>
  <localMethods name="sumTabRowIsERI" type="local" codeText="@0004" moduleName="sespay"/>
  <localMethods name="printDocAmountERI" type="local" codeText="@0005" moduleName="sespay"/>
  <localMethods name="recalcSesPay" type="local" codeText="@0013" moduleName="sespay"/>
  <localMethods name="swtPrtMT103Body" type="local" codeText="@0014" moduleName="sespay"/>
  <localMethods name="swtPrtMT202Body" type="local" codeText="@0015" moduleName="sespay"/>
  <localMethods name="swtPrtMT400Body" type="local" codeText="@0016" moduleName="sespay"/>
  <localMethods name="swtPrtMT756Body" type="local" codeText="@0017" moduleName="sespay"/>
  <localMethods name="swtPrtMT202cvBody" type="local" codeText="@0018" moduleName="sespay"/>
  <localMethods name="recalcIZV" type="local" codeText="@0024" moduleName="sespay"/>
  <localMethods name="registersettlementSesPay" type="local" codeText="@0025" moduleName="sespay"/>
  <localMethods name="swtPrtT21in202" type="local" codeText="@0029" moduleName="sespay"/>
  <localMethods name="setCusPanelDescriptionforDetMT" type="local" codeText="@0032"
      moduleName="sespay"/>
  <localMethods name="setCusPanelDescriptionforDet202CV" type="local" codeText="@0033"
      moduleName="sespay"/>
  <localMethods name="prtSftAccAdrFun50" type="local" codeText="@0035" moduleName="sespay"/>
  <localMethods name="setCusPanelDescriptionforDet202" type="local" codeText="@0037"
      moduleName="sespay"/>
  <localMethods name="swtPrtT21in202cv" type="local" codeText="@0044" moduleName="sespay"/>
  <localMethods name="swtPrtAccAdrSpc1" type="local" codeText="@0063" moduleName="sespay"/>
  <localMethods name="swt202to32a" type="local" codeText="@0064" moduleName="sespay"/>
  <localMethods name="swtPrtMT799Body" type="local" codeText="@0065" moduleName="sespay"/>
  <localMethods name="iscmt" type="local" codeText="@0068" moduleName="sespay"/>
  <localMethods name="getacc53for202cov" type="local" codeText="@0069" moduleName="sespay"/>
  <localMethods name="xmlPrtPaymentAsLetter" type="local" codeText="@0070" moduleName="sespay"/>
  <defaultRules name="actserp\pansta" type="default" codeText="@0054" order="1000"
      moduleName="sespay"/>
  <defaultRules name="actseracc" type="default" codeText="@0055" order="1000" moduleName="sespay"/>
  <defaultRules name="strinf202" type="default" codeText="@0056" order="1000" moduleName="sespay"/>
  <defaultRules name="blkt70" type="default" codeText="@0058" order="1000" moduleName="sespay"/>
  <defaultRules name="tag20" type="default" codeText="@0060" order="1000" moduleName="sespay"/>
  <defaultRules name="acc53b" type="default" codeText="@0061" order="1000" moduleName="sespay"/>
  <defaultRules name="acc53" type="default" codeText="@0062" order="1000" moduleName="sespay"/>
  <checkRules name="awip\ptspta\pts\extkey" type="check" codeText="@0007" order="900"
      moduleName="sespay"/>
  <checkRules name="intacc" type="check" codeText="@0008" order="1000" moduleName="sespay"/>
  <checkRules name="rcvcoracc" type="check" codeText="@0009" order="1000" moduleName="sespay"/>
  <checkRules name="triacc" type="check" codeText="@0010" order="1000" moduleName="sespay"/>
  <checkRules name="benacc" type="check" codeText="@0011" order="1000" moduleName="sespay"/>
  <checkRules name="beiacc" type="check" codeText="@0012" order="1000" moduleName="sespay"/>
  <checkRules name="benacc" type="check" codeText="@0023" order="1100" moduleName="sespay"/>
  <checkRules name="actserp\ptspta\pts\extkey" type="check" codeText="@0026" order="1000"
      moduleName="sespay"/>
  <checkRules name="strinf" type="check" codeText="@0027" order="1000" moduleName="sespay"/>
  <checkRules name="strinf202" type="check" codeText="@0028" order="1000" moduleName="sespay"/>
  <checkRules name="beip\ptspta\pts\extkey" type="check" codeText="@0030" order="1000"
      moduleName="sespay"/>
  <checkRules name="actserp\ptspta\pts\extkey" type="check" codeText="@0031" order="1100"
      moduleName="sespay"/>
  <checkRules name="rcvcorp\ptspta\pts\extkey" type="check" codeText="@0034" order="2000"
      moduleName="sespay"/>
  <checkRules name="trip\ptspta\pts\extkey" type="check" codeText="@0038" order="900"
      moduleName="sespay"/>
  <checkRules name="awip\ptspta\pts\adrblk" type="check" codeText="@0042" order="2000"
      moduleName="sespay"/>
  <checkRules name="awip\ptspta\pts\extkey" type="check" codeText="@0043" order="2000"
      moduleName="sespay"/>
  <checkRules name="beip\ptspta\pts\extkey" type="check" codeText="@0046" order="2000"
      moduleName="sespay"/>
  <checkRules name="rmsp\ptspta\pts\adrblk" type="check" codeText="@0067" order="2000"
      moduleName="sespay"/>
  <eventRules name="butapy" type="event" codeText="@0000" order="1000" moduleName="sespay"/>
  <eventRules name="butcan" type="event" codeText="@0001" order="1000" moduleName="sespay"/>
  <eventRules name="det103" type="event" codeText="@0006" order="1000" moduleName="sespay"/>
  <eventRules name="det202" type="event" codeText="@0019" order="1000" moduleName="sespay"/>
  <eventRules name="det400" type="event" codeText="@0020" order="1000" moduleName="sespay"/>
  <eventRules name="det756" type="event" codeText="@0021" order="1000" moduleName="sespay"/>
  <eventRules name="det202cv" type="event" codeText="@0022" order="1000" moduleName="sespay"/>
  <eventRules name="det202cv" type="event" codeText="@0036" order="1100" moduleName="sespay"/>
  <eventRules name="chato" type="event" codeText="@0039" order="1000" moduleName="sespay"/>
  <eventRules name="det103" type="event" codeText="@0040" order="1100" moduleName="sespay"/>
  <eventRules name="det202cv" type="event" codeText="@0041" order="1200" moduleName="sespay"/>
  <eventRules name="setgrp\int\pts\extkey" type="event" codeText="@0045" order="9999"
      moduleName="sespay"/>
  <eventRules name="chkfld" type="event" codeText="@0047" order="1000" moduleName="sespay"/>
  <eventRules name="det202cv" type="event" codeText="@0048" order="1500" moduleName="sespay"/>
  <eventRules name="det103" type="event" codeText="@0049" order="1200" moduleName="sespay"/>
  <eventRules name="det103" type="event" codeText="@0050" order="1150" moduleName="sespay"/>
  <eventRules name="det400" type="event" codeText="@0051" order="1200" moduleName="sespay"/>
  <eventRules name="det756" type="event" codeText="@0052" order="1200" moduleName="sespay"/>
  <eventRules name="actseracc" type="event" codeText="@0053" order="1000" moduleName="sespay"/>
  <eventRules name="det202" type="event" codeText="@0057" order="1100" moduleName="sespay"/>
  <eventRules name="tag20" type="event" codeText="@0059" order="1000" moduleName="sespay"/>
  <eventRules name="det202" type="event" codeText="@0066" order="1150" moduleName="sespay"/>
</eibs:Module>
