<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="setfel" table="setfel" title="Settlement own fee line module (2rd grid)"
    transient="true" i18nSequence="58" ruleSequence="44">
  <datafields name="mac" column="mac" description="current MAC" lineOrDecimalSize="1"/>
  <datafields name="macold" column="macold" description="MAC after last run of Assert-fuction"
      lineOrDecimalSize="1"/>
  <datafields name="det" column="det" description="Details" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="rol" column="rol" description="Role" length="3" lineOrDecimalSize="1"/>
  <datafields name="feecod" column="feecod" description="Code" lineOrDecimalSize="1"/>
  <datafields name="src" column="src" description="Source of fee" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="src"/>
  <datafields name="dsp" column="dsp" description="disposition" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="dsp"/>
  <datafields name="unt" column="unt" description="units" datatype="numeric" length="5"/>
  <datafields name="feetxtinf" column="feetxtinf" description="long feetext" length="45"
      lineOrDecimalSize="1"/>
  <datafields name="cur" column="cur" description="Currency" length="3" lineOrDecimalSize="1"/>
  <datafields name="amt" column="amt" description="Amount" datatype="numeric" viewtype="Amount"
      length="18" lineOrDecimalSize="3"/>
  <datafields name="feetxt" column="feetxt" description="text" length="45" lineOrDecimalSize="1"/>
  <datafields name="dat1" column="dat1" description="Date-1" datatype="date" viewtype="Date"
      length="12"/>
  <datafields name="dat2" column="dat2" description="Date-2" datatype="date" viewtype="Date"
      length="12"/>
  <datafields name="nxtcomdat" column="nxtcomdat" description="Next commission due"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="usramt" column="usramt" description="Amount to be converted" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="usrcur" column="usrcur" description="Currency user entered fee"
      viewtype="Combobox" length="3" lineOrDecimalSize="1"/>
  <datafields name="ratcal" column="ratcal" description="Rate Calculation" datatype="numeric"
      length="14" lineOrDecimalSize="6"/>
  <datafields name="ratcur" column="ratcur" description="Rate Currency" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="ratlab" column="ratlab" description="Label for rate /fixed amount"
      viewtype="Label" length="20" lineOrDecimalSize="1"/>
  <datafields name="untamt" column="untamt" description="rate amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="datrefbeg" column="datrefbeg" description="Begin Date of complete calculaton"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="modflg" column="modflg" description="modified" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="modflg"/>
  <datafields name="inftxt" column="inftxt" description="details of calculation" datatype="block"
      viewtype="Block" length="80" lineOrDecimalSize="100" viewlines="18"/>
  <datafields name="intrcv" column="intrcv" description="Interest receivable booked"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="butdet" column="butdet" description="Details" datatype="control"
      viewtype="Button" length="10"/>
  <datafields name="detstm" column="detstm" description="Details information from IRTCAL"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="rolptyinr" column="rolptyinr" description="INR of party paying"
      lineOrDecimalSize="1"/>
  <datafields name="feeacc" column="feeacc" description="fee account" length="16"
      lineOrDecimalSize="1"/>
  <datafields name="xrfcur" column="xrfcur" description="Currency of Converted Amount Usually SYSCUR, Optional"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="xrfamt" column="xrfamt" description="Converted Amount in XRFCUR, Optional"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="minmaxflg" column="minmaxflg" description="Minimum or maximum used"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="infdetstm" column="infdetstm" description="Details information for correspondence"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="errcod" column="errcod" description="Errorcode" datatype="numeric"
      length="16"/>
  <datafields name="errtxt" column="errtxt" description="Errortext" length="200" lineOrDecimalSize="1"/>
  <datafields name="cnftildat" column="cnftildat" description="Confirmed untill" datatype="date"
      viewtype="Date" length="12"/>
  <datafields name="advdat" column="advdat" description="Date Advised" datatype="date"
      viewtype="Date" length="12"/>
  <datafields name="advtrninr" column="advtrninr" description="Transaction Advising the Fee if Set, Fee has been Advised"
      lineOrDecimalSize="1"/>
  <datafields name="allcalflg" column="allcalflg" description="Calculations used"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="allcalflg"/>
  <datafields name="basamt" column="basamt" description="Base Amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="basamtin" column="basamtin" description="Base Amount from Defaulting or set by user"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="cbtpfx" column="cbtpfx" description="CPTPFX for fee calulation"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="cdtoldflg" column="cdtoldflg" description="recredit paid fees of that type flag"
      viewtype="Checkbox" length="1" lineOrDecimalSize="1"/>
  <datafields name="cextid" column="cextid" description="EXTID for fee calulation"
      length="16" lineOrDecimalSize="1"/>
  <datafields name="dat2dft" column="dat2dft" description="Date-2 - as defaulted by transaction"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="fecirt" column="fecirt" description="Ratetype for this fee set by transaction"
      viewtype="Combobox" length="6" lineOrDecimalSize="1"/>
  <datafields name="fecmod" column="fecmod" description="Condition for this fee" length="80"
      lineOrDecimalSize="1"/>
  <datafields name="feesftcod" column="feesftcod" description="Description for SWIFT"
      length="4" lineOrDecimalSize="1"/>
  <datafields name="fepinrlst" column="fepinrlst" description="Pool records represented by this line"
      datatype="stream" viewtype="Block" lineOrDecimalSize="1"/>
  <datafields name="intrcv1" column="intrcv1" description="Interest receivable booked"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="objmod" column="objmod" description="Contract for condtions and amounts"
      length="80" lineOrDecimalSize="1"/>
  <datafields name="relamt" column="relamt" description="relevant amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="relcur" column="relcur" description="currency of relevant amount"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="rolptainr" column="rolptainr" description="address PTA paying"
      lineOrDecimalSize="1"/>
  <datafields name="rolnam" column="rolnam" description="name" length="40" lineOrDecimalSize="1"/>
  <datafields name="roldbt" column="roldbt" description="Default role to pay the fee if set by transaction"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="acrinr" column="acrinr" description="INR of Accruling control record"
      lineOrDecimalSize="1"/>
  <datafields name="doccur" column="doccur" description="document currency" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="accacr" column="accacr" description="Accruing Account" length="34"
      lineOrDecimalSize="1"/>
  <datafields name="feedtacod" column="feedtacod" description="Fee Code for DTA Messages"
      lineOrDecimalSize="1"/>
  <datafields name="butfecdet" column="butfecdet" description="Condition Details"
      datatype="control" viewtype="Button" length="10"/>
  <datafields name="butcan" column="butcan" description="cancel" datatype="control"
      viewtype="Button" length="10"/>
  <datafields name="butapy" column="butapy" description="Apply" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="feclst" column="feclst" description="List of INRs condition is calculated of"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="dctamt" column="dctamt" description="Discount Amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="2"/>
  <datafields name="ogiamt" column="ogiamt" description="Original Amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="dctrat" column="dctrat" description="discount rate" datatype="numeric"
      length="6" lineOrDecimalSize="2"/>
  <datafields name="trmtyp" column="trmtyp" description="Term Type" length="6" lineOrDecimalSize="1"/>
  <modules name="mtdbut" type="mtdbut"/>
  <modules name="wrkfec" type="fec"/>
  <modules name="fecp1" type="fecp1">
    <arguments name="fec" value="wrkfec"/>
  </modules>
  <panels name="detp" description="PD000000" width="788" height="506" visible="false"
      popup="true">
    <components path="feecod" viewType="Combobox" width="75" left="62" height="22"/>
    <components path="feetxt" width="300" left="196" height="22"/>
    <components path="modflg" viewType="Combobox" width="75" left="496" height="22"/>
    <components path="feetxtinf" width="300" left="132" top="40" height="22"/>
    <components path="dat1" viewType="Date" width="80" left="480" top="56" height="22"/>
    <components path="dat2" viewType="Date" width="80" left="564" top="56" height="22"/>
    <components path="unt" width="33" left="656" top="56" height="22"/>
    <components path="usrcur" viewType="Combobox" width="75" left="132" top="64" height="22"/>
    <components path="usramt" viewType="Amount" width="120" left="188" top="64" height="22"/>
    <components path="cur" viewType="Combobox" width="75" left="132" top="88" height="22"/>
    <components path="amt" viewType="Amount" width="120" left="579" top="116" height="22"/>
    <components path="datrefbeg" viewType="Date" width="80" left="629" top="89" height="22"/>
    <components path="rol" viewType="Combobox" width="75" left="132" top="112" height="22"/>
    <components path="fecp1\fectrn" viewType="Composite" width="710" left="4" top="144"
        height="260"/>
    <components path="inftxt" viewType="Block" width="533" enabled="false" left="132"
        top="416" height="1200"/>
    <components path="mtdbut\mtdbutu" viewType="Composite" width="60" left="724" height="69"/>
    <components path="butfecdet" viewType="Button" width="66" text="CF000047" left="724"
        top="196" height="22"/>
    <components path="butdet" viewType="Button" width="66" text="CF000026" left="724"
        top="224" height="22"/>
    <components path="mtdbut\mtdbutl" viewType="Composite" width="60" left="724" top="452"
        height="45"/>
    <components viewType="Label" text="S0000002" height="22"/>
    <components viewType="Label" text="S0000003" left="136" height="22"/>
    <components viewType="Label" text="S0000004" top="88" height="22"/>
    <components viewType="Label" text="S0000005" left="656" top="36" height="22"/>
    <components viewType="Label" text="S0000006" left="480" top="36" height="22"/>
    <components viewType="Label" text="S0000007" left="568" top="36" height="22"/>
    <components viewType="Label" text="S0000008" top="40" height="22"/>
    <components viewType="Label" text="S0000011" top="416" height="22"/>
    <components viewType="Label" text="S0000012" top="64" height="22"/>
    <components viewType="Label" text="S0000013" left="515" top="89" height="22"/>
    <components viewType="Label" text="S0000014" top="112" height="22"/>
    <components viewType="Label" text="SF000057" left="453" top="89" height="22"/>
    <components path="dctamt" viewType="Amount" width="120" left="326" top="116" height="22"/>
    <components path="ogiamt" viewType="Amount" width="120" enabled="false" left="188"
        top="88" height="22"/>
    <components path="dctrat" width="40" left="398" top="89" height="22"/>
    <components viewType="Label" text="SG000054" left="264" top="116" height="22"/>
    <components viewType="Label" text="SG000055" left="505" top="116" height="22"/>
    <components viewType="Label" text="SG000056" left="361" top="89" height="22"/>
  </panels>
  <panels name="fecdetp" description="PD000048" width="788" height="528" visible="false"
      popup="true">
    <components path="butapy" viewType="Button" width="66" text="CF000050" left="724"
        height="22"/>
    <components path="butcan" viewType="Button" width="66" text="CF000049" left="724"
        top="500" height="22"/>
    <components path="inftxt" viewType="Block" width="533" enabled="false" left="132"
        top="260" height="1200"/>
    <components viewType="Label" text="S0000053" top="260" height="22"/>
  </panels>
  <localMethods name="recalcSetfel" type="local" codeText="@0000" moduleName="setfel"/>
  <localMethods name="dspCalc" type="local" codeText="@0003" moduleName="setfel"/>
  <localMethods name="checkIfRoleAvailable" type="local" codeText="@0018" moduleName="setfel"/>
  <localMethods name="recalcSetfelStdDft" type="local" codeText="@0019" moduleName="setfel"/>
  <localMethods name="getFeeCur" type="local" codeText="@0026" moduleName="setfel"/>
  <localMethods name="recalcSetfelIsfDft" type="local" codeText="@0027" moduleName="setfel"/>
  <localMethods name="getSetFelIsfMac" type="local" codeText="@0028" moduleName="setfel"/>
  <localMethods name="dspCalcIsm" type="local" codeText="@0029" moduleName="setfel"/>
  <localMethods name="setCusPanelDescription" type="local" codeText="@0030" moduleName="setfel"/>
  <localMethods name="setCusPanelDescriptionEvent" type="local" codeText="@0031" moduleName="setfel"/>
  <defaultRules name="mac" type="default" codeText="@0017" order="1000" moduleName="setfel"/>
  <defaultRules name="fecp1\pansta" type="default" codeText="@0033" order="1000" moduleName="setfel"/>
  <defaultRules name="usramt" type="default" codeText="@0041" order="1000" moduleName="setfel"/>
  <defaultRules name="usrcur" type="default" codeText="@0042" order="1000" moduleName="setfel"/>
  <defaultRules name="fecp1\fec\perrattr7" type="default" codeText="@0043" order="1000"
      moduleName="setfel"/>
  <checkRules name="amt" type="check" codeText="@0009" order="1000" moduleName="setfel"/>
  <checkRules name="errcod" type="check" codeText="@0010" order="1000" moduleName="setfel"/>
  <checkRules name="rol" type="check" codeText="@0011" order="1000" moduleName="setfel"/>
  <checkRules name="dat1" type="check" codeText="@0020" order="1000" moduleName="setfel"/>
  <checkRules name="dat2" type="check" codeText="@0021" order="1200" moduleName="setfel"/>
  <checkRules name="feetxtinf" type="check" codeText="@0024" order="1000" moduleName="setfel"/>
  <checkRules name="dat2" type="check" codeText="@0025" order="1000" moduleName="setfel"/>
  <checkRules name="feecod" type="check" codeText="@0034" order="1000" moduleName="setfel"/>
  <checkRules name="cur" type="check" codeText="@0035" order="1100" moduleName="setfel"/>
  <checkRules name="dctamt" type="check" codeText="@0037" order="1000" moduleName="setfel"/>
  <checkRules name="dctrat" type="check" codeText="@0039" order="1000" moduleName="setfel"/>
  <eventRules name="detp" type="event" codeText="@0001" order="1000" moduleName="setfel"/>
  <eventRules name="detp" type="event" codeText="@0002" order="1000" moduleName="setfel"/>
  <eventRules name="dat2" type="event" codeText="@0004" order="1000" moduleName="setfel"/>
  <eventRules name="dat1" type="event" codeText="@0005" order="1000" moduleName="setfel"/>
  <eventRules name="det" type="event" codeText="@0006" order="1000" moduleName="setfel"/>
  <eventRules name="butdet" type="event" codeText="@0007" order="1000" moduleName="setfel"/>
  <eventRules name="amt" type="event" codeText="@0008" order="1000" moduleName="setfel"/>
  <eventRules name="feecod" type="event" codeText="@0012" order="1000" moduleName="setfel"/>
  <eventRules name="modflg" type="event" codeText="@0013" order="1000" moduleName="setfel"/>
  <eventRules name="ratcal" type="event" codeText="@0014" order="1000" moduleName="setfel"/>
  <eventRules name="unt" type="event" codeText="@0015" order="1000" moduleName="setfel"/>
  <eventRules name="untamt" type="event" codeText="@0016" order="1000" moduleName="setfel"/>
  <eventRules name="butfecdet" type="event" codeText="@0022" order="1000" moduleName="setfel"/>
  <eventRules name="butapy" type="event" codeText="@0023" order="1000" moduleName="setfel"/>
  <eventRules name="butcan" type="event" codeText="@0032" order="1000" moduleName="setfel"/>
  <eventRules name="dctamt" type="event" codeText="@0036" order="1000" moduleName="setfel"/>
  <eventRules name="dctrat" type="event" codeText="@0038" order="1000" moduleName="setfel"/>
  <eventRules name="amt" type="event" codeText="@0040" order="1002" moduleName="setfel"/>
</eibs:Module>
