<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="setfog" table="setfog" title="Settlement foreign fee group module (1rd grid)" i18nSequence="54" ruleSequence="10" transient="true">
<datafields comments="" name="maceog" column="maceog" description="current MAC for EOG function" length="8" lineOrDecimalSize="1" viewlines="1" access="readonly" />
<datafields comments="" name="macbog" column="macbog" description="current MAC for BOG function" length="8" lineOrDecimalSize="1" viewlines="1" access="readonly" />
<datafields comments="" name="maceogold" column="maceogold" description="MACEOG after last run of Assert-fuction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="macbogold" column="macbogold" description="MACBOG after last run of Assert-fuction" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="doccur" column="doccur" description="document currency" length="3" lineOrDecimalSize="1" viewlines="1" access="private" argument="true" />
<datafields comments="" name="docamt" column="docamt" description="document amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" access="private" argument="true" />
<datafields comments="" name="forsgn" column="forsgn" description="Sign. for Foreign expenses in Net amount" datatype="numeric" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="netamt" column="netamt" description="net amount calculated" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" access="private" argument="true" />
<datafields comments="" name="dsppoldft" column="dsppoldft" description="Default Value for pool disposition" length="1" lineOrDecimalSize="1" viewlines="1" access="readonly" />
<datafields comments="" name="dsppoldftflg" column="dsppoldftflg" description="Disableflag for pool disposition" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fcppntlev" column="fcppntlev" description="Levels for parent contracts in foreign charges pool defaulting" datatype="numeric" length="16" lineOrDecimalSize="0" />
<localMethods type="local" name="recalcSetfogEog" codeText="@0000" moduleName="setfog"/>
<localMethods type="local" name="getCurForChgRolbyDsp" codeText="@0001" moduleName="setfog"/>
<defaultRules name="maceog" type="default" codeText="@0002" order="1000" moduleName="setfog" />
<localMethods type="local" name="recalcSetfogBog" codeText="@0003" moduleName="setfog"/>
<defaultRules name="macbog" type="default" codeText="@0004" order="1000" moduleName="setfog" />
<localMethods type="local" name="setwrkFcp" codeText="@0005" moduleName="setfog"/>
<localMethods type="local" name="setDspPolDft" codeText="@0006" moduleName="setfog"/>
<eventRules name="setfol" type="event" codeText="@0007" order="1000" moduleName="setfog" />
<modules name="setfol" type="setfol" list="true" pageSize="1" initSize="1" >
<arguments name="doccur" value="doccur"/>
<arguments name="docamt" value="docamt"/>
</modules>
<modules name="wrkfcp" type="fcp" >
</modules>
<localMethods type="local" name="setFcpSql" codeText="@0008" moduleName="setfog"/>
<panels name="setfop" description="PD000000" width="710" height="116" transient="true" signDefination="">
<components viewType="Label" text="S0000001" left="4" top="0" height="22"/>
</panels>
<checkRules name="setfol\cur" type="check" codeText="@0009" order="1000" moduleName="setfog" />
</eibs:Module>
