<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="setgll" table="setgll" title="Settlement bookings line module (3rd grid)"
    transient="true" i18nSequence="458" ruleSequence="110">
  <datafields name="modflg" column="modflg" description="Modified" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="modflg"/>
  <datafields name="rol" column="rol" description="role" length="3" lineOrDecimalSize="1"/>
  <datafields name="acccur" column="acccur" description="acc. currency" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="fmtaccamt" column="fmtaccamt" description="Amount to be paid"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="oldact" column="oldact" description="Old account" viewtype="Combobox"
      length="34" lineOrDecimalSize="1" viewlines="12"/>
  <datafields name="valdat" column="valdat" description="value date" datatype="date"
      viewtype="Date" length="12"/>
  <datafields name="debcdtflg" column="debcdtflg" description="Debit/Credit" length="1"
      lineOrDecimalSize="1" codetable="debcdtflg"/>
  <datafields name="cur" column="cur" description="currency" length="3" lineOrDecimalSize="1"/>
  <datafields name="fmtamt" column="fmtamt" description="Original Amount" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="det" column="det" description="Details" datatype="control" viewtype="Button"
      length="10"/>
  <datafields name="accamtfix" column="accamtfix" description="Acc. Amount calculated from sum"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="amt" column="amt" description="amount" datatype="numeric" viewtype="Amount"
      length="18" lineOrDecimalSize="3"/>
  <datafields name="accamt" column="accamt" description="amount booked" datatype="numeric"
      viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="actpriflg" column="actpriflg" description="Search type" viewtype="Combobox"
      length="35" lineOrDecimalSize="1" codetable="actpriflg"/>
  <datafields name="oldactpriflg" column="oldactpriflg" description="Old Search type"
      viewtype="Combobox" length="35" lineOrDecimalSize="1"/>
  <datafields name="rolstdflg" column="rolstdflg" description="Store as standard account for this contract party"
      viewtype="Checkbox" length="1" lineOrDecimalSize="1"/>
  <datafields name="paoflg" column="paoflg" description="Payment order" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="paoflg"/>
  <datafields name="rollab" column="rollab" description="Label for role" viewtype="Label"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="strinf52lab" column="strinf52lab" description="Label for Additional information 52"
      viewtype="Label" length="25" lineOrDecimalSize="1"/>
  <datafields name="strinf52" column="strinf52" description="Debit/Payment Information"
      datatype="block" viewtype="Block" length="30" lineOrDecimalSize="35" viewlines="20"/>
  <datafields name="txmgrp" column="txmgrp" description="Group for settlement texts"
      lineOrDecimalSize="1"/>
  <datafields name="fchchkflg" column="fchchkflg" description="usage of forward rate checked"
      viewtype="Checkbox" length="1" lineOrDecimalSize="1"/>
  <datafields name="coractid" column="coractid" description="Their account identif."
      length="35" lineOrDecimalSize="1"/>
  <datafields name="rolptainr" column="rolptainr" description="role address INR" lineOrDecimalSize="1"/>
  <datafields name="rolptyinr" column="rolptyinr" description="role party INR" lineOrDecimalSize="1"/>
  <datafields name="actptyflg" column="actptyflg" description="Empty if not changed by user"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="tlebenflg" column="tlebenflg" description="Advice beneficiary by telecomunication"
      viewtype="Checkbox" length="1" lineOrDecimalSize="1"/>
  <datafields name="strinf" column="strinf" description="Sender to receiver Information message to benf. inst."
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6"/>
  <datafields name="strinferi" column="strinferi" description="Sender to receiver Information message to benf. inst."
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="10" viewlines="6"/>
  <datafields name="strinfcon1" column="strinfcon1" description="Code selection" viewtype="Combobox"
      lineOrDecimalSize="1" codetable="strinfcon1"/>
  <datafields name="dirindflg" column="dirindflg" description="Direct payment one message"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="dirindflg"/>
  <datafields name="dspflg" column="dspflg" description="disposition flag" length="1"
      lineOrDecimalSize="1"/>
  <datafields name="acccurold" column="acccurold" description="old acc. currency"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="dcbrattyp" column="dcbrattyp" description="Document Cur to Base RATe TYPe"
      viewtype="Combobox" length="1" lineOrDecimalSize="1"/>
  <datafields name="dcbextrat" column="dcbextrat" description="Document Cur to Base EXTernal RATe"
      datatype="numeric" length="14" lineOrDecimalSize="6"/>
  <datafields name="olddcbextrat" column="olddcbextrat" description="Old Document Cur to Base EXTernal RATe"
      datatype="numeric" length="14" lineOrDecimalSize="6"/>
  <datafields name="scbextrat" column="scbextrat" description="Settle Cur to Base EXTernal RATe"
      datatype="numeric" length="14" lineOrDecimalSize="6"/>
  <datafields name="oldscbextrat" column="oldscbextrat" description="Old Settle Cur to Base EXTernal RATe"
      datatype="numeric" length="14" lineOrDecimalSize="6"/>
  <datafields name="scbrattyp" column="scbrattyp" description="Settle Cur to Base RATe TYPe"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="dcbratlab" column="dcbratlab" description="Label rate convert"
      viewtype="Label" length="7" lineOrDecimalSize="1"/>
  <datafields name="scbratlab" column="scbratlab" description="Label rate convert"
      viewtype="Label" length="7" lineOrDecimalSize="1"/>
  <datafields name="flg" column="flg" description="Type" length="1" lineOrDecimalSize="1"/>
  <datafields name="xrfamt" column="xrfamt" description="Sys Currency Amount Equivalent"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="xrfcur" column="xrfcur" description="Currency of Converted Amount Usually SYSCUR, Optional"
      viewtype="Combobox" length="3" lineOrDecimalSize="1"/>
  <datafields name="fcdinr" column="fcdinr" description="Forward contract to be used for conversion"
      lineOrDecimalSize="1"/>
  <datafields name="rattyp" column="rattyp" description="Codetable of supported rate types  M-iddle, B-uying, S-elling, I-nput"
      viewtype="Combobox" length="2" lineOrDecimalSize="1" codetable="rattyp"/>
  <datafields name="scbsqrrat" column="scbsqrrat" description="Settle Cur to Base SQaRing RATe"
      datatype="numeric" length="14" lineOrDecimalSize="6"/>
  <datafields name="dcbsqrrat" column="dcbsqrrat" description="Settle Cur to Base SQaRing RATe"
      datatype="numeric" length="14" lineOrDecimalSize="6"/>
  <datafields name="intactid" column="intactid" description="Account identif. Intermediary"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="rat" column="rat" description="rate used" datatype="numeric" length="14"
      lineOrDecimalSize="6"/>
  <datafields name="ratcurlab" column="ratcurlab" description="Label rate convert"
      viewtype="Label" length="7" lineOrDecimalSize="1"/>
  <datafields name="rolactlab" column="rolactlab" description="Label for role Account"
      viewtype="Label" length="20" lineOrDecimalSize="1"/>
  <datafields name="rolactid" column="rolactid" description="Account identif. available with bank"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="dcbresrat" column="dcbresrat" description="Reference document rate selling"
      datatype="numeric" length="11" lineOrDecimalSize="6"/>
  <datafields name="dcbrebrat" column="dcbrebrat" description="Reference document rate selling"
      datatype="numeric" length="11" lineOrDecimalSize="6"/>
  <datafields name="scbrebrat" column="scbrebrat" description="Reference settle rate selling"
      datatype="numeric" length="11" lineOrDecimalSize="6"/>
  <datafields name="scbresrat" column="scbresrat" description="Reference settle rate selling"
      datatype="numeric" length="11" lineOrDecimalSize="6"/>
  <datafields name="bascur" column="bascur" description="rate base currency" viewtype="Combobox"
      length="3" lineOrDecimalSize="1"/>
  <datafields name="basamt" column="basamt" description="Rate base Currency Amount Equivalent"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="actflg" column="actflg" description="Account flag: Empty:Iinitialized M-anually D-efaulted N-o account found"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="extsetflg" column="extsetflg" description="account external set"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="awiactid" column="awiactid" description="Account identif. available with bank"
      length="34" lineOrDecimalSize="1"/>
  <datafields name="donflg" column="donflg" description="done" length="1" lineOrDecimalSize="1"/>
  <datafields name="setxxxrow" column="setxxxrow" description="ref. for SETxxx" datatype="numeric"
      length="4"/>
  <datafields name="valdattrn" column="valdattrn" description="value date as set from transaction"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="mac" column="mac" description="current MAC" lineOrDecimalSize="1"/>
  <datafields name="macold" column="macold" description="MAC after last run of Assert-fuction"
      lineOrDecimalSize="1"/>
  <datafields name="olddsp" column="olddsp" description="Old disposition" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="oldactinr" column="oldactinr" description="Old Account party"
      lineOrDecimalSize="1"/>
  <datafields name="acccpramt" column="acccpramt" description="Compressed Amount paid from this line"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="fmtacccpramt" column="fmtacccpramt" description="Compressed Amount paid from this line for Display"
      datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3"/>
  <datafields name="cprmac" column="cprmac" description="MAC for lines to be compressed"
      lineOrDecimalSize="1"/>
  <datafields name="cprlinlst" column="cprlinlst" description="List of lines compressed"
      datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="1"/>
  <datafields name="cprbut" column="cprbut" description="Change to Details handling Amount"
      datatype="control" viewtype="Button" length="40" lineOrDecimalSize="1"/>
  <datafields name="glpinr" column="glpinr" description="INR of picked up GLP" lineOrDecimalSize="1"/>
  <datafields name="amtidsstm" column="amtidsstm" description="Ids totalled up for amount"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="gllgrp" column="gllgrp" description="Group totalled up in line"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="xrtdatacc" column="xrtdatacc" description="Begin-Date of XRT-Rate of ACCCUR"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="xrtdatcur" column="xrtdatcur" description="Begin-Date of XRT-Rate of CUR"
      datatype="date" viewtype="Date" length="12"/>
  <datafields name="sftmt" column="sftmt" description="Which MT to beneficiary institution"
      viewtype="Combobox" length="3" lineOrDecimalSize="1" codetable="sftmt"/>
  <datafields name="oriactid" column="oriactid" description="Account identif. Ordering Inst."
      length="34" lineOrDecimalSize="1"/>
  <datafields name="buyrat" column="buyrat" description="现汇买入价" datatype="numeric"
      length="14" lineOrDecimalSize="6"/>
  <datafields name="selrat" column="selrat" description="现汇卖出价" datatype="numeric"
      length="14" lineOrDecimalSize="6"/>
  <datafields name="midrat" column="midrat" description="Middle Rate" datatype="numeric"
      length="14" lineOrDecimalSize="6"/>
  <datafields name="dcbextratold" column="dcbextratold" description="Document Cur to Base EXTernal RATE（OLD）"
      datatype="numeric" length="14" lineOrDecimalSize="6"/>
  <datafields name="scbextratold" column="scbextratold" description="Settle Cur to Base EXTernal RATe OLD"
      datatype="numeric" length="14" lineOrDecimalSize="6"/>
  <datafields name="act" column="act" description="account" viewtype="Combobox" length="34"
      lineOrDecimalSize="1" viewlines="12"/>
  <datafields name="dsp" column="dsp" description="disposition" length="3" lineOrDecimalSize="1"/>
  <datafields name="acttrmtyp" column="acttrmtyp" description="Account Term_id" length="7"
      lineOrDecimalSize="1"/>
  <datafields name="txt2" column="txt2" description="传票摘要" datatype="block" viewtype="Block"
      length="50" lineOrDecimalSize="6" viewlines="6"/>
  <datafields name="trdint" column="trdint" description="TRADE IN" length="3" lineOrDecimalSize="1"/>
  <datafields name="trdout" column="trdout" description="TRADE OUT" length="3" lineOrDecimalSize="1"/>
  <datafields name="trnman" column="trnman" description="交易主体" length="2" lineOrDecimalSize="1"/>
  <datafields name="acttrmcod" column="acttrmcod" description="ACTTRMCOD" length="6"
      lineOrDecimalSize="1"/>
  <datafields name="branch" column="branch" description="Branch Code" lineOrDecimalSize="1"/>
  <datafields name="mcbrmbrat" column="mcbrmbrat" description="MCBRMBRAT" datatype="numeric"
      length="12" lineOrDecimalSize="6"/>
  <datafields name="xrttim" column="xrttim" description="XRT Time" length="20" lineOrDecimalSize="1"/>
  <datafields name="mod" column="mod" description="Modified" length="1" lineOrDecimalSize="1"/>
  <datafields name="actptyinr" column="actptyinr" description="account party INR"
      lineOrDecimalSize="1"/>
  <datafields name="preselrat" column="preselrat" description="Rate" datatype="numeric"
      length="5" lineOrDecimalSize="2"/>
  <datafields name="prebuyrat" column="prebuyrat" description="rate" datatype="numeric"
      length="5" lineOrDecimalSize="2"/>
  <datafields name="selrattyp" column="selrattyp" description="pre rate type" length="1"
      lineOrDecimalSize="1" codetable="selrattyp"/>
  <datafields name="buyrattyp" column="buyrattyp" description="Pre rate type" length="1"
      lineOrDecimalSize="1" codetable="buyrattyp"/>
  <datafields name="selpct" column="selpct" description="percent" viewtype="Label"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="buypct" column="buypct" description="Percent" viewtype="Label"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="oldcur" column="oldcur" length="3" lineOrDecimalSize="1"/>
  <datafields name="cshflg" column="cshflg" description="钞汇标志" length="1" lineOrDecimalSize="1"
      codetable="cshflg"/>
  <datafields name="buy1rat" column="buy1rat" description="Cash Buying Rate" datatype="numeric"
      length="14" lineOrDecimalSize="6"/>
  <datafields name="facflg" column="facflg" description="Foreign Account Infomation flag"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="actusr" column="actusr" description="�'�户性�'�代码" length="10" lineOrDecimalSize="1"/>
  <datafields name="bustyp" column="bustyp" description="�'�户类型" length="2" lineOrDecimalSize="1"/>
  <datafields name="extkey" column="extkey" description="EXTKEY" lineOrDecimalSize="1"/>
  <datafields name="psw" column="psw" description="password" viewtype="Password" lineOrDecimalSize="1"/>
  <datafields name="delapl" column="delapl" description="OK" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="delcan" column="delcan" description="Cancel" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="lckxrt" column="lckxrt" description="锁定汇率标识" length="1" lineOrDecimalSize="1"
      codetable="lckxrt"/>
  <datafields name="setsuml1blk" column="setsuml1blk" description="XMLPanel setsuml1的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="setsuml3blk" column="setsuml3blk" description="XMLPanel setsuml3的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <modules name="mtdbut" type="mtdbut"/>
  <modules name="setgrp" type="setgrp"/>
  <modules name="actp" type="ptsp">
    <arguments name="ptspta" value="setgrp\act"/>
  </modules>
  <modules name="awip" type="ptsp">
    <arguments name="ptspta" value="setgrp\awi"/>
  </modules>
  <modules name="apyp" type="ptsp">
    <arguments name="ptspta" value="setgrp\apy"/>
  </modules>
  <modules name="actserp" type="ptsp">
    <arguments name="ptspta" value="setgrp\actser"/>
  </modules>
  <modules name="intp" type="ptsp">
    <arguments name="ptspta" value="setgrp\int"/>
  </modules>
  <modules name="orip" type="ptsp">
    <arguments name="ptspta" value="setgrp\ori"/>
  </modules>
  <modules name="actrec" type="act"/>
  <modules name="wrkcur" type="cur"/>
  <modules name="xrt" type="xrt"/>
  <modules name="xrtgetdcb" type="xrtget">
    <arguments name="xrt" value="xrt"/>
  </modules>
  <modules name="xrtgetscb" type="xrtget">
    <arguments name="xrt" value="xrt"/>
  </modules>
  <modules name="sespay" type="sespay">
    <arguments name="setgrp" value="setgrp"/>
    <arguments name="actserp" value="actserp"/>
    <arguments name="awip" value="awip"/>
    <arguments name="intp" value="intp"/>
    <arguments name="accamt" value="acccpramt"/>
    <arguments name="acccur" value="acccur"/>
    <arguments name="valdat" value="valdat"/>
    <arguments name="rol" value="rol"/>
    <arguments name="awiacc" value="awiactid"/>
    <arguments name="sftmt" value="sftmt"/>
    <arguments name="dirindflg" value="dirindflg"/>
    <arguments name="dsp" value="dsp"/>
  </modules>
  <modules name="abqget" type="abqget"/>
  <modules name="chk" type="chk"/>
  <panels name="detp" description="PD000000" width="788" height="506" visible="false"
      popup="true">
    <components path="rollab" viewType="Label" width="66" enabled="false" top="4"
        height="22"/>
    <components path="ratcurlab" viewType="Label" width="46" enabled="false" top="266"
        height="22"/>
    <components path="dcbratlab" viewType="Label" width="46" enabled="false" top="290"
        height="22"/>
    <components path="scbratlab" viewType="Label" width="46" enabled="false" top="314"
        height="22"/>
    <components path="rol" width="20" enabled="false" left="132" top="4" height="22"/>
    <components path="mtdbut\mtdbutu" viewType="Composite" width="60" left="724" height="69"/>
    <components path="dsp" viewType="Combobox" width="75" enabled="false" left="132"
        top="32" height="22"/>
    <components path="valdat" viewType="Date" width="80" enabled="false" left="245"
        top="32" height="22"/>
    <components path="actp\ptap2" viewType="Composite" width="260" enabled="false"
        left="434" top="48" height="60"/>
    <components path="act" viewType="Combobox" width="226" enabled="false" left="132"
        top="60" height="22"/>
    <components path="cur" viewType="Combobox" width="75" enabled="false" left="132"
        top="116" height="22"/>
    <components path="fmtamt" viewType="Amount" width="120" left="184" top="116" height="22"/>
    <components path="modflg" viewType="Combobox" width="75" enabled="false" left="312"
        top="116" height="22"/>
    <components path="actpriflg" viewType="Combobox" width="233" enabled="false" left="434"
        top="116" height="22"/>
    <components path="acccur" viewType="Combobox" width="75" enabled="false" left="132"
        top="140" height="22"/>
    <components path="fmtaccamt" viewType="Amount" width="120" left="184" top="140"
        height="22"/>
    <components path="debcdtflg" width="6" enabled="false" left="312" top="140" height="22"/>
    <components path="cprp" viewType="Composite" width="330" left="4" top="164" height="28"/>
    <components path="selrat" width="93" enabled="false" left="606" top="242" height="22"/>
    <components path="rattyp" viewType="Combobox" width="75" enabled="false" left="84"
        top="266" height="22"/>
    <components path="rat" width="93" enabled="false" left="329" top="266" height="22"/>
    <components path="midrat" width="93" enabled="false" left="606" top="266" height="22"/>
    <components path="dcbrattyp" viewType="Combobox" width="75" enabled="false" left="84"
        top="290" height="22"/>
    <components path="dcbextratold" width="93" enabled="false" left="226" top="290"
        height="22"/>
    <components path="dcbextrat" width="93" enabled="false" left="329" top="290" height="22"/>
    <components path="xrtdatcur" viewType="Date" width="80" enabled="false" left="430"
        top="290" height="22"/>
    <components path="xrtgetdcb\sdamod\seainf" width="20" left="496" top="290" height="22"/>
    <components path="buyrat" width="93" enabled="false" left="606" top="290" height="22"/>
    <components path="scbrattyp" viewType="Combobox" width="75" enabled="false" left="84"
        top="314" height="22"/>
    <components path="scbextratold" width="93" enabled="false" left="226" top="314"
        height="22"/>
    <components path="scbextrat" width="93" enabled="false" left="329" top="314" height="22"/>
    <components path="xrtdatacc" viewType="Date" width="80" enabled="false" left="430"
        top="314" height="22"/>
    <components path="xrtgetscb\sdamod\seainf" width="20" left="496" top="314" height="22"/>
    <components path="trnman" viewType="Combobox" width="75" left="95" top="347" height="22"/>
    <components path="txt2" viewType="Block" width="333" left="360" top="366" height="72"/>
    <components path="trdout" viewType="Combobox" width="75" enabled="false" left="95"
        top="371" height="22"/>
    <components path="trdint" viewType="Combobox" width="75" enabled="false" left="95"
        top="396" height="22"/>
    <components path="abqget\abqp\aboq" viewType="Composite" width="500" left="2"
        top="451" height="50"/>
    <components path="mtdbut\mtdbutl" viewType="Composite" width="60" left="724" top="452"
        height="45"/>
    <components viewType="Label" text="S0000023" top="60" height="22"/>
    <components viewType="Label" text="S0000024" top="140" height="22"/>
    <components viewType="Label" text="S0000026" top="116" height="22"/>
    <components viewType="Label" text="S0000027" left="84" top="242" height="22"/>
    <components viewType="Label" text="S0000028" top="32" height="22"/>
    <components viewType="Label" text="S0000029" left="436" top="30" height="22"/>
    <components viewType="Label" text="S0000032" top="242" height="22"/>
    <components viewType="Label" text="S0000033" left="332" top="242" height="22"/>
    <components viewType="Label" text="SF000285" left="462" top="242" height="22"/>
    <components viewType="Label" text="S0000366" top="347" height="22"/>
    <components viewType="Label" text="S0000367" top="373" height="22"/>
    <components viewType="Label" text="S0000370" left="360" top="345" height="22"/>
    <components viewType="Label" text="SF000409" left="522" top="290" height="22"/>
    <components viewType="Label" text="SF000410" left="522" top="266" height="22"/>
    <components viewType="Label" text="SF000411" left="522" top="242" height="22"/>
    <components viewType="Label" text="SF000432" left="198" top="32" height="22"/>
    <components viewType="Label" text="SF000434" top="88" height="22"/>
    <components viewType="Label" text="SF000435" left="209" top="243" height="22"/>
    <components path="detpay1" viewType="Composite" width="500" left="6" top="452"
        height="50"/>
    <components path="branch" width="53" enabled="false" left="133" top="88" height="22"/>
    <components path="preratp" viewType="Composite" width="250" left="434" top="140"
        height="70"/>
    <components path="cshflg" viewType="Combobox" width="75" required="true" left="84"
        top="218" height="22"/>
    <components path="xrttim" width="133" enabled="false" left="566" top="218" height="22"/>
    <components path="buy1rat" width="93" enabled="false" left="606" top="314" height="22"/>
    <components path="lckxrt" viewType="Combobox" width="75" left="122" top="422"
        height="22"/>
    <components viewType="Label" text="SG000408" left="506" top="218" height="22"/>
    <components viewType="Label" text="SG000430" top="218" height="22"/>
    <components viewType="Label" text="SG000431" left="515" top="314" height="22"/>
    <components viewType="Label" text="SG000457" top="423" height="22"/>
  </panels>
  <panels name="det52" description="PD000020" width="250" height="380" transient="true"
      visible="false">
    <components path="strinf52lab" viewType="Label" width="166" enabled="false" required="true"
        left="0" top="0" height="22"/>
    <components path="strinf52" viewType="Block" width="200" enabled="false" left="0"
        top="20" height="420"/>
  </panels>
  <panels name="cprp" description="PD000235" width="330" height="28" transient="true"
      enabled="false">
    <components path="acccur" viewType="Combobox" width="75" enabled="false" left="128"
        top="0" height="22"/>
    <components path="fmtacccpramt" viewType="Amount" width="120" enabled="false"
        left="180" top="0" height="22"/>
    <components viewType="Label" text="SF000236" left="4" top="0" height="22"/>
  </panels>
  <panels name="detawi" description="PD000294" width="250" height="400" transient="true"
      visible="false">
    <components path="strinf52lab" viewType="Label" width="166" enabled="false" required="true"
        left="0" top="0" height="22"/>
    <components path="strinf52" viewType="Block" width="200" enabled="false" left="0"
        top="20" height="420"/>
  </panels>
  <panels name="detpay" description="PD000307" width="250" height="150" transient="true">
    <components path="sftmt" viewType="Combobox" width="75" enabled="false" left="4"
        top="52" height="22"/>
    <components path="dirindflg" viewType="Combobox" width="75" enabled="false" left="4"
        top="116" height="22"/>
    <components viewType="Label" text="SF000309" left="6" top="32" height="22"/>
    <components viewType="Label" text="SF000310" top="96" height="22"/>
  </panels>
  <panels name="bakp" description="PD000349" width="788" height="528" visible="false">
    <components path="rollab" viewType="Label" width="66" enabled="false" height="22"/>
    <components path="ratcurlab" viewType="Label" width="46" enabled="false" top="428"
        height="22"/>
    <components path="dcbratlab" viewType="Label" width="46" enabled="false" top="452"
        height="22"/>
    <components path="scbratlab" viewType="Label" width="46" enabled="false" top="476"
        height="22"/>
    <components path="rol" width="20" enabled="false" left="132" height="22"/>
    <components path="cur" viewType="Combobox" width="75" enabled="false" left="132"
        top="36" height="22"/>
    <components path="fmtamt" viewType="Amount" width="120" left="184" top="36" height="22"/>
    <components path="modflg" viewType="Combobox" width="75" enabled="false" left="312"
        top="36" height="22"/>
    <components path="acccur" viewType="Combobox" width="75" enabled="false" left="132"
        top="60" height="22"/>
    <components path="fmtaccamt" viewType="Amount" width="120" left="184" top="60"
        height="22"/>
    <components path="debcdtflg" width="6" enabled="false" left="312" top="60" height="22"/>
    <components path="valdat" viewType="Date" width="80" left="132" top="116" height="22"/>
    <components path="dsp" viewType="Combobox" width="75" left="132" top="140" height="22"/>
    <components path="actp\ptap2" viewType="Composite" width="230" enabled="false"
        left="132" top="168" height="60"/>
    <components path="actpriflg" viewType="Combobox" width="233" left="132" top="232"
        height="22"/>
    <components path="act" viewType="Combobox" width="226" left="132" top="260" height="22"/>
    <components path="setgrp\apy\adr\nam" width="266" enabled="false" left="132" top="288"
        height="22"/>
    <components path="coractid" width="233" enabled="false" left="132" top="316" height="22"/>
    <components path="paoflg" viewType="Checkbox" width="75" required="true" text="CG000350"
        left="132" top="384" height="22"/>
    <components path="rattyp" viewType="Combobox" width="75" enabled="false" left="132"
        top="428" height="22"/>
    <components path="rat" width="93" enabled="false" left="292" top="428" height="22"/>
    <components path="dcbrattyp" viewType="Combobox" width="75" enabled="false" left="132"
        top="452" height="22"/>
    <components path="dcbextrat" width="93" enabled="false" left="292" top="452" height="22"/>
    <components path="xrtdatcur" viewType="Date" width="80" enabled="false" left="396"
        top="452" height="22"/>
    <components path="xrtgetdcb\sdamod\seainf" width="20" left="462" top="452" height="22"/>
    <components path="scbrattyp" viewType="Combobox" width="75" enabled="false" left="132"
        top="476" height="22"/>
    <components path="scbextrat" width="93" enabled="false" left="292" top="476" height="22"/>
    <components path="xrtdatacc" viewType="Date" width="80" enabled="false" left="396"
        top="476" height="22"/>
    <components path="xrtgetscb\sdamod\seainf" width="20" left="462" top="476" height="22"/>
    <components path="det52" viewType="Composite" width="250" left="452" top="36"
        height="380"/>
    <components path="detawi" viewType="Composite" width="250" left="452" top="36"
        height="400"/>
    <components path="detpay" viewType="Composite" width="250" left="452" top="276"
        height="150"/>
    <components path="mtdbut\mtdbutu" viewType="Composite" width="60" left="724" height="69"/>
    <components path="mtdbut\mtdbutl" viewType="Composite" width="60" left="724" top="452"
        height="45"/>
    <components path="cprp" viewType="Composite" width="330" left="4" top="84" height="28"/>
    <components path="cprbut" viewType="Button" width="266" text="CG000351" left="132"
        top="88" height="22"/>
    <components viewType="Label" text="S0000352" top="260" height="22"/>
    <components viewType="Label" text="S0000353" top="60" height="22"/>
    <components viewType="Label" text="S0000354" top="120" height="22"/>
    <components viewType="Label" text="S0000355" top="36" height="22"/>
    <components viewType="Label" text="S0000356" left="132" top="408" height="22"/>
    <components viewType="Label" text="S0000357" top="140" height="22"/>
    <components viewType="Label" text="S0000358" top="168" height="22"/>
    <components viewType="Label" text="S0000359" top="288" height="22"/>
    <components viewType="Label" text="S0000360" top="316" height="22"/>
    <components viewType="Label" text="S0000361" top="408" height="22"/>
    <components viewType="Label" text="S0000362" left="292" top="408" height="22"/>
    <components viewType="Label" text="S0000363" left="396" top="408" height="22"/>
  </panels>
  <panels name="detpay1" description="PD000398" width="500" height="50" transient="true">
    <components path="sftmt" viewType="Combobox" width="75" left="4" top="25" height="22"/>
    <components path="dirindflg" viewType="Combobox" width="75" left="250" top="25"
        height="22"/>
    <components viewType="Label" text="S0000402" left="6" top="5" height="22"/>
    <components viewType="Label" text="S0000403" left="254" top="5" height="22"/>
  </panels>
  <panels name="preratp" description="PD000413" width="250" height="70" transient="true">
    <components path="preselrat" width="33" enabled="false" left="150" top="20" height="22"/>
    <components path="prebuyrat" width="33" enabled="false" left="150" top="45" height="22"/>
    <components path="selrattyp" viewType="Combobox" width="75" enabled="false" left="32"
        top="20" height="22"/>
    <components path="buyrattyp" viewType="Combobox" width="75" enabled="false" left="32"
        top="45" height="22"/>
    <components viewType="Label" text="SG000422" left="4" top="20" height="22"/>
    <components viewType="Label" text="SG000424" left="4" top="45" height="22"/>
    <components viewType="Label" text="SG000427" left="4" top="0" height="22"/>
    <components viewType="Label" text="SG000439" left="200" top="44" height="22"/>
    <components viewType="Label" text="SG000440" left="200" top="24" height="22"/>
  </panels>
  <panels name="chkratpan" description="PD000441" width="300" height="200" visible="false"
      popup="true">
    <components path="extkey" width="53" left="147" top="43" height="22"/>
    <components path="psw" viewType="Password" width="53" left="147" top="87" height="22"/>
    <components path="delapl" viewType="Button" width="66" text="CG000448" left="60"
        top="144" height="22"/>
    <components path="delcan" viewType="Button" width="66" text="CG000449" left="176"
        top="144" height="22"/>
    <components viewType="Label" text="S0000444" left="78" top="88" height="22"/>
    <components viewType="Label" text="S0000445" left="78" top="44" height="22"/>
  </panels>
  <panels name="setsuml1" description="PD000292" width="800" height="600">
    <components path="setsuml1blk" viewType="Block" widthUnit="%" left="0" top="0"
        height="100" heightUnit="%"/>
  </panels>
  <panels name="setsuml3" description="PD000321" width="800" height="600">
    <components path="setsuml3blk" viewType="Block" widthUnit="%" left="0" top="0"
        height="100" heightUnit="%"/>
  </panels>
  <globalMethods name="getStreamfield3" codeText="@0097" moduleName="setgll"/>
  <localMethods name="recalcSetgll" type="local" codeText="@0004" moduleName="setgll"/>
  <localMethods name="internalResetDependingFields" type="local" codeText="@0006"
      moduleName="setgll"/>
  <localMethods name="defActSub" type="local" codeText="@0007" moduleName="setgll"/>
  <localMethods name="clcrat" type="local" codeText="@0012" moduleName="setgll"/>
  <localMethods name="setcurandval" type="local" codeText="@0017" moduleName="setgll"/>
  <localMethods name="checkactid" type="local" codeText="@0020" moduleName="setgll"/>
  <localMethods name="checkclearingcode" type="local" codeText="@0022" moduleName="setgll"/>
  <localMethods name="recalcSetgllStdDft" type="local" codeText="@0024" moduleName="setgll"/>
  <localMethods name="getRelevantRtgRol" type="local" codeText="@0026" moduleName="setgll"/>
  <localMethods name="cnvAmtAccamt" type="local" codeText="@0028" moduleName="setgll"/>
  <localMethods name="setsumr1" type="local" codeText="@0029" moduleName="setgll"/>
  <localMethods name="setsumr3" type="local" codeText="@0030" moduleName="setgll"/>
  <localMethods name="setsums1" type="local" codeText="@0031" moduleName="setgll"/>
  <localMethods name="setsums3" type="local" codeText="@0032" moduleName="setgll"/>
  <localMethods name="setsumz1" type="local" codeText="@0033" moduleName="setgll"/>
  <localMethods name="defaultSFTMT" type="local" codeText="@0037" moduleName="setgll"/>
  <localMethods name="defdsp" type="local" codeText="@0040" moduleName="setgll"/>
  <localMethods name="getACTPTAINR" type="local" codeText="@0041" moduleName="setgll"/>
  <localMethods name="recalcSetGllPaoDft" type="local" codeText="@0042" moduleName="setgll"/>
  <localMethods name="strINFERIset" type="local" codeText="@0043" moduleName="setgll"/>
  <localMethods name="recalcSetgllIsfDft" type="local" codeText="@0045" moduleName="setgll"/>
  <localMethods name="recalcSetGllStrinfDft" type="local" codeText="@0046" moduleName="setgll"/>
  <localMethods name="getCprMac" type="local" codeText="@0047" moduleName="setgll"/>
  <localMethods name="getSetGllIsfMac" type="local" codeText="@0048" moduleName="setgll"/>
  <localMethods name="clcratSetTypes" type="local" codeText="@0049" moduleName="setgll"/>
  <localMethods name="setCusPanelDescription" type="local" codeText="@0052" moduleName="setgll"/>
  <localMethods name="setCusPanelDescriptionEvent" type="local" codeText="@0053" moduleName="setgll"/>
  <localMethods name="cnv2RatCeb" type="local" codeText="@0061" moduleName="setgll"/>
  <localMethods name="actGetSerBlk" type="local" codeText="@0062" moduleName="setgll"/>
  <localMethods name="actGetBlk" type="local" codeText="@0063" moduleName="setgll"/>
  <localMethods name="informcurrent" type="local" codeText="@0064" moduleName="setgll"/>
  <localMethods name="getFavRatForPTY" type="local" codeText="@0079" moduleName="setgll"/>
  <localMethods name="registerDocument" type="local" codeText="@0106" moduleName="setgll"/>
  <defaultRules name="mac" type="default" codeText="@0023" order="1000" moduleName="setgll"/>
  <defaultRules name="actserp\ptspta\pts\extkey" type="default" codeText="@0065" order="1000"
      moduleName="setgll"/>
  <defaultRules name="settlementDetail" type="default" codeText="@0067" order="1000"
      moduleName="setgll">
    <paths>trdint</paths>
    <paths>trdout</paths>
    <paths>trnman</paths>
    <paths>xrttim</paths>
    <paths>buyrat</paths>
    <paths>selrat</paths>
    <paths>midrat</paths>
  </defaultRules>
  <defaultRules name="terms" type="default" codeText="@0069" order="1000" moduleName="setgll">
    <paths>acttrmcod</paths>
    <paths>actflg</paths>
  </defaultRules>
  <defaultRules name="acccur" type="default" codeText="@0070" order="1000" moduleName="setgll"/>
  <defaultRules name="txt2" type="default" codeText="@0071" order="1000" moduleName="setgll"/>
  <defaultRules name="rattyp" type="default" codeText="@0073" order="1000" moduleName="setgll"/>
  <defaultRules name="selpct" type="default" codeText="@0074" order="1000" moduleName="setgll"/>
  <defaultRules name="buypct" type="default" codeText="@0075" order="1000" moduleName="setgll"/>
  <defaultRules name="sespay\chato" type="default" codeText="@0077" order="1000" moduleName="setgll"/>
  <defaultRules name="sespay\beiacc" type="default" codeText="@0080" order="1000"
      moduleName="setgll"/>
  <defaultRules name="cshflg" type="default" codeText="@0081" order="1000" moduleName="setgll"/>
  <defaultRules name="acttrmtyp" type="default" codeText="@0083" order="1000" moduleName="setgll"/>
  <defaultRules name="branch" type="default" codeText="@0085" order="1000" moduleName="setgll"/>
  <defaultRules name="facflg" type="default" codeText="@0087" order="1000" moduleName="setgll"/>
  <defaultRules name="abqget\abqp\feeflg" type="default" codeText="@0088" order="1000"
      moduleName="setgll"/>
  <defaultRules name="abqget\abqp\abqflg" type="default" codeText="@0089" order="1000"
      moduleName="setgll"/>
  <defaultRules name="abqget\abqp\decnum" type="default" codeText="@0090" order="1000"
      moduleName="setgll"/>
  <defaultRules name="act" type="default" codeText="@0092" order="10000" moduleName="setgll"/>
  <defaultRules name="dcbextratold" type="default" codeText="@0093" order="1000" moduleName="setgll"/>
  <defaultRules name="scbextratold" type="default" codeText="@0094" order="1000" moduleName="setgll"/>
  <defaultRules name="lckxrt" type="default" codeText="@0102" order="1000" moduleName="setgll"/>
  <checkRules name="acccur" type="check" codeText="@0000" order="1000" moduleName="setgll"/>
  <checkRules name="act" type="check" codeText="@0001" order="1000" moduleName="setgll"/>
  <checkRules name="valdat" type="check" codeText="@0002" order="1000" moduleName="setgll"/>
  <checkRules name="setgrp\int\pts\extkey" type="check" codeText="@0005" order="1000"
      moduleName="setgll"/>
  <checkRules name="strinf" type="check" codeText="@0011" order="1000" moduleName="setgll"/>
  <checkRules name="dcbextrat" type="check" codeText="@0015" order="1000" moduleName="setgll"/>
  <checkRules name="scbextrat" type="check" codeText="@0016" order="1000" moduleName="setgll"/>
  <checkRules name="intactid" type="check" codeText="@0018" order="1000" moduleName="setgll"/>
  <checkRules name="rat" type="check" codeText="@0019" order="1000" moduleName="setgll"/>
  <checkRules name="awiactid" type="check" codeText="@0021" order="1000" moduleName="setgll"/>
  <checkRules name="valdat" type="check" codeText="@0027" order="1500" moduleName="setgll"/>
  <checkRules name="rolactid" type="check" codeText="@0036" order="1000" moduleName="setgll"/>
  <checkRules name="setgrp\act\pts\extkey" type="check" codeText="@0039" order="1000"
      moduleName="setgll"/>
  <checkRules name="dsp" type="check" codeText="@0044" order="1000" moduleName="setgll"/>
  <checkRules name="act" type="check" codeText="@0050" order="980" moduleName="setgll"/>
  <checkRules name="valdat" type="check" codeText="@0051" order="2000" moduleName="setgll"/>
  <checkRules name="acccur" type="check" codeText="@0054" order="1200" moduleName="setgll"/>
  <checkRules name="cur" type="check" codeText="@0055" order="1200" moduleName="setgll"/>
  <checkRules name="oitactdsp" type="check" codeText="@0056" order="950" moduleName="setgll">
    <paths>dsp</paths>
    <paths>act</paths>
  </checkRules>
  <checkRules name="rol" type="check" codeText="@0057" order="950" moduleName="setgll"/>
  <checkRules name="trdint" type="check" codeText="@0058" order="1000" moduleName="setgll"/>
  <checkRules name="trdout" type="check" codeText="@0059" order="1000" moduleName="setgll"/>
  <checkRules name="trnman" type="check" codeText="@0060" order="1000" moduleName="setgll"/>
  <checkRules name="acttrmcod" type="check" codeText="@0066" order="1000" moduleName="setgll"/>
  <checkRules name="act" type="check" codeText="@0068" order="2000" moduleName="setgll"/>
  <checkRules name="setgrp\rcvcor\pts\extkey" type="check" codeText="@0072" order="1000"
      moduleName="setgll"/>
  <checkRules name="cnyNot2For" type="check" codeText="@0084" order="1500" moduleName="setgll">
    <paths>acccur</paths>
    <paths>cur</paths>
  </checkRules>
  <checkRules name="abqget\abqp\abqsel\country" type="check" codeText="@0091" order="200"
      moduleName="setgll"/>
  <checkRules name="act" type="check" codeText="@0095" order="3000" moduleName="setgll"/>
  <checkRules name="abqget\abqp\abqsel\typ" type="check" codeText="@0096" order="1000"
      moduleName="setgll"/>
  <eventRules name="det" type="event" codeText="@0003" order="1000" moduleName="setgll"/>
  <eventRules name="detp" type="event" codeText="@0008" order="1000" moduleName="setgll"/>
  <eventRules name="detp" type="event" codeText="@0009" order="1000" moduleName="setgll"/>
  <eventRules name="strinf" type="event" codeText="@0010" order="1000" moduleName="setgll"/>
  <eventRules name="fmtaccamt" type="event" codeText="@0013" order="1000" moduleName="setgll"/>
  <eventRules name="fmtamt" type="event" codeText="@0014" order="1000" moduleName="setgll"/>
  <eventRules name="cprbut" type="event" codeText="@0025" order="1000" moduleName="setgll"/>
  <eventRules name="xrtgetdcb\sdamod\seainf" type="event" codeText="@0034" order="900"
      moduleName="setgll"/>
  <eventRules name="xrtgetscb\sdamod\seainf" type="event" codeText="@0035" order="900"
      moduleName="setgll"/>
  <eventRules name="act" type="event" codeText="@0038" order="1000" moduleName="setgll"/>
  <eventRules name="sespay\benacc" type="event" codeText="@0076" order="1000" moduleName="setgll"/>
  <eventRules name="acccur" type="event" codeText="@0078" order="1000" moduleName="setgll"/>
  <eventRules name="cshflg" type="event" codeText="@0082" order="1000" moduleName="setgll"/>
  <eventRules name="sespay\actserp\ptspta\pts\extkey" type="event" codeText="@0086"
      order="1000" moduleName="setgll"/>
  <eventRules name="dcbextrat" type="event" codeText="@0098" order="1000" moduleName="setgll"/>
  <eventRules name="delapl" type="event" codeText="@0099" order="1000" moduleName="setgll"/>
  <eventRules name="delcan" type="event" codeText="@0100" order="1000" moduleName="setgll"/>
  <eventRules name="scbextrat" type="event" codeText="@0101" order="1000" moduleName="setgll"/>
  <eventRules name="setsuml1" type="event" eventType="onPanelShow" codeText="@0103"
      order="11" moduleName="setgll"/>
  <eventRules name="setsuml1" type="event" eventType="onPanelShow" codeText="@0104"
      order="10" moduleName="setgll"/>
  <eventRules name="setsuml3" type="event" eventType="onPanelShow" codeText="@0105"
      moduleName="setgll"/>
  <eventRules name="setsuml1" type="event" eventType="onPanelShow" codeText="@0107"
      moduleName="setgll"/>
  <eventRules name="setsuml3" type="event" eventType="onPanelShow" codeText="@0108"
      order="10" moduleName="setgll"/>
  <eventRules name="setsuml3" type="event" eventType="onPanelShow" codeText="@0109"
      order="11" moduleName="setgll"/>
</eibs:Module>
