<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="spr" table="spr" title="SPR - System Pending Release" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID of Pending Release" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="sptinr" column="sptinr" description="INR of the Associated SPT" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objtyp" column="objtyp" description="Table Used to Store Object" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objinr" column="objinr" description="INR of Object" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cretim" column="cretim" description="Time of Creation" datatype="numeric" length="6" lineOrDecimalSize="4" />
<datafields comments="" name="creusr" column="creusr" description="Creating User ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cressninr" column="cressninr" description="INR of Creating Session" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rellev" column="rellev" description="Release Level" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="reldat" column="reldat" description="Date of Release" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="reltim" column="reltim" description="Time of Release" datatype="numeric" length="6" lineOrDecimalSize="4" />
<datafields comments="" name="relusr" column="relusr" description="Releasing User ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relssninr" column="relssninr" description="INR of Releasing Session" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="relsta" column="relsta" description="Release Status" codetable="relsta" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pupsta" column="pupsta" description="Processing Status" codetable="pupsta" length="1" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
