<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="srvqin" table="srvqin" transient="true" i18nSequence="5" ruleSequence="20">
  <datafields name="exeflg" column="exeflg" description="报文清算" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="msgin" column="msgin" description="Message before processing"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="msgout" column="msgout" description="Message after processing"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="msgctl" column="msgctl" description="List of Start/Length information for created messages"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="fil" column="fil" description="File Format" viewtype="Combobox"
      length="3" lineOrDecimalSize="1" codetable="fil"/>
  <datafields name="delivrcod" column="delivrcod" description="Delivery monitorring code"
      viewtype="Combobox" length="1" lineOrDecimalSize="1" codetable="delivrcod"/>
  <datafields name="ownbic" column="ownbic" description="Own BIC" length="12" lineOrDecimalSize="1"/>
  <datafields name="obsper" column="obsper" description="Obsolescense Periods" viewtype="Combobox"
      length="3" lineOrDecimalSize="1" codetable="obsper"/>
  <datafields name="cortyp" column="cortyp" description="CORTYP to be handled" length="3"
      lineOrDecimalSize="1"/>
  <datafields name="srvnam" column="srvnam" description="Name of instance" length="6"
      lineOrDecimalSize="1"/>
  <datafields name="trfdir" column="trfdir" description="Pathname of transfer directory"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="jobexe" column="jobexe" description="Jobexecution" viewtype="Combobox"
      length="1" lineOrDecimalSize="1" codetable="jobexe"/>
  <datafields name="job" column="job" description="Job to executed on successful export"
      length="58" lineOrDecimalSize="1"/>
  <datafields name="tagsupfile" column="tagsupfile" description="Filename of TAGSUP.INI"
      length="12" lineOrDecimalSize="1"/>
  <datafields name="tagovrfile" column="tagovrfile" description="Filename of TAGOVR.INI"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="tagsup" column="tagsup" description="Content of TAGSUP.INI" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="tagovr" column="tagovr" description="Content of TAGOVR.INI" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="outdir" column="outdir" description="Pathname of out directory"
      length="40" lineOrDecimalSize="1"/>
  <modules name="cursmh" type="smh"/>
  <modules name="wrksmh" type="smh"/>
  <modules name="eta" type="eta"/>
  <modules name="trn" type="trn"/>
  <panels name="config" description="PD000001" width="788" height="528" visible="false"
      popup="true">
    <components path="exeflg" viewType="Checkbox" width="75" enabled="false" text="C0000004"
        left="88" top="60" height="22"/>
    <components viewType="Label" text="S0000002" left="84" top="12" height="22"/>
    <components viewType="Label" text="S0000003" top="59" height="22"/>
  </panels>
  <localMethods name="setserviceini" type="local" codeText="@0001" moduleName="srvqin"/>
  <localMethods name="doHandle" type="local" codeText="@0002" moduleName="srvqin"/>
  <localMethods name="doQinInterface" type="local" codeText="@0003" moduleName="srvqin"/>
  <localMethods name="getSmhInr" type="local" codeText="@0004" moduleName="srvqin"/>
  <localMethods name="dealMsg" type="local" codeText="@0005" moduleName="srvqin"/>
  <localMethods name="replaceFirstchar" type="local" codeText="@0006" moduleName="srvqin"/>
  <localMethods name="addSMHForSplit" type="local" codeText="@0007" moduleName="srvqin"/>
  <localMethods name="transmitMessage" type="local" codeText="@0008" moduleName="srvqin"/>
  <localMethods name="makeSwiftII" type="local" codeText="@0009" moduleName="srvqin"/>
  <localMethods name="getOwnBIC" type="local" codeText="@0010" moduleName="srvqin"/>
  <localMethods name="getCounter" type="local" codeText="@0011" moduleName="srvqin"/>
  <localMethods name="getDirection" type="local" codeText="@0012" moduleName="srvqin"/>
  <localMethods name="getIOBIC" type="local" codeText="@0013" moduleName="srvqin"/>
  <localMethods name="saveInterfaceFileA" type="local" codeText="@0014" moduleName="srvqin"/>
  <localMethods name="sendFile" type="local" codeText="@0015" moduleName="srvqin"/>
  <localMethods name="setTagSupFile" type="local" codeText="@0016" moduleName="srvqin"/>
  <localMethods name="getTagSupFile" type="local" codeText="@0017" moduleName="srvqin"/>
  <localMethods name="getIIBIC" type="local" codeText="@0018" moduleName="srvqin"/>
  <localMethods name="dealQinInterface" type="local" codeText="@0019" moduleName="srvqin"/>
  <initRules name="\" type="init" codeText="@0000" order="1000" moduleName="srvqin"/>
</eibs:Module>
