<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="stgmod" table="stgmod" title="Streamgrid Support Module" i18nSequence="3" ruleSequence="22" transient="true">
<datafields comments="" name="valstm" column="valstm" description="List of Values for StreamGrid" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" access="private" />
<datafields comments="" name="fldstm" column="fldstm" description="List of Fields for SQL" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" access="private" />
<datafields comments="" name="insstm" column="insstm" description="List of Instances for SQL" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" access="private" />
<datafields comments="" name="addstm" column="addstm" description="List of additional streamgrid parameter" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" access="private" />
<datafields comments="" name="dtastm" column="dtastm" description="Stream Data for Postprocessing" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="poslst" column="poslst" description="Last Used Column Position" datatype="numeric" length="4" lineOrDecimalSize="1" access="private" />
<datafields comments="" name="fldcnt" column="fldcnt" description="Number of Fields for initial SQL" datatype="numeric" length="3" lineOrDecimalSize="0" access="private" />
<datafields comments="" name="inscnt" column="inscnt" description="Number of instances for initial SQL" datatype="numeric" length="3" lineOrDecimalSize="0" access="private" />
<localMethods type="local" name="gridCfgInit" codeText="@0000" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgAddFld" codeText="@0001" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgAddCol" codeText="@0002" moduleName="stgmod"/>
<localMethods type="local" name="internalAddIns" codeText="@0003" moduleName="stgmod"/>
<localMethods type="local" name="gridSetValues" codeText="@0004" moduleName="stgmod"/>
<localMethods type="local" name="gridGetSql" codeText="@0005" moduleName="stgmod"/>
<localMethods type="local" name="gridEtyLoad" codeText="@0006" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgAddPara" codeText="@0007" moduleName="stgmod"/>
<localMethods type="local" name="gridEtySelect" codeText="@0008" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgAddLinkIns" codeText="@0009" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgAddJoinIns" codeText="@0010" moduleName="stgmod"/>
<localMethods type="local" name="gridIsConfigured" codeText="@0011" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgSetPromptStream" codeText="@0012" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgLoadTds" codeText="@0013" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgStore" codeText="@0014" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgSetDefaultOrder" codeText="@0015" moduleName="stgmod"/>
<localMethods type="local" name="gridLoadLinks" codeText="@0016" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgAddPts" codeText="@0017" moduleName="stgmod"/>
<localMethods type="local" name="internalAddLink" codeText="@0018" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgGetTbl4Ins" codeText="@0019" moduleName="stgmod"/>
<localMethods type="local" name="gridCfgSetPstFkt" codeText="@0020" moduleName="stgmod"/>
<localMethods type="local" name="gridEtySelectofBch" codeText="@0021" moduleName="stgmod"/>
</eibs:Module>
