<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="sysmod" table="sysmod" title="Core system support modules" transient="true"
    i18nSequence="1149" ruleSequence="412">
  <datafields name="ddesndstream" column="ddesndstream" description="Stream to register sent requests"
      datatype="stream" viewtype="Block" length="16"/>
  <datafields name="dumpdattim" column="dumpdattim" description="Timestamp of last dump"
      datatype="date" length="12" lineOrDecimalSize="3"/>
  <datafields name="objnam" column="objnam" description="readable identification of currently processed object"
      length="60" lineOrDecimalSize="1"/>
  <datafields name="trnnam" column="trnnam" description="Transaction title" length="60"
      lineOrDecimalSize="1"/>
  <datafields name="sptdata" column="sptdata" description="Stream to pass pending data to storage"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="trntyp" column="trntyp" description="C 汇款交易 D 押汇中心交易" length="1"
      lineOrDecimalSize="1"/>
  <datafields name="relflg" column="relflg" description="RELFLG" length="1" lineOrDecimalSize="1"/>
  <datafields name="chartyp" column="chartyp" description="0-char  1-varchar" length="1"
      lineOrDecimalSize="1"/>
  <datafields name="bnknam" column="bnknam" description="Bank Name" length="40" lineOrDecimalSize="1"/>
  <datafields name="bnknamen" column="bnknamen" description="The English Name Of Bank"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="isflag" column="isflag" description="是否欠息" length="4" lineOrDecimalSize="1"/>
  <datafields name="kycdz" column="kycdz" description="电子单证" length="40" lineOrDecimalSize="1"/>
  <datafields name="guobie" column="guobie" description="交易对手国别" length="3" lineOrDecimalSize="1"/>
  <datafields name="name" column="name" description="国别名称" length="16" lineOrDecimalSize="1"/>
  <datafields name="strgb" column="strgb" description="国别查询数据" datatype="stream" viewtype="Block"
      length="1"/>
  <datafields name="sel" column="sel" description="国别查询按钮" datatype="control" viewtype="Button"
      length="4" lineOrDecimalSize="1"/>
  <datafields name="seltyp" column="seltyp" description="国别校验按钮识别" length="1" lineOrDecimalSize="1"/>
  <modules name="slg" type="slg"/>
  <modules name="frmstk" type="frmstk" static="true"/>
  <modules name="ssn" type="ssn" static="true"/>
  <modules name="spt" type="spt" static="true"/>
  <modules name="hlp" type="hlp" static="true"/>
  <modules name="usr" type="usr"/>
  <modules name="syspth" type="syspth"/>
  <modules name="evt" type="evt" static="true"/>
  <modules name="ety" type="ety"/>
  <modules name="ntfmod" type="ntfmod"/>
  <modules name="atp" type="atp"/>
  <modules name="stgmod" type="stgmod" static="true"/>
  <modules name="tmpstm" type="tmpstm"/>
  <modules name="que" type="que" static="true"/>
  <modules name="usg" type="usg"/>
  <modules name="wrkbch" type="bch"/>
  <modules name="bch" type="bch"/>
  <modules name="spr" type="spr"/>
  <modules name="ucl" type="ucl"/>
  <modules name="sptr" type="spt" list="true" pageSize="1"/>
  <modules name="tnn" type="tnn"/>
  <modules name="socmod" type="socmod">
    <arguments name="bch" value="bch"/>
  </modules>
  <modules name="acg" type="acg"/>
  <modules name="wrkacg" type="acg"/>
  <modules name="cde" type="cde"/>
  <modules name="nra" type="nra"/>
  <modules name="smh" type="smh"/>
  <modules name="cnd" type="cnd"/>
  <modules name="aur" type="aur"/>
  <panels name="country" description="PD000974" width="260" height="22" transient="true"
      visible="false" popup="true">
    <components path="guobie" viewType="Combobox" width="75" required="true" left="85"
        top="0" height="22"/>
    <components path="name" width="106" enabled="false" left="141" top="0" height="22"/>
    <components viewType="Label" text="SG000976" left="3" top="0" height="22"/>
  </panels>
  <panels name="country2" description="PD000977" width="258" height="22" transient="true"
      visible="false" popup="true">
    <components path="guobie" viewType="Combobox" width="75" enabled="false" left="88"
        top="0" height="22"/>
    <components path="name" width="106" enabled="false" left="132" top="0" height="22"/>
    <components viewType="Label" text="SG000978" left="4" top="0" height="22"/>
  </panels>
  <panels name="country3" description="PD000979" width="260" height="22" transient="true"
      popup="true">
    <components path="guobie" viewType="Combobox" width="75" left="86" top="0" height="22"/>
    <components path="name" width="106" enabled="false" left="142" top="0" height="22"/>
    <components viewType="Label" text="SG000980" left="2" top="0" height="22"/>
  </panels>
  <panels name="gb" description="PD000981" width="30" height="25" transient="true"
      visible="false">
    <components path="sel" viewType="Button" width="26" text="CG000982" left="3" top="2"
        height="22"/>
  </panels>
  <panels name="showgb" description="PD000983" width="788" height="528">
    <components path="strgb" width="752" left="12" top="4" height="504"/>
  </panels>
  <globalMethods name="sdbInsert" codeText="@0000" moduleName="sysmod"/>
  <globalMethods name="sdbInsertWithLog" codeText="@0001" moduleName="sysmod"/>
  <globalMethods name="sdbRead" codeText="@0002" moduleName="sysmod"/>
  <globalMethods name="sdbReadHold" codeText="@0003" moduleName="sysmod"/>
  <globalMethods name="sdbReadLock" codeText="@0004" moduleName="sysmod"/>
  <globalMethods name="sdbUpdate" codeText="@0005" moduleName="sysmod"/>
  <globalMethods name="sdbUpdateWithLog" codeText="@0006" moduleName="sysmod"/>
  <globalMethods name="sdbDelete" codeText="@0007" moduleName="sysmod"/>
  <globalMethods name="sdbDeleteWithLog" codeText="@0008" moduleName="sysmod"/>
  <globalMethods name="sdbUndeleteWithLog" codeText="@0009" moduleName="sysmod"/>
  <globalMethods name="sdbUndelete" codeText="@0010" moduleName="sysmod"/>
  <globalMethods name="sdbSlgWrite" codeText="@0011" moduleName="sysmod"/>
  <globalMethods name="sptClear" codeText="@0013" moduleName="sysmod"/>
  <globalMethods name="lnkGetLoadDataLabel" codeText="@0014" moduleName="sysmod"/>
  <globalMethods name="recLoadData" codeText="@0015" moduleName="sysmod"/>
  <globalMethods name="recSaveData" codeText="@0016" moduleName="sysmod"/>
  <globalMethods name="recIsEmptyInr" codeText="@0017" moduleName="sysmod"/>
  <globalMethods name="sptIsAnyLoaded" codeText="@0018" moduleName="sysmod"/>
  <globalMethods name="sptIsDelLoaded" codeText="@0019" moduleName="sysmod"/>
  <globalMethods name="sptIsLoaded" codeText="@0020" moduleName="sysmod"/>
  <globalMethods name="fmtTime" codeText="@0021" moduleName="sysmod"/>
  <globalMethods name="tlbSysDump" codeText="@0022" moduleName="sysmod"/>
  <globalMethods name="recGetPath" codeText="@0023" moduleName="sysmod"/>
  <globalMethods name="recGetInr" codeText="@0024" moduleName="sysmod"/>
  <globalMethods name="recGetObj" codeText="@0025" moduleName="sysmod"/>
  <globalMethods name="sptGetTypAndInr" codeText="@0026" moduleName="sysmod"/>
  <globalMethods name="sdbInsertHold" codeText="@0027" moduleName="sysmod"/>
  <globalMethods name="sdbInsertHoldWithLog" codeText="@0028" moduleName="sysmod"/>
  <globalMethods name="sptIsRimLoaded" codeText="@0029" moduleName="sysmod"/>
  <globalMethods name="sptIsCorLoaded" codeText="@0030" moduleName="sysmod"/>
  <globalMethods name="sptIsIncLoaded" codeText="@0031" moduleName="sysmod"/>
  <globalMethods name="tlbHardcopy" codeText="@0032" moduleName="sysmod"/>
  <globalMethods name="menuFitWidth" codeText="@0033" moduleName="sysmod"/>
  <globalMethods name="menuZoom200" codeText="@0034" moduleName="sysmod"/>
  <globalMethods name="menuZoom125" codeText="@0035" moduleName="sysmod"/>
  <globalMethods name="menuZoom100" codeText="@0036" moduleName="sysmod"/>
  <globalMethods name="menuZoom75" codeText="@0037" moduleName="sysmod"/>
  <globalMethods name="menuZoom50" codeText="@0038" moduleName="sysmod"/>
  <globalMethods name="menuFitHeight" codeText="@0039" moduleName="sysmod"/>
  <globalMethods name="menuFitAllPages" codeText="@0040" moduleName="sysmod"/>
  <globalMethods name="sqlAndCondition" codeText="@0041" moduleName="sysmod"/>
  <globalMethods name="getInitialTransaction" codeText="@0042" moduleName="sysmod"/>
  <globalMethods name="recGetRecMod" codeText="@0044" moduleName="sysmod"/>
  <globalMethods name="recGetGrpMod" codeText="@0045" moduleName="sysmod"/>
  <globalMethods name="recHoldsVer" codeText="@0046" moduleName="sysmod"/>
  <globalMethods name="sdbFree" codeText="@0047" moduleName="sysmod"/>
  <globalMethods name="lnkSetPassedPanel" codeText="@0048" moduleName="sysmod"/>
  <globalMethods name="lnkGetCurrentPanel" codeText="@0049" moduleName="sysmod"/>
  <globalMethods name="recGetSysObjPath" codeText="@0051" moduleName="sysmod"/>
  <globalMethods name="streamSaveInDirectory" codeText="@0052" moduleName="sysmod"/>
  <globalMethods name="streamGetNameInSubDir" codeText="@0053" moduleName="sysmod"/>
  <globalMethods name="streamLoadInSubDir" codeText="@0054" moduleName="sysmod"/>
  <globalMethods name="streamSaveInSubDir" codeText="@0055" moduleName="sysmod"/>
  <globalMethods name="sqlFldUpper" codeText="@0056" moduleName="sysmod"/>
  <globalMethods name="sqlLitUpper" codeText="@0057" moduleName="sysmod"/>
  <globalMethods name="sqlLit" codeText="@0058" moduleName="sysmod"/>
  <globalMethods name="cacheDbRead" codeText="@0059" moduleName="sysmod"/>
  <globalMethods name="sqlSetDirtyRead" codeText="@0060" moduleName="sysmod"/>
  <globalMethods name="sqlSetCommittedRead" codeText="@0061" moduleName="sysmod"/>
  <globalMethods name="lnkCallTransactionAndSetReturn" codeText="@0064" moduleName="sysmod"/>
  <globalMethods name="lnkReturnToCallerKeepSPT" codeText="@0065" moduleName="sysmod"/>
  <globalMethods name="sptIsManLoaded" codeText="@0066" moduleName="sysmod"/>
  <globalMethods name="cacheDbReadSql" codeText="@0077" moduleName="sysmod"/>
  <globalMethods name="streamLoadInDirectory" codeText="@0082" moduleName="sysmod"/>
  <globalMethods name="getCallingTransaction" codeText="@0084" moduleName="sysmod"/>
  <globalMethods name="getPostableMethod" codeText="@0085" moduleName="sysmod"/>
  <globalMethods name="sptStaOfOtherEntryForObj" codeText="@0086" moduleName="sysmod"/>
  <globalMethods name="postAllFittingMethods" codeText="@0087" moduleName="sysmod"/>
  <globalMethods name="getSwitch" codeText="@0089" moduleName="sysmod"/>
  <globalMethods name="getFromZip" codeText="@0090" moduleName="sysmod"/>
  <globalMethods name="fmtTimeShort" codeText="@0092" moduleName="sysmod"/>
  <globalMethods name="sysDumpInfo" codeText="@0096" moduleName="sysmod"/>
  <globalMethods name="sdbEtySelect" codeText="@0099" moduleName="sysmod"/>
  <globalMethods name="sdbEtyGenSql" codeText="@0100" moduleName="sysmod"/>
  <globalMethods name="sdbEtyRead" codeText="@0101" moduleName="sysmod"/>
  <globalMethods name="sdbEtyReadSql" codeText="@0102" moduleName="sysmod"/>
  <globalMethods name="sdbEtyGenInsSql" codeText="@0103" moduleName="sysmod"/>
  <globalMethods name="sdbEtySetRec" codeText="@0104" moduleName="sysmod"/>
  <globalMethods name="sdbEtyGenTblSql" codeText="@0105" moduleName="sysmod"/>
  <globalMethods name="sdbEtyGetInsEtyFlg" codeText="@0106" moduleName="sysmod"/>
  <globalMethods name="getJobname" codeText="@0107" moduleName="sysmod"/>
  <globalMethods name="sptSaveDataRoot" codeText="@0108" moduleName="sysmod"/>
  <globalMethods name="sqlDate" codeText="@0113" moduleName="sysmod"/>
  <globalMethods name="tlbGenViewDocu" codeText="@0115" moduleName="sysmod"/>
  <globalMethods name="tlbHlpDisplay" codeText="@0116" moduleName="sysmod"/>
  <globalMethods name="errorAsterisk" codeText="@0119" moduleName="sysmod"/>
  <globalMethods name="getFieldDesc" codeText="@0120" moduleName="sysmod"/>
  <globalMethods name="errorShowStatus" codeText="@0121" moduleName="sysmod"/>
  <globalMethods name="sptIsAutLoaded" codeText="@0123" moduleName="sysmod"/>
  <globalMethods name="sptIsExeLoaded" codeText="@0124" moduleName="sysmod"/>
  <globalMethods name="lnkChainTransaction" codeText="@0129" moduleName="sysmod"/>
  <globalMethods name="lnkCallTransaction" codeText="@0130" moduleName="sysmod"/>
  <globalMethods name="lnkReturnToCaller" codeText="@0131" moduleName="sysmod"/>
  <globalMethods name="lnkReturnToFirst" codeText="@0132" moduleName="sysmod"/>
  <globalMethods name="lnkExit" codeText="@0133" moduleName="sysmod"/>
  <globalMethods name="sptLoadData" codeText="@0134" moduleName="sysmod"/>
  <globalMethods name="sptDeleteEntry" codeText="@0135" moduleName="sysmod"/>
  <globalMethods name="sptGetLoadDataStream" codeText="@0136" moduleName="sysmod"/>
  <globalMethods name="sysDump" codeText="@0137" moduleName="sysmod"/>
  <globalMethods name="menuPrint" codeText="@0138" moduleName="sysmod"/>
  <globalMethods name="sptWriteLog" codeText="@0140" moduleName="sysmod"/>
  <globalMethods name="tlbSaveImage" codeText="@0141" moduleName="sysmod"/>
  <globalMethods name="errorMandatory" codeText="@0142" moduleName="sysmod"/>
  <globalMethods name="internalCtxHlpHandle" codeText="@0150" moduleName="sysmod"/>
  <globalMethods name="ddeSendStream" codeText="@0155" moduleName="sysmod"/>
  <globalMethods name="tlbShowAbout" codeText="@0156" moduleName="sysmod"/>
  <globalMethods name="isStatusVisible" codeText="@0158" moduleName="sysmod"/>
  <globalMethods name="tlbTrnViewDocu" codeText="@0159" moduleName="sysmod"/>
  <globalMethods name="tlbSaveDspForDoku" codeText="@0162" moduleName="sysmod"/>
  <globalMethods name="streamGetSubDirPath" codeText="@0164" moduleName="sysmod"/>
  <globalMethods name="sdbEtyGetCurKeys" codeText="@0170" moduleName="sysmod"/>
  <globalMethods name="queUpdate" codeText="@0176" moduleName="sysmod"/>
  <globalMethods name="recGetBCHInr" codeText="@0195" moduleName="sysmod"/>
  <globalMethods name="getProcessBranch" codeText="@0196" moduleName="sysmod"/>
  <globalMethods name="getProcessBCHKEY" codeText="@0197" moduleName="sysmod"/>
  <globalMethods name="replaceCRtoChar" codeText="@0198" moduleName="sysmod"/>
  <globalMethods name="sdbEtyGenSqlS" codeText="@0199" moduleName="sysmod"/>
  <globalMethods name="getTID" codeText="@0200" moduleName="sysmod"/>
  <globalMethods name="upBCHKEYsql" codeText="@0201" moduleName="sysmod"/>
  <globalMethods name="chktidinr" codeText="@0202" moduleName="sysmod"/>
  <globalMethods name="checkTRNType" codeText="@0207" moduleName="sysmod"/>
  <globalMethods name="getProcessBranchinr" codeText="@0211" moduleName="sysmod"/>
  <globalMethods name="getProcessBCHKEYinr" codeText="@0212" moduleName="sysmod"/>
  <globalMethods name="chktid" codeText="@0213" moduleName="sysmod"/>
  <globalMethods name="sdbEtyGenSqlofbch" codeText="@0214" moduleName="sysmod"/>
  <globalMethods name="upBCHKEYsqlofbch" codeText="@0215" moduleName="sysmod"/>
  <globalMethods name="cebAddBchkeyForAct" codeText="@0219" moduleName="sysmod"/>
  <globalMethods name="getConterBankPath" codeText="@0222" moduleName="sysmod"/>
  <globalMethods name="getClientPath" codeText="@0223" moduleName="sysmod"/>
  <globalMethods name="dbFetchStreamWithINR" codeText="@0226" moduleName="sysmod"/>
  <globalMethods name="dbFetchStreamNoINR" codeText="@0227" moduleName="sysmod"/>
  <globalMethods name="sdbReadForNoINR" codeText="@0228" moduleName="sysmod"/>
  <globalMethods name="getBchkeyInr" codeText="@0229" moduleName="sysmod"/>
  <globalMethods name="getProcessBranchList" codeText="@0231" moduleName="sysmod"/>
  <globalMethods name="moneycnsmalltobig" codeText="@0232" moduleName="sysmod"/>
  <globalMethods name="ntOC" codeText="@0233" moduleName="sysmod"/>
  <globalMethods name="dtOC" codeText="@0234" moduleName="sysmod"/>
  <globalMethods name="lnkCallTransactionforrou" codeText="@0236" moduleName="sysmod"/>
  <globalMethods name="readCurrency" codeText="@0238" moduleName="sysmod"/>
  <globalMethods name="getAccbch" codeText="@0239" moduleName="sysmod"/>
  <globalMethods name="getInterfaceFileName" codeText="@0241" moduleName="sysmod"/>
  <globalMethods name="nullSql" codeText="@0242" moduleName="sysmod"/>
  <globalMethods name="checkFinStatus" codeText="@0243" moduleName="sysmod"/>
  <globalMethods name="changeSql" codeText="@0245" moduleName="sysmod"/>
  <globalMethods name="generateSwiftCode" codeText="@0248" moduleName="sysmod"/>
  <globalMethods name="getCoreSysDay" codeText="@0250" moduleName="sysmod"/>
  <globalMethods name="getBalance" codeText="@0251" moduleName="sysmod"/>
  <globalMethods name="replaceChartootherchar" codeText="@0254" moduleName="sysmod"/>
  <globalMethods name="ordIsLoaded" codeText="@0256" moduleName="sysmod"/>
  <globalMethods name="checkUsrBranch" codeText="@0257" moduleName="sysmod"/>
  <globalMethods name="cacheIniRead" codeText="@0259" moduleName="sysmod"/>
  <globalMethods name="writeLog" codeText="@0260" moduleName="sysmod"/>
  <globalMethods name="streamCompare" codeText="@0261" moduleName="sysmod"/>
  <globalMethods name="addtagfield" codeText="@0262" moduleName="sysmod"/>
  <globalMethods name="getStreamfieldforacg" codeText="@0263" moduleName="sysmod"/>
  <globalMethods name="getprdcod" codeText="@0266" moduleName="sysmod"/>
  <globalMethods name="getinicount" codeText="@0268" moduleName="sysmod"/>
  <globalMethods name="isRegistrationMode" codeText="@0269" moduleName="sysmod"/>
  <globalMethods name="isBranchModeNeedClear" codeText="@0270" moduleName="sysmod"/>
  <globalMethods name="isClearInSwitchOn" codeText="@0271" moduleName="sysmod"/>
  <globalMethods name="isClearOutSwitchOn" codeText="@0272" moduleName="sysmod"/>
  <globalMethods name="weiHaigetProcessBCHKEYinr" codeText="@0274" moduleName="sysmod"/>
  <globalMethods name="weiHaigetProcessBranch" codeText="@0275" moduleName="sysmod"/>
  <globalMethods name="getBchPtyinr" codeText="@0276" moduleName="sysmod"/>
  <globalMethods name="getBchinr" codeText="@0277" moduleName="sysmod"/>
  <globalMethods name="cleanCRinText" codeText="@0278" moduleName="sysmod"/>
  <globalMethods name="getACTInformation" codeText="@0281" moduleName="sysmod"/>
  <globalMethods name="getHzBank" codeText="@0282" moduleName="sysmod"/>
  <globalMethods name="getActBchinr" codeText="@0283" moduleName="sysmod"/>
  <globalMethods name="getXRTFEILDRAT" codeText="@0284" moduleName="sysmod"/>
  <globalMethods name="cacheIniReadBlock" codeText="@0285" moduleName="sysmod"/>
  <globalMethods name="exitRunPredifine" codeText="@0286" moduleName="sysmod"/>
  <globalMethods name="getLOANFEILDPredifine" codeText="@0287" moduleName="sysmod"/>
  <globalMethods name="formatSWTFieldValue" codeText="@0291" moduleName="sysmod"/>
  <globalMethods name="getUSRname" codeText="@0293" moduleName="sysmod"/>
  <globalMethods name="executeSqlToSteam" codeText="@0294" moduleName="sysmod"/>
  <globalMethods name="processStreamAmount" codeText="@0295" moduleName="sysmod"/>
  <globalMethods name="fmtRateforrpt" codeText="@0296" moduleName="sysmod"/>
  <globalMethods name="getHzBankKEY" codeText="@0297" moduleName="sysmod"/>
  <globalMethods name="getProcessBranchListALL" codeText="@0298" moduleName="sysmod"/>
  <globalMethods name="getTranCur1" codeText="@0300" moduleName="sysmod"/>
  <globalMethods name="sptIsCCOLoaded" codeText="@0301" moduleName="sysmod"/>
  <globalMethods name="getHmdInterfaceSwitch" codeText="@0303" moduleName="sysmod"/>
  <globalMethods name="getACTInformationNew" codeText="@0304" moduleName="sysmod"/>
  <globalMethods name="formatStr" codeText="@0307" moduleName="sysmod"/>
  <globalMethods name="getStreamfield3Param" codeText="@0308" moduleName="sysmod"/>
  <globalMethods name="isHoliday" codeText="@0310" moduleName="sysmod"/>
  <globalMethods name="isHolidayDate" codeText="@0314" moduleName="sysmod"/>
  <globalMethods name="setStreamfieldforacg" codeText="@0316" moduleName="sysmod"/>
  <globalMethods name="replaceAll1" codeText="@0317" moduleName="sysmod"/>
  <globalMethods name="popupAppPan" codeText="@0319" moduleName="sysmod"/>
  <globalMethods name="getAppPanTitle" codeText="@0320" moduleName="sysmod"/>
  <globalMethods name="replaceallTRNDOC" codeText="@0322" moduleName="sysmod"/>
  <globalMethods name="copyModifiedAttribute" codeText="@0323" moduleName="sysmod"/>
  <globalMethods name="getlinefields" codeText="@0324" moduleName="sysmod"/>
  <globalMethods name="sptIscmtLoaded" codeText="@0325" moduleName="sysmod"/>
  <globalMethods name="getPtyinr" codeText="@0326" moduleName="sysmod"/>
  <globalMethods name="getActCur" codeText="@0333" moduleName="sysmod"/>
  <globalMethods name="getStreamfields2" codeText="@0340" moduleName="sysmod"/>
  <globalMethods name="selectSmhMsgtyp" codeText="@0348" moduleName="sysmod"/>
  <globalMethods name="getNumericString1" codeText="@0349" moduleName="sysmod"/>
  <localMethods name="internalCheckDbCursor" type="local" codeText="@0050" moduleName="sysmod"/>
  <localMethods name="lnkHandleInterruptTransaction" type="local" codeText="@0062"
      moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_Info" type="local" codeText="@0067" moduleName="sysmod"/>
  <localMethods name="internalSetDebuglevel" type="local" codeText="@0068" moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_Comm" type="local" codeText="@0069" moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_Prof" type="local" codeText="@0070" moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_sql" type="local" codeText="@0071" moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_rules" type="local" codeText="@0072" moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_user" type="local" codeText="@0073" moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_builtin" type="local" codeText="@0074" moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_basexec" type="local" codeText="@0075" moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_flow" type="local" codeText="@0076" moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_sqldata" type="local" codeText="@0078" moduleName="sysmod"/>
  <localMethods name="getSysInfStream" type="local" codeText="@0079" moduleName="sysmod"/>
  <localMethods name="getSysInfOneEntry" type="local" codeText="@0080" moduleName="sysmod"/>
  <localMethods name="isInPostQueue" type="local" codeText="@0083" moduleName="sysmod"/>
  <localMethods name="getSystemName" type="local" codeText="@0088" moduleName="sysmod"/>
  <localMethods name="ctxSetDebuglevel_Appl" type="local" codeText="@0091" moduleName="sysmod"/>
  <localMethods name="disableAndClearField" type="local" codeText="@0093" moduleName="sysmod"/>
  <localMethods name="clientPrintFrame" type="local" codeText="@0094" moduleName="sysmod"/>
  <localMethods name="internalSysDumpWrite" type="local" codeText="@0095" moduleName="sysmod"/>
  <localMethods name="promptMsgWhenDone" type="local" codeText="@0097" moduleName="sysmod"/>
  <localMethods name="internalPromptMsg" type="local" codeText="@0098" moduleName="sysmod"/>
  <localMethods name="getHlpTrn" type="local" codeText="@0110" moduleName="sysmod"/>
  <localMethods name="getHlpAddPfx" type="local" codeText="@0111" moduleName="sysmod"/>
  <localMethods name="internalCheckLocks" type="local" codeText="@0112" moduleName="sysmod"/>
  <localMethods name="ctxHlpDisplay" type="local" codeText="@0117" moduleName="sysmod"/>
  <localMethods name="ctxHlpEdit" type="local" codeText="@0118" moduleName="sysmod"/>
  <localMethods name="internalCreateHelpTxt" type="local" codeText="@0125" moduleName="sysmod"/>
  <localMethods name="internalCreateHelpKeys" type="local" codeText="@0126" moduleName="sysmod"/>
  <localMethods name="internalHlpRead" type="local" codeText="@0127" moduleName="sysmod"/>
  <localMethods name="ctxShowFieldinStatus" type="local" codeText="@0128" moduleName="sysmod"/>
  <localMethods name="internalShowHtml" type="local" codeText="@0144" moduleName="sysmod"/>
  <localMethods name="internalSetupUsr" type="local" codeText="@0145" moduleName="sysmod"/>
  <localMethods name="ddeServerName" type="local" codeText="@0151" moduleName="sysmod"/>
  <localMethods name="etySet" type="local" codeText="@0152" moduleName="sysmod"/>
  <localMethods name="allUsrGetStream" type="local" codeText="@0153" moduleName="sysmod"/>
  <localMethods name="allUsrSetCodeValues" type="local" codeText="@0154" moduleName="sysmod"/>
  <localMethods name="evtWrite" type="local" codeText="@0157" moduleName="sysmod"/>
  <localMethods name="allUsgGetStream" type="local" codeText="@0160" moduleName="sysmod"/>
  <localMethods name="allUsgSetCodeValues" type="local" codeText="@0161" moduleName="sysmod"/>
  <localMethods name="etyLoad" type="local" codeText="@0163" moduleName="sysmod"/>
  <localMethods name="internalHandlePassingEty" type="local" codeText="@0167" moduleName="sysmod"/>
  <localMethods name="internalHandleLoadingEty" type="local" codeText="@0168" moduleName="sysmod"/>
  <localMethods name="internalSetupEty" type="local" codeText="@0169" moduleName="sysmod"/>
  <localMethods name="sptUpdateInDb" type="local" codeText="@0172" moduleName="sysmod"/>
  <localMethods name="sptReinstIncSpt" type="local" codeText="@0173" moduleName="sysmod"/>
  <localMethods name="sptSaveEntry" type="local" codeText="@0174" moduleName="sysmod"/>
  <localMethods name="internalSetupSSN" type="local" codeText="@0175" moduleName="sysmod"/>
  <localMethods name="getHlpPkg" type="local" codeText="@0177" moduleName="sysmod"/>
  <localMethods name="internalDumpFmtDateTime" type="local" codeText="@0178" moduleName="sysmod"/>
  <localMethods name="sptQueUpdate" type="local" codeText="@0179" moduleName="sysmod"/>
  <localMethods name="allUsgSetValues" type="local" codeText="@0180" moduleName="sysmod"/>
  <localMethods name="internalUILCheck" type="local" codeText="@0182" moduleName="sysmod"/>
  <localMethods name="internalPRFSet" type="local" codeText="@0183" moduleName="sysmod"/>
  <localMethods name="notifyEvent" type="local" codeText="@0184" moduleName="sysmod"/>
  <localMethods name="interruptTransactionCus" type="local" codeText="@0187" moduleName="sysmod"/>
  <localMethods name="sdbEtyGetFldCon" type="local" codeText="@0189" moduleName="sysmod"/>
  <localMethods name="dbCommitStateCheck" type="local" codeText="@0190" moduleName="sysmod"/>
  <localMethods name="dbCommitStateSave" type="local" codeText="@0191" moduleName="sysmod"/>
  <localMethods name="internalTIMZONSet" type="local" codeText="@0192" moduleName="sysmod"/>
  <localMethods name="sdbBchGetFldCon" type="local" codeText="@0193" moduleName="sysmod"/>
  <localMethods name="getptyfields" type="local" codeText="@0203" moduleName="sysmod"/>
  <localMethods name="getbranch" type="local" codeText="@0204" moduleName="sysmod"/>
  <localMethods name="getbchkey_cp" type="local" codeText="@0205" moduleName="sysmod"/>
  <localMethods name="getbranch_cp" type="local" codeText="@0206" moduleName="sysmod"/>
  <localMethods name="getbchkey" type="local" codeText="@0208" moduleName="sysmod"/>
  <localMethods name="getxxdfields" type="local" codeText="@0210" moduleName="sysmod"/>
  <localMethods name="getReferance" type="local" codeText="@0216" moduleName="sysmod"/>
  <localMethods name="refIsExist" type="local" codeText="@0217" moduleName="sysmod"/>
  <localMethods name="genSqlByInput" type="local" codeText="@0218" moduleName="sysmod"/>
  <localMethods name="saveSprData" type="local" codeText="@0220" moduleName="sysmod"/>
  <localMethods name="getptyfields1" type="local" codeText="@0221" moduleName="sysmod"/>
  <localMethods name="callInterface" type="local" codeText="@0224" moduleName="sysmod"/>
  <localMethods name="getInterfaceErrorStr" type="local" codeText="@0225" moduleName="sysmod"/>
  <localMethods name="getBchInrList" type="local" codeText="@0230" moduleName="sysmod"/>
  <localMethods name="getsptgrp" type="local" codeText="@0235" moduleName="sysmod"/>
  <localMethods name="internalCheckLocksforrou" type="local" codeText="@0237" moduleName="sysmod"/>
  <localMethods name="callInterfaceStream" type="local" codeText="@0240" moduleName="sysmod"/>
  <localMethods name="getRef" type="local" codeText="@0244" moduleName="sysmod"/>
  <localMethods name="getSqlByBch" type="local" codeText="@0247" moduleName="sysmod"/>
  <localMethods name="judgeBchAct" type="local" codeText="@0249" moduleName="sysmod"/>
  <localMethods name="getAllBchInr" type="local" codeText="@0252" moduleName="sysmod"/>
  <localMethods name="getUnderBchInr" type="local" codeText="@0253" moduleName="sysmod"/>
  <localMethods name="split" type="local" codeText="@0255" moduleName="sysmod"/>
  <localMethods name="runTrngetData" type="local" codeText="@0264" moduleName="sysmod"/>
  <localMethods name="updatAcg" type="local" codeText="@0265" moduleName="sysmod"/>
  <localMethods name="updatAcgforcan" type="local" codeText="@0267" moduleName="sysmod"/>
  <localMethods name="getBchcode" type="local" codeText="@0273" moduleName="sysmod"/>
  <localMethods name="getPtyGS" type="local" codeText="@0279" moduleName="sysmod"/>
  <localMethods name="getPtyAccMng" type="local" codeText="@0280" moduleName="sysmod"/>
  <localMethods name="updatCDE" type="local" codeText="@0288" moduleName="sysmod"/>
  <localMethods name="getXDInfo" type="local" codeText="@0289" moduleName="sysmod"/>
  <localMethods name="getTrnUSG" type="local" codeText="@0290" moduleName="sysmod"/>
  <localMethods name="getBchnam" type="local" codeText="@0292" moduleName="sysmod"/>
  <localMethods name="getBchFields" type="local" codeText="@0299" moduleName="sysmod"/>
  <localMethods name="updatNRA" type="local" codeText="@0302" moduleName="sysmod"/>
  <localMethods name="callInterfaceBackStream" type="local" codeText="@0305" moduleName="sysmod"/>
  <localMethods name="getLttRef" type="local" codeText="@0306" moduleName="sysmod"/>
  <localMethods name="getTrnUsr" type="local" codeText="@0309" moduleName="sysmod"/>
  <localMethods name="getHolidayIni" type="local" codeText="@0311" moduleName="sysmod"/>
  <localMethods name="getIniFileH" type="local" codeText="@0312" moduleName="sysmod"/>
  <localMethods name="getHolidayIniH" type="local" codeText="@0313" moduleName="sysmod"/>
  <localMethods name="replaceFirstNew" type="local" codeText="@0315" moduleName="sysmod"/>
  <localMethods name="isSwtRelNov2018Active" type="local" codeText="@0318" moduleName="sysmod"/>
  <localMethods name="isIncMessageLoaded" type="local" codeText="@0321" moduleName="sysmod"/>
  <localMethods name="setTRACOUTRY" type="local" codeText="@0330" moduleName="sysmod"/>
  <localMethods name="initGUOBIE" type="local" codeText="@0331" moduleName="sysmod"/>
  <localMethods name="initPanelCountry" type="local" codeText="@0332" moduleName="sysmod"/>
  <localMethods name="initGUOBIEAME" type="local" codeText="@0335" moduleName="sysmod"/>
  <localMethods name="spellsql" type="local" codeText="@0337" moduleName="sysmod"/>
  <localMethods name="setcountry" type="local" codeText="@0341" moduleName="sysmod"/>
  <localMethods name="sqlTyp" type="local" codeText="@0343" moduleName="sysmod"/>
  <localMethods name="sqlTypbopsel" type="local" codeText="@0344" moduleName="sysmod"/>
  <localMethods name="spellsqlNew" type="local" codeText="@0345" moduleName="sysmod"/>
  <localMethods name="checkCOUNTRY" type="local" codeText="@0347" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0400" order="9000550" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0401" order="9000500" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0402" order="9000520" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0403" order="900990" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0404" order="900995" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0148" order="1000" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0405" order="9000560" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0406" order="9000510" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0407" order="9000490" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0408" order="9001500" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0409" order="9000540" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0410" order="9000700" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0411" order="9000570" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0258" order="1500" moduleName="sysmod"/>
  <initRules name="\" type="init" codeText="@0338" order="500" moduleName="sysmod"/>
  <defaultRules name="objnam" type="default" codeText="@0181" order="10000" moduleName="sysmod"/>
  <defaultRules name="bch" type="default" codeText="@0209" order="1000" moduleName="sysmod"/>
  <defaultRules name="chartyp" type="default" codeText="@0246" order="1000" moduleName="sysmod"/>
  <defaultRules name="name" type="default" codeText="@0327" order="1000" moduleName="sysmod"/>
  <defaultRules name="guobie" type="default" codeText="@0328" order="1000" moduleName="sysmod"/>
  <defaultRules name="guobie" type="default" codeText="@0334" order="10" moduleName="sysmod"/>
  <defaultRules name="showgb" type="default" codeText="@0339" order="1000" moduleName="sysmod"/>
  <defaultRules name="strgb" type="default" codeText="@0342" order="1000" moduleName="sysmod"/>
  <checkRules name="mnu" type="check" codeText="@0143" order="1000" moduleName="sysmod"/>
  <checkRules name="guobie" type="check" codeText="@0329" order="1000" moduleName="sysmod"/>
  <checkRules name="sel" type="check" codeText="@0346" order="1000" moduleName="sysmod"/>
  <eventRules name="sel" type="event" codeText="@0336" order="1000" moduleName="sysmod"/>
</eibs:Module>
