<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="syswrn" table="syswrn" title=" " transient="true" i18nSequence="39"
    ruleSequence="36">
  <datafields name="ids" column="ids" description="Ids for Warnings" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="idsdsp" column="idsdsp" description="Ids for Warnings shown in Popup"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="cnt" column="cnt" description="Content for Warnings" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="cal" column="cal" description="Calling Rule for Warnings" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="dsp" column="dsp" description="Display" datatype="stream" viewtype="Block"
      length="1"/>
  <datafields name="butok" column="butok" description="OK" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="butcan" column="butcan" description="Cancel" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butshw" column="butshw" description="Warning" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="okflg" column="okflg" description="Messages Confirmed 'Y'/'N'"
      length="1" lineOrDecimalSize="1" codetable="okflg"/>
  <datafields name="lasttrigger" column="lasttrigger" description="Last Event Calling SysWarningShow"
      length="82" lineOrDecimalSize="1"/>
  <datafields name="sta" column="sta" description="status I = display ,  = normal handling"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="curtyplst" column="curtyplst" description="List of types that are currently displayed"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="oitpfxstm" column="oitpfxstm" description="Stream holding all used OIT IDs"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="oitobjstm" column="oitobjstm" description="Stream holding all OBJTYP/OBJINR used by OITs"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="oitoldobjstm" column="oitoldobjstm" description="Stream holding all OITOBJSTM of OitSysWrnGrpRemove call"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="kycdz" column="kycdz" description="电子单证客户标识" length="40" lineOrDecimalSize="1"/>
  <modules name="oit" type="oit"/>
  <panels name="syswrndisplay" description="PD000005" width="788" height="506" visible="false"
      popup="true">
    <components path="butok" viewType="Button" width="66" text="CF000003" left="724"
        height="22"/>
    <components path="butcan" viewType="Button" width="66" text="CF000004" left="724"
        top="479" height="22"/>
    <components path="dsp" width="6" required="true" left="1" top="0" height="22"/>
  </panels>
  <localMethods name="sysWarningGroupRemove" type="local" codeText="@0000" moduleName="syswrn"/>
  <localMethods name="sysWarningSet" type="local" codeText="@0001" moduleName="syswrn"/>
  <localMethods name="getTriggeringField" type="local" codeText="@0002" moduleName="syswrn"/>
  <localMethods name="internalSysWarningShow" type="local" codeText="@0003" moduleName="syswrn"/>
  <localMethods name="sysWarningInit" type="local" codeText="@0007" moduleName="syswrn"/>
  <localMethods name="sysWarningShow" type="local" codeText="@0008" moduleName="syswrn"/>
  <localMethods name="sysWarningShowPrompt" type="local" codeText="@0009" moduleName="syswrn"/>
  <localMethods name="sysWarningShowPromptCancel" type="local" codeText="@0012" moduleName="syswrn"/>
  <localMethods name="setStyleBUTSHW" type="local" codeText="@0013" moduleName="syswrn"/>
  <localMethods name="setOK" type="local" codeText="@0014" moduleName="syswrn"/>
  <localMethods name="showWarningsinDisplayFile" type="local" codeText="@0015" moduleName="syswrn"/>
  <localMethods name="sysWarningGroupCompleted" type="local" codeText="@0016" moduleName="syswrn"/>
  <localMethods name="internalCheckNoOpenGroup" type="local" codeText="@0017" moduleName="syswrn"/>
  <localMethods name="sysWarningGroupGetPfx" type="local" codeText="@0018" moduleName="syswrn"/>
  <localMethods name="internalGetArgs" type="local" codeText="@0019" moduleName="syswrn"/>
  <localMethods name="sysWarningShowWhenCompleted" type="local" codeText="@0020" moduleName="syswrn"/>
  <localMethods name="sysWarningMoveId" type="local" codeText="@0021" moduleName="syswrn"/>
  <localMethods name="sysWrnLoadFromSavedata" type="local" codeText="@0022" moduleName="syswrn"/>
  <localMethods name="internalCallSysWrn" type="local" codeText="@0023" moduleName="syswrn"/>
  <localMethods name="internalRemoveOITLine" type="local" codeText="@0024" moduleName="syswrn"/>
  <localMethods name="oitGetOitData" type="local" codeText="@0025" moduleName="syswrn"/>
  <localMethods name="oitSysWrnForObj" type="local" codeText="@0026" moduleName="syswrn"/>
  <localMethods name="oitSysWrnGrpRemove" type="local" codeText="@0027" moduleName="syswrn"/>
  <localMethods name="handleInterruptTransaction0Oit" type="local" codeText="@0028"
      moduleName="syswrn"/>
  <localMethods name="oitInit" type="local" codeText="@0029" moduleName="syswrn"/>
  <localMethods name="internalOitGetPfx" type="local" codeText="@0030" moduleName="syswrn"/>
  <localMethods name="getSeqForTyp" type="local" codeText="@0031" moduleName="syswrn"/>
  <localMethods name="oitGetObjTxt" type="local" codeText="@0032" moduleName="syswrn"/>
  <localMethods name="oitGetSqlForOitAccess" type="local" codeText="@0033" moduleName="syswrn"/>
  <localMethods name="oitGetSysWrnTyp" type="local" codeText="@0034" moduleName="syswrn"/>
  <localMethods name="oitGetSysWrnHeader" type="local" codeText="@0035" moduleName="syswrn"/>
  <initRules name="\" type="init" codeText="@0011" order="1000" moduleName="syswrn"/>
  <defaultRules name="butok" type="default" codeText="@0010" order="1000" moduleName="syswrn"/>
  <eventRules name="butok" type="event" codeText="@0004" order="1000" moduleName="syswrn"/>
  <eventRules name="butcan" type="event" codeText="@0005" order="1000" moduleName="syswrn"/>
  <eventRules name="butshw" type="event" codeText="@0006" order="1000" moduleName="syswrn"/>
</eibs:Module>
