<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="tcd" table="tcd" title=" " i18nSequence="11" transient="false">
<datafields comments="" name="inr" column="inr" description="INR of TC Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="业务编号" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="名称" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchref" column="bchref" description="业务网点号" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cliptyinr" column="cliptyinr" description="Customer PTY Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cliptainr" column="cliptainr" description="Customer PTA Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clinam" column="clinam" description="客户名称" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cliref" column="cliref" description="客户号" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chkref" column="chkref" description="起始票据号" length="13" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="endchkref" column="endchkref" description="截止票据号" length="13" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chktyp" column="chktyp" description="支票标志" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="opndat" column="opndat" description="售出日期" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="valdat" column="valdat" description="起息日" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="seldat" column="seldat" description="出票日期" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="credat" column="credat" description="交易日期" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Close Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="cpstyp" column="cpstyp" description="资金类型" codetable="cpstyp" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issbnk" column="issbnk" description="发行机构" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="chkflg" column="chkflg" description="是否连号批量出售" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownextkey" column="ownextkey" description="Own Bchcod" length="5" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownbchnam" column="ownbchnam" description="售出机构名称" length="35" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="flwextkey" column="flwextkey" description="Flow Bchcod" length="5" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="clityp" column="clityp" description="客户类型" viewtype="Combobox" codetable="clityp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="actptyinr" column="actptyinr" description="Account Bank PTY Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="actptainr" column="actptainr" description="Account Bank PTA Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="actnam" column="actnam" description="Account Bank Nam" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="actacc" column="actacc" description="Account Bank ACT" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pybptyinr" column="pybptyinr" description="Ben PTY Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pybptainr" column="pybptainr" description="Ben PTA Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pybnam" column="pybnam" description="Ben NAM" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accptyinr" column="accptyinr" description="Account with Bank PTY Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accptainr" column="accptainr" description="Account with Bank PTA Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="begdat" column="begdat" description="起始日期" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="enddat" column="enddat" description="截至日期" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="accnam" column="accnam" description="Account with Bank NAM" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="accact" column="accact" description="Account with Bank ACT" length="34" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inmptyinr" column="inmptyinr" description="Inm PTY Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inmptainr" column="inmptainr" description="Inm PTA Inr" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="inmnam" column="inmnam" description="Inm NAM" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bchcod" column="bchcod" description="我行美国运通销售'号" length="12" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="币别" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="amt" column="amt" description="金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="totamt" column="totamt" description="支票售出金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="chkamt" column="chkamt" description="面额金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="chknum" column="chknum" description="支票数量" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
</eibs:Module>
