<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="trd" table="trd" title="TRD - Loan Data" transient="false">
<datafields comments="" name="inr" column="inr" description="INR of Loan Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ownref" column="ownref" description="Our Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nam" column="nam" description="Name of Loan Contract" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="credat" column="credat" description="Date of Creation" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="pnttyp" column="pnttyp" description="Parent Contract Type" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntinr" column="pntinr" description="Parent Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntnam" column="pntnam" description="Parent Contract Name" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pntref" column="pntref" description="Parent Contract Reference" length="16" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="issdat" column="issdat" description="Date Issued" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="matdat" column="matdat" description="Maturity Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="lstintdat" column="lstintdat" description="Last Interest Settlement" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="stttendat" column="stttendat" description="Start Date Tenor" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="spddat" column="spddat" description="Start Past-due Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="opndat" column="opndat" description="Date Opened" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="clsdat" column="clsdat" description="Date Closed" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="tenday" column="tenday" description="Tenor Days" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="actfinday" column="actfinday" description="Actual Financed Days" datatype="numeric" length="5" lineOrDecimalSize="0" />
<datafields comments="" name="intrat" column="intrat" description="Margin Spread applied to Interest Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="ownusr" column="ownusr" description="Resp. User" viewtype="Combobox" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="irtcod" column="irtcod" description="Base Rate" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="extnmb" column="extnmb" description="Number of Extensions" datatype="numeric" length="4" lineOrDecimalSize="0" />
<datafields comments="" name="fintyp" column="fintyp" description="Type of Financing" codetable="fintyp" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="pctfin" column="pctfin" description="% Financed" datatype="numeric" length="5" lineOrDecimalSize="2" />
<datafields comments="" name="stagod" column="stagod" description="Good's Code for Statistics" viewtype="Combobox" length="6" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="stacty" column="stacty" description="Country Code for Statistics" length="2" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="etyextkey" column="etyextkey" description="Entity holding Contract" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="marrat" column="marrat" description="Marginal Rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="grarat" column="grarat" description="Grace rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="actrat" column="actrat" description="actural rate" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="bchkeyinr" column="bchkeyinr" description="BRANCH CODE KEYINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="branchinr" column="branchinr" description="BRANCHINR" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="fincod" column="fincod" description="借据号" length="17" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="finact" column="finact" description="Finance Account" length="21" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="finblk" column="finblk" description="Finance Data Block" length="200" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="itfblk" column="itfblk" description="Interface Data Block" datatype="block" viewtype="Block" length="800" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="ovddat" column="ovddat" description="Overdue Date" datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="ovdflg" column="ovdflg" description="Overdue Flag" codetable="ovdflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feetyp" column="feetyp" description="收支标志" viewtype="Combobox" codetable="feetyp" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="feeamt" column="feeamt" description="收入/�'�用总额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="actyld" column="actyld" description="实际利率" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="guaflg" column="guaflg" description="Mortgage Flag" viewtype="Combobox" codetable="guaflg" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="restcur" column="restcur" description="rest cur" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="restamt" column="restamt" description="rest amount" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="delflg" column="delflg" description="逾期标志" viewtype="Checkbox" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dfrate" column="dfrate" description="DFRATE" datatype="numeric" length="12" lineOrDecimalSize="6" />
<datafields comments="" name="dftype" column="dftype" description="DFTYPE" viewtype="Combobox" codetable="dftype" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="dflg" column="dflg" description="国内证标志" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="nkfee" column="nkfee" description="内扣�'�用" datatype="numeric" length="10" lineOrDecimalSize="2" />
<datafields comments="" name="jjh" column="jjh" description="借据号" length="25" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="hth" column="hth" description="合同号" length="25" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="myhtha" column="myhtha" description="�'�易合同号" length="30" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="myhtje" column="myhtje" description="�'�易合同金额" datatype="numeric" viewtype="Amount" length="18" lineOrDecimalSize="3" />
<datafields comments="" name="dfratamt" column="dfratamt" description="代付手续金额（国外）" datatype="numeric" viewtype="Amount" length="12" lineOrDecimalSize="2" />
</eibs:Module>
