<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="trndia" table="trndia" title="Diary handling in transactions" transient="true"
    i18nSequence="1135" ruleSequence="71">
  <datafields name="dia" column="dia" description="Add Diary" datatype="control" viewtype="Button"
      length="10" lineOrDecimalSize="1"/>
  <datafields name="diamod" column="diamod" description="Modify" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="diadsp" column="diadsp" description="Display" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="diadel" column="diadel" description="Delete" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="diasel" column="diasel" description="Diary" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="diaexi" column="diaexi" description="Exit" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="diaexi2" column="diaexi2" description="Exit" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="savdia" column="savdia" description="Save" datatype="control"
      viewtype="Button" length="10"/>
  <datafields name="chkdia" column="chkdia" description="Not empty, if DIA has to be checked"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="diasta" column="diasta" description="Status of Diary Panel" length="1"
      lineOrDecimalSize="1"/>
  <datafields name="regmetstm" column="regmetstm" description="List of 'Diasav' Methods"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="diaflg" column="diaflg" description="diary flag '' save diary, 'X' display diary"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="diawrkstm" column="diawrkstm" description="Stream for working of diaries"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="dspstm" column="dspstm" description="Display Stream of Diaries"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="dbdiastm" column="dbdiastm" description="stream of saved in database diaries"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="bimstm" column="bimstm" description="Stream used for BIM" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="dialbl" column="dialbl" description="Label used to define DIA in DIAWRKSTM"
      length="60" lineOrDecimalSize="1"/>
  <datafields name="tblnam" column="tblnam" description="Name of table used in SQL"
      datatype="stream" viewtype="Block" length="10" lineOrDecimalSize="1"/>
  <datafields name="pntinr" column="pntinr" description="Fieldname used n SQL" datatype="stream"
      viewtype="Block" length="10" lineOrDecimalSize="1"/>
  <datafields name="pnttyp" column="pnttyp" description="Fieldname used in SQL" datatype="stream"
      viewtype="Block" length="10" lineOrDecimalSize="1"/>
  <datafields name="contyp" column="contyp" description="Typ of connection used in SQL"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="reqstm" column="reqstm" description="stream for Dia-types of diaries set in all diasav-rules"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="diaprt" column="diaprt" description="print selected diary item"
      datatype="control" viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="atptxt" column="atptxt" description="Application Transaction Profile Text"
      length="50" lineOrDecimalSize="1"/>
  <datafields name="diamodflg" column="diamodflg" description="used to define a codetable that to be show as status in Grid"
      length="4" lineOrDecimalSize="1" codetable="diamodflg"/>
  <datafields name="prtpanblk" column="prtpanblk" description="XMLPanel prtpan的内置block"
      datatype="block" viewtype="Block" length="200" lineOrDecimalSize="999" viewlines="10"/>
  <modules name="diarec" type="dia"/>
  <modules name="trnbim" type="trnbim" argument="true"/>
  <modules name="diapic" type="dia" argument="true"/>
  <modules name="rec" type="module" argument="true"/>
  <modules name="tmpstm" type="tmpstm"/>
  <modules name="diaold" type="dia"/>
  <modules name="diachk" type="dia" static="true"/>
  <modules name="usr" type="usr"/>
  <modules name="usrget" type="usrget">
    <arguments name="usr" value="usr"/>
    <arguments name="getaddsub" value="!TrnDiaSetRecOwnUser"/>
  </modules>
  <modules name="atpget" type="atpget">
    <arguments name="atp" value="atp"/>
    <arguments name="getaddsub" value="!TrnDiaSetRecATP"/>
  </modules>
  <modules name="atp" type="atp"/>
  <panels name="diapan" description="PD001003" width="788" height="308" visible="false"
      enabled="false" popup="true">
    <components path="diarec\cod" viewType="Combobox" width="75" left="132" height="22"/>
    <components path="diarec\donflg" viewType="Checkbox" width="75" enabled="false"
        text="CF001001" left="542" height="22"/>
    <components path="diarec\dat" viewType="Date" width="80" left="132" top="36" height="22"/>
    <components path="diarec\nam" width="266" left="132" top="64" height="22"/>
    <components path="diamodflg" viewType="Combobox" width="75" enabled="false" left="516"
        top="64" height="22"/>
    <components path="diarec\inftxt" viewType="Block" width="433" left="132" top="92"
        height="48"/>
    <components path="atp\cod" width="40" left="132" top="204" height="22"/>
    <components path="atpget\sdamod\seainf" width="20" left="192" top="204" height="22"/>
    <components path="atpget\sdamod\dadsnd" width="106" left="216" top="202" height="22"/>
    <components path="atptxt" width="333" enabled="false" left="268" top="204" height="22"/>
    <components path="usrget\usr\extkey" width="53" left="132" top="236" height="22"/>
    <components path="usrget\sdamod\seainf" width="20" left="205" top="236" height="22"/>
    <components path="diarec\ownusg" viewType="Combobox" width="75" left="132" top="268"
        height="22"/>
    <components path="diarec\usr" width="53" left="542" top="268" height="22"/>
    <components path="savdia" viewType="Button" width="66" text="CF001000" left="724"
        top="4" height="22"/>
    <components path="diaexi" viewType="Button" width="66" text="CF001002" left="724"
        top="276" height="22"/>
    <components path="diaprt" viewType="Button" width="66" text="CF001083" left="724"
        top="28" height="22"/>
    <components viewType="Label" text="SF001004" height="22"/>
    <components viewType="Label" text="SF001005" top="64" height="22"/>
    <components viewType="Label" text="SF001006" top="36" height="22"/>
    <components viewType="Label" text="SF001007" left="542" top="250" height="22"/>
    <components viewType="Label" text="SF001008" top="236" height="22"/>
    <components viewType="Label" text="SF001009" top="268" height="22"/>
    <components viewType="Label" text="SF001010" top="204" height="22"/>
    <components viewType="Label" text="SF001011" top="92" height="22"/>
    <components viewType="Label" text="SF001077" left="516" top="46" height="22"/>
  </panels>
  <panels name="diaselp" description="PD001033" width="790" height="400" visible="false"
      popup="true">
    <components path="dia" viewType="Button" width="66" text="CF001030" left="724"
        top="24" height="22"/>
    <components path="diadsp" viewType="Button" width="66" enabled="false" text="CF001029"
        left="724" top="48" height="22"/>
    <components path="diamod" viewType="Button" width="66" enabled="false" text="CF001025"
        left="724" top="72" height="22"/>
    <components path="diadel" viewType="Button" width="66" enabled="false" text="CF001026"
        left="724" top="97" height="22"/>
    <components path="diaexi2" viewType="Button" width="66" text="CF001027" left="724"
        top="368" height="22"/>
    <components path="dspstm" width="684" left="12" top="12" height="372"/>
  </panels>
  <panels name="prtpan" description="PD001082" width="800" height="600">
    <components path="prtpanblk" viewType="Block" widthUnit="%" left="0" top="0" height="100"
        heightUnit="%"/>
  </panels>
  <localMethods name="saveNewDiaries" type="local" codeText="@0010" moduleName="trndia"/>
  <localMethods name="getDiaries" type="local" codeText="@0011" moduleName="trndia"/>
  <localMethods name="assertDiaries" type="local" codeText="@0012" moduleName="trndia"/>
  <localMethods name="trnDiaSetDonePickedDia" type="local" codeText="@0013" moduleName="trndia"/>
  <localMethods name="trnDiaSetDone" type="local" codeText="@0019" moduleName="trndia"/>
  <localMethods name="trnDiaSet" type="local" codeText="@0021" moduleName="trndia"/>
  <localMethods name="trnDiaLoadDia" type="local" codeText="@0022" moduleName="trndia"/>
  <localMethods name="internalCtlGetDiaOfType" type="local" codeText="@0025" moduleName="trndia"/>
  <localMethods name="internDiaSet" type="local" codeText="@0026" moduleName="trndia"/>
  <localMethods name="internalCtlGetFlgOfLbl" type="local" codeText="@0027" moduleName="trndia"/>
  <localMethods name="internalCtlGetDiaOfLbl" type="local" codeText="@0028" moduleName="trndia"/>
  <localMethods name="internalSetUsedTypList" type="local" codeText="@0029" moduleName="trndia"/>
  <localMethods name="internalAddManualNewDiary" type="local" codeText="@0030" moduleName="trndia"/>
  <localMethods name="internalCtlSavDia" type="local" codeText="@0031" moduleName="trndia"/>
  <localMethods name="internalCtlDelDia" type="local" codeText="@0032" moduleName="trndia"/>
  <localMethods name="internalCtlGetFreeSubidOfType" type="local" codeText="@0033"
      moduleName="trndia"/>
  <localMethods name="internalSetModFldinRec" type="local" codeText="@0034" moduleName="trndia"/>
  <localMethods name="internalGetModFldinRec" type="local" codeText="@0035" moduleName="trndia"/>
  <localMethods name="internalGetActualLine" type="local" codeText="@0037" moduleName="trndia"/>
  <localMethods name="internalCtlGetShortLbl" type="local" codeText="@0038" moduleName="trndia"/>
  <localMethods name="trnDiaSetRecOwnUser" type="local" codeText="@0042" moduleName="trndia"/>
  <localMethods name="isOpenDiariesExists" type="local" codeText="@0045" moduleName="trndia"/>
  <localMethods name="trnDiaClearDonFlg" type="local" codeText="@0046" moduleName="trndia"/>
  <localMethods name="trnDiaSubSetDia" type="local" codeText="@0047" moduleName="trndia"/>
  <localMethods name="internalTrnDiaSet" type="local" codeText="@0048" moduleName="trndia"/>
  <localMethods name="trnDiaSubSetDone" type="local" codeText="@0049" moduleName="trndia"/>
  <localMethods name="internalDiaSetDone" type="local" codeText="@0050" moduleName="trndia"/>
  <localMethods name="assertAtcEntriesForDia" type="local" codeText="@0051" moduleName="trndia"/>
  <localMethods name="setDoneIfContractClosed" type="local" codeText="@0052" moduleName="trndia"/>
  <localMethods name="internalGetOwnUsrForDia" type="local" codeText="@0053" moduleName="trndia"/>
  <localMethods name="setStreamGridHeader" type="local" codeText="@0055" moduleName="trndia"/>
  <localMethods name="setStreamGridLine" type="local" codeText="@0056" moduleName="trndia"/>
  <localMethods name="trnDiaAdjustRec" type="local" codeText="@0057" moduleName="trndia"/>
  <localMethods name="internalSetAddFldForDia" type="local" codeText="@0058" moduleName="trndia"/>
  <localMethods name="internalClearAddFldForDia" type="local" codeText="@0059" moduleName="trndia"/>
  <localMethods name="trnDiaSetRecATP" type="local" codeText="@0060" moduleName="trndia"/>
  <localMethods name="getCustSql" type="local" codeText="@0064" moduleName="trndia"/>
  <localMethods name="internSetDatOfDia" type="local" codeText="@0065" moduleName="trndia"/>
  <localMethods name="trnDiaRptHeader" type="local" codeText="@0069" moduleName="trndia"/>
  <localMethods name="trndiaRptVerFooter" type="local" codeText="@0070" moduleName="trndia"/>
  <initRules name="\" type="init" codeText="@0009" order="1000" moduleName="trndia"/>
  <defaultRules name="dia" type="default" codeText="@0000" order="1000" moduleName="trndia"/>
  <defaultRules name="diadsp" type="default" codeText="@0002" order="1000" moduleName="trndia"/>
  <defaultRules name="diadel" type="default" codeText="@0005" order="1000" moduleName="trndia"/>
  <defaultRules name="moddia" type="default" codeText="@0006" order="1000" moduleName="trndia">
    <paths>diamod</paths>
    <paths>dialbl</paths>
  </defaultRules>
  <defaultRules name="diapan" type="default" codeText="@0014" order="1000" moduleName="trndia"/>
  <defaultRules name="savdia" type="default" codeText="@0017" order="1000" moduleName="trndia"/>
  <defaultRules name="diasta" type="default" codeText="@0018" order="1000" moduleName="trndia"/>
  <defaultRules name="diarec\usr" type="default" codeText="@0020" order="100000" moduleName="trndia"/>
  <defaultRules name="diamodflg" type="default" codeText="@0036" order="1000" moduleName="trndia"/>
  <defaultRules name="usrget\dissel" type="default" codeText="@0043" order="1000"
      moduleName="trndia"/>
  <defaultRules name="defaultUser" type="default" codeText="@0044" order="1000" moduleName="trndia">
    <paths>diarec\ownusr</paths>
    <paths>usrget\usr\extkey</paths>
  </defaultRules>
  <defaultRules name="defaultATP" type="default" codeText="@0061" order="1000" moduleName="trndia">
    <paths>diarec\frm</paths>
    <paths>atpget\atp\cod</paths>
  </defaultRules>
  <defaultRules name="atpget\dissel" type="default" codeText="@0062" order="1000"
      moduleName="trndia"/>
  <defaultRules name="atptxt" type="default" codeText="@0063" order="1000" moduleName="trndia"/>
  <checkRules name="diarec\cod" type="check" codeText="@0039" order="1000" moduleName="trndia"/>
  <checkRules name="diarec\dat" type="check" codeText="@0040" order="1000" moduleName="trndia"/>
  <checkRules name="diarec\nam" type="check" codeText="@0054" order="1000" moduleName="trndia"/>
  <eventRules name="diadsp" type="event" codeText="@0001" order="1000" moduleName="trndia"/>
  <eventRules name="diadel" type="event" codeText="@0003" order="1000" moduleName="trndia"/>
  <eventRules name="diamod" type="event" codeText="@0004" order="1000" moduleName="trndia"/>
  <eventRules name="dia" type="event" codeText="@0007" order="1000" moduleName="trndia"/>
  <eventRules name="savdia" type="event" codeText="@0008" order="1000" moduleName="trndia"/>
  <eventRules name="diaexi2" type="event" codeText="@0015" order="1000" moduleName="trndia"/>
  <eventRules name="diaexi" type="event" codeText="@0016" order="1000" moduleName="trndia"/>
  <eventRules name="dspstm" type="event" codeText="@0023" order="1000" moduleName="trndia"/>
  <eventRules name="dspstm" type="event" codeText="@0024" order="1000" moduleName="trndia"/>
  <eventRules name="diaprt" type="event" codeText="@0041" order="1000" moduleName="trndia"/>
  <eventRules name="prtpan" type="event" eventType="onPanelShow" codeText="@0066"
      moduleName="trndia"/>
  <eventRules name="prtpan" type="event" eventType="onPanelShow" codeText="@0067"
      order="10" moduleName="trndia"/>
  <eventRules name="prtpan" type="event" eventType="onPanelShow" codeText="@0068"
      order="11" moduleName="trndia"/>
</eibs:Module>
