<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com"
    name="trndoc" table="trndoc" title="Document handling for transactions"
    transient="true" i18nSequence="1307" ruleSequence="238">
  <datafields name="docrow" column="docrow" description="used rows in DOCEOT" datatype="numeric"
      length="3"/>
  <datafields name="regmetstm" column="regmetstm" description="List of 'RegisterDocument' Methods"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="regaddtxtstm" column="regaddtxtstm" description="List of 'RegisterAddTxt' Methods"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="docnamstm" column="docnamstm" description="List of primary document names + implementation"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="docnamsea" column="docnamsea" description="List of possible structures and implementations"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="tag78txt" column="tag78txt" description="Content of tag 78" datatype="block"
      viewtype="Block" length="65" lineOrDecimalSize="12"/>
  <datafields name="tag79txt" column="tag79txt" description="Content of tag 79" datatype="block"
      viewtype="Block" length="50" lineOrDecimalSize="35" viewlines="10"/>
  <datafields name="tag79txt999" column="tag79txt999" description="Content of tag 79 for MT707"
      datatype="block" viewtype="Block" length="50" lineOrDecimalSize="999" viewlines="10"/>
  <datafields name="addtxt" column="addtxt" description="Additional text for letter"
      datatype="block" viewtype="Block" length="90" lineOrDecimalSize="20" viewlines="10"/>
  <datafields name="tag45txt" column="tag45txt" description="Content of tag 45" datatype="block"
      viewtype="Block" length="65" lineOrDecimalSize="800"/>
  <datafields name="tagb11txt" column="tagb11txt" description="Content of tag B11 TCO"
      datatype="block" viewtype="Block" length="65" lineOrDecimalSize="100"/>
  <datafields name="tag47txt" column="tag47txt" description="Content of tag 47" datatype="block"
      viewtype="Block" length="65" lineOrDecimalSize="800"/>
  <datafields name="tag48txt" column="tag48txt" description="Content of tag 48" datatype="block"
      viewtype="Block" length="35" lineOrDecimalSize="4"/>
  <datafields name="tag74txt" column="tag74txt" description="Content of tag 74" datatype="block"
      viewtype="Block" length="35" lineOrDecimalSize="6"/>
  <datafields name="tag77atxt" column="tag77atxt" description="Content of tag 77A"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="20"/>
  <datafields name="tag77btxt" column="tag77btxt" description="Content of tag 77B"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="3"/>
  <datafields name="tag77ctxt999" column="tag77ctxt999" description="Content of tag 77C"
      datatype="block" viewtype="Block" length="65" lineOrDecimalSize="999"/>
  <datafields name="tag77jtxt" column="tag77jtxt" description="Content of tag 77J"
      datatype="block" viewtype="Block" length="50" lineOrDecimalSize="70"/>
  <datafields name="oldstm" column="oldstm" description="old contents" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="doctrestm" column="doctrestm" description="Document tree" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="doctreidstm" column="doctreidstm" description="Ids for Document tree"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="condocstm" column="condocstm" description="Connected Documents"
      datatype="stream" viewtype="Block" length="1"/>
  <datafields name="butshw" column="butshw" description="show doc." datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butadd" column="butadd" description="Details" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butnew" column="butnew" description="New Entry" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butdel" column="butdel" description="Delete Entry" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butatt" column="butatt" description="Attach" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="nxtatt" column="nxtatt" description="Next attachment" datatype="numeric"
      length="6"/>
  <datafields name="filrecv" column="filrecv" description="File Receiver" datatype="control"
      viewtype="Button" length="16" lineOrDecimalSize="1"/>
  <datafields name="shwinc" column="shwinc" description="Show Incoming Messages" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="shwout" column="shwout" description="Show Outgoing Messages" viewtype="Checkbox"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="doclbl" column="doclbl" description="Lable for CONDOCSTM" viewtype="Label"
      length="40" lineOrDecimalSize="1"/>
  <datafields name="nar754" column="nar754" description="Narrative :77A:" datatype="block"
      viewtype="Block" length="35" lineOrDecimalSize="20" viewlines="5"/>
  <datafields name="fremsgflg" column="fremsgflg" description="Send as free Message"
      length="1" lineOrDecimalSize="1"/>
  <datafields name="tag67atxt" column="tag67atxt" description="Content of tag 67A for TCO"
      datatype="block" viewtype="Block" length="65" lineOrDecimalSize="250"/>
  <datafields name="butattto" column="butattto" description="Attach to" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="docattstm" column="docattstm" description="Attach to Stream" datatype="stream"
      viewtype="Block" length="1"/>
  <datafields name="butattapy" column="butattapy" description="Apply" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="butcan" column="butcan" description="Cancel" datatype="control"
      viewtype="Button" length="10" lineOrDecimalSize="1"/>
  <datafields name="tag39ctxt" column="tag39ctxt" description="Additional Amount covered"
      datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4"/>
  <datafields name="addstr750" column="addstr750" description="Tag 72 750" datatype="block"
      viewtype="Block" length="35" lineOrDecimalSize="6" viewlines="6"/>
  <modules name="doceot" type="doceot" list="true" pageSize="1" initSize="4"/>
  <modules name="doccur" type="doceot"/>
  <modules name="smh" type="smh"/>
  <modules name="mli" type="mli"/>
  <modules name="etacur" type="etamod"/>
  <modules name="docusr" type="usr"/>
  <modules name="rcvatt" type="sdamod">
    <arguments name="rec" value="smh"/>
  </modules>
  <modules name="wrkpta" type="pta"/>
  <modules name="dtemod" type="dtemod"/>
  <modules name="dtamod" type="dtamod"/>
  <modules name="edimod" type="edimod">
    <arguments name="edihead" value="!Body"/>
  </modules>
  <modules name="dtfmod" type="dtfmod"/>
  <panels name="docpan" description="PD000529" width="788" height="528">
    <components viewType="Label" text="SF000545" left="34" top="3" height="22"/>
  </panels>
  <panels name="doctre" description="PD000546" width="788" height="528">
    <components path="doclbl" viewType="Label" width="266" enabled="false" left="10"
        top="300" height="22"/>
    <components path="doctrestm" width="632" top="20" height="280"/>
    <components path="butshw" viewType="Button" width="66" text="CF000547" left="648"
        top="22" height="22"/>
    <components path="butadd" viewType="Button" width="66" text="CF000548" left="648"
        top="46" height="22"/>
    <components path="butnew" viewType="Button" width="66" text="CF000553" left="648"
        top="88" height="22"/>
    <components path="butdel" viewType="Button" width="66" text="CF000549" left="648"
        top="154" height="22"/>
    <components path="shwinc" viewType="Checkbox" width="75" enabled="false" text="CF000556"
        left="172" top="300" height="22"/>
    <components path="shwout" viewType="Checkbox" width="75" enabled="false" text="CF000557"
        left="416" top="300" height="22"/>
    <components path="condocstm" width="632" top="320" height="200"/>
    <components path="butatt" viewType="Button" width="66" text="CF000551" left="648"
        top="316" height="22"/>
    <components path="rcvatt\seainf" width="20" left="648" top="493" height="22"/>
    <components path="filrecv" width="106" required="true" left="4" height="22"/>
    <components viewType="Label" text="S0000552" top="2" height="22"/>
    <components path="butattto" viewType="Button" width="66" text="CG001184" left="648"
        top="120" height="22"/>
  </panels>
  <panels name="docatt" description="PD001185" width="718" height="400" visible="false"
      popup="true">
    <components path="docattstm" width="600" left="12" top="30" height="352"/>
    <components path="butattapy" viewType="Button" width="66" text="CG001187" left="640"
        top="20" height="22"/>
    <components path="butcan" viewType="Button" width="66" text="CG001188" left="643"
        top="340" height="22"/>
    <components viewType="Label" text="SG001186" left="16" height="22"/>
  </panels>
  <globalMethods name="defDocEotCUS" codeText="@0110" moduleName="trndoc"/>
  <globalMethods name="printClose" codeText="@0113" moduleName="trndoc"/>
  <globalMethods name="printContactLine" codeText="@0114" moduleName="trndoc"/>
  <globalMethods name="printContactLineDate" codeText="@0115" moduleName="trndoc"/>
  <globalMethods name="printFooter" codeText="@0116" moduleName="trndoc"/>
  <globalMethods name="printfooteren" codeText="@0117" moduleName="trndoc"/>
  <globalMethods name="printGreeting" codeText="@0118" moduleName="trndoc"/>
  <globalMethods name="printpage" codeText="@0119" moduleName="trndoc"/>
  <globalMethods name="printUCP" codeText="@0120" moduleName="trndoc"/>
  <globalMethods name="printheaderen" codeText="@0121" moduleName="trndoc"/>
  <globalMethods name="newprintheaderen" codeText="@0129" moduleName="trndoc"/>
  <globalMethods name="prtBchname" codeText="@0131" moduleName="trndoc"/>
  <globalMethods name="prtTodayRCN" codeText="@0132" moduleName="trndoc"/>
  <globalMethods name="prtTodayREN" codeText="@0133" moduleName="trndoc"/>
  <globalMethods name="prtAddtxt" codeText="@0134" moduleName="trndoc"/>
  <globalMethods name="prtCollectionIns" codeText="@0135" moduleName="trndoc"/>
  <globalMethods name="prtColFooter" codeText="@0136" moduleName="trndoc"/>
  <globalMethods name="prtInstructions" codeText="@0137" moduleName="trndoc"/>
  <globalMethods name="prtElementLine" codeText="@0138" moduleName="trndoc"/>
  <globalMethods name="prtSubDirection" codeText="@0139" moduleName="trndoc"/>
  <globalMethods name="prtTitle16" codeText="@0140" moduleName="trndoc"/>
  <globalMethods name="prtLine12" codeText="@0141" moduleName="trndoc"/>
  <globalMethods name="prtFooter2Lines12" codeText="@0142" moduleName="trndoc"/>
  <globalMethods name="prtTo12" codeText="@0143" moduleName="trndoc"/>
  <globalMethods name="prtLine11a" codeText="@0144" moduleName="trndoc"/>
  <globalMethods name="prtBchname12" codeText="@0145" moduleName="trndoc"/>
  <globalMethods name="prtLine11" codeText="@0146" moduleName="trndoc"/>
  <globalMethods name="prtTo11" codeText="@0147" moduleName="trndoc"/>
  <globalMethods name="prtBchname11" codeText="@0148" moduleName="trndoc"/>
  <globalMethods name="prtTo10" codeText="@0149" moduleName="trndoc"/>
  <globalMethods name="blockLine" codeText="@0150" moduleName="trndoc"/>
  <globalMethods name="prtTitle14" codeText="@0151" moduleName="trndoc"/>
  <globalMethods name="getBillsFromBlk" codeText="@0154" moduleName="trndoc"/>
  <globalMethods name="prtTo10a" codeText="@0155" moduleName="trndoc"/>
  <globalMethods name="isDocInTheCortyp" codeText="@0157" moduleName="trndoc"/>
  <globalMethods name="bjimage" codeText="@0158" moduleName="trndoc"/>
  <globalMethods name="printheadhz" codeText="@0159" moduleName="trndoc"/>
  <globalMethods name="printfoothz" codeText="@0160" moduleName="trndoc"/>
  <globalMethods name="printsignatureenhz" codeText="@0161" moduleName="trndoc"/>
  <globalMethods name="printsignatureenhz2" codeText="@0162" moduleName="trndoc"/>
  <globalMethods name="printfoothzcopy" codeText="@0163" moduleName="trndoc"/>
  <globalMethods name="printfoothzcopy3" codeText="@0164" moduleName="trndoc"/>
  <globalMethods name="prtLine13" codeText="@0166" moduleName="trndoc"/>
  <globalMethods name="useSWTOptionZ" codeText="@0174" moduleName="trndoc"/>
  <globalMethods name="adrLine" codeText="@0181" moduleName="trndoc"/>
  <globalMethods name="xmlprinttrnsum" codeText="@0182" moduleName="trndoc"/>
  <globalMethods name="xmlPrintUser" codeText="@0184" moduleName="trndoc"/>
  <globalMethods name="printURC" codeText="@0191" moduleName="trndoc"/>
  <globalMethods name="xmlPrintFooterWithSignature" codeText="@0193" moduleName="trndoc"/>
  <globalMethods name="fullAdrName" codeText="@0194" moduleName="trndoc"/>
  <globalMethods name="xmlPrintTitleUnderlineFS11" codeText="@0199" moduleName="trndoc"/>
  <globalMethods name="xmlDocStart" codeText="@0200" moduleName="trndoc"/>
  <globalMethods name="xmlPrtFldwithTxtLead" codeText="@0202" moduleName="trndoc"/>
  <localMethods name="saveDocuments" type="local" codeText="@0000" moduleName="trndoc"/>
  <localMethods name="defDocEotBop" type="local" codeText="@0001" moduleName="trndoc"/>
  <localMethods name="defDocEot" type="local" codeText="@0002" moduleName="trndoc"/>
  <localMethods name="defDocEotEop" type="local" codeText="@0003" moduleName="trndoc"/>
  <localMethods name="docEOTGetRow" type="local" codeText="@0004" moduleName="trndoc"/>
  <localMethods name="docEOTGetORISMHINR" type="local" codeText="@0005" moduleName="trndoc"/>
  <localMethods name="setOriCount" type="local" codeText="@0006" moduleName="trndoc"/>
  <localMethods name="setCopyCount" type="local" codeText="@0008" moduleName="trndoc"/>
  <localMethods name="assertDOCS" type="local" codeText="@0009" moduleName="trndoc"/>
  <localMethods name="docEOTadddoc" type="local" codeText="@0010" moduleName="trndoc"/>
  <localMethods name="docEOTPopup" type="local" codeText="@0011" moduleName="trndoc"/>
  <localMethods name="docEOTGetCORTYP" type="local" codeText="@0012" moduleName="trndoc"/>
  <localMethods name="setMLI" type="local" codeText="@0013" moduleName="trndoc"/>
  <localMethods name="getCurrentDOCContent" type="local" codeText="@0015" moduleName="trndoc"/>
  <localMethods name="setKeyAmount" type="local" codeText="@0016" moduleName="trndoc"/>
  <localMethods name="docEOTAllowSend" type="local" codeText="@0017" moduleName="trndoc"/>
  <localMethods name="docEOTCopyOriAPF" type="local" codeText="@0018" moduleName="trndoc"/>
  <localMethods name="setCORTYPList" type="local" codeText="@0019" moduleName="trndoc"/>
  <localMethods name="setDOCUIL" type="local" codeText="@0020" moduleName="trndoc"/>
  <localMethods name="setMdtFlg" type="local" codeText="@0021" moduleName="trndoc"/>
  <localMethods name="getDoceotLineForDocId" type="local" codeText="@0022" moduleName="trndoc"/>
  <localMethods name="printTcoTagM2" type="local" codeText="@0023" moduleName="trndoc"/>
  <localMethods name="printSizedBlock" type="local" codeText="@0024" moduleName="trndoc"/>
  <localMethods name="swtPrtFmtBlk" type="local" codeText="@0025" moduleName="trndoc"/>
  <localMethods name="checkBlockSize" type="local" codeText="@0026" moduleName="trndoc"/>
  <localMethods name="swtPrtTagField" type="local" codeText="@0027" moduleName="trndoc"/>
  <localMethods name="setAddTxt" type="local" codeText="@0028" moduleName="trndoc"/>
  <localMethods name="docEOTGetField" type="local" codeText="@0029" moduleName="trndoc"/>
  <localMethods name="xmlFmtAnyFld" type="local" codeText="@0030" moduleName="trndoc"/>
  <localMethods name="xmlGetAllFldAme" type="local" codeText="@0031" moduleName="trndoc"/>
  <localMethods name="xmlPrtFldDifFromStream" type="local" codeText="@0032" moduleName="trndoc"/>
  <localMethods name="xmlGetAllFldMod" type="local" codeText="@0033" moduleName="trndoc"/>
  <localMethods name="xmlPrtFldFromStream" type="local" codeText="@0034" moduleName="trndoc"/>
  <localMethods name="xmlPrtTxtAboveBlk" type="local" codeText="@0035" moduleName="trndoc"/>
  <localMethods name="xmlPrtTxtBeforeBlk" type="local" codeText="@0036" moduleName="trndoc"/>
  <localMethods name="docSNFdefault" type="local" codeText="@0037" moduleName="trndoc"/>
  <localMethods name="dtaFmtDate" type="local" codeText="@0038" moduleName="trndoc"/>
  <localMethods name="docEOTRestore" type="local" codeText="@0039" moduleName="trndoc"/>
  <localMethods name="trnDOCFillDOCTree" type="local" codeText="@0041" moduleName="trndoc"/>
  <localMethods name="docTRESetButtons" type="local" codeText="@0043" moduleName="trndoc"/>
  <localMethods name="getDOCEOTSelIdx" type="local" codeText="@0044" moduleName="trndoc"/>
  <localMethods name="recReadRecord" type="local" codeText="@0048" moduleName="trndoc"/>
  <localMethods name="createDocument" type="local" codeText="@0049" moduleName="trndoc"/>
  <localMethods name="createAttachment" type="local" codeText="@0050" moduleName="trndoc"/>
  <localMethods name="displayDocument" type="local" codeText="@0052" moduleName="trndoc"/>
  <localMethods name="fillCONDOCSTMfromSMH" type="local" codeText="@0053" moduleName="trndoc"/>
  <localMethods name="getROLofPTAINR" type="local" codeText="@0057" moduleName="trndoc"/>
  <localMethods name="getCORTYPHavingAttachment" type="local" codeText="@0058" moduleName="trndoc"/>
  <localMethods name="coverxa" type="local" codeText="@0059" moduleName="trndoc"/>
  <localMethods name="getNormalizedFilename" type="local" codeText="@0061" moduleName="trndoc"/>
  <localMethods name="trnDOCShowID" type="local" codeText="@0062" moduleName="trndoc"/>
  <localMethods name="fillCONDOCSTMfromSMHRest" type="local" codeText="@0063" moduleName="trndoc"/>
  <localMethods name="handleDDEReceive" type="local" codeText="@0066" moduleName="trndoc"/>
  <localMethods name="swtPrtMT410" type="local" codeText="@0067" moduleName="trndoc"/>
  <localMethods name="defDocAtt" type="local" codeText="@0068" moduleName="trndoc"/>
  <localMethods name="xmlPrtTxtAndBlk" type="local" codeText="@0069" moduleName="trndoc"/>
  <localMethods name="swtPrtTagDate" type="local" codeText="@0070" moduleName="trndoc"/>
  <localMethods name="swtPrtTagApprul" type="local" codeText="@0071" moduleName="trndoc"/>
  <localMethods name="dtaPrtTagDate" type="local" codeText="@0072" moduleName="trndoc"/>
  <localMethods name="swtPrtTagAmountAB" type="local" codeText="@0073" moduleName="trndoc"/>
  <localMethods name="swtPrtTagAmount" type="local" codeText="@0074" moduleName="trndoc"/>
  <localMethods name="swtPrtExpiry" type="local" codeText="@0075" moduleName="trndoc"/>
  <localMethods name="xmlPrtAmeFields" type="local" codeText="@0076" moduleName="trndoc"/>
  <localMethods name="sendAsFreeMessage" type="local" codeText="@0077" moduleName="trndoc"/>
  <localMethods name="setDOCDAT" type="local" codeText="@0078" moduleName="trndoc"/>
  <localMethods name="checkOldSizeOf77J" type="local" codeText="@0079" moduleName="trndoc"/>
  <localMethods name="streamGet2SWIFT" type="local" codeText="@0080" moduleName="trndoc"/>
  <localMethods name="changeConversionPlan" type="local" codeText="@0081" moduleName="trndoc"/>
  <localMethods name="swtPrtTagAccount" type="local" codeText="@0082" moduleName="trndoc"/>
  <localMethods name="xmlPrtAvbWth" type="local" codeText="@0083" moduleName="trndoc"/>
  <localMethods name="getStructures" type="local" codeText="@0085" moduleName="trndoc"/>
  <localMethods name="getCurrentCORLineLength" type="local" codeText="@0086" moduleName="trndoc"/>
  <localMethods name="swtPrtAccAdr" type="local" codeText="@0088" moduleName="trndoc"/>
  <localMethods name="swtPrtReference" type="local" codeText="@0089" moduleName="trndoc"/>
  <localMethods name="getCORTYPofAttachment" type="local" codeText="@0090" moduleName="trndoc"/>
  <localMethods name="fillCONDOCSTM" type="local" codeText="@0092" moduleName="trndoc"/>
  <localMethods name="defDocEotEopCUS" type="local" codeText="@0093" moduleName="trndoc"/>
  <localMethods name="coverta" type="local" codeText="@0094" moduleName="trndoc"/>
  <localMethods name="coverba" type="local" codeText="@0095" moduleName="trndoc"/>
  <localMethods name="swtPrtTagAmountABK" type="local" codeText="@0097" moduleName="trndoc"/>
  <localMethods name="getTagFieldA3" type="local" codeText="@0098" moduleName="trndoc"/>
  <localMethods name="swtPrtEndTag" type="local" codeText="@0099" moduleName="trndoc"/>
  <localMethods name="swtPrtAccAdrAD" type="local" codeText="@0100" moduleName="trndoc"/>
  <localMethods name="swtPrtAdrBlk" type="local" codeText="@0101" moduleName="trndoc"/>
  <localMethods name="swtPrtAdrAD" type="local" codeText="@0102" moduleName="trndoc"/>
  <localMethods name="swtPrtAvbWith" type="local" codeText="@0103" moduleName="trndoc"/>
  <localMethods name="swtPrtTagDrafts" type="local" codeText="@0104" moduleName="trndoc"/>
  <localMethods name="swtPrtTagM04" type="local" codeText="@0105" moduleName="trndoc"/>
  <localMethods name="getDOCSNF" type="local" codeText="@0106" moduleName="trndoc"/>
  <localMethods name="setPdxFixStm" type="local" codeText="@0107" moduleName="trndoc"/>
  <localMethods name="swtPrtNomSpc" type="local" codeText="@0108" moduleName="trndoc"/>
  <localMethods name="swtPrtNomSpcAME" type="local" codeText="@0109" moduleName="trndoc"/>
  <localMethods name="xmlPrtaddtxtcn" type="local" codeText="@0112" moduleName="trndoc"/>
  <localMethods name="swtPrtAdrBlk50K" type="local" codeText="@0126" moduleName="trndoc"/>
  <localMethods name="setAddTxtforsnd" type="local" codeText="@0127" moduleName="trndoc"/>
  <localMethods name="xmlHeader" type="local" codeText="@0130" moduleName="trndoc"/>
  <localMethods name="backgroundImage" type="local" codeText="@0153" moduleName="trndoc"/>
  <localMethods name="prtDHL" type="local" codeText="@0156" moduleName="trndoc"/>
  <localMethods name="swtPrtAccAdr59F" type="local" codeText="@0165" moduleName="trndoc"/>
  <localMethods name="replaceswtspe" type="local" codeText="@0167" moduleName="trndoc"/>
  <localMethods name="swtFmtBlk_zSet" type="local" codeText="@0168" moduleName="trndoc"/>
  <localMethods name="swtPrtTagAmountNul" type="local" codeText="@0169" moduleName="trndoc"/>
  <localMethods name="setDocPanelFormat" type="local" codeText="@0170" moduleName="trndoc"/>
  <localMethods name="getScore23X" type="local" codeText="@0171" moduleName="trndoc"/>
  <localMethods name="getMsgCreDat" type="local" codeText="@0172" moduleName="trndoc"/>
  <localMethods name="swtPrtTagContact" type="local" codeText="@0173" moduleName="trndoc"/>
  <localMethods name="swtPrtAmeCha" type="local" codeText="@0175" moduleName="trndoc"/>
  <localMethods name="setUseTag79Z" type="local" codeText="@0176" moduleName="trndoc"/>
  <localMethods name="xmlGetSHPPAR" type="local" codeText="@0177" moduleName="trndoc"/>
  <localMethods name="xmlGetSHPTRS" type="local" codeText="@0178" moduleName="trndoc"/>
  <localMethods name="dtaGetFileAttr" type="local" codeText="@0179" moduleName="trndoc"/>
  <localMethods name="dtaGetOwnAdr" type="local" codeText="@0180" moduleName="trndoc"/>
  <localMethods name="xmlPrintDepartment" type="local" codeText="@0183" moduleName="trndoc"/>
  <localMethods name="printAttention" type="local" codeText="@0185" moduleName="trndoc"/>
  <localMethods name="printCurrentDate" type="local" codeText="@0186" moduleName="trndoc"/>
  <localMethods name="xmlPrintProcessingCenter" type="local" codeText="@0187" moduleName="trndoc"/>
  <localMethods name="xmlPrintHeader" type="local" codeText="@0188" moduleName="trndoc"/>
  <localMethods name="getETAUIL" type="local" codeText="@0189" moduleName="trndoc"/>
  <localMethods name="printCheckCondition" type="local" codeText="@0190" moduleName="trndoc"/>
  <localMethods name="xmlPrintFooter" type="local" codeText="@0192" moduleName="trndoc"/>
  <localMethods name="printTwoAddresses" type="local" codeText="@0195" moduleName="trndoc"/>
  <localMethods name="xmlPrintQuoted" type="local" codeText="@0196" moduleName="trndoc"/>
  <localMethods name="xmlPrtTxtBlk" type="local" codeText="@0197" moduleName="trndoc"/>
  <localMethods name="xmlPrintTitleBold" type="local" codeText="@0198" moduleName="trndoc"/>
  <localMethods name="xmlDocEnd" type="local" codeText="@0201" moduleName="trndoc"/>
  <localMethods name="getOwnRef" type="local" codeText="@0203" moduleName="trndoc"/>
  <localMethods name="getYourRef" type="local" codeText="@0204" moduleName="trndoc"/>
  <localMethods name="getCtrAmt" type="local" codeText="@0205" moduleName="trndoc"/>
  <localMethods name="xmlPrtAdrOfReceiver" type="local" codeText="@0206" moduleName="trndoc"/>
  <localMethods name="xmlPrtSalutation" type="local" codeText="@0207" moduleName="trndoc"/>
  <localMethods name="xmlPrtRefBlk" type="local" codeText="@0208" moduleName="trndoc"/>
  <localMethods name="xmlPrtEmptyLine" type="local" codeText="@0209" moduleName="trndoc"/>
  <localMethods name="xmlGetOwnAdr" type="local" codeText="@0210" moduleName="trndoc"/>
  <localMethods name="xmlGetDepartment" type="local" codeText="@0211" moduleName="trndoc"/>
  <localMethods name="xmlGetUser" type="local" codeText="@0212" moduleName="trndoc"/>
  <localMethods name="xmlGetLogo" type="local" codeText="@0213" moduleName="trndoc"/>
  <localMethods name="xmlGetDate" type="local" codeText="@0214" moduleName="trndoc"/>
  <localMethods name="xmlGetHdrRef" type="local" codeText="@0215" moduleName="trndoc"/>
  <localMethods name="xmlFmtDate" type="local" codeText="@0216" moduleName="trndoc"/>
  <localMethods name="xmlFmtCurAmt" type="local" codeText="@0217" moduleName="trndoc"/>
  <localMethods name="xmlFmtAmount" type="local" codeText="@0218" moduleName="trndoc"/>
  <localMethods name="xmlPrtRefLinePty" type="local" codeText="@0219" moduleName="trndoc"/>
  <localMethods name="xmlPrtRefLine" type="local" codeText="@0220" moduleName="trndoc"/>
  <localMethods name="xmlGetPtyNam" type="local" codeText="@0221" moduleName="trndoc"/>
  <localMethods name="xmlGetRoleDesc" type="local" codeText="@0222" moduleName="trndoc"/>
  <localMethods name="xmlGetTxtSepTxt" type="local" codeText="@0223" moduleName="trndoc"/>
  <localMethods name="xmlPrtRefLineYourRef" type="local" codeText="@0224" moduleName="trndoc"/>
  <localMethods name="xmlPrtRefLineOwnRef" type="local" codeText="@0225" moduleName="trndoc"/>
  <localMethods name="xmlGetTblText" type="local" codeText="@0226" moduleName="trndoc"/>
  <localMethods name="xmlPrtDifIntro" type="local" codeText="@0227" moduleName="trndoc"/>
  <localMethods name="xmlPrtDifHdr" type="local" codeText="@0228" moduleName="trndoc"/>
  <localMethods name="xmlPrtModIntro" type="local" codeText="@0229" moduleName="trndoc"/>
  <localMethods name="xmlGetNomSpc" type="local" codeText="@0230" moduleName="trndoc"/>
  <localMethods name="xmlGetLCRTYP" type="local" codeText="@0231" moduleName="trndoc"/>
  <localMethods name="connectTwoTxtBlk" type="local" codeText="@0232" moduleName="trndoc"/>
  <localMethods name="xmlPrtReplyEnd" type="local" codeText="@0233" moduleName="trndoc"/>
  <localMethods name="xmlPrtReplyStart" type="local" codeText="@0234" moduleName="trndoc"/>
  <localMethods name="xmlPrtAPPRULRMB" type="local" codeText="@0235" moduleName="trndoc"/>
  <localMethods name="printDocAmount" type="local" codeText="@0236" moduleName="trndoc"/>
  <localMethods name="xmlPrtAPPRUL" type="local" codeText="@0237" moduleName="trndoc"/>
  <initRules name="\" type="init" codeText="@0007" order="1000" moduleName="trndoc"/>
  <initRules name="\" type="init" codeText="@0087" order="1100" moduleName="trndoc"/>
  <initRules name="\" type="init" codeText="@0091" order="800" moduleName="trndoc"/>
  <initRules name="\" type="init" codeText="@0125" order="801" moduleName="trndoc"/>
  <defaultRules name="docpan" type="default" codeText="@0014" order="1000" moduleName="trndoc"/>
  <defaultRules name="condocstm" type="default" codeText="@0064" order="1000" moduleName="trndoc"/>
  <defaultRules name="tag39ctxt" type="default" codeText="@0111" order="1000" moduleName="trndoc"/>
  <defaultRules name="docpan" type="default" codeText="@0152" order="8000" moduleName="trndoc"/>
  <eventRules name="doctre" type="event" codeText="@0040" order="1000" moduleName="trndoc"/>
  <eventRules name="doctrestm" type="event" codeText="@0042" order="1000" moduleName="trndoc"/>
  <eventRules name="butshw" type="event" codeText="@0045" order="1000" moduleName="trndoc"/>
  <eventRules name="butadd" type="event" codeText="@0046" order="1000" moduleName="trndoc"/>
  <eventRules name="butdel" type="event" codeText="@0047" order="1000" moduleName="trndoc"/>
  <eventRules name="butnew" type="event" codeText="@0051" order="1000" moduleName="trndoc"/>
  <eventRules name="condocstm" type="event" codeText="@0054" order="1000" moduleName="trndoc"/>
  <eventRules name="butatt" type="event" codeText="@0055" order="1000" moduleName="trndoc"/>
  <eventRules name="condocstm" type="event" codeText="@0056" order="1000" moduleName="trndoc"/>
  <eventRules name="filrecv" type="event" codeText="@0060" order="1000" moduleName="trndoc"/>
  <eventRules name="rcvatt\dadrcv" type="event" codeText="@0065" order="1000" moduleName="trndoc"/>
  <eventRules name="docpan" type="event" codeText="@0084" order="1000" moduleName="trndoc"/>
  <eventRules name="rcvatt\seainf" type="event" codeText="@0096" moduleName="trndoc"/>
  <eventRules name="butattto" type="event" codeText="@0122" order="1000" moduleName="trndoc"/>
  <eventRules name="butattapy" type="event" codeText="@0123" order="1000" moduleName="trndoc"/>
  <eventRules name="butcan" type="event" codeText="@0124" order="1000" moduleName="trndoc"/>
  <eventRules name="docpan" type="event" codeText="@0128" order="20" moduleName="trndoc"/>
</eibs:Module>
