<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="trnmod" table="trnmod" title="Basic Functions for Business Transactions" i18nSequence="113" ruleSequence="401" transient="true">
<datafields comments="" name="bimdata" column="bimdata" description="before image stream" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="trorescon" column="trorescon" description="stream of reserved contracts" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="docfdr" column="docfdr" description="Full filename of loaded document" length="255" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="uetr103" column="uetr103" description="103uetr" length="36" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="rolptainr" column="rolptainr" description="PTA for ROL for getrolinf" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="roladrblk" column="roladrblk" description="Address for ROL for getrolinf" datatype="block" viewtype="Block" length="35" lineOrDecimalSize="4" viewlines="4" />
<datafields comments="" name="trnexeflg" column="trnexeflg" description="Is Transaction executable" length="1" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="concopstm" column="concopstm" description="stream with RECGRP before data be copied" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="oldstm" column="oldstm" description="last \\OLD&lt;obj>STM used" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="oldstmpat" column="oldstmpat" description="path for OLDSTM" length="24" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="objstm" column="objstm" description="stream of objects used to control show of infotext" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="autregstm" column="autregstm" description="stream with data for autoregistration" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<localMethods type="local" name="trnSetFromContract" codeText="@0000" moduleName="trnmod"/>
<localMethods type="local" name="trnStoreFinal" codeText="@0001" moduleName="trnmod"/>
<localMethods type="local" name="init200" codeText="@0002" moduleName="trnmod"/>
<localMethods type="local" name="actGetBlk" codeText="@0003" moduleName="trnmod"/>
<localMethods type="local" name="troCheckObject" codeText="@0004" moduleName="trnmod"/>
<localMethods type="local" name="troWriteEntry" codeText="@0005" moduleName="trnmod"/>
<initRules name="\" type="init" codeText="@0006" order="1000" moduleName="trnmod" />
<localMethods type="local" name="troLockExistingContract" codeText="@0007" moduleName="trnmod"/>
<localMethods type="local" name="troInsertContract" codeText="@0008" moduleName="trnmod"/>
<localMethods type="local" name="troCommit" codeText="@0009" moduleName="trnmod"/>
<localMethods type="local" name="troSaveOld" codeText="@0010" moduleName="trnmod"/>
<localMethods type="local" name="troFree" codeText="@0011" moduleName="trnmod"/>
<globalMethods name="engInbCbs" codeText="@0012" moduleName="trnmod"/>
<globalMethods name="engOutCbs" codeText="@0013" moduleName="trnmod"/>
<localMethods type="local" name="trnStoreContract" codeText="@0014" moduleName="trnmod"/>
<localMethods type="local" name="troAddToLocktable" codeText="@0015" moduleName="trnmod"/>
<localMethods type="local" name="troProcessLockTable" codeText="@0016" moduleName="trnmod"/>
<localMethods type="local" name="tcoCreateTrailerfun" codeText="@0017" moduleName="trnmod"/>
<globalMethods name="cbsTrnStore" codeText="@0018" moduleName="trnmod"/>
<globalMethods name="trnGetSPtMsgDat" codeText="@0019" moduleName="trnmod"/>
<localMethods type="local" name="fmtDateSwift" codeText="@0020" moduleName="trnmod"/>
<defaultRules name="docfdr" type="default" codeText="@0021" order="1000" moduleName="trnmod" />
<globalMethods name="errorPositiveAmtOnly" codeText="@0022" moduleName="trnmod"/>
<localMethods type="local" name="swtCreateHeaderfun" codeText="@0023" moduleName="trnmod"/>
<localMethods type="local" name="smhUpdate" codeText="@0024" moduleName="trnmod"/>
<localMethods type="local" name="autoRegistration" codeText="@0025" moduleName="trnmod"/>
<localMethods type="local" name="getOwnPtaInr" codeText="@0026" moduleName="trnmod"/>
<localMethods type="local" name="swtMoveCodesToTop" codeText="@0027" moduleName="trnmod"/>
<globalMethods name="sigWrite" codeText="@0028" moduleName="trnmod"/>
<localMethods type="local" name="getPtyTyp" codeText="@0029" moduleName="trnmod"/>
<localMethods type="local" name="getTextOfInrTable" codeText="@0030" moduleName="trnmod"/>
<localMethods type="local" name="getTabValues" codeText="@0031" moduleName="trnmod"/>
<localMethods type="local" name="getOwnPtyInr" codeText="@0032" moduleName="trnmod"/>
<localMethods type="local" name="trnInBusinessTransaction" codeText="@0033" moduleName="trnmod"/>
<localMethods type="local" name="troLockExistingOrNewContract" codeText="@0034" moduleName="trnmod"/>
<localMethods type="local" name="troLockExistingOrNewConSilent" codeText="@0035" moduleName="trnmod"/>
<initRules name="\" type="init" codeText="@0400" order="901523" moduleName="trnmod" />
<localMethods type="local" name="troLockAdditionalContract" codeText="@0037" moduleName="trnmod"/>
<localMethods type="local" name="troGetBimLabel" codeText="@0038" moduleName="trnmod"/>
<localMethods type="local" name="troLockContractForCBSOnly" codeText="@0039" moduleName="trnmod"/>
<defaultRules name="mtabut\frmloa" type="default" codeText="@0040" order="100" moduleName="trnmod" />
<defaultRules name="mtabut\frmloa" type="default" codeText="@0041" order="9000" moduleName="trnmod" />
<defaultRules name="ownpts" type="default" codeText="@0042" order="1000" moduleName="trnmod" />
<localMethods type="local" name="troStoreInBim" codeText="@0043" moduleName="trnmod"/>
<localMethods type="local" name="troStoreInBimForUndo" codeText="@0044" moduleName="trnmod"/>
<localMethods type="local" name="getRolLst" codeText="@0045" moduleName="trnmod"/>
<localMethods type="local" name="getRolInf" codeText="@0046" moduleName="trnmod"/>
<localMethods type="local" name="savPtsptaForContract" codeText="@0047" moduleName="trnmod"/>
<localMethods type="local" name="troCheckIfTrnAllowed" codeText="@0048" moduleName="trnmod"/>
<localMethods type="local" name="actSetCodeValues" codeText="@0049" moduleName="trnmod"/>
<localMethods type="local" name="trnmodCancel" codeText="@0050" moduleName="trnmod"/>
<localMethods type="local" name="trnModCopyContract" codeText="@0051" moduleName="trnmod"/>
<localMethods type="local" name="internalCopyFields" codeText="@0052" moduleName="trnmod"/>
<localMethods type="local" name="swtCreateHeaderFunRTGS" codeText="@0053" moduleName="trnmod"/>
<localMethods type="local" name="fmtRateSWIFT" codeText="@0054" moduleName="trnmod"/>
<localMethods type="local" name="getOldContent" codeText="@0055" moduleName="trnmod"/>
<localMethods type="local" name="troIsObjTypLoaded" codeText="@0056" moduleName="trnmod"/>
<localMethods type="local" name="tcoCreateHeaderAll" codeText="@0057" moduleName="trnmod"/>
<localMethods type="local" name="tcoCreateMTags" codeText="@0058" moduleName="trnmod"/>
<localMethods type="local" name="internalProcessSPTSTM" codeText="@0059" moduleName="trnmod"/>
<eventRules name="mtabut\sav" type="event" codeText="@0060" order="490" moduleName="trnmod" />
<localMethods type="local" name="troInitGroup" codeText="@0061" moduleName="trnmod"/>
<localMethods type="local" name="checkPendingSPTs" codeText="@0062" moduleName="trnmod"/>
<localMethods type="local" name="postProcessingPerContract" codeText="@0063" moduleName="trnmod"/>
<localMethods type="local" name="prepareContract" codeText="@0064" moduleName="trnmod"/>
<localMethods type="local" name="mergeSptandContractData" codeText="@0065" moduleName="trnmod"/>
<localMethods type="local" name="troCheckPendingTroEntries" codeText="@0066" moduleName="trnmod"/>
<localMethods type="local" name="troGetInrOfReservedObj" codeText="@0067" moduleName="trnmod"/>
<localMethods type="local" name="troReadExistingContract" codeText="@0068" moduleName="trnmod"/>
<localMethods type="local" name="getStatusFlagOfOBJ" codeText="@0069" moduleName="trnmod"/>
<localMethods type="local" name="getStreamOfAllObj" codeText="@0070" moduleName="trnmod"/>
<localMethods type="local" name="getCommonGroupMt" codeText="@0071" moduleName="trnmod"/>
<localMethods type="local" name="checkSWTCode" codeText="@0072" moduleName="trnmod"/>
<localMethods type="local" name="initPtsModRolConStm" codeText="@0073" moduleName="trnmod"/>
<localMethods type="local" name="trnORDUpdate" codeText="@0074" moduleName="trnmod"/>
<localMethods type="local" name="trnORDBreak" codeText="@0075" moduleName="trnmod"/>
<localMethods type="local" name="trnORDSetSPTAUT" codeText="@0076" moduleName="trnmod"/>
<localMethods type="local" name="ordLockForTRN" codeText="@0077" moduleName="trnmod"/>
<eventRules name="mtabut\ord" type="event" codeText="@0078" order="1000" moduleName="trnmod" />
<localMethods type="local" name="isSftRelNov06Active" codeText="@0079" moduleName="trnmod"/>
<globalMethods name="cbsTrnStoreCur" codeText="@0080" moduleName="trnmod"/>
<localMethods type="local" name="internalTroChkOwnref" codeText="@0081" moduleName="trnmod"/>
<localMethods type="local" name="swtGetAllowedCodes" codeText="@0082" moduleName="trnmod"/>
<localMethods type="local" name="trnModCopyModFlag" codeText="@0083" moduleName="trnmod"/>
<modules name="trn" type="trn" >
</modules>
<modules name="tro" type="tro" >
</modules>
<modules name="wrktrn" type="trn" >
</modules>
<modules name="dia" type="dia" >
</modules>
<modules name="trnbim" type="trnbim" >
</modules>
<modules name="docimm" type="docimm" >
</modules>
<modules name="wrkstm" type="wrkstm" static="true" >
</modules>
<modules name="wrkcbe" type="cbe" >
</modules>
<modules comments="" name="mtabut" type="mtabut" argument="true" />
<modules name="trnism" type="trnism" >
</modules>
<modules name="wrkusr" type="usr" static="true" >
</modules>
<modules name="smh" type="smh" >
</modules>
<modules name="diapic" type="dia" >
</modules>
<modules name="wrkpta" type="pta" >
</modules>
<modules name="wrkpty" type="pty" >
</modules>
<modules name="trs" type="trs" >
</modules>
<modules name="trndia" type="trndia" >
<arguments name="trnbim" value="trnbim"/>
<arguments name="diapic" value="diapic"/>
<arguments name="rec" value="mtabut\rec"/>
</modules>
<modules name="trndoc" type="trndoc" >
</modules>
<modules name="liaget" type="liaget" >
</modules>
<modules name="ptsmod" type="ptsmod" >
</modules>
<modules name="ownpts" type="ptspta" >
<arguments name="tmpflg" value="! "/>
<arguments name="typflg" value="!A"/>
<arguments name="stplev" value="!3"/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="actmod" type="actmod" >
</modules>
<modules name="wrkact" type="act" static="true" >
</modules>
<modules name="swiadd" type="swiadd" >
</modules>
<modules name="sptaut" type="spt" >
</modules>
<modules name="ordmod" type="ordmod" >
</modules>
<modules name="bolmod" type="bolmod" >
<arguments name="rolstm" value="ptsmod\rolstm"/>
</modules>
<modules name="orr" type="orr" >
</modules>
<modules name="atcmod" type="atcmod" >
</modules>
<eventRules name="mtabut\chk" type="event" codeText="@0084" order="15" moduleName="trnmod" />
<eventRules name="mtabut\sav" type="event" codeText="@0085" order="1790" moduleName="trnmod" />
<globalMethods name="errorNegativeAmt" codeText="@0086" moduleName="trnmod"/>
<globalMethods name="getTblTextList" codeText="@0087" moduleName="trnmod"/>
<defaultRules name="mtabut\coninf\usr\extkey" type="default" codeText="@0088" order="1000" moduleName="trnmod" />
<localMethods type="local" name="trnQUECreate" codeText="@0089" moduleName="trnmod"/>
<localMethods type="local" name="fmtAmountSwift" codeText="@0090" moduleName="trnmod"/>
<localMethods type="local" name="getAccPtyinr" codeText="@0091" moduleName="trnmod"/>
<localMethods type="local" name="actGetSerBlk" codeText="@0092" moduleName="trnmod"/>
<localMethods type="local" name="swtCreateHeaderFunRTGSCusTag" codeText="@0093" moduleName="trnmod"/>
<defaultRules name="trn\exedat" type="default" codeText="@0094" order="1000" moduleName="trnmod" />
<localMethods type="local" name="setWfsRelease" codeText="@0095" moduleName="trnmod"/>
<localMethods type="local" name="setWfsAmount" codeText="@0096" moduleName="trnmod"/>
<datafields comments="" name="trocbsrescon" column="trocbsrescon" description="stream of contracts reserved for CBS" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<datafields comments="" name="swtrelact" column="swtrelact" description="swift up flg" length="40" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="glenmb" column="glenmb" description="GLE number of records" datatype="numeric" length="3" lineOrDecimalSize="0" />
<datafields comments="" name="glesrm" column="glesrm" description="GLE STREAM" datatype="stream" viewtype="Block" length="1" lineOrDecimalSize="0" />
<defaultRules name="setdocbch" type="default" codeText="@0097" order="1005" moduleName="trnmod" >
<paths>docbch</paths>
<paths>dockeybch</paths>
</defaultRules>
<localMethods type="local" name="bopTroLockForModifywithWarning" codeText="@0098" moduleName="trnmod"/>
<localMethods type="local" name="bopTroLoadContract" codeText="@0099" moduleName="trnmod"/>
<localMethods type="local" name="bopTrnStoreContract" codeText="@0100" moduleName="trnmod"/>
<localMethods type="local" name="actSetCodeValuesCeb" codeText="@0101" moduleName="trnmod"/>
<localMethods type="local" name="trnORDCreate" codeText="@0102" moduleName="trnmod"/>
<localMethods type="local" name="savGeno66010Data" codeText="@0103" moduleName="trnmod"/>
<localMethods type="local" name="actGetBlkCeb" codeText="@0104" moduleName="trnmod"/>
<localMethods type="local" name="setTrnTxt" codeText="@0105" moduleName="trnmod"/>
<localMethods type="local" name="getOwnENadr" codeText="@0106" moduleName="trnmod"/>
<localMethods type="local" name="getptynam" codeText="@0107" moduleName="trnmod"/>
<localMethods type="local" name="getSwfcod" codeText="@0108" moduleName="trnmod"/>
<localMethods type="local" name="printPosition" codeText="@0109" moduleName="trnmod"/>
<localMethods type="local" name="printOriginal" codeText="@0110" moduleName="trnmod"/>
<localMethods type="local" name="savTnn" codeText="@0111" moduleName="trnmod"/>
<globalMethods name="conCheck" codeText="@0112" moduleName="trnmod"/>
<localMethods type="local" name="swtAddHeaderTagsCus" codeText="@0113" moduleName="trnmod"/>
<globalMethods name="getTelAndFax" codeText="@0114" moduleName="trnmod"/>
<defaultRules name="hadpts" type="default" codeText="@0115" order="1000" moduleName="trnmod" />
<localMethods type="local" name="getHADPtaInr" codeText="@0116" moduleName="trnmod"/>
<localMethods type="local" name="casGetBlk" codeText="@0117" moduleName="trnmod"/>
<localMethods type="local" name="checkNetFrm" codeText="@0118" moduleName="trnmod"/>
<localMethods type="local" name="checkFrmAme" codeText="@0119" moduleName="trnmod"/>
<localMethods type="local" name="swtPrtPreper" codeText="@0120" moduleName="trnmod"/>
<localMethods type="local" name="isRamSptLoaded" codeText="@0121" moduleName="trnmod"/>
<localMethods type="local" name="swtPrtIncReference" codeText="@0122" moduleName="trnmod"/>
<localMethods type="local" name="swtPrtTecRef" codeText="@0123" moduleName="trnmod"/>
<localMethods type="local" name="scogetownbic" codeText="@0124" moduleName="trnmod"/>
<localMethods type="local" name="sendSMS" codeText="@0125" moduleName="trnmod"/>
<localMethods type="local" name="sendfailSMS" codeText="@0126" moduleName="trnmod"/>
<modules name="hadpts" type="ptspta" >
<arguments name="tmpflg" value="! "/>
<arguments name="typflg" value="! "/>
<arguments name="stplev" value="! "/>
<arguments name="adrcpyflg" value="! "/>
<arguments name="ptausgflg" value="! "/>
</modules>
<modules name="wrkpte" type="pte" >
</modules>
<modules name="msgtco" type="msgtco" >
</modules>
<modules name="docbch" type="bch" >
</modules>
<modules name="dockeybch" type="bch" >
</modules>
<modules name="gle" type="gle" >
</modules>
<modules name="trl" type="trl" >
</modules>
<modules name="hmdmod" type="hmdmod" >
<arguments name="docimm" value="docimm"/>
</modules>
<modules name="smhtco" type="smh" >
</modules>
<modules name="txsmod" type="txsmod" >
</modules>
</eibs:Module>
