<?xml version="1.0" encoding="UTF-8"?>
<eibs:Module xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:eibs="http://eibs.brilliance.com" comments="" name="xrt" table="xrt" title="XRT - Exchange Rate" transient="false">
<datafields comments="" name="inr" column="inr" description="Internal Unique ID" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="cur" column="cur" description="Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="begdat" column="begdat" description="Begin Date Incl." datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="enddat" column="enddat" description="End Date Excl." datatype="date" viewtype="Date" length="12" lineOrDecimalSize="0" />
<datafields comments="" name="buyrat" column="buyrat" description="Buying Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="midrat" column="midrat" description="Middle Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="selrat" column="selrat" description="Selling Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="ttrrat" column="ttrrat" description="Special Buying Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="odrrat" column="odrrat" description="Bills Purchase Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="ver" column="ver" description="Version" length="4" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="resrat" column="resrat" description="Reference Selling Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="rebrat" column="rebrat" description="Reference Buying  Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="ibrrat" column="ibrrat" description="Internal Balance Sheet Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="sel1rat" column="sel1rat" description="Selling Rate 1" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="buy1rat" column="buy1rat" description="Buying Rate 1" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="sel2rat" column="sel2rat" description="Selling Rate 1" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="forusdrat" column="forusdrat" description="Uniform discount rate of foreign currencies against the U.S. dollar" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="acprat" column="acprat" description="Accounts Price Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="ibrbuyrat" column="ibrbuyrat" description="Internal Balance Buying Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="ibrselrat" column="ibrselrat" description="Internal Balance Selling Rate" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="etgextkey" column="etgextkey" description="Entity Group of Exchange Rate" length="8" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="xrttim" column="xrttim" description="Time of XRT" length="20" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="bascur" column="bascur" description="Basic Currency" length="3" lineOrDecimalSize="1" viewlines="1" />
<datafields comments="" name="buyrat3" column="buyrat3" description="买入平盘价" datatype="numeric" length="14" lineOrDecimalSize="6" />
<datafields comments="" name="selrat3" column="selrat3" description="卖出平盘价" datatype="numeric" length="14" lineOrDecimalSize="6" />
</eibs:Module>
